title: How to Rands
url: http://randsinrepose.com/archives/how-to-rands/
hash_url: 0ffca91d87b825c9e6155c12973283a8

<p>Hi, welcome to the team. I’m so glad you are here at $COMPANY.</p>
<p>It’s going to take a solid quarter to figure this place out. I understand the importance of first impressions, and I know you want to get a check in the win column, but this is a complex place full of equally complex humans. Take your time, meet everyone, go to every meeting, write things down, and ask all the questions – especially about all those baffling acronyms and emoji.</p>
<p>One of the working relationships we need to define is ours. The following is a user guide for me and how I work. It captures what you can expect out of the average week, how I like to work, my north star principles, and some of my, uh, nuance. My intent is to accelerate our working relationship with this document.<sup id="fnref-3307-1"><a href="#fn-3307-1" rel="footnote">1</a></sup></p>
<h2>Our Average Week</h2>
<p>We’ll have a 1:1 every week for at least 30 minutes no matter what. This meeting discusses topics of substance, not updates. I’ve created a private Slack channel for the two us of to capture future topics for our 1:1s. When you or I think of a topic, we dump it in that channel.</p>
<p>We’ll have a staff meeting with your peers every week for 60 minutes no matter what. Unlike 1:1s, we have a shared document which captures agenda topics for the entire team. Similar to 1:1s, we aren’t discussing status at this meeting, but issues of substance that affect the whole team.</p>
<p>You can Slack me 24 hours a day. I like responding quickly.</p>
<p>If I am traveling, I will give you notice of said travel in advance. All our meetings still occur albeit with time zone considerations.</p>
<p>I work a bit on the weekends. This is my choice. <strong>I do not expect that you are going to work on the weekend.</strong> I might Slack you things, but unless the thing says URGENT, it can always wait until work begins for you on Monday.</p>
<h2>North Star Principles</h2>
<p><strong>Humans first</strong> I believe that happy, informed, and productive humans build fantastic product. I optimize for the humans. Other leaders will maximize the business, the technology, or any other number of important facets. Ideological diversity is key to an effective team. All perspectives are relevant, and we need all these leaders, but my bias is towards building productive humans.</p>
<p><strong>Leadership comes from everywhere</strong> My wife likes to remind me that I hated meetings for the first ten years of my professional career. She’s right. I’ve wasted a lot of time in poorly run meetings by bad managers.  As an engineer, I remain skeptical of managers even as a manager. While I believe managers are an essential part of a scaling organization, I don’t believe they have a monopoly on leadership, and I work hard to build other constructs and opportunities in our teams for non-managers to lead.</p>
<p><strong>I see things as systems.</strong> I reduce all complex things (including humans) into systems. I think in flowcharts. I take great joy in attempting to understand how these systems and flowcharts all fit together. When I see large or small inefficiencies in systems, I’d like to fix them with your help.</p>
<p><strong>It is important to me that humans are treated fairly.</strong> I believe that most humans are trying to to do the right thing, but unconscious bias leads them astray. I work hard to understand and address my biases because I understand their ability to create inequity.</p>
<p><strong>I heavily bias towards action.</strong> Long meetings where we are endlessly debating potential directions are often valuable, but I believe starting is the best way to begin learning and make progress. This is not always the correct strategy. This strategy annoys those who like to debate.</p>
<p><strong>I believe in the compounding awesomeness of continually fixing small things.</strong> I believe quality assurance is everyone’s responsibility and there are bugs to be fixed everywhere… all the time.</p>
<p><strong>I start with an assumption of positive intent for all involved.</strong> This has worked out well for me over my career.</p>
<h2>Feedback Protocol</h2>
<p>I firmly believe that feedback is at the core of building trust and respect in a team.</p>
<p>At $COMPANY, there is a formal feedback cycle which occurs twice a year. The first time we go through this cycle, I’ll draft a proposed set of goals for you for the next review period. These are not product or technology goals; these are professional growth goals for you. I’ll send you these draft goals as well as upward feedback from your team before we meet so you can review beforehand.</p>
<p>In our face-to-face meeting, we’ll discuss and agree on your goals for the next period, and I’ll ask for feedback on my performance. At our following review, the process differs thusly: I’ll review you against our prior goals, and I’ll introduce new goals (if necessary). Rinse and repeat.</p>
<p>Review periods are not the only time we’ll exchange feedback. This will be a recurring topic in our 1:1s. I am going to ask you for feedback in 1:1s regularly. I am never going to stop doing this no matter how many times you say you have no feedback for me.</p>
<p>Disagreement is feedback and the sooner we learn how to efficiently disagree with each other, the sooner we’ll trust and respect each other more. Ideas don’t get better with agreement.</p>
<h2>Meeting Protocol</h2>
<p>I go to a lot of meetings. I deliberately run with my calendar publicly visible. If you have a question about a meeting on my calendar, ask me. If a meeting is private or confidential, it’s title and attendees will be hidden from your view. The vast majority of my meetings are neither private nor confidential.</p>
<p>My definition of a meeting includes an agenda and/or intended purpose, the appropriate amount of productive attendees, and a responsible party running the meeting to a schedule. If I am attending a meeting, I’d prefer starting on time. If I am running a meeting, I will start that meeting on time.</p>
<p>If you send me a presentation deck a reasonable amount of time before a meeting, I will read it before the meeting and will have my questions at the ready. If I haven’t read the deck, I will tell you.</p>
<p>If a meeting completes its intended purpose before it’s scheduled to end, let’s give the time back to everyone. If it’s clear the intended goal won’t be achieved in the allotted time, let’s stop the meeting before time is up and determine how to finish the meeting later.</p>
<h2>Nuance and Errata</h2>
<p><strong>I am an introvert</strong> and that means that prolonged exposure to humans is exhausting for me. Weird, huh? Meetings with three of us are perfect, three to eight are ok, and more than eight you will find that I am strangely quiet. Do not confuse my quiet with lack of engagement.</p>
<p><strong>When the 1:1 feels over, and there is remaining time</strong> I always have a couple of meaty topics to discuss. This is brainstorming, and the issues are usually front-of-mind hard topics that I am processing. It might feel like we’re shooting the shit, but we’re doing real work.</p>
<p><strong>When I ask you to do something that feels poorly defined</strong> you should ask me for both clarification and a call on importance. I might still be brainstorming. These questions can save everyone a lot of time.</p>
<p><strong>Ask assertive versus tell assertive.</strong> When you need to ask me to do something, ask me. I respond incredibly well to ask assertiveness (“Rands, can you help with X?”). I respond poorly to being told what to do (“Rands, do X.”) I have been this way since I was a kid and I probably need therapy.</p>
<p><strong>I can be hyperbolic</strong> but it’s almost always because I am excited about the topic. I also swear sometimes. Sorry.</p>
<p><strong>If I am on my phone during a meeting for more than 30 seconds, say something.</strong> My attention wanders.</p>
<p><strong>Humans stating opinions as facts</strong> are a trigger for me.</p>
<p><strong>Humans who gossip</strong> are a trigger for me.</p>
<p><strong>I am not writing about you.</strong> I’ve been writing a blog for a long time and continue to write. While the topics might spring from recent events, the humans involved in the writing are always made up. I am not writing about you. I write all the time.</p>
<p><strong>This document is a <a href="https://github.com/randsleadershipslack/documents-and-resources/blob/master/howtorands.md">living breathing thing</a></strong> and likely incomplete. I will update it frequently and would appreciate your feedback.</p>
