title: Consume less, create more
url: https://tjcx.me/posts/consumption-distraction/
hash_url: 1c0838399842b2c1996dc673cdd4f26c

<p><span class="dropcap">L</span>ike most people, I like to sit on the bus, stare out at the zombies drooling over their phones, and feel smugly superior. I see their bored, lifeless eyes and pity these sheeple whose lives have been ruined in service of Big Tech profits.</p>

<p>This lasts for about thirty seconds before I get bored. The guy next to me chuckles at something on Kanye’s Twitter feed. <em>Wait Kanye? I thought he was off Twitter!</em> In seconds my own phone is out, and I’m furiously scrolling through Reddit, looking for fresh memes.</p>

<p>And so goes the common trope: we all hate our phones, social media, and Netlfixâbut we also love them.</p>

<p>Eventually tiring of plain-vanilla bus-ride superiority, I brought a book with me on the bus. Not a Kindle, or an iPad, but a bona fide bound book.</p>

<p>After every sentence or two I would gaze incredulously around the bus with a sneaky grin. <em>These dumb cows,</em> I thought, <em>look at them melt their brains with their stupid social feeds. They can’t focus like I can.</em> I was about to turn back to <em>Sapiens</em> when I noticed a woman in the back of the bus who <em>wasn’t</em> staring at her phone. Nor was she reading a book. She wasn’t even listening to a monotonous NPR podcast.</p>

<p>This psychopath was <strong>sketching</strong>. She had a charcoal pencil and was sketching a human figure. She didn’t look <em>happy</em> exactly. But she looked engaged. She looked intent. And all of a sudden my smugness fled. I realized that reading a book was really just like reading Redditâboth were <strong>consumptive</strong> activitives.</p>

<p>Were previous generations really better off because they merely watched TV, or listened to radio, or read books? All of these activities are passive. All of these activities involve letting external thoughts temporarily replace your own. Today’s smartphones differ from medieval books only in degree—all media is created to be consumed.</p>

<p>I had to start creating.</p>

<hr/>

<p><span class="dropcap">C</span>orÃ­n Tellado was a Spanish author who wrote <a href="https://en.wikipedia.org/wiki/Cor%C3%ADn_Tellado">over 5,000 books</a> in her 81-year lifespan. That’s over sixty books a year, assuming she came out of the womb fully literate. She claimed she could write a book in two days, and I’m inclined to believe her.</p>

<p>I can’t write a tweet in two days. Nevertheless, I was inspired by Tellado to stop consuming and start creating. If we categorize all our waking moments as either consumptive or creative, I was probably at a 10:1 ratio, and that’s only if I label “copy/pasting stock images into Keynote presentations” as “creative.” Tellado was probably closer to 1:1. How could I get closer to that?</p>

<p>On my next bus ride I pulled out my phone and opened the iOS notes app. I created a new note titled <code>Essay</code>.</p>

<p>I stared at that off-white screen for several long minutes without typing anything. <em>I don’t have anything to write about,</em> I thought. <em>Also, I’m not even a good writer…maybe I should look online for some tips…</em></p>

<p>But that was a bad idea and I knew it. So I swallowed my pride and just started writing:</p>

<blockquote>
<p>Why I think creating stuff is a good thing.</p>

<p>An essay by Tom C.</p>
</blockquote>

<p>This was going to be rough.</p>

<blockquote>
<p>I think people consume too much, and don’t create enough. This is bad I think.</p>
</blockquote>

<p>Like, really rough.</p>

<p>But I kept typing; pouring inane, kindergarten-level drivel into my phone.</p>

<p>The average person can type about <a href="https://www.quora.com/What-is-the-average-smartphone-users-typing-speed">20 words per minute</a> on a phone. My commute is about 30 minutes each way, so thatâs a maximum of 1,200 words a day. Realistically Iâm going to have to spend some time thinking about what to write, so letâs be conservative and shoot for 500 words a day.</p>

<p>I read <a href="https://www.wesfed.com/blog/ideal-blog-post-length-seo/">somewhere</a> that a good blog post is 1,600 words…so if I work fast I could pump one out every three days, right?</p>

<p>The first day I wrote 100 horrible words. Really super bad. No one will ever see these words.</p>

<p>Day two I wrote 80 words. I think I psyched myself out over how bad the previous day went.</p>

<p>The third day I only kept writing out of stubbornness. I knew this project was doomed, but I felt like <em>really</em> dooming it.</p>

<p>By then end of the first week I had 500 words in the bank. I didnât feel good about it, but it felt slightly better than scrolling through 47 <a href="https://twitter.com/search?q=%23AndThatsWhyYouAreMyEx">#AndThatsWhyYouAreMyEx</a> tweets.</p>

<p>My essay was garbage. But it was <em>my</em> garbage.</p>

<p>So I kept at it, day after day. I once again started feeling smugly superior to my fellow bus riders. <em>Look at me <strong>creating</strong></em>, I thought. <em>Look at me contributing to the world, while these reptiles just distract themselves with their phones until they die.</em></p>

<p>This arrogance lasts for a few seconds until I re-read the stream-of-consciousness dogshit I’m typing into my phone.</p>

<p>I’ve never done sales, but I know a little bit about the “sales funnel.” You hire college grads to make 500 cold calls in a week. Of those 500 calls, maybe 5% agree to watch a demo of the product. Then some slightly-more-senior sales people do this demo, and perhaps 20% of those demos end up in contract negotiation. And 60% of those end up as actual sales. That means you need 500 cold calls to make <strong>three</strong> sales.</p>

<p>I think that’s what creating is like. You need to write 500 words to get three good ones. Or 500 sketches, business ideas, or recipes. If you’re really really good, you can increase your overall conversion rate from 0.6% to 1%—but the most reliable way to get better results is to just produce more crap.</p>

<p>So I kept at it. week after week. Sometime in the middle of the fourth week I had 3,000 words in my Notes app. That’s when I started editing.</p>

<p>Editing is hard because you realize how bad you are. But editing is easy because we’re all better at criticizing than we are at creating.</p>

<p>The good thing about forcing yourself to produce a bunch of garbage is that you don’t feel bad deleting it. You’re not married to any of your work, because you wrote it half-awake on the <code>1BX</code> while some crazy dude negotiated his fare with the driver. I gleefully deleted hundreds of words, trying not to think about the neanderthal who must’ve written them.</p>

<p>It was exactly a month after I started this creative project that I finished this first essay. I read it over for the bazillionth time and thought <em>this only a <strong>small</strong> tire fire</em>.</p>

<p>In it’s final form, the essay was almost exactly 1,600 words. I called it <em>Consume less, create more</em>.</p>

<hr/>

<p><span class="dropcap">Y</span>ou are, in fact, reading that essay right now. It may not look like it, but this is the product of an <strong>entire month</strong> of bus rides. If you live in San Francisco and saw someone on the <code>1BX</code> smashing the face of his phone like he was angry at it, you probably saw me writing this essay.</p>

<p>Perhaps three people will read this essay, including my parents. Despite that, I feel an immense sense of accomplishment. I’ve been sitting on buses for years, but I have more to show for my last month of bus rides than the rest of that time combined.</p>

<p>Smartphones, I’ve decided, are not evil. This entire essay was composed on an iPhone. What’s evil is passive consumption, in all its forms.</p>

<p>Twitter, Facebook, Instagram—we can all agree that these are serious timewasters. But what about <em>The Economist</em> or <em>War and Peace</em>? How much can you really remember from all of those <em>New York Times</em> op-eds you’ve read? Could you summarize the major themes of <em>Grapes of Wrath</em>?</p>

<p>Most knowledge worth having comes from <strong>practice</strong>. It comes from <strong>doing</strong>. It comes from <strong>creating</strong>. Reading about the trade war with China doesn’t make you smarterâit gives you something to say at dinner parties. It gives you the illusion that you have the vaguest idea what is happening in our enormously complex world.</p>

<p>A lot of ink has been spilled about the perils of modern technology. How it distracts us, how it promotes unhealthy comparisons with others, how it makes us fat, how it limits social interaction, how it spies on us. And all of these things are probably true, to some extent.</p>

<p>But the real tragedy of modern technology is that it’s turned us into <strong>consumers</strong>. Our voracious consumption of media parallels our consumption of fossil fuels, corn syrup, and plastic straws. And although we’re starting to worry about our consumption of those physical goods, we seem less concerned about our consumption of information.</p>

<p>We treat information as necessarily good, and comfort ourselves with the feeling that whatever article or newsletter we waste our time with is actually <em>good</em> for us. We equate <em>reading</em> with <em>self improvement</em>, even though we forget most of what we’ve read, and what we remember isn’t useful.</p>

<p>So stop reading and start <strong>creating</strong>. Paint, draw, compose, code, or plan. It will be hard. It will be slow. It will be frustrating. But I promise it will be worth it.</p>
