title: Forgetting again
url: https://adactio.com/journal/8710
hash_url: 1f835016c1c6b00bd780bac5d6e786b9

<p>In an article entitled <a href="http://www.theguardian.com/society/2015/apr/01/future-of-loneliness-internet-isolation"><cite>The future of loneliness</cite></a> Olivia Laing writes about the promises and disappointments provided by the internet as a means of sharing and communicating. This isn’t particularly new ground and she readily acknowledges the work of <a href="http://www.mit.edu/~sturkle/">Sherry Turkle</a> in this area. The article is the vanguard of a forthcoming book called <a href="http://olivialaing.co.uk/#/the-lonely-city/4569918332"><cite>The Lonely City</cite></a>. I’m hopeful that the book won’t be just another baseless luddite reactionary moral panic as exemplified by the likes of <a href="http://www.ajkeen.com/">Andrew Keen</a> and <a href="http://www.susangreenfield.com/">Susan Greenfield</a>.</p>

<p>But there’s one section of the article where Laing stops providing any data (or even anecdotal evidence) and presents a supposition as though it were unquestionably fact:</p>

<blockquote>
  <p>With this has come the slowly dawning realisation that our digital traces will long outlive us.</p>
</blockquote>

<p>Citation needed.</p>

<p>I recently wrote <a href="https://adactio.com/journal/8643">a short list</a> of three things that are not true, but are constantly presented as if they were beyond question:</p>

<blockquote>
  <ol>
  <li>Personal publishing is dead.</li>
  <li>JavaScript is ubiquitous.</li>
  <li>Privacy is dead.</li>
  </ol>
</blockquote>

<p>But I didn’t include the most pernicious and widespread lie of all:</p>

<blockquote>
  <p>The internet never forgets.</p>
</blockquote>

<p>This truism is so pervasive that it can be presented as a fait accompli, without any data to back it up. If you were to seek out the data to back up the claim, you would find that the opposite is true—the internet is in constant state of forgetting.</p>

<p>Laing writes:</p>

<blockquote>
  <p>Faced with the knowledge that nothing we say, no matter how trivial or silly, will ever be completely erased, we find it hard to take the risks that togetherness entails.</p>
</blockquote>

<p>Really? Suppose I said <a href="https://adactio.com/journal/8369">my trivial and silly thing</a> on Friendfeed. Everything that was ever posted to Friendfeed <a href="http://blog.friendfeed.com/2015/03/dear-friendfeed-community-were.html">disappeared three days ago</a>:</p>

<blockquote>
  <p>You will be able to view your posts, messages, and photos until April 9th. On April 9th, we’ll be shutting down FriendFeed and it will no longer be available.</p>
</blockquote>

<p>What if I shared on Posterous?  Or Vox (back when that domain name was a social network hosting 6 million URLs)? What about Pownce? Geocities?</p>

<p>These aren’t the exceptions—<a href="http://indiewebcamp.com/site-deaths">this is routine</a>. And yet somehow, despite <a href="http://archiveteam.org/index.php?title=Deathwatch">all the evidence to the contrary</a>, we still keep a completely straight face and say “Be careful what you post online; it’ll be there forever!”</p>

<p>The problem here is a mismatch of expectations. We <em>expect</em> everything that we post online, no matter how trivial or silly, to remain forever. When instead it is callously destroyed, our expectation—which was fed by the “knowledge” that the internet never forgets—is turned upside down. That’s where the anger comes from; the mismatch between expected behaviour and the reality of this digital dark age.</p>

<p>Being frightened of an internet that never forgets is like being frightened of zombies or vampires. These things do indeed sound frightening, and there’s something within us that readily responds to them, but they bear no resemblance to reality.</p>

<p>If you want to imagine a truly frightening scenario, imagine an entire world in which people entrust their thoughts, their work, and pictures of their family to online services in the mistaken belief that the internet never forgets. Imagine the devastation when all of those trivial, silly, precious moments are <a href="https://twitter.com/textfiles/status/586629905460420610">wiped out</a>. For some reason we have a hard time imagining that dystopia even though it has already played out time and time again.</p>

<p>I am far more frightened by an internet that never remembers than I am by an internet that never forgets.</p>

<p>And worst of all, by propagating the myth that the internet never forgets, we are encouraging people to focus in exactly the wrong area. Nobody worries about preserving what they put online. Why should they? They’re constantly being told that it will be there forever. The result is that their history is taken from them:</p>

<blockquote>If we lose the past, we will live in an Orwellian world of the perpetual present, where anybody that controls what’s currently being put out there will be able to say what is true and what is not. This is a dreadful world. We don’t want to live in this world.</blockquote>

<p><figcaption>—<cite>Brewster Kahle</cite></figcaption>
</p>
