title: The Web Is Agreement
url: https://adactio.com/articles/14321
hash_url: 22968d175d13a6693433c7c4732469da

<p class="p-description">
This presentation on web standards was delivered at the State Of The Browser conference in London in September 2018.
</p>

<div class="e-content">
<p><audio src="https://adactio.s3.amazonaws.com/audio/articles/stateofthebrowser2018thewebisagreement.mp3" controls="" preload="none"><a href="https://adactio.s3.amazonaws.com/audio/articles/stateofthebrowser2018thewebisagreement.mp3">The Web Is Agreement</a></audio></p>



<p>Web standards don’t exist.</p>

<p>At least, they don’t physically exist. They are intangible.</p>

<p>They’re in good company.</p>

<p>Feelings are intangible, but real. Hope. Despair.</p>

<p>Ideas are intangible: liberty, justice, socialism, capitalism.</p>

<p>The economy. Currency. All intangible. I’m sure we’ve all had those “college thoughts”:</p>

<blockquote>
  <p>Money isn’t real, man! They’re just bits of metal and pieces of paper ! Wake up, sheeple!</p>
</blockquote>

<p>Nations are intangible. Geographically, France is a tangible, physical place. But France, the Republic, is an idea. Geographically, North America is a real, tangible, physical land mass. But ideas like “Canada” and “The United States” only exist in our minds.</p>

<p>Faith—the feeling—is intangible.</p>

<p>God—the idea—is intangible.</p>

<p>Art—the concept—is intangible.</p>

<p>A piece of art is an insantiation of the intangible concept of what art is.</p>

<p>Incidentally, I quite like Brian Eno’s working definition of what art is. Art is anything we don’t <em>have to</em> do. We don’t <em>have to</em> make paintings, or sculptures, or films, or music. We have to clothe ourselves for practical reasons, but we don’t <em>have to</em> make clothes beautiful. We have to prepare food to eat it, but don’t <em>have to</em> make it a joyous event.</p>

<p>By this definition, sports are also art. We don’t <em>have to</em> play football. Sports are also intangible.</p>

<p>A game of football is an instantiation of the intangible idea of what football is.</p>

<p>Football, chess, rugby, quiditch and rollerball are equally (in)tangible.
But football, chess and rugby have more consensus.</p>

<p>(Christianity, Islam, Judaism, and The Force are equally intangible, but Christianity, Islam, and Judaism have a bit more consensus than The Force).</p>

<p>HTML is intangible.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/markup.png" alt="Markup." title=""/></p>

<p>A web page is an instantiation of the intangible idea of what HTML is.</p>

<p>But we can document our shared consensus.</p>

<p>A rule book for football is like a web standard specification. A documentation of consensus.</p>

<p>By the way, economics, religions, sports and laws are all examples of intangibles that can’t be <em>proven</em>, because they all rely on their own internal logic—there is no outside data that can prove football or Hinduism or capitalism to be “true”. That’s very different to ideas like gravity, evolution, relativity, or germ theory—they are all intangible but provable. They are discovered, rather than created. They are part of <strong>objective reality</strong>.</p>

<p><strong>Consensus reality</strong>  is the collection of intangibles that we collectively agree to be true: economy, religion, law, web standards.</p>

<p>We treat consensus reality much the same as we treat objective reality: in our minds, football, capitalism, and Christianity are just as real as buildings, trees, and stars.</p>

<p>Sometimes consensus reality and objective reality get into fights.</p>

<p>Some people have tried to make a consensus reality around the accuracy of astrology or the efficacy of homeopathy, or ideas like the Earth being flat, 9-11 being an inside job, the moon landings being faked, the holocaust never having happened, or vaccines causing autism. These people are unfazed by objective reality, which disproves each one of these ideas.</p>

<p>For a long time, the consensus reality was that the sun revolved around the Earth. Copernicus and Galileo demonstrated that the objective reality was that the Earth (and all the other planets in our solar system) revolve around the sun. After the dust settled on that particular punch-up, we switched up our consensus reality. We changed the story.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/stories.png" alt="Stories." title=""/></p>

<p>That’s another way of thinking about consensus reality: our currencies, our religions, our sports and our laws are stories that we collectively choose to believe.</p>

<p>Web standards are a collection of intangibles that we collectively agree to be true. They’re our stories. They’re our collective consensus reality. They are what web browsers agree to implement, and what we agree to use.</p>

<p>The web is agreement.</p>

<p><picture>
<source media="all and (min-width: 27em)" srcset="https://adactio.com/images/articles/thewebisagreement/thewebisagreement.jpg">
<img class="u-photo" src="https://adactio.com/images/articles/thewebisagreement/thewebisagreement-small.jpg" srcset="https://adactio.com/images/articles/thewebisagreement/thewebisagreement.jpg 1.6666x" alt="The Web Is Agreement by Paul Downey."/>
</source></picture></p>

<p>For human beings to collaborate together, they need a shared <strong>purpose</strong>. They must have a shared consensus reality—a shared story.</p>

<p>Once a group of people share a purpose, they can work together to establish <strong>principles</strong>.</p>

<p>Design principles are points of agreement. There are design principles underlying every human endeavour. Sometimes they are tacit. Sometimes they are written down.</p>

<p><strong>Patterns</strong> emerge from principles.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/purposeprinciplespatterns.png" alt="Patterns upon Principles upon Purpose." title=""/></p>

<p>Here’s an example of a human endeavour: the creation of a nation state, like the United States of America.</p>

<ol>
<li>The purpose is agreed in the declaration of independence.</li>
<li>The principles are documented in the constitution.</li>
<li>The patterns emerge in the form of laws.</li>
</ol>

<p>HTML elements, CSS features, and JavaScript APIs are all patterns (that we agree upon). Those patterns are informed by design principles.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/patterns.png" alt="HTML, CSS, and JavaScript." title=""/></p>

<p>I’ve been collecting design principles of varying quality at <a href="https://principles.adactio.com">principles.adactio.com</a>.</p>

<p>Here’s one of the design principles behind HTML5. It’s my personal favourite—the priority of constituencies:</p>

<blockquote>
  <p>In case of conflict, consider users over authors over implementors over specifiers over theoretical purity.</p>
</blockquote>

<p>“In case of conflict”—that’s exactly what a good design principle does! It establishes the boundaries of agreement. If you disagree with the design principles of a project, there probably isn’t much point contributing to that project.</p>

<p>Also, it’s reversible. You could imagine a different project that favoured theoretical purity above all else. In fact, that’s pretty much what XHTML 2 was all about.</p>

<p>XHTML 1 was simply HTML reformulated with the <em>syntax</em> of XML: lowercase tags, lowercase attributes, always quoting attribute values.</p>

<p>Remember HTML doesn’t care whether tags and attributes are uppercase or lowercase, or whether you put quotes around your attribute values. You can even leave out some closing tags.</p>

<p>So XHTML 1 was actually kind of a nice bit of agreement: professional web developers agreed on using lowercase tags and attributes, and we agreed to quote our attributes. Browsers didn’t care one way or the other.</p>

<p>But XHTML 2 was going to take the error-handling model of XML and apply it to HTML. This is the error handling model of XML: if the parser encounters a single error, don’t render the document.</p>

<p>Of course nobody agreed to this. Browsers didn’t agree to implement XHTML 2. Developers didn’t agree to use it. It ceased to exist.</p>

<p>It turns out that <em>creating</em> a format is relatively straightforward. But how do you turn something into a standard? The really hard part is getting agreement.</p>

<p>Sturgeon’s Law states:</p>

<blockquote>
  <p>90% of everything is crap.</p>
</blockquote>

<p>Coincidentally, 90% is also the percentage of the world’s crap that gets transported by ocean. Your clothes, your food, your furniture, your electronics …chances are that at some point they were transported within an intermodal container.</p>

<p>These shipping containers are probably the most visible—and certainly one of the most important—standards in the physical world. Before the use of intermodal containers, loading and unloading cargo from ships was a long, laborious, and dangerous task.</p>

<p>Along came Malcom McLean who realised that the whole process could be made an order of magnitude more efficient if the cargo were stored in containers that could be moved from ship to truck to train.</p>

<p>But he wasn’t the only one. The movement towards containerisation was already happening independently around the world. But everyone was using different sized containers with different kinds of fittings. If this continued, the result would be a tower of Babel instead of smoothly running global logistics.</p>

<p>Malcolm McLean and his engineer Keith Tantlinger designed two crate sizes—20ft and 40ft—that would work for ships, trucks, and trains. Their design also incorporated an ingenious twistlock mechanism to secure containers together. But the extra step that would ensure that their design would win out was this: Tantlinger convinced McLean to give up the patent rights.</p>

<p>This wasn’t done out of any hippy-dippy ideology. These were hard-nosed businessmen. But they understood that a rising tide raises all boats, and they wanted all boats to be carrying the same kind of containers.</p>

<p>Without the threat of a patent lurking beneath the surface, ready to torpedo the potential benefits, the intermodal container went on to change the world economy. (The world economy is very large and intangible.)</p>

<p>The World Wide Web also ended up changing the world economy, and much more besides. And like the intermodal container, the World Wide Web is patent-free.</p>

<p><picture>
<source media="all and (min-width: 27em)" srcset="https://adactio.com/images/articles/thewebisagreement/webserver.jpg">
<img class="u-photo" src="https://adactio.com/images/articles/thewebisagreement/webserver-small.jpg" srcset="https://adactio.com/images/articles/thewebisagreement/webserver.jpg 1.6666x" alt="The first ever web server—Tim Berners-Lee’s NeXT machine."/>
</source></picture></p>

<p>Again, this was a pragmatic choice to help foster adoption. When Tim Berners-Lee and his colleague Robert Cailleau were trying to get people to use their World Wide Web project they faced some stiff competition. Lots of people were already using Gopher. Anyone remember Gopher?</p>

<p>The seemingly unstoppable growth of the Gopher protocol was somewhat hobbled in the early ’90s when the University of Minnesota announced that it was going to start charging fees for using it. This was a cautionary lesson for Berners-Lee and Cailleau. They wanted to make sure that CERN didn’t make the same mistake.</p>

<p>On April 30th, 1993, the code for the World Wide Project was made freely available.</p>

<p>This is for everyone.</p>

<p><picture>
<source media="all and (min-width: 27em)" srcset="https://adactio.com/images/articles/thewebisagreement/thisisforeveryone.jpg">
<img class="u-photo" src="https://adactio.com/images/articles/thewebisagreement/thisisforeveryone-small.jpg" srcset="https://adactio.com/images/articles/thewebisagreement/thisisforeveryone.jpg 1.6666x" alt="Robert Cailleau’s copy of the document that put the World Wide Web into the public domain."/>
</source></picture></p>

<p>If you’re trying to get people to adopt a standard or use a new hypertext system, the biggest obstacle you’re going to face is inertia. As the brilliant computer scientist Grace Hopper used to say:</p>

<blockquote>
  <p>The most dangerous phrase in the English language is “We’ve always done it this way.”</p>
</blockquote>

<p><picture>
<source media="all and (min-width: 27em)" srcset="https://adactio.com/images/articles/thewebisagreement/gracehopper.jpg">
<img class="u-photo" src="https://adactio.com/images/articles/thewebisagreement/gracehopper-small.jpg" srcset="https://adactio.com/images/articles/thewebisagreement/gracehopper.jpg 1.6666x" alt="Grace Hopper."/>
</source></picture></p>

<p>Rear Admiral Grace Hopper waged war on business as usual. She was well aware how abritrary business as usual is. Business as usual is simply the current state of our consensus reality. She said:</p>

<blockquote>
  <p>Humans are allergic to change.</p>

  <p>I try to fight that.</p>

  <p>That’s why I have a clock on my wall that runs counter‐clockwise.</p>
</blockquote>

<p>Our clocks are a perfect example of a ubiquitous but arbitrary convention. Why should clocks run clockwise rather than counter-clockwise?</p>

<p>One neat explanation is that clocks are mimicing the movement of a shadow across the face of a sundial …in the Northern hemisphere. Had clocks been invented in the Southern hemisphere, they would indeed run counter-clockwise.</p>

<p><picture>
<source media="all and (min-width: 27em)" srcset="https://adactio.com/images/articles/thewebisagreement/sundial.jpg">
<img class="u-photo" src="https://adactio.com/images/articles/thewebisagreement/sundial-small.jpg" srcset="https://adactio.com/images/articles/thewebisagreement/sundial.jpg 1.6666x" alt="A sundial in the Southern hemisphere."/>
</source></picture></p>

<p>But on the clock face itself, why do we carve up time into 24 hours? Why are there 60 minutes in an hour? Why are there are 60 seconds in a minute?</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/sexagesimal.png" alt="24 by 60 by 60." title=""/></p>

<p>It probably all goes back to Babylonian accountants. Early cuneiform tablets show that they used a sexagecimal system for counting—that’s because 60 is the lowest number that can be divided evenly by 6, 5, 4, 3, 2, and 1.</p>

<p>But we don’t count in base 60; we count in base 10. That in itself is arbitrary—we just happen to have a total of ten digits on our hands.</p>

<p>So if the sexagesimal system of telling time is an accident of accounting, and base ten is more widespread, why don’t we switch to a decimal timekeeping system?</p>

<p>It has been tried. The French revolution introduced not just a new decimal calendar—much neater than our base 12 calendar—but also decimal time. Each day had ten hours. Each hour had 100 minutes. Each minute had 100 seconds. So much better!</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/decimal.png" alt="10 by 100 by 100." title=""/></p>

<p>It didn’t take. Humans are allergic to change. Sexagesimal time may be arbitrary and messy but …we’ve always done it this way.</p>

<p>Incidentally, this is also why I’m not holding my breath in anticipation of the USA ever switching to the metric system.</p>

<p>Instead of trying to completely change people’s behaviour, you’re likely to have more success by incrementally and subtly altering what people are used to.</p>

<p>That was certainly the case with the World Wide Web.</p>

<p>The Hypertext Transfer Protocol sits on top of the existing TCP/IP stack.</p>

<p>The key building block of the web is the URL. But instead of creating an entirely new addressing scheme, the web uses the existing Domain Name System.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/httpurls.png" alt="HTTP upon TCP/IP; URLs upon DNS." title=""/></p>

<p>Then there’s the lingua franca of the World Wide Web. These elements probably look familiar to you:</p>

<p><code>&lt;body&gt;</code> <code>&lt;title&gt;</code> <code>&lt;p&gt;</code> <code>&lt;h1&gt;</code> <code>&lt;h2&gt;</code> <code>&lt;h3&gt;</code> <code>&lt;ol&gt;</code> <code>&lt;ul&gt;</code> <code>&lt;li&gt;</code> <code>&lt;dl&gt;</code> <code>&lt;dt&gt;</code> <code>&lt;dd&gt;</code></p>

<p>You recognise this language, right? That’s right—it’s SGML. Standard Generalised Markup Language.</p>

<p>Specifically, it’s CERN SGML—a flavour of SGML that was already popular at CERN when Tim Berners-Lee was working on the World Wide Project. He used this vocabulary as the basis for the HyperText Markup Language.</p>

<p>Because this vocabulary was already familiar to people at CERN, convincing them to use HTML wasn’t too much of a hard sell. They could take an existing SGML document, change the file extension to <code>.htm</code> and it would work in one of those new fangled web browsers.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/html.png" alt="HTML upon SGML." title=""/></p>

<p>In fact, HTML worked better than expected. The initial idea was that HTML pages would be little more than indices that pointed to other files containing the real meat and potatoes of content—spreadsheets, word processing documents, whatever. But to everyone’s surprise, people started writing and publishing content in HTML.</p>

<p>Was HTML the best format? Far from it. But it was just good enough and easy enough to get the job done.</p>

<p>It has since changed, but that change has happened according to another design principle:</p>

<blockquote>
  <p>Evolution, not revolution</p>
</blockquote>

<p>From its humble beginnings with the handful of elements borrowed from CERN SGML, HTML has grown to encompass an additional 100 elements over its lifespan. And yet, it’s still technically the same format!</p>

<p>This is a classic example of the paradox called the Ship Of Theseus, also known as Trigger’s Broom.</p>

<p>You can take an HTML document written over two decades ago, and open it in a browser today.</p>

<p>Even more astonishing, you can take an HTML document written today and open it in a browser from two decades ago. That’s because the error-handling model of HTML has always been to simply ignore any tags it doesn’t recognise and render the content inside them.</p>

<p>That pattern of behaviour is a direct result of the design principle:</p>

<blockquote>
  <p>Degrade Gracefully</p>

  <p>…document conformance requirements should be designed so that Web content can degrade gracefully in older or less capable user agents, even when making use of new elements, attributes, APIs and content models.</p>
</blockquote>

<p>Here’s a picture from 2006.</p>

<p><picture>
<source media="all and (min-width: 27em)" srcset="https://adactio.com/images/articles/thewebisagreement/microformats.jpg">
<img class="u-photo" src="https://adactio.com/images/articles/thewebisagreement/microformats-small.jpg" srcset="https://adactio.com/images/articles/thewebisagreement/microformats.jpg 1.6666x" alt="Tantek Çelik, Brian Suda, Ryan King, Chris Messina, Mark Norman Francis, and Jeremy Keith."/>
</source></picture></p>

<p>That’s me in the cowboy hat—the picture was taken in Austin, Texas. This is an impromptu gathering of people involved in the microformats community.</p>

<p>Microformats, like any other standards, are sets of agreements. In this case, they’re agreements on which class values to use to mark up some of the missing elements from HTML—people, places, and events. That’s pretty much it.</p>

<p>And yes, they do have design principles—some very good ones—but that’s not why I’m showing this picture.</p>

<p>Some of the people in this picture—Tantek Çelik, Ryan King, and Chris Messina—were involved in the creation of BarCamp, a series of grassroots geek gatherings.</p>

<p>BarCamps sound like they shouldn’t work, but they do. The schedule for the event is arrived at collectively at the beginning of the gathering. It’s kind of amazing how the agreement emerges—rough consensus and running events.</p>

<p>In the run-up to a BarCamp in 2007, Chris Messina posted <a href="https://twitter.com/chrismessina/status/223115412">this message</a> to the fledgeling social networking site, twitter.com:</p>

<blockquote>
  <p>how do you feel about using # (pound) for groups. As in #barcamp [msg]?</p>
</blockquote>

<p>This was when tagging was all the rage. We were all about folksonomies back then. Chris proposed that we would call this a “hashtag”.</p>

<p>I wasn’t a fan:</p>

<blockquote>
  <p>Thinking that hashtags disrupt the reading flow of natural language. Sorry @factoryjoe</p>
</blockquote>

<p>But it didn’t matter what I thought. People agreed to this convention, and after a while Twitter began turning the hashtagged words into links.</p>

<p>In doing so, they were following another HTML design principle:</p>

<blockquote>
  <p>Pave the cowpaths</p>
</blockquote>

<p>It sounds like advice for agrarian architects, but its meaning is clarified:</p>

<blockquote>
  <p>When a practice is already widespread among authors, consider adopting it rather than forbidding it or inventing something new. </p>
</blockquote>

<p>Twitter had previously paved a cowpath when people started prefacing usernames with the @ symbol. That convention didn’t come from Twitter, but they didn’t try to stop it. They rolled with it, and turned any username prefaced with an @ symbol into a link.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/aperand.png" alt="The aperand symbol." title=""/></p>

<p>The @ symbol made sense because people were used to using it from email. The choice to use that symbol in email addresses was made by Ray Tomlinson. He needed a symbol to separate the person and the domain, looked down at his keyboard, saw the @ symbol, and thought “that’ll do.”</p>

<p>Perhaps Chris followed a similar process when he proposed the symbol for the hashtag.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/octothorpe.png" alt="The octothorpe symbol." title=""/></p>

<p>It could have just as easily been called a “number tag” or “octothorpe tag” or “pound tag”.</p>

<p>This symbol started life as a shortcut for “pound”, or more specifically “libra pondo”, meaning a pound in weight. Libra pondo was abbreviated to lb when written. That got turned into a ligature ℔ when written hastily. That shape was the common ancestor of two symbols we use today: £ and #.</p>

<p>The eight-pointed symbol was (perhaps jokingly) renamed the octothorpe in the 1960s when it was added to telephone keypads. It’s still there on the digital keypad of your mobile phone. If you were to ask someone born in this millenium what that key is called, they would probably tell you it’s the hashtag key. And if they’re learning to read sheet music, I’ve heard tell that they refer to the sharp notes as hashtag notes.</p>

<p>If this upsets you, you might be the kind of person who rages at the word “literally” being used to mean “figuratively” or supermarkets with aisles for “10 items or less” instead of “10 items or fewer”.</p>

<p>Tough luck. The English language is agreement. That’s why English dictionaries exist not to <em>dictate</em> usage of the language, but to <em>document</em> usage.</p>

<p>It’s much the same with web standards bodies. They don’t carve the standards into tablets of stone and then come down the mountain to distribute them amongst the browsers. No, it’s what the browsers implement that gets carved in stone. That’s why it’s so important that browsers are in agreement. In the bad old days of the browser wars of the late 90s, we saw what happened when browsers implemented their own proprietary features.</p>

<p>Standards require interoperability.</p>

<p>Interoperability requires agreement.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/agreementinteroperabilitystandards.png" alt="Standards atop Interoperability atop Agreement." title=""/></p>

<p>So what we can learn from the history of standardisation?</p>

<p>Well, there are some direct lessons from the HTML design principles.</p>

<h3>The priority of constituencies</h3>

<blockquote>
  <p>Consider users over authors…</p>
</blockquote>

<p>Listen, I want developer convenience as much as the next developer. But never at the expense of user needs.</p>

<p>I’ve often said that if I have the choice between making something my problem, and making it the user’s problem, I’ll make it <em>my</em> problem every time. That’s the job.</p>

<p>I worry that these days developer convenience is sometimes prized more highly than user needs. I think we could all use a priority of constituencies on every project we work on, and I would hope that we would prioritise users over authors.</p>

<h3>Degrade gracefully</h3>

<blockquote>
  <p>Web content can degrade gracefully in older or less capable user agents…</p>
</blockquote>

<p>I know that I go on about progressive enhancement a lot. Sometimes I make it sound like a silver bullet. Well, it kinda is.</p>

<p>I mean, you can’t just buy a bullet made of silver—you have to make it yourself. If you’re not used to crafting bullets from silver, it will take some getting used to.</p>

<p>Again, if developer convenience is your priority, silver bullets are hard to justify. But if you’re prioritising users over authors, progressive enhancement is the logical methodology to use.</p>

<h3>Evolution, not revolution</h3>

<p>It’s a testament to the power and flexibility of the web that we don’t <em>have to</em> build with progressive enhancement. We don’t <em>have to</em> build with a separation of concerns like structure, presentation, and behaviour.</p>

<p>We don’t <em>have to</em> use what the browser gives us: buttons, dropdowns, hyperlinks. If we want to, we can make these things from scratch using JavaScript, <code>div</code>s and ARIA attributes.</p>

<p>But why do that? Is it because those native buttons and dropdowns might be inconsistent from browser to browser.</p>

<p>Consistency is not the <em>purpose</em> of the world wide web.</p>

<p><em>Universality</em> is the key principle underlying the web.</p>

<p>Our patterns should reflect the intent of the medium.</p>

<p>Use what the browser gives you—build on top of those agreements. Because that’s the bigger lesson to be learned from the history of web standards, clocks, containers, and hashtags.</p>

<p><img src="https://adactio.com/images/articles/thewebisagreement/pastpresentfuture.png" alt="Future atop Present atop Past." title=""/></p>

<p>Our world is made up of incremental improvements to what has come before. And that’s how we will push forward to a better tomorrow: By building on top of what we already have instead of trying to create something entirely from scratch. And by working together to get agreement instead of going it alone.</p>

<p>The future can be a frightening prospect, and I often get people asking me for advice on how they should prepare for the web’s future. Usually they’re thinking about which programming language or framework or library they should be investing their time in. But these specific patterns matter much less than the broader principles of working together, collaborating and coming to agreement. It’s kind of insulting that we refer to these as “soft skills”—they couldn’t be more important.</p>

<p>Working on the web, it’s easy to get downhearted by the seemingly ephemeral nature of what we build. None of it is “real”; none of it is tangible. And yet, looking at the history of civilisation, it’s the intangibles that survive: ideas, philosophies, culture and concepts. </p>

<p>The future can be frightening because it is intangible and unknown. But like all the intangible pieces of our consensus reality, the future is something we construct …through agreement.</p>

<p>Now let’s <em>agree</em> to go forward <em>together</em> to build the future web!</p>

</div>
