title: Just 100 companies responsible for 71% of global emissions, study says
url: https://www.theguardian.com/sustainable-business/2017/jul/10/100-fossil-fuel-companies-investors-responsible-71-global-emissions-cdp-study-climate-change
hash_url: 309ad266f8875152cb9d398bc1ad4723

<p>Just 100 companies have been the source of more than 70% of the world’s greenhouse gas emissions since 1988, according to a new report.<br/></p>
<p>The <a href="https://b8f65cb373b1b7b15feb-c70d8ead6ced550b4d987d7c03fcdd1d.ssl.cf3.rackcdn.com/cms/reports/documents/000/002/327/original/Carbon-Majors-Report-2017.pdf?1499691240" data-link-name="in body link" class="u-underline">Carbon Majors Report</a> (pdf) “pinpoints how a relatively small set of fossil fuel producers may hold the key to systemic change on carbon emissions,” says Pedro Faria, technical director at environmental non-profit CDP, which published the report in collaboration with the Climate Accountability Institute. </p>
<p>Traditionally, large scale greenhouse gas emissions data is collected at a national level but this report focuses on fossil fuel producers. Compiled from a database of publicly available emissions figures, it is intended as the first in a series of publications to highlight the role companies and their investors could play in tackling climate change. </p>
<aside class="element element-rich-link element--thumbnail element-rich-link--not-upgraded" data-component="rich-link" data-link-name="rich-link-2 | 1">
<div class="rich-link">
<div class="rich-link__container">
<p class="rich-link__header">
<h1 class="rich-link__title">Hopes of mild climate change dashed by new research</h1>
</p>

<a class="rich-link__link u-faux-block-link__overlay" href="https://www.theguardian.com/environment/2017/jul/05/hopes-of-mild-climate-change-dashed-by-new-research" aria-label="Hopes of mild climate change dashed by new research"/>
</div>
</div>
</aside>
<p>The report found that more than half of global industrial emissions since 1988 – the year the Intergovernmental Panel on Climate Change was established – can be traced to just 25 corporate and state-owned entities. The scale of historical emissions associated with these fossil fuel producers is large enough to have contributed significantly to climate change, according to the report.</p>
<p> ExxonMobil, Shell, BP and Chevron are identified as among the highest emitting investor-owned companies since 1988. If fossil fuels continue to be extracted at the same rate over the next 28 years as they were between 1988 and 2017, says the report, global average temperatures would be on course to rise by 4C by the end of the century. This is likely to have <a href="https://www.theguardian.com/environment/2013/dec/31/planet-will-warm-4c-2100-climate" data-link-name="in body link" class="u-underline">catastrophic consequences</a> including substantial species extinction and global food scarcity risks.</p>
<p>While companies have a huge role to play in driving climate change, says Faria, the barrier is the “absolute tension” between short-term profitability and the urgent need to reduce emissions.</p>
<p>A <a href="http://www.carbontracker.org/report/stranded-assets-danger-zone/" data-link-name="in body link" class="u-underline">Carbon Tracker study</a> in 2015 found that fossil fuel companies risked wasting <a href="https://www.theguardian.com/environment/2015/nov/25/fossil-fuel-companies-risk-wasting-2tn-paris-climate-deal" data-link-name="in body link" class="u-underline">more than $2tn</a> over the coming decade by pursuing coal, oil and gas projects that could be worthless in the face of international action on climate change and advances in renewables – in turn posing substantial threats to investor returns.</p>
<p>CDP says its aims with the carbon majors project are both to improve transparency among fossil fuel producers and to help investors understand the emissions associated with their fossil fuel holdings. </p>
<p>A fifth of global industrial greenhouse gas emissions are backed by public investment, according to the report. “That puts a significant responsibility on those investors to engage with carbon majors and urge them to disclose climate risk,” says Faria.</p>
<p>Investors should move out of fossil fuels, says Michael Brune, executive director of US environmental organisation the Sierra Club. “Not only is it morally risky, it’s economically risky. The world is moving away from fossil fuels towards clean energy and is doing so at an accelerated pace. Those left holding investments in fossil fuel companies will find their investments becoming more and more risky over time.”</p>
<aside class="element element-rich-link element--thumbnail element-rich-link--not-upgraded" data-component="rich-link" data-link-name="rich-link-2 | 2">
<div class="rich-link">
<div class="rich-link__container">
<p class="rich-link__header">
<h1 class="rich-link__title">G20 public finance for fossil fuels 'is four times more than renewables'</h1>
</p>

<a class="rich-link__link u-faux-block-link__overlay" href="https://www.theguardian.com/world/2017/jul/05/g20-public-finance-for-fossil-fuels-is-four-times-more-than-renewables" aria-label="G20 public finance for fossil fuels 'is four times more than renewables'"/>
</div>
</div>
</aside>
<p>There is a “growing wave of companies that are acting in the opposite manner to the companies in this report,” says Brune. Nearly 100 companies including Apple, Facebook, Google and Ikea have committed to 100% renewable power under the <a href="http://re100.org/companies" data-link-name="in body link" class="u-underline">RE100 initiative</a>. <a href="https://www.theguardian.com/business/2017/jul/05/volvo-cars-electric-hybrid-2019" data-link-name="in body link" class="u-underline">Volvo recently announced</a> that all its cars would be electric or hybrid from 2019. </p>
<p>And oil and gas companies are also embarking on green investments. Shell set up <a href="https://www.theguardian.com/business/2016/may/15/shell-creates-green-energy-division-to-invest-in-wind-power" data-link-name="in body link" class="u-underline">a renewables arm</a> in 2015 with a $1.7bn investment attached and a spokesperson for Chevron says it’s “committed to managing its [greenhouse gas] emissions” and is investing in two of the world’s largest <a href="http://www.afr.com/technology/gorgon-lng-project-to-show-business-case-for-carbon-waste-storage-20170618-gwtpk6" data-link-name="in body link" class="u-underline">carbon dioxide injection</a><a href="http://www.afr.com/technology/gorgon-lng-project-to-show-business-case-for-carbon-waste-storage-20170618-gwtpk6" data-link-name="in body link" class="u-underline"> projects</a> to capture and store carbon. A BP spokesperson says its “determined to be part of the solution” for climate change and is “investing in renewables and low-carbon innovation.” And ExxonMobil, which has faced <a href="https://www.theguardian.com/environment/2015/jul/08/exxon-climate-change-1981-climate-denier-funding" data-link-name="in body link" class="u-underline">heavy criticism</a> for its environmental record, has been <a href="https://www.theguardian.com/business/2016/may/21/oil-majors-investments-renewable-energy-solar-wind" data-link-name="in body link" class="u-underline">exploring carbon capture and storage</a>.</p>
<p>But for many the sums involved and pace of change are nowhere near enough. A research paper published last year by Paul Stevens, an academic at think tank Chatham House, said international oil companies were no longer fit for purpose and warned these multinationals that they faced a <a href="https://www.theguardian.com/business/2016/may/05/oil-firms-environment-energy-climate-change" data-link-name="in body link" class="u-underline">“nasty, brutish and short” end</a> within the next 10 years if they did not completely change their business models. </p>
<p>Investors now have a choice, according to Charlie Kronick, senior programme advisor at Greenpeace UK. “The future of the oil industry has already been written: the choice is will its decline be managed, returning capital to shareholders to be reinvested in the genuine industries of the future, or will they hold on, hoping not be the last one standing when the music stops?”</p>
<figure class="element element-interactive interactive" data-interactive="https://interactive.guim.co.uk/embed/iframe-wrapper/0.1/boot.js" data-canonical-url="https://interactive.guim.co.uk/tools/tables/embed/index.html?spreadsheet=1WceY3isbsXtKi81ahKDz_bQKjbwtJhD3FZXu0uGev08" data-alt="Top 100 producers and their cumulative greenhouse gas emissions from 1988-2015">
<a href="https://interactive.guim.co.uk/tools/tables/embed/index.html?spreadsheet=1WceY3isbsXtKi81ahKDz_bQKjbwtJhD3FZXu0uGev08" data-link-name="in body link" class="u-underline">Top 100 producers and their cumulative greenhouse gas emissions from 1988-2015</a>
</figure>
