title: Plastic Free July
url: https://paulrhayes.com/plastic-free-july/
hash_url: 3ef250664d1fffcc62c747a2ffea79db

<p>In July my family tried its best to go plastic free, as part of <a href="https://www.plasticfreejuly.org/">Plastic Free July</a>. The rules were simple: don’t buy anything plastic. If we already had things in plastic we could use them. We began with enthusiasm – a challenge to change our ways, to go from reduced plastic to zero. By the end, as supplies dwindled, the task felt tedious, expensive and difficult.</p>
<h2 id="Food-mattered-most">Food mattered most</h2><p>We buy more food and drink than anything else. Day to day it’s what produces most of our waste. And very little food comes without some form of plastic. Some fruit and vegetables, something freshly baked, eggs, some frozen items, tins and cans, jars of preserves, that’s about it.</p>
<p>Most things are in plastic – pre-made sandwiches, packets of cheese, pots of yoghurt, packs of meat, punnets of strawberries, bagged bread, anything processed, most desserts and most snacks.</p>
<p>About 5% of products are without plastic. Plastic is pervasive, even if it’s just the plastic window in a cardboard box or a thin shrink wrap. Walking around a shop looking for just one thing you can buy is a frustrating endeavour, more so with a crying toddler.</p>
<h3 id="We-were-already-doing-the-easy-stuff">We were already doing the easy stuff</h3><p>Before starting this challenge we were already buying lots of stuff without plastic:</p>

<p>This meant we’d already picked off the low hanging fruit, for most of our remaining plastic purchases there was no easy alternative; yoghurt in glass isn’t a thing you’ll find easily (we found it just as July ended), chocolate and biscuits are always wrapped, meat must be protected with a plastic tray and shrink wrap if it’s not on a meat counter. It was easier to simply stop buying these things than to find alternatives.</p>
<h3 id="The-benefits-of-Brighton">The benefits of Brighton</h3><p>We live in Brighton, and very close to us we have a supermarket, an organic grocer, a local baker, a deli and a coffee shop. This made some things significantly easier, and this is partly how we made it through the month.</p>
<p>We only had to pop outside to buy sourdough. Small Batch coffee refilled our bags of coffee beans. The deli could slice chunks of cheese and put it in our pots, and they make a perfect pistachio cannoli with zero packaging. The grocer let us buy fruit and veg top-ups without plastic, and we ate so much melon.</p>
<p>And further afield we had access to shops like <a href="https://hisbe.co.uk/">Hisbe</a>, where we can refill pots with what we need, including pasta and cereal.</p>
<h3 id="Cooking-more-and-snacking-less">Cooking more and snacking less</h3><p>As a side effect of buying less plastic we had more fresh fruit and more fresh vegetables. We made more smoothies and snacked on fruit. We cooked meals from scratch and ate more healthily. We ate our weight in eggs and bananas.</p>
<p>Our food wasn’t stuffed with preservatives. By not buying plastic we weren’t buying palm oil. We found ourselves with more locally produced things, supporting local sellers.</p>
<h3 id="Less-meat">Less meat</h3><p>We ate a lot less meat. Once a week we went to a shop with a meat counter and filled our containers – bacon, a pork joint, salmon – but prices are significantly higher. Meat became a luxury, and we mostly depended on whatever was in the freezer.</p>
<h3 id="Spending-more">Spending more</h3><p>Buying without plastic is a privilege. It’s the pricier goods that are plastic free.</p>
<p>Fresh sourdough costs three times more than an average loaf. Milk in glass costs more per pint. Fruit and vegetables cost more per item when not in plastic, they’re the bigger varieties, the tastier ones, the organic ones. It’s only expensive meat and fish out on the counters, the nice cuts. And at the deli it’s only fancy cheese to choose from.</p>
<p>Value ranges are always in plastic.</p>
<h3 id="Frozen-is-the-exception">Frozen is the exception</h3><p>Frozen food doesn’t depend on plastic to keep it fresh or to protect it from spoils. It’s escaped the trend for small plastic windows to show off the product – frozen food doesn’t look good. There’s more range in the frozen aisles for anyone avoiding plastic.</p>
<p>Frozen food was our go to when we needed something quick and easy.</p>
<p>This didn’t mean we could buy ice cream. And on the hottest July day on record we made our own alternative – milk and frozen bananas blitzed with chocolate and peanut butter. Better than anything we might have bought.</p>
<h3 id="Empty-bins">Empty bins</h3><p>By steering away from plastic in our food purchases our waste bin became empty. We compost our food waste (and cardboard tainted by food) using a community composting scheme. Cardboard gets recycled.</p>
<p>After the first week there wasn’t much left to go in that landfill bin.</p>
<h3 id="Buying-lunch-in-London">Buying lunch in London</h3><p>I ditched Pret for the month. Almost everything in Pret comes with a little plastic window, and the sandwich boxes are lined with plastic too. I switched to Leon who provided plastic free packaging for their rice, burgers and chips, I made sure to bring my own cutlery, even if theirs was compostable – those forks need an industrial composter. The local market helped, burritos especially.</p>
<h2 id="Non-food">Non-food</h2><p>We stopped buying things online. We couldn’t guarantee something would be plastic free. Plastic envelopes, bubble-wrap, random plastic bags. A cardboard box of canned soft drinks with a superfluous plastic wrapper from Ocado, or a book with too much plastic protection from Amazon, these were our scars. So we just said no. We bought on the high street and supported local traders. This meant we bought less.</p>
<p>Our existing shampoo and toothpaste survived the month in their plastic containers. We didn’t need to find alternatives for July.  Plastic heads on our electric toothbrushes barely held out. We didn’t need any more toiletries, we already had floss in a reusable glass pot.</p>
<p>We used reusable nappies, and we already had reusable cloth wipes. Wet wipes are made of plastic and they don’t biodegrade, we already avoid them.</p>
<h2 id="Behaviour-changes">Behaviour changes</h2><p>Because of this challenge we did other good things – we both found ourselves picking up and clearing rubbish on the streets a lot more. Brighton is by the sea and plastic on our roads has a bigger chance of ending up in the ocean.</p>
<p>We talked to people about our challenge, its difficulties but also the little solutions we’d found. We encouraged others to try something different. We observed just how much plastic other families were using, and noted how well we were already doing in cutting out throwaways.</p>
<h2 id="What-next">What next?</h2><p>It’s August now, and we’re relaxing our rules, ice cream and pizza are back. But once you’ve seen the plastic everywhere, once you’ve looked for it and tried to avoid it, it’s very hard to un-see. The more you look the more you see. We’ll continue to reduce and reuse, our net plastic use will no doubt be lower now.</p>
<p>This was also an extreme challenge – zero plastic is probably not the answer. Reusable plastic in moderation has its benefits.</p>
<p>We’ll try it again next year, with the hope that in a year’s time it’ll all be a littler easier.</p>
