title: Beyond Engagement: the Content Performance Quotient by Jeffrey Zeldman
url: https://adactio.com/journal/13663
hash_url: 686c595085ae552c87bb6aa54fb91e75

<p>I’m at <a href="https://aneventapart.com/event/seattle-2018">An Event Apart Seattle</a> (Special Edition). <a href="https://www.zeldman.com/">Jeffrey</a> is kicking off the show with a presentation called <cite>Beyond Engagement: the Content Performance Quotient</cite>. I’m going to jot down some notes during this talk…</p>

<p>First, a story. Jeffrey went to college in Bloomington, Indiana. David Frost—the British journalist—came to talk to them. Frost had a busy schedule, and when he showed up, he seemed a little tipsy. He came up to the podium and said, “Good evening, Wilmington.”</p>

<p>Jeffrey remembers this and knows that Seattle and Portland have a bit of a rivalry, and so Jeffrey thought, the first time he spoke in Portland, it would be funny to say “Good morning, Seattle!” …and that was the last time he spoke in Portland.</p>

<p>Anyway …”Good morning, Portland!”</p>

<p>Jeffrey wants to talk about content. He spends a lot of time in meetings with stakeholders. Those stakeholders always want things to be better, and they always talk about “engagement.” It’s the number one stakeholder request. It’s a metric that makes stakeholders feel comfortable. It’s measurable—the more seconds people give us, the better.</p>

<p>But is that really the right metric?</p>

<p>There are some kinds of sites where engagement is definitely the right metric. Instagram, for example. That’s how they make money. You want to distract yourself. Also, if you have a big content site—beautifully art-directed and photographed—then engagement is what you want. You want people to spend a lot of time there. Or if you have a kids site, or a games site, or a reading site for kids, you want them to be engaged and spend time. <cite>A List Apart</cite>, too. It’s like the opposite of Stack Overflow, where you Google something and grab the piece of code you need and then get out. But for <cite>A List Apart</cite> or <cite>Smashing Magazine</cite>, you want people to read and think and spend their time. Engagement is what you want.</p>

<p>But for most sites—insurance, universities—engagement is <em>not</em> what you want. These sites are more like a customer service desk. You want to help the customer as quickly as possible. If a customer spends 30 minutes on our site, was she engaged …or frustrated? Was it the beautiful typography and copy …or because she couldn’t find what they wanted? If someone spends a long time on an ecommerce site, is it because the products are so good …or because search isn’t working well?</p>

<p>What we need is a metric called <strong>speed of usefulness</strong>. Jeffrey calls this <dfn>Content Performance Quotient</dfn> (<abbr>CPQ</abbr>) …because business people love three-letter initialisms. It’s a loose measurement: How quickly can you solve the customer’s problem? It’s the shortest distance between the problem and the solution. Put another way, it’s a measurement of your value to the customer. It’s a new way to evaluate success.</p>

<p>From the customer’s point of view, CPQ is the time it takes the customer to get the information she came for. From the organisation’s point of view, it’s the time it takes for a specific customer to find, receive, and absorb your most important content.</p>

<p>We’re all guilty of neglecting the basics on our sites—just what it is it that we do? We need to remember that we’re all making stuff to make people’s live’s easier. Otherwise we end up with what Jeffrey calls “pretty garbage.” It’s aesthetically coherent and visually well-designed …but if the content is wrong and doesn’t help anyone, it’s garbage. Garbage in a delightfully responsive grid is still garbage.</p>

<p>Let’s think of an example of where people really learned to cut back and really pare down their message. Advertising. In the 1950s, when the Leo Burnett agency started the Marlboro campaign, TV spots were 60 seconds long. An off-camera white man in a suit with a soothing voice would tell you all about the product while the visuals showed you what he was talking about. No irony. Marlboro did a commercial where there was no copy at all until the very end. For 60 seconds they showed you cowboys doing their rugged cowboy things. Men in the 1950s wanted to feel rugged, you see. Leo Burnett aimed the Marlboro cigarettes at those men. And at the end of the 60 second montage of rugged cowboys herding steers, they said “Come to where the flavour is. Come to Marlboro Country.” For the billboard, they cut it back even more. Just “Come to Marlboro Country.” In fact, they eventually went to just “Marlboro.” Jeffrey knows that this campaign worked well, because he started smoking Marlboros as a kid.</p>

<p>Leaving aside the ethical implications of selling cigarettes to eight-graders, let’s think about the genius of those advertisers. Slash your architecture and shrink your content. Constantly ask yourself, “Why do we need this?”</p>

<p>As Jared Spool says, design is the rendering of intent. Every design is intentional. There is some intent—like engagement—driving our design. If there’s no intent behind the design, it will fail, even if what you’re doing is very good. If your design isn’t going somewhere, it’s going nowhere. You’ve got to stay ruthlessly focused on what the customer needs and “kill your darlings” as Hemingway said. Luke Wroblewski really brought this to light when he talked about Mobile First.</p>

<p>To paraphrase David Byrne, how did we get here?</p>

<p>Well, we prioritised meetings over meaning. Those meetings can be full of tension; different stakeholders arguing over what should be on the homepage. And we tried to solve this by giving everyone what they want. Having a good meeting doesn’t necessarily mean having a <em>good</em> meeting. We think of good meetings as conflict-free where everyone emerges happy. But maybe there <em>should</em> be a conflict that gets resolved. Maybe there should be winners and losers.</p>

<p>Behold our mighty CMS! Anyone can add content to the website. Anyone can create the information architecture …because we want to make people happy in meetings. It’s easy to give everyone what they want. It’s harder to do the right thing. Harder for us, but better for the customer and the bottom line.</p>

<p>As Gerry McGovern says:</p>

<blockquote>
  <p>Great UX professionals are like whistleblowers. They are the voice of the user.</p>
</blockquote>

<p>We need to stop designing 2001 sites for a 2018 web.</p>

<p>One example of cutting down content was highlighted in <cite>A List Apart</cite> where web design was compared to chess: <a href="http://alistapart.com/article/the-king-vs-pawn-game-of-ui-design"><cite>The King vs. Pawn Game of UI Design</cite></a>. Don’t start by going through all the rules. Teach them in context. Teach chess by starting with a checkmate move, reduced down to just three pieces on the board. From there, begin building out. Start with the most important information, and build out from there.</p>

<blockquote>
  <p>When you strip down the game to its core, everything you learn is a universal principle.</p>
</blockquote>

<p>Another example is atomic design: focus <strong>relentlessly</strong> on the individual interaction. We do it for shopping carts. We can do it for content.</p>

<p>Another example on <cite>A List Apart</cite> is <a href="http://alistapart.com/article/no-more-faqs-create-purposeful-information-for-a-more-effective-user-experi"><cite>No More FAQs: Create Purposeful Information for a More Effective User Experience</cite></a>. FAQ problems include:</p>

<ul>
<li>duplicate and contradictory information,</li>
<li>lack of discernible content order,</li>
<li>repetitive grammatical structure,</li>
<li>increased cognitive load, and</li>
<li>more content than they need.</li>
</ul>

<blockquote>
  <p>Users come to any type of content with a particular purpose in mind, ranging from highly specific (task completion) to general learning (increased knowledge).</p>
</blockquote>

<p>The important word there is <em>purpose</em>. We need to eliminate distraction. How do we do that?</p>

<p>One way is the waterfall method. Do a massive content inventory. It’s not recommended (unless maybe you’re doing a massive redesign).</p>

<p>Agile and scrum is another way. Constantly iterate on content. Little by little over time, we make the product better. It’s the best bet if you work in-house.</p>

<p>If you work in an agency, a redesign is an opportunity to start fresh. Take everything off the table and start from scratch. Jeffrey’s friend Fred Gates got an assignment to redesign an online gaming platform for kids to teach them reading and management skills. The organisation didn’t have much money so they said, let’s just do the homepage. Fred challenged himself to put the whole thing on the homepage. The homepage tells the whole story. Jeffrey is using this same method on a site for an insurance company, even though the client has a bigger budget and can afford more than just the homepage. The point is, what Fred did was <em>effective</em>.</p>

<p>So this is what Jeffrey is going to be testing and working on: speed of usefulness.</p>

<p>And for those of you who <em>do</em> need to use engagement as the right metric, Jeffrey covered the two kinds of metrics in an article called <a href="https://www.zeldman.com/2018/02/24/need-design-faster-design-slower/"><cite>We need design that is faster and design that is slower</cite></a>.</p>

<p>For example, “scannability” is good for transactions (CPQ), but bad for thoughtful content (engagement). Our news designs need to slow down the user. Bigger type, typographic hierarchy, and more whitespace. Art direction. Shout out to Derek Powazek who designed Fray.com—each piece was designed based on the content. These days, look at what David Sleight and his crew are doing over at Pro Publica.</p>

<p>Who’s doing it right?</p>

<p>The Washington Post, The New York Times, Pro Publica, Slate, Smashing Magazine, and Vox are all doing this well in different ways. They’re bringing content to the fore.</p>

<p>Readability, Medium, and A List Apart are all using big type to encourage thoughtful reading and engagement.</p>

<p>But for other sites …apply the Content Performance Quotient.</p>
