title: Archivability of the web
url: http://wolfslittlestore.be/2012/11/archivability-of-the-web/
hash_url: 76bd309dac6c1ddcb4dc3ee097a1bcb5

<p>I went to <a href="http://2012.buildconf.com/">Build</a> in Ireland last week. I came back inspired, with a lot of fresh ideas.</p>
<p>A lot of the build speakers made references to data longevity and more specifically to <a href="http://vimeo.com/34017777">Wilson Miner’s talk</a> “When we build”, in which he quotes “<em>When we build, let us think that we build forever.</em>”</p>
<p>This post will be about longevity of data and “archivability” of the web. This is not new but it’s important.</p>
<p>The idea is that we want a website to be available hundreds of years from now. Imagine an art teacher in 100 years showing what web design was like in the 2010s.</p>
<p>Even better would be to have archived versions of previous websites when appropriate. We have <a href="http://archive.org/index.php">archive.org</a> but we need something better. Archives with images that work, with a design that is intact.</p>
<p>Tim Berners Lee says “<a href="http://www.w3.org/Provider/Style/URI.html">cool URIs don’t change</a>“.  <a href="http://adactio.com/">Jeremy Keith</a> often talks about owning your own data, micro formats and future friendliness.</p>
<p>We should extend these thoughts to not only be about data preservation; but also about <strong>design preservation</strong>. As we move in a world with SVG graphs, externally hosted fonts and CDNs, who can guarantee that in 100 years we can still open an article and see what it actually looked like — and if interactive, how it worked?</p>
<p>In a 2007 post, Armin Vit (of the popular branding blog <a href="http://www.underconsideration.com/brandnew/">Brand New</a>) asks the question “<a href="http://www.underconsideration.com/speakup/archives/004033.html">Landmark Web Sites, Where Art Thou?</a>“; citing the fact that there are no agreed-upon landmark website designs. The web is a relatively new medium – without decent archiving we won’t be able to show those landmark designs.</p>
<p>For example, Twitter’s initial “sliding panes” iPad app design was a landmark in its category. It since has been replaced by something new. If we want to refer to this design, where do we go? It used to be the case that a piece of software was a copyable folder on a computer. Within this new world of cloud computing and app stores, it’s not. As far as archivability goes this is inherently bad.</p>
<p>About 4 years ago web designer Jason Santa Maria started art directing a lot of his posts. “Art directing” meaning that each post had it’s own magazine-like layout. He neatly preserved all his designs under <a href="http://v4.jasonsantamaria.com/">v4.jasonsantamaria.com</a>.</p>
<p>I took this idea to preserve my own content. This is why you can still read <a href="http://v1.wolfslittlestore.be/the-story-of-the-wolf-so-far-a-year-of-webdesign">my thoughts</a> after 1 year of web design (2008), <a href="http://v2.wolfslittlestore.be/2009/">an editorial review of 2009</a>. Here’s the <a href="http://v3.wolfslittlestore.be/">previous design iteration</a>. I wish more people would do this.</p>
<p>We need a way to preserve our data and our designs. We need a better <a href="http://archive.org">archive.org</a>.</p>
<p>If I die tomorrow and thus stop paying my hosting,<br/>
where does this blog go?</p>
<p>You might not care much about this blog specifically, but what about every other blog?</p>
