title: What is a web developer?
url: http://www.quirksmode.org/blog/archives/2017/02/what_is_a_web_d.html
hash_url: 935d80a65d495f7f6a3305eb87d68fa2

<h2>What is a web developer?</h2>



<p>Last week I was the target of a good old-fashioned internet witch hunt when I dared to propose that you should be able to work without tools (frameworks, libraries, and so on) in order to be a web developer.</p>

<p>I’m not saying  you should give up your tools and only work in raw CSS and JavaScript. Instead, I’m saying that you <em>should be able</em> to do so. That’s my definition of a web developer, and it’s what I fundamentally believe in and will stand up for — repeatedly, if necessary.</p>


<a name="more"/>

<p>Anyway, Adrian Holovaty <a href="https://twitter.com/adrianholovaty/status/829777292633194497" class="external">tweeted</a> about my presentation and the oh-so offensive slide, which was the start of a 36-hour long fake outrage. I am, apparently, an old fart, stupid, arrogant, my site is shit, and ... well, I’m not going to repeat the entire list. Trolls will be trolls.</p>

<p>See also <a href="http://www.holovaty.com/writing/ppk-talk/" class="external">Adrian’s write-up</a> and <a href="/presentations/Spring2017/goingwrong_vanlanschot.pdf">my slides</a>.</p>

<p>And no, I’m not very impressed. I was when it first happened in 1999, but meanwhile I learned that these hysterical overreactions mean I’m on to something important.</p>

<h3>Raw nerves</h3>

<p>There are certain points here that merit our attention. Put it this way: if make this statement you have a choice of three reactions:</p>

<ol>
	<li>You agree with me (and a surprising number of people did; there were positive tweets interspersed among the trollish bile; I’d particularly like to call out <a href="https://twitter.com/inkpixelspaper/status/830106563142619136" class="external">Jen Strickland</a> here.)</li>
	<li>You disagree with me, and offer counter-arguments (there were a few of those — we’ll encounter one below)</li>
	<li>You think I’m being a bit silly and don’t react at all.</li>
</ol>

<p>Many reactions, however, conformed to none of these types. I evidently struck a raw nerve — again. Fair warning: I intend to strike that same nerve a few more times, just to see what happens.</p>

<p>Take <a href="https://twitter.com/wycats/status/830499944750473216" class="external">this series of replies</a> by Yehuda Katz. I don’t intend to shame Yehuda, but his reply is the stand-out example of a curious mixture of anger and serious arguments. He starts out by calling my idea corrosive, faux morally superior, and aimed at shaming devs, before pivoting to an actual argument that’s worth quoting:</p>

<blockquote>
<p>In my view, the fact that many people can get into programming without full view of the whole picture is a tremendous achievement.</p>
</blockquote>

<p>(Hint for next time: you could also proceed straight to the argument without the name calling.)</p>

<p>I’m not sure I agree with his argument, but at least it’s a statement that I can agree or disagree with. It opens a discussion, where 2,117 variations on “You suck” don’t.</p>

<h3>My definition of a web developer</h3>

<p>My goal today is not discussing this argument at length, but rather taking a step back and asking a more fundamental question: <strong>what is a web developer?</strong> How do you define one? What knowledge and skills does it take to be one?</p>

<p class="accent">To me, a web developer is a programmer who is not only able to write HTML, CSS, and JavaScript by hand, but also has a deep understanding of what browsers can do to that code.</p>

<p>That means that you have to understand the basics of how browsers work, how CSS works, how JavaScript works, and general browser compatibility patterns for the code you’re about to use.</p>

<p>That’s a tall order — and we haven’t even talked about accessibility, graphic and UX design, copy writing, and client-server communications yet. You can’t be a specialist in all these topics, but a rough understanding of their basics is mandatory.</p>

<p>Because if you don’t have that knowledge, what will you do? Although in theory other options are conceivable, in practice the answer is: add more and more tools until the site works in your favourite browser. To me, that’s not good enough — I <a href="/blog/archives/2015/05/tools_dont_solv.html">said so</a> a year and a half ago, and I’ll repeat it as often as necessary.</p>

<p>Amy Hoy <a href="https://twitter.com/amyhoy/status/829784109895544832" class="external">hit the nail on the head</a>:</p>

<blockquote>
<p>I think a lot of web devs actually hate the web (afraid of CSS, afraid of pure JS) &amp; therefore try to frankenstein it.</p>
</blockquote>

<p>I think this is part of the problem — and it certainly explains why my remarks get people so angry. If I were clearly and outrageously wrong, nobody would have bothered to reply. Thus there has to be a kernel of truth somewhere — and I think Amy found it. I’d just add “afraid of browsers” to the list.</p>

<h3>Other definitions</h3>

<p>So I’d like to ask people who disagree: please define a web developer. Please state clearly what you think a web developer is supposed to do and know.</p>

<p>It’s possible that we’ll come to a two-fold definition: one closely aligning with mine, and one more aimed at getting websites and web apps ready for deployment without worrying too much about the underlying technology.</p>

<p>Maybe there’s room for both types, I don’t know. Web developers who understand what browsers can do to your code will always have the edge because they simply have more knowledge, but that doesn’t necessarily mean there’s no need for the other type.</p>

<p>In addition, there is the idea that the web is going to change massively over the next five (ten?) years, most recently embraced in Kenneth Auchenberg’s <a href="https://speakerdeck.com/auchenberg/a-future-without-browsers-february-2017" class="external">A future without browsers</a> presentation — and see also <a href="https://vimeo.com/194961226" class="external">Peter Gasston’s Fronteers 2016 presentation</a>.</p>

<p>This may be true — several people I respect deeply believe it, and I need to do some research in this area. Obviously, if this is true it might change the definition of web developer, even though under the hood Facebook and the others still need a browser — it just won’t be a consumer-facing piece of software any more.</p>

<p>I have two counter-arguments (although this really merits a series of dedicated articles instead of a two-point list):</p>

<ol>
	<li>It hasn’t happened yet — right now we still need traditional web developers.</li>
	<li>I think the process will go significantly slower in the West than in Asia, partly because consumers have a mental model of the web (and browsers), and partly because of sheer inertia.</li>
</ol>

<p>This might lead to a web developer being defined differently in different parts of the world. One more thing to keep in mind.</p>

<p>But anyway, ask yourself this question: <strong>what is a web developer?</strong></p>

<p><strong>Update</strong>: Meanwhile some replies have come in:</p>

<ul>
    <li><a href="http://www.remotesynthesis.com/blog/a-web-developer-is" class="external">Brian Rinaldi</a></li>
    <li><a href="https://wizpip.com/blog/what-is-a-web-developer/" class="external">Philip Parr</a></li>
<li><a href="https://joelebeauweb.wordpress.com/2017/02/20/re-what-is-a-web-developer/" class="external">Joe LeBeau</a></li>
</ul>
