title: L'échec des méthodes d'innovation
url: http://www.merkapt.com/entrepreneuriat/business_model/lechec-des-methodes-dinnovation-8607
hash_url: b6dc2d3aa8435cb4bf82f735c7bf50b6

<address><strong>Méthode</strong> : nom féminin (latin methodus, du grec methodos, de hodos, chemin) « Ensemble ordonné de manière logique de principes, de règles, d’étapes, qui constitue un moyen pour parvenir à un résultat » (dictionnaire Larousse).</address>
<p>Cela fait longtemps que j’ai renoncé à lister les méthodes promettant de produire une innovation de façon contrôlée, fiable et à moindre risque. Vous les avez vous aussi croisées à de nombreuses reprises dans votre activité. Qu’elles soient présentées sous forme de livre, de sessions de formation, voire même de logiciels, elles promettent de vous faire franchir pas à pas des étapes prédéfinies qui vont vous livrer <del>l’amour</del> <del>le succès</del> l’innovation. Tout cela sans risque…</p>
<p>Il y a quelque chose de fascinant dans cette promesse pour toute entreprise technologique, qu’elle soit une startup ou un grand groupe. C’est le Graal vendu par correspondance à la Camif, l’élixir de jouvence au rayon frais de Casino, ou la pierre philosophale en libre service chez Darty.</p>
<p>A ce stade ceux qui me connaissent un tant soit peu, savent que je répète régulièrement que non, il n’y a pas de méthode en innovation ! Je ne crois pas une seule seconde que l’on puisse transformer l’innovation en processus fiable et contrôlé. Un processus d’innovation ou une méthode d’innovation est une oxymore de magnitude 7.</p>
<p>Mais pour avancer, il faut déjà préciser mon propos : s’il n’y a pas de méthode, il y a bien des outils. Il n’y a pas de chemin unique, de processus clair, mais il y a bon nombre d’instruments, de points de passage possibles. Et savoir quand et comment utiliser ces outils, savoir aussi ne pas les respecter, mais les tordre, les changer, les adapter, les réinventer… va permettre ou non de construire de l’innovation dans l’entreprise.</p>
<p>Même si je pense avoir quelques grammes de crédibilité en terme d’innovation, il m’est indispensable d’invoquer un poids lourd pour conforter mon propos. Dans <a title="interview tim cook bloomberg" href="http://www.bloomberg.com/news/2012-12-06/cook-says-lives-enriched-matters-more-than-money-made-interview.html" target="_blank">une interview récente</a>, Tim Cook (Apple) donne son point de vue sans ambages :</p>
<blockquote><p>La créativité et l’innovation sont des choses que vous ne pouvez pas réduire dans un logigramme. Il y a des choses pour lesquelles cela est possible, et nous le faisons en étant alors très méthodiques. Mais la créativité n’est pas l’une d’entre elles. Beaucoup d’entreprises ont des départements de l’innovation, et c’est toujours un signe que quelque chose ne vas pas quand vous avez un VP Innovation ou autre.</p></blockquote>
<p>C’est une mauvaise nouvelle pour tout le monde. Nous sommes en train de dire que l’innovation est un processus artisanal, mal ou pas du tout duplicable. Du cas par cas constant. Tout cela nous laisse avec beaucoup de questions. Est-ce raisonnable ? Peut-on vivre avec cette réalité dans l’entreprise ? Pourquoi sommes-nous spontanément en attente d’une méthode magique ? Comment fait-on ? … Et non, n’attendez pas à ce que finalement je vous donne une méthode pour pallier l’absence de méthode !</p>
<h2>1. Notre cerveau reptilien aux commandes</h2>
<p>Pour dégonfler ce mythe de la méthode d’innovation, je crois qu’il faut comprendre pourquoi cette idée est si séduisante, voire nécessaire à notre cerveau.</p>
<p>Tout d’abord la notion de méthodologie est trop belle pour être ignorée.</p>
<p>Dans un monde économique complexe et chaotique, notre cerveau a besoin de sécurité et de détecter des schémas reproductibles qui vont le sécuriser. Une fois identifiés, ces schémas qui seront toujours les mêmes, vont établir une réponse automatique et rapide de fuite (ça va faire mal) ou d’attraction (ça va faire du bien). C’est la couche basse de notre logiciel interne. Elle est incapable d’adaptation et prend en charge notre survie quand les choses se mettent à aller très mal. Paradoxalement, c’est aussi ce qui pousse notre néocortex à construire des modèles complexes permettant d’anticiper sur le long terme pour ne pas avoir à réveiller le cerveau reptilien.</p>
<p>Pour cela, et dans un processus maintenant très rationnel, nous allons regarder ce qui fonctionne autour de nous en terme d’innovation et essayer de le transposer à notre propre cas. En fait de rationalité vous venez d’adopter un mode de pensée très particulier : vous inférez que suite à un succès (Apple détient 91% du marché des iPad) il y a bien une méthode sous-jacente qui est adaptable à d’autres circonstances et qui peut devenir reproductible pour vous (faisons un beau produit, appelons cela du design, cultivons le secret et sortons-le lors d’une grande messe médiatique).</p>
<p>Cela s’appelle de la pensée magique : sans compréhension profonde d’une démarche particulière d’innovation, vous avez cherché à reproduire ce que vous en avez vu superficiellement sous forme d’un rituel plus ou moins rationnel. Dans l’entreprise cela conduit à penser que si cela a marché pour eux, appliquons avec rigueur la même recette. Mais cela bien entendu sans tenir compte des conditions initiales, de nos propres spécificités, etc. Échec garanti…</p>
<p>Le palier suivant serait de déconstruire scientifiquement une démarche d’innovation particulière qui aurait été remarquablement efficace pour un concurrent, et armé cette fois-ci d’une compréhension profonde de ce qui c’est passé, le reproduire avec finesse et « méthode ». Et cela est je pense parfaitement possible.</p>
<p>Il y a bien entendu un écueil majeur. Les marchés technologiques fonctionnent à haute vitesse et en accélération constante. Le temps que vous ayez bouclé une thèse sur la « méthode » de votre concurrent, votre environnement aura tellement changé que vos résultats seront obsolètes et improductifs. Vous aurez peut-être même eu de la chance et pu constater qu’entre temps le concurrent appliquant à nouveau sa « méthode » est maintenant en situation d’échec. Ce qui avait marché dans des conditions initiales données, ne fonctionne maintenant plus du tout…</p>
<p>Au final, j’ai bien l’impression que la plupart des entreprises (lisez aussi : pôles de compétitivité, incubateurs, pépinières et autres accélérateurs, …) se retrouvent à suivre des effets de mode en espérant que l’une d’elle fonctionnera cette fois-ci. Si j’étais aimable je pourrais laisser penser que c’est une stratégie intéressante s’appuyant sur la <a title="méthode de monte-carlo" href="http://fr.wikipedia.org/wiki/Méthode_de_Monte-Carlo" target="_blank">méthode de Monte-Carlo</a>. Je pense que c’est essentiellement de l’incompétence.</p>
<p><img class="alignnone size-full wp-image-8623" src="http://www.merkapt.com/wp-content/uploads/les-nouveaux-gourous-usbek-et-rica.jpg" alt=" les nouveaux gourous usbek et rica"/></p>
<p>Constatez d’ailleurs à quel point plus personne ne pense que l’Open Innovation est le Graal attendu, alors que dans le sillage de P&amp;G ou de quelques gourous du sujet, tout le monde y allait de son programme entre 2009 et 2011. Mais constatez aussi à quel point toute startup digne de ce nom se doit maintenant d’adhérer à la pensée unique du <a title="méthodologie lean startup" href="http://theleanstartup.com/principles" target="_blank">Lean Startup</a>. Pour 2013-2014 et à titre personnel, je suggérerais bien l’aromathérapie ou la régression hypnotique vers des états de conscience supérieurs. Les deux pouvant être complémentaires, si le calendrier Maya nous laisse un peu de répit…</p>
<h2>2. Rubrique mode : la méthode Lean Startup</h2>
<p>Si je cite une de ces fameuses méthodes,  je ne peux pas reculer et je me dois de vous expliquer quand et comment elle échoue, d’autant plus qu’elle est utilisée dans ses grands principes par le remarquable Steve Blank à Stanford avec (un certain) succès.</p>
<p>Quand Ries a formulé sa méthode, il s’est inspiré de façon directe des méthodes de programmation agiles : itérer un cycle rapide de travail en avançant au jugé dans la bonne direction et en communiquant fréquemment en interne pour se répartir le travail, est plus efficace que de découper le travail point par point sur une longue période, chacun faisant son travail de son côté en espérant arriver un jour au résultat.</p>
<p><img class="alignnone size-full wp-image-8624" src="http://www.merkapt.com/wp-content/uploads/eric-ries-lean-startup.jpg" alt="eric ries lean startup"/></p>
<p>Pour la startup, il s’agit donc d’embrasser l’effectuation la plus pure et de faire progresser le nouveau produit par sa capacité progressive à répondre à des besoins clients vérifiés pragmatiquement. Le principe est indubitablement malin et très vendeur : arrêtons de gérer une startup comme un grand groupe industriel devant planifier avec rigueur son travail. Une startup est souple et agile : faisons-la travailler sur son offre de valeur le plus vite possible en se confrontant au marché et en apprenant de celui-ci ce qui va pouvoir être vendu ou non.</p>
<p>Cela conduit à une sémantique particulière que les initiés connaissent maintenant bien puisque l’on parle de MVP ou « Minimum Viable Product » (la formulation produit minimale que les clients seront prêts à acheter), de « pivot » (un repositionnement sans état d’âme de son offre de valeur suite à un feedback marché insatisfaisant), etc.</p>
<p>Alors est-ce que cette méthode marche ? Bien que Ries soit très décrié, Blank semble être enchanté. Et ma réponse serait oui probablement, jusqu’à un certain point. Mais si vous me demandez : doit-on l’appliquer ? Ma réponse serait un fort et résonant NON.</p>
<p>Sans avoir le loisir de déconstruire complètement cette méthode dans cet article, je vais aller à l’essentiel : cette méthode vous pousse à vous confronter très vite à votre marché et à dégonfler votre ego (« nous avons une idée géniale à laquelle nous croyons à fonds ») pour prendre en compte ce que les clients potentiels vous disent de ce que vous voulez faire. La méthode repose fortement sur une absence de méthode justement. Intéressant. Il y a de plus quelques outils forts intéressants qui sont présentés, notamment dans la façon de construire une boucle de rétro-action positive entre un développement software innovant et ses premiers clients potentiels.</p>
<p>SI cela vous concerne.</p>
<p>Et c’est un très gros SI. Car pour pouvoir trouver une vertu à la méthode Lean Startup, vous ne pouvez avoir qu’un projet guidé par une vision stratégique d’intimité client. Et à ce stade si vous ne savez pas de quoi je parle, oubliez très vite l’intérêt que vous avez pu développer pour cette méthode, vous êtes en train de laissez votre cerveau reptilien à la manoeuvre.</p>
<p>Cette notion d’intimité client est propre à des équipes dirigeantes dont l’ADN est rigoureusement et profondément commercial. Le projet d’innovation est alors là pour satisfaire un besoin client qui existe aujourd’hui et qui n’est pas résolu de façon satisfaisante par la compétition. Ce n’est pas un hasard que Steve Blank adore cela, c’est la nature de l’immense majorité des projets de startups web aux USA, qui cherchent surtout à vendre quelque chose vite pour valider un marché et <a title="facebook rachète instagram" href="http://techcrunch.com/2012/04/09/facebook-to-acquire-instagram-for-1-billion/" target="_blank">à être rachetées rapidement après par un industriel</a>. De façon ironique, ce type de focus stratégique se prête très bien à l’Open Innovation.</p>
<p>Mais pour le reste des projets ? Si vous n’êtes pas une startup web dans la Silicon Valley ? Quid de ceux qui se définissent dans des perspectives différentes comme dans les biotechs, l’aéronautique, la ville connectée, … ? Et bien tout cela est largement inapproprié pour eux, voire dangereux.</p>
<p>Et il faudra alors que l’on vous dise qu’il y a au moins deux grands autres univers des projets d’innovation :</p>
<ol>
<li>Ceux fonctionnant sur le principe de l’excellence opérationnelle, où la stratégie d’innovation est cette fois-ci auto-centrée sur le métier de l’entreprise, qui devra apprendre à le maintenir, à l’approfondir et le réinventer au fur et à mesure des cycles marchés pour devenir des Rolex, Mc Donald’s ou Ikea.</li>
<li>Ceux fonctionnant en mode leadership produit, où la question centrale devient : comment pouvons-nous anticiper un besoin marché qui n’existe pas encore et qui apparaitra dans trois, cinq ou dix ans ? Nous parlons ici d’Apple, de 3M, ou de Dyson.</li>
</ol>
<p>Dans chacun de ces univers des préoccupations et des stratégies différentes doivent être conçues. Un Veolia, un centre hospitalier, ou une startup issue d’un transfert technologique du CEA auront beaucoup de mal à innover en lisant les ouvrages de Ries.</p>
<p>Steve Jobs n’était pas paranoïaque ou prétentieux en déclarant :</p>
<blockquote><p>Ce n’est pas le rôle du client de savoir ce qu’il veut</p></blockquote>
<p>La nature de ses projets d’innovation était fondamentalement différente.</p>
<p>La question importante sera toujours : et VOUS que devez-vous faire ?</p>
<h2>3. L’irréductible problème du risque inacceptable</h2>
<p>Veuillez maintenant éloignez vos enfants de devant l’écran car je vais devoir aborder le sujet sensible de ce long article. C’est fait ? Alors voilà :</p>
<p>Si vous voulez innover il va falloir réfléchir et prendre des risques (oui, je sais que ce sont deux mauvaises nouvelles).</p>
<p>Parlons déjà de la notion de risque. Elle méritera un article à part entière, mais je dois l’aborder ici en partie. Si innover c’est changer le marché (à l’aide ou non de technologie, mais considérons que la technologie aura un rôle direct ou indirect dans tous les cas), alors cela veut dire changer un status quo. Détruire plus ou moins en profondeur une façon de faire, pour en proposer une nouvelle, plus ou moins différente. Au plus le changement proposé sera profond, au plus, s’il est efficace, il va mettre en déroute les compétiteurs déjà actifs sur le marché. Mais comme personne ne voit le futur, toute innovation repose sur une forme de pari sur l’avenir, de risque incompressible, qu’il faudra gérer et sur lequel on capitalisera en cas de succès.</p>
<p>La matrice suivante schématise les niveaux de risques / d’innovation possibles :</p>
<p><img class="alignnone size-full wp-image-8609" src="http://www.merkapt.com/wp-content/uploads/matrice-risque-innovation-merkapt.jpg" alt="matrice risque innovation merkapt"/></p>
<p>En deux mots : 80% de l’innovation est pilotée en mode de prudence extrême par les grands groupes, qui ont besoin de rentabiliser sur plusieurs années des investissements lourds, qui en général ne prévoient pas de mettre quelques milliers de personnes à la rue du jour au lendemain pour prendre un virage innovant, etc. C’est une forme d’innovation minimaliste (incrémentale pour utiliser le terme consacré) qui permet de calculer un retour sur investissement (ROI) bas, mais assez fiable.</p>
<p>Si vous prenez plus de risque et innovez significativement comme une startup, vous partez naviguer  dans une zone de risque où il n’est plus possible de calculer un ROI à 3 ans en restant sérieux (pensez aux incubateurs ou business angels qui demandent encore des business plans à 5 ans). Mais si l’échec devient fortement probable, le potentiel de transformation du marché s’accroît dans les mêmes proportions. Jusqu’à la zone des « black swans » qui est tellement disruptive que seuls des génies visionnaires ou des fous tentent de l’atteindre.</p>
<p>Mon propos est donc je l’espère clair : au plus l’innovation que vous souhaitez développer est ambitieuse, au moins vous pourrez vous fier à des outils de réflexion standards, aux expériences passées des autres, à votre propre compréhension du marché, et même pas aux fameuses études de marché.</p>
<p>Comment voulez-vous alors formuler une méthode standard d’innovation ?</p>
<h2>4. Et pourtant ma méthode X elle, elle marche !</h2>
<p>Face au stress du risque que nous venons d’évoquer, les fameuses « méthodes » continueront toujours de rassurer votre cerveau reptilien.</p>
<p>D’autant que oui, celles qui sont construites de bonne foi montrent souvent des impacts positifs au début. Elles jouent alors toutes un rôle assez homogène : provoquer un questionnement ouvert de l’équipe portant le projet, pour lui permettre de confronter ses idées reçues à d’autres grilles de lecture, identifier ses hypothèses clefs et formaliser sa stratégie avec un canevas communicable à d’autres.</p>
<p>J’aurais tendance à dire que si vous prenez n’importe quelle personne avec un peu d’aplomb et que vous l’équipez d’une liste de 50 questions générales à poser à une startup sur son projet (Ça sert à quoi ? Qui est responsable de quoi ? Comment imaginez-vous votre premier client ? Comment allez-vous gagner de l’argent ?)… Il en ressortira toujours quelque chose d’actionnable. C’est de la maïeutique de base. Si je m’avance un peu, je pense être capable de faire cela aujourd’hui à partir d’un jeu de Monopoly ou de Cluedo (non pas que je risque de le faire un jour). Du coup en assez peu de temps vous avez vendu la « méthode » et les entreprises utilisatrices sont enthousiastes. Elles ont le sentiment d’avoir enfin « mis les choses sur la table » et de « commencer à y voir clair ».</p>
<p>L’enthousiasme est de courte durée, car l’étape suivante n’est jamais résolue. Concrètement comment l’entreprise doit-elle avancer ? Est-elle devenue autonome dans sa réflexion ? Voit-elle apparaître un scénario de plus en plus clair pour son projet d’innovation ? Comment mettre en musique et ajuster le tir en continu pendant 1, 2 ou 3 ans ? Et vous vous retrouvez à devoir gérer toute la complexité du projet en cours de route, avec des bases de réflexion fumeuses, des équipes ayant commencé à travailler, de l’argent inutilement dépensé, et peut-être même des engagements extravagants pris avec son marché.</p>
<p>Il m’arrive souvent de voir des équipes tellement embourbées dans cette configuration devenue purement dogmatique, qu’elles n’ont même plus envie de revenir en arrière et de remettre en question la « méthode ». Un véritable syndrome de Stockholm prend racine et il est psychologiquement plus simple d’aller tranquillement dans le mur que de se remettre en question violemment.</p>
<h2> 5. Alors nous sommes tous fichus ?</h2>
<p>J’espère bien que non. Il faut cependant accepter avec humilité le saut dans le vide que représente un projet innovant. Et c’est un double problème.</p>
<p>Tout d’abord, vous l’aurez déduit facilement, c’est un problème culturel.</p>
<p>Il est plus facile pour un jeune créateur de startup de dire à son banquier : « j’ai un business plan sur 5 ans validé par mon comptable et j’encadre ma démarche par la méthode X validée par Oséo et le pôle de compétitivité Y ». Tout comme un cadre discutera plus sereinement avec son N+1 en lui expliquant que suite à son séminaire sur la créativité avec un chercheur du MIT et les 3 semaines de consulting payées à PWC, tout est sur des rails.</p>
<p>Oui, notre culture du risque est toujours déficiente, la faute à qui vous voulez, mais si vous blâmez ne serait-ce que l’enseignement supérieur vous aurez raison. Personne ne veut vraiment « boldly go where no man has gone before » pour citer Star Treck, ou comme sur les cartes du XVIe siècle, partir avec son équipage naviguer dans les zones frappées d’un « <a title="hic sunt dracones" href="http://en.wikipedia.org/wiki/Hunt-Lenox_Globe" target="_blank">hic sunt dracones</a>« . Et personne ne vous y formera.</p>
<p>C’est aussi un problème corollaire de prise de pouvoir sur un projet d’innovation.</p>
<p>Examinez les succès industriels de ces 50 dernières années. A l’origine de chacun vous trouverez une personne avec une vision (rarement deux ou plus, mais ce sera le cas avec Apple et le récent trio Jobs / Cook / Ive) et une capacité à ne pas tenir compte des règles établies, pour défricher un chemin inédit, s’y tenir avec rigueur, rejeter les effets de mode et construire une proposition originale pour son marché. Mettez un comité de décision quelconque pour piloter un projet d’innovation (comité de direction, investisseurs, organismes d’aide à l’innovation, etc) et le besoin de « méthode » va surgir pour que tout le monde puisse ouvrir un parapluie, et ne pas être celui qui aura fait échouer le projet. Transférons donc la responsabilité à une recette magique !</p>
<h2>6. Et si l’on se mettait à piloter avec une vision ?</h2>
<p>Je ne crois pas que tous les porteurs de projets innovants dans les startups ou les grands groupes soient des visionnaires.</p>
<p>Je sais cependant que l’on peut en aider beaucoup, au cas par cas, sans préjugés, avec du recul, en comprenant leurs forces et leurs faiblesses, de la capacité à embrasser le risque, de l’expérience, des outils qui joueront un rôle modeste mais décisif pour déclencher au bon moment les bonnes réflexions, et une confrontation au marché quand il le faudra, parfois très vite et à haute dose, parfois jamais jusqu’au tout dernier moment. Je sais qu’une vision de l’innovation propre à chaque projet, différente pour chaque projet, peut se construire et permettre de faire différemment que le reste des acteurs de son marché.</p>
<p><a title="Notre métier, l’innovation" href="http://www.merkapt.com/entrepreneuriat/strategie/notre-metier-linnovation-7700" target="_blank">Innover sans a priori, ni méthode préconçue.</a></p>
<p>Si cela vous fait peur, peut être simplement faudrait-il que vous ne cherchiez pas à innover ?</p>
