title: The Real Dark Web
url: https://www.sonniesedge.net/posts/real-dark-web/
hash_url: c402e68f592c57e1e60552481a838839

<p>We rarely acknowledge the vast majority of web developers.</p>

<p>Dark matter permeates the universe. In fact it does more than permeate. <a href="https://en.wikipedia.org/wiki/Dark_matter">It <em>is</em> the universe</a>. 85% percent of everything that exists is actually dark matter. We can't detect it, we can't see it. But it's there. In fact, the universe that we actually perceive, what you and I are made of, is the so-called Baryonic matter, a mere percentage froth on top of the deep dark universe that we are scarcely aware of.</p>

<p>I was perhaps thinking about dark matter when I read this tweet from Andy Bell.</p>

<p>The vast majority of respondents are still using Sass and vanilla CSS? Wow! This made me pause and think. Because I feel there's an analogy here between that unseen dark matter, and the huge crowd of web developers who are using such "boring" technology stacks.</p>

<p>These developers are quietly building their sites and apps, day in, day out. But they are rendered invisible as they are not making use of the cutting-edge technologies that the 1% of the bleeding edge love to talk about.</p>

<p>They are the 99% of the web universe that is quietly getting on, not blogging about their technology stack, not publishing amazing new tooling. Simply building things.</p>

<p>I call them the 1% with purpose, in a deliberate evocation of the privileged 1% who run our planet (because I love to jump analogy mid post and to distort numbers). To be on a cutting edge team <em>is</em> a privilege. It means having resources and money and a lack of accountability that most web developers simply don't have.</p>

<p>It means being able to try out and develop new and amazing technologies. It means being able to do that and knowing that you'll have the support from your org to do that. It means working at a user count where you are able to dismiss users who are inconvenient ("what, they're on an old phone? Phhh, sorry, we don't support them"), because you know a great crowd of others will be there to take their place and finance your JUST SHIP IT innovation spree.</p>

<p>These teams are typically producing apps that are engineering-heavy. Engineering is a word that features often with the 1%. It means thinking logically, it means Serious Stuff. As a title it sounds extremely impressive. It evokes images of white-shirted men hunched over computer consoles, guiding the first humans to the Moon. It makes one think of giant engineering projects that will change the world, of Victorian builders of world-changing technology.</p>

<p>The reality for most, well, web <em>developers</em> is very different from this. Most web developers are working on very "boring" teams. They're producing workhorse products that serve the organisation needs. They aren't trying to innovate. They aren't trying to impress the next recruiter with their CV. They simply want to get paid, produce a solution that works, and go home.</p>

<p>Yet they are told, mostly implicitly, sometimes directly, that if they're not innovating and using the latest tools that they are somehow a failure. This feeling of failure for not implementing the latest tech permeates our industry.</p>

<p>This feeling needs to end.</p>

<p>You'll notice that I didn't say "the 1% need to stop innovating". I say this very clearly because a 20-something white man will soon comment on this post and suggest that's what I meant.</p>

<p>No, they don't need to stop innovating. I want them to innovate. It's innovators in the web world that laid the cowpaths that we now all follow. jQuery demonstrated that JavaScript could be written in a more developer-friendly way. Sass innovated token-driven stylesheets that we take for granted now as CSS Custom Properties. Bootstrap popularised layout systems that we see natively in CSS Grid.</p>

<p>But those 1% do have to recognise - we ALL have to recognise - that they are enormously privileged. That they are lucky to be able to do what they do. That they have won a grand industry prize that allows them to ignore all the things that most teams have to deal with.</p>

<p>For most teams are not able to just do what they want. They are constrained by the organisation that they exist within. They must produce code that will reliably work and be easily maintained over the next several years. They can't afford to retain someone who will innovate a new codebase and then move on, leaving others to puzzle over it. They can't hire a 10x Engineer Ninja who will reimplement a brochure-ware website in a client-side framework and then ignore those users who are excluded by it.</p>

<p>No, most teams are very boring. I'm really glad about that. We need boring. Boring is what gives stability. Boring is what allows web teams to concentrate on building robust websites, and focussing on user needs. Boring is what allows teams to produce elegant long-life solutions that do not need to be babysat and stroked by a magical engineering gnome.</p>

<p>As I read that tweet and thought about dark matter, a darker analogy occurred to me. Because the 1% of developers who dominate our conversations and newsfeeds feel analogous to those who dominate our news headlines. On my more melancholic days they feel like the 1% who chant loudly about Brexit, who scream at rallies wearing MAGA hats. They distort the conversations that the vast majority of us have. Their views and experiences are lofted by the hot air of social media.</p>

<p>That I even thought of that analogy speaks volumes about how toxic some of the discourse in this area has become. People speak about "the old guard" and "stupid backwards techniques", forgetting that it's real humans, with real constraints who are working on these solutions. Most of us are working in a "stupid backwards way" because that "backwardsness" WORKS. It is something that is proven and is clearly documented. We can implement it confident that it will not disappear from fashion within a couple of years.</p>

<p>Perhaps more of us would use the latest and greatest code if it was well documented, and proven to be sustainable. If we thought that the people behind it thought about the coming 5 years, rather than the coming 5 job interviews.</p>

<p>I want to innovate. I love learning new things. It's what attracted so many of us to this industry. But let's take time to think about what we build, and how appropriate it is for any given situation.</p>

<p>Perhaps the client-side framework developed by a multi-billion dollar company isn't the one that you should be pushing into the browser of your local grocery website? Perhaps the buildchains that require ancient dark magick to invocate are not appropriate on a team that simply compiles some Sass to CSS?</p>

<p>Let's appreciate what the 1% does. But let's not allow the 1% to dominate the conversations and our collective headspace.</p>
