title: Email is your electronic memory
url: https://blog.fastmail.com/2018/02/14/email-is-your-electronic-memory/
hash_url: c8aa773f82199cd3a8fb3c3c6d42ad3d

<p class="blog-author">Bron Gondwana &ndash; 14 February 2018</p>
<p>From the CEO’s desk.</p>

<p>Sometimes you write planned blog posts, sometimes events in the news are a prompt to re-examine your values.  This is one of those second times.</p>

<h2>Gmail and AMP</h2>

<p>Yesterday, Google announced that Gmail will use AMP to make emails dynamic, up-to-date and actionable.  At first that sounds like a great idea.  Last week’s news is stale.  Last week’s special offer from your favourite shop might not be on sale any more.  The email is worthless to you now.  Imagine if it could stay up-to-date.</p>

<p>TechCrunch <a href="https://techcrunch.com/2018/02/13/google-wants-to-use-amp-to-make-email-more-interactive/">wrote about AMP in Gmail</a> and then <a href="https://techcrunch.com/author/devin-coldewey/">one of their columnists</a> wrote a <a href="https://techcrunch.com/2018/02/13/amp-for-email-is-a-terrible-idea/">followup</a> response about why it might not be a good idea – which led to a <a href="https://news.ycombinator.com/item?id=16372234">lot of discussion</a> on Hacker News.</p>

<p>Devin used the word static.  In the past I have used the word <a href="https://blog.fastmail.com/2014/12/05/security-integrity/">immutable</a>.  I think “immutable” is more precise, though maybe less plain and simple language than “static” – because I don’t really care about how dynamic and interactive email becomes – usability is great, I’m all in favour.</p>

<p>But unchanging-ness... that’s really important.  In fact, it’s the key thing about email.  It is the biggest thing that email has over social networking or any of the hosted chat systems.</p>

<p>An email which is just a wrapper for content pulled from a website is no longer an unchangeable copy of anything.</p>

<p>To be totally honest, email already has a problem with mutability – an email which is just a wrapper around <a href="https://duckduckgo.com/?q=email+remote+images">remotely hosted images</a> can already be created, though FastMail offers you the option of <a href="https://www.fastmail.com/help/receive/remotecontent.html">turning them off or restricting them to senders in your address book</a>.  Most sites and email clients offer an option to block remote images by default, both for privacy and because they can change after being delivered (even more specifically, an email with remote images can totally change after being content scanned).</p>

<h2>Your own memory</h2>

<p>The email in your mailbox is <strong>your copy</strong> of what was said, and nobody else can change it or make it go away.  The fact that the content of an email can’t be edited is one of the best things about POP3 and IMAP email standards.  I admit it annoyed me when I first ran into it – why can’t you just fix up a message in place – but the immutability is the real strength of email.  You can safely forget the detail of something that you read in an email, knowing that when you go back to look at it, the information will be exactly the same.</p>

<p>Over time your mailbox becomes an extension of your memory – a trusted repository of history, in the way that an <a href="https://publiceditor.blogs.nytimes.com/2016/03/17/new-york-times-bernie-sanders-coverage-public-editor/">online news site will never be</a>.  Regardless of the underlying reasons, it is a fact that websites can be “corrected” after you read them, <a href="https://www.politwoops.com/g/australia">tweets can be deleted</a> and <a href="http://www.bbc.co.uk/newsbeat/article/34872506/facebook-censorship-had-a-post-removed-and-dont-know-why">posts taken down</a>.</p>

<p>To be clear, often things are taken down or edited for good reasons.  The problem is, you can read something online, forward somebody a link to it or just go back later to re-read it, and discover that the content has changed since you were last there.  If you don’t have perfect memory (I sure don’t!) then you may not even be sure exactly what changed – just be left with a feeling that it’s not quite how you remember it.</p>

<p>Right now, email is not like that.  Email is static, immutable, unchanging.  That’s really important to me, and really important to FastMail.  <a href="https://blog.fastmail.com/2016/12/13/fastmails-values/">Our values</a> are very clear – your data belongs to you, and we promise to be good stewards of your data.</p>

<p>I'm not going to promise that FastMail will “never implement AMP” because compatibility is also important to our users, but we will proceed cautiously and skeptically on any changes that allow emails to mutate after you’ve seen them.</p>

<h2>An online datastore</h2>

<p>Of course, we’re a hosted “cloud” service.  If we turned bad, we could start silently changing your email.  The best defence against any cloud service doing that is keeping your own copies, or at least digests of them.</p>

<p>Apart from trusting us, and our multiple replicas and backups of every email, we make it <a href="https://www.fastmail.com/help/account/downloaddata.html">very easy</a> to keep your own copies of messages:</p>

<ol>
<li><p>Full standards-compliant access to email.  You can use <a href="https://www.fastmail.com/help/#clients">IMAP or POP3</a> to download messages.  IMAP provides the triple of “foldername / uidvalidity / uid” as a unique key for every message.  Likewise we provide CalDAV and CardDAV access to the raw copies of all your calendars and contacts.</p></li>
<li><p>Export in useful formats.  Multiple formats for <a href="https://www.fastmail.com/help/contacts/importexportcontacts.html#exportcontacts">contacts</a>.  Standard ICS files for <a href="https://www.fastmail.com/help/calendar/importexportcalendars.html#exportcalendars">calendars</a> and it’s rather hidden, but at the bottom of the Folders screen, there’s a link called “Mass delete or remove duplicates” and there’s a facility on that screen to download entire folders as a zip file as well.</p></li>
<li><p>Working towards new standards for email.  Our team is working hard on <a href="http://jmap.io/">JMAP</a> and will be participating in a <a href="https://trac.ietf.org/trac/ietf/meeting/wiki/101hackathon">hackathon</a> at IETF in London in March to test interoperability with other implementations.</p></li>
<li><p>We also provide a DIGEST.SHA1 non-standard fetch item via IMAP that allows you to fetch the SHA1 of any individual email.  It’s not a standard though.  We plan to offer something similar via JMAP, but for any attachment or sub-part of emails as well.</p></li>
</ol>

<h2>Your data, your choice</h2>

<p>We strongly believe that our customers stay with us because we’re the best, not because it’s hard to leave.  If for any reason you want to leave FastMail, we make it as easy as possible to migrate your email away.  Because it’s all about trust – trust that we will keep your email confidential, trust that we will make your email easy to access, and trust that every email will be exactly the same, every time you come back to read it.</p>

<p>Thank you to our customers for choosing us, and staying with us.  If you’re not our customer yet, please do grab yourself a <a href="https://www.fastmail.com/signup/">free trial account</a> and check out our product.  Let us know via <a href="https://www.fastmail.com/support/">support</a> or <a href="http://twitter.com/FastMail">twitter</a>, whether you decide to stay, and particuarly if you decide not to!  The only thing we don’t want to hear is “it should be free” – we’re not interested in that discussion, we provide a good service and we proudly charge for it so that you are our customer, not our product.</p>

<p>And if you’re not ready to move all your email, you can get a lot of the same features for a whole group of people using <a href="https://topicbox.com/">Topicbox</a> – a shared memory without having to change anything except the “To:” line in the emails you send!</p>

<p>Cheers,</p>

<p>Bron.</p>
