title: Plain Text vs. HTML Emails: Which Is Better?
url: https://blog.hubspot.com/marketing/plain-text-vs-html-emails-data
hash_url: f46d27e60634cd0c0769fd59c28250d6

<span id="hs_cos_wrapper_post_body" class="hs_cos_wrapper hs_cos_wrapper_meta_field hs_cos_wrapper_type_rich_text" data-hs-cos-general-type="meta_field" data-hs-cos-type="rich_text"><p><span>In the world of <a href="https://www.hubspot.com/products/marketing/email" rel=" noopener" target="_blank">email marketing</a>, opens and clicks are everything, which means email marketers are always testing ways to improve these metrics. We'll tweak subject lines, calls-to-action, images, headers, layout, link positioning, copy, length, tone, content ... the list goes on and on.</span></p>

<p>Through all of this testing, there's one hard truth we've discovered: Aside from <a href="//blog.hubspot.com/marketing/what-is-list-segmentation-faqs-ht">proper list segmentation</a>, <strong>nothing boosts opens and clicks as well as an old school, plain-text email.</strong></p>
<p>While the plain-text emails we created had some formatting capabilities (hyperlinks, tracking pixels, etc.), they were as close to plain-text as we could while maintaining the ability to track opens and clicks for testing purposes. <strong><br/></strong></p>
<p>With that said, here's how we came to that conclusion.</p>
<h2>Beyond Deliverability</h2>
<p>The (relatively) old debate of plain-text vs. HTML is mostly centered around email deliverability. We won't be covering all of the <a href="//blog.hubspot.com/marketing/improve-email-deliverability-video" target="_blank">deliverability best practices</a> in this article, but it is important to have some context around that metric.</p>
<p>Having an HTML email does not hurt your deliverability as long as you have two things: a properly coded HTML email and a plain-text version.</p>
<h3>1) The HTML email needs to be properly coded. </h3>
<p><span>If there are broken tags in your HTML, the email provider and users can mark it as spam. That'll hurt deliverability -- not just for that email, but also for any emails coming from that particular email address in the future.</span></p>
<h3>2) The email should also contain a plain-text version. </h3>
<p>Most email marketing tools will let you <a href="//help.hubspot.com/articles/KCS_Article/Email/How-do-I-generate-a-plain-text-email">easily create plain-text versions</a> within their email editor, so take those five extra minutes to create and <a href="//blog.hubspot.com/marketing/make-emails-more-clickable-list">optimize the plain-text</a> version of your email. Otherwise, email providers such as Gmail or Outlook might think your email is dodgy -- they expect legitimate companies to follow this basic best practice.</p>
<p><span>If your emails follow the deliverability guidelines above, your HTML and plain-text should have the same deliverability metrics. </span></p>
<p>So if you're following the best practices above, which type of email actually performs better once it's in someone's inbox? </p>
<h2>People <em>Say</em> They Prefer HTML Emails</h2>
<p>In a <a href="//offers.hubspot.com/science-of-email-marketing-2014-report">2014 survey</a>, we asked over a thousand professionals whether they preferred HTML-based or text-based emails, and whether they preferred emails that consisted of mostly text or mostly images. Nearly 2/3 of the respondents said they preferred HTML and image-based emails.</p>
<p><img class="alignCenter shadow" src="https://blog.hubspot.com/hubfs/Screen_Shot_2015-07-24_at_9.14.53_PM.png"/></p>
<p><img class="alignCenter shadow" src="https://blog.hubspot.com/hubfs/Screen_Shot_2015-07-24_at_9.15.42_PM.png"/></p>
<p>Great, we thought. If people wanted visuals, we'd give them visuals!</p>
<p>So we decided to experiment with varying degrees of HTML-richness -- plain HTML templates, snazzy and sleek HTML templates, beautiful headers, different sized and positioned images, various call-to-action buttons, and even GIFs -- to see which would have the best result.</p>
<h2>... But They <em>Actually</em> Prefer Plain-Text</h2>
<p><span>In every single A/B test, the simpler-designed email won. The emails with fewer HTML elements won with <a href="//www.hubspot.com/ab-test-calculator" target="_blank">statistical significance</a><span>. </span></span></p>
<p><span><span>Ouch.</span></span></p>
<p>Every other marketing channel is <a href="//blog.hubspot.com/marketing/visual-content-marketing-strategy" target="_blank">moving towards incorporating visuals</a> and seemingly getting positive results. Why were emails performing <em>worse </em>when we attempted to make them more visual appealing?</p>
<h3>HTML emails reduce open rates.</h3>
<p>One thing that we noticed was that our HTML and plain-text emails were both receiving the same deliverability rate. So if they were getting delivered at the same rate, how were HTML emails underperforming? </p>
<p>To understand the full scope of what happened, we decided to A/B test our email sends. We tested various segments of our database in multiple regions to get a better picture of HTML vs. plain-text emails.</p>
<p>The results confirmed what we assumed: <strong>HTML emails decreased open rates.</strong> What was interesting, however, was that not only were HTML emails receiving lower open rates than their plain-text counterparts, the <em>more HTML-rich</em> an email was, the lower its open rate.</p>
<p>Here are some of the A/B test results we found:</p>
<p><img class="alignCenter shadow" src="https://blog.hubspot.com/hs-fs/hubfs/1-86947261.png?width=640&amp;height=480&amp;name=1-86947261.png" data-constrained="true" srcset="https://blog.hubspot.com/hs-fs/hubfs/1-86947261.png?width=320&amp;height=240&amp;name=1-86947261.png 320w, https://blog.hubspot.com/hs-fs/hubfs/1-86947261.png?width=640&amp;height=480&amp;name=1-86947261.png 640w, https://blog.hubspot.com/hs-fs/hubfs/1-86947261.png?width=960&amp;height=720&amp;name=1-86947261.png 960w, https://blog.hubspot.com/hs-fs/hubfs/1-86947261.png?width=1280&amp;height=960&amp;name=1-86947261.png 1280w, https://blog.hubspot.com/hs-fs/hubfs/1-86947261.png?width=1600&amp;height=1200&amp;name=1-86947261.png 1600w, https://blog.hubspot.com/hs-fs/hubfs/1-86947261.png?width=1920&amp;height=1440&amp;name=1-86947261.png 1920w" sizes="(max-width: 640px) 100vw, 640px"/></p>
<p><img class="alignCenter shadow" src="https://blog.hubspot.com/hubfs/2-528.png"/></p>
<p><img class="alignCenter shadow" src="https://blog.hubspot.com/hubfs/3-126.png"/></p>
<p>While these (and at least 10 more) tests vary in the percentage opens were lowered, the conclusion we came to was that simpler HTML emails had better open rates than HTML-rich emails, and that plain-text emails performed best of all.</p>
<p><span class="content-post__body">Why? </span></p>
<p>We figured it had to do with the concept of deliverability.<strong> Just because something says it's been delivered doesn't mean it's actually in a noticeable place of someone's inbox.</strong></p>
<p id="last">Email services are increasingly filtering emails (especially commercial ones) to provide a better experience for the user. <span>An example of this is <a href="//blog.hubspot.com/marketing/new-gmail-inbox-layout-email-nj" target="_blank">Gmail's promotions tab</a>.<span> It<span> automatically filters what it deems "commercial" emails<span> out of the main inbox unless the user changes the settings.</span></span></span></span></p>
<p>So the simple explanation is that image tags and HTML-rich templates seem to be getting flagged by email providers as commercial email, which means they get filtered out of a recipient's main inbox. (And thus, people can't open it.)</p>
<h3>HTML emails reduce clickthrough rates.</h3>
<p><span class="content-post__body"><span>But open rates are just one part of the picture. Even if open rates decreased with HTML emails, most marketers assumed HTML emails would convert better because they appear well designed.</span></span></p>
<p><span>For example, shouldn't an email with an image of the ebook being promoted do better than an email with no visualization of the offer? Wouldn't just a plain email be boring, and not help explain the offer? Aren't humans <a href="http://www.nytimes.com/2013/02/17/opinion/sunday/why-we-love-beautiful-things.html?_r=0" target="_blank">wired</a> to be attracted to beautiful design?</span></p>
<p><span>Unfortunately, this principle doesn't apply to email. </span></p>
<p><span>And the reason is simple: <strong>Email, unlike other marketing channels, is perceived as a 1-to-1 interaction.</strong> </span></p>
<p><span>Think about how you email colleagues and friends: Do you usually add images or use well-designed templates? </span>Probably not, and neither does your audience. They're used to using email to communicate in a personal way, so emails from companies that look more personal will resonate more.</p>
<p>To better understand the impact of plain-text vs. HTML emails, we looked at the effect on the click rate (clicks/delivered) which is influenced by open rates, and clickthrough rates (clicks/opens) which isolate clicks from the variable of opens.</p>
<p>For the click rate, <a href="//offers.hubspot.com/science-of-email-marketing-2014-report" target="_blank">we dove into data</a> from over half a billion marketing emails sent from HubSpot customers. These customers vary in type of business, and have different segments, list sizes, and list compositions.</p>
<p>What we found was that even a single image reduced the click rate:</p>
<p><img class="alignCenter shadow" src="https://blog.hubspot.com/hs-fs/hubfs/NITI_plain_text_vs_html_blog_post_1.png?width=667&amp;height=505&amp;name=NITI_plain_text_vs_html_blog_post_1.png" alt="Effect of number of images in marketing email on CR" data-constrained="true" srcset="https://blog.hubspot.com/hs-fs/hubfs/NITI_plain_text_vs_html_blog_post_1.png?width=334&amp;height=253&amp;name=NITI_plain_text_vs_html_blog_post_1.png 334w, https://blog.hubspot.com/hs-fs/hubfs/NITI_plain_text_vs_html_blog_post_1.png?width=667&amp;height=505&amp;name=NITI_plain_text_vs_html_blog_post_1.png 667w, https://blog.hubspot.com/hs-fs/hubfs/NITI_plain_text_vs_html_blog_post_1.png?width=1001&amp;height=758&amp;name=NITI_plain_text_vs_html_blog_post_1.png 1001w, https://blog.hubspot.com/hs-fs/hubfs/NITI_plain_text_vs_html_blog_post_1.png?width=1334&amp;height=1010&amp;name=NITI_plain_text_vs_html_blog_post_1.png 1334w, https://blog.hubspot.com/hs-fs/hubfs/NITI_plain_text_vs_html_blog_post_1.png?width=1668&amp;height=1263&amp;name=NITI_plain_text_vs_html_blog_post_1.png 1668w, https://blog.hubspot.com/hs-fs/hubfs/NITI_plain_text_vs_html_blog_post_1.png?width=2001&amp;height=1515&amp;name=NITI_plain_text_vs_html_blog_post_1.png 2001w" sizes="(max-width: 667px) 100vw, 667px"/></p>
<p>This data above is of course correlated to open rates -- but what other factors might be contributing to the decline in click rates? In the data above, it's clear that after the HTML threshold is crossed, click rates continue to decrease, which means it's not just the open rate<em> </em>affecting the click rates</p>
<p>To see if the clickthrough rate (clicks/opened) were affected, we looked to our A/B tests once again. For the emails in the section above as well as in the others we have tested, the plainer variation won with statistical significance.</p>
<ul>
<li>For the plain-text vs. .GIF image test, the .GIF version had a 2.3% lower clickthrough rate. This, combined with the lower open rate, meant the plain-text version got 42% more clicks. </li>
<li>For the plain-text vs. HTML template with images test, the HTML email version had a 21% lower clickthrough rate, and combined with the open rate the email had 51% fewer clicks.</li>
<li>For the simple HTML template vs. HTML-heavy template, the simpler email had a 5.3% higher clickthrough rate, and combined with the higher open rate, resulted in getting 30% more clicks.</li>
</ul>
<p>It would seem that better design or even images did not improve the clickthrough rate -- <strong>in fact, HTML consistently had a lower clickthrough rate</strong>. When combined with the lower open rates, this can turn into a double-whammy for email conversions.</p>
<h2>What This Means for Email Marketers</h2>
<p>Although people say they prefer HTML-based and image-based emails, in reality, simpler emails perform best -- and plain-text emails perform best of all.</p>
<p>In most instances, lower opens and clicks are due to several factors:</p>
<ul>
<li><strong>Filters set up by email providers</strong> that divert commercial emails from users' main inboxes.</li>
<li><strong>Email client limitations.</strong> For example, Gmail will not automatically show images from unknown senders.</li>
<li><strong>User preference for digestible formatting.</strong> Plain text might be perceived as less of a time commitment to read, or perhaps people really don't care for design in email.</li>
</ul>
<h4>Ultimately, in email, less is more.</h4>
<p>This can be a tough pill for marketers to swallow (myself included) because we're naturally driven to be creative. But data repeatedly shows plain-text email wins, so it's up to us to decide whether or not we want to make the switch. </p>
<p><span>Like with all cases, there may be exceptions. For example, ecommerce companies may have completely different results because users expect <em>only </em><span>HTML-rich emails with visuals of products. So before you make any final decisions, it's important to test your own emails.</span></span></p>
<p>It's not all bad though. Being limited to plain-text forces marketers to get creative with the basics -- subject line, copy, positioning, link placement -- to achieve the desired result. Sometimes "old-school," well-written copy is all you need to get the job done.</p>
