title: Brilliant Jerks in Engineering
url: http://www.brendangregg.com/blog/2017-11-13/brilliant-jerks.html
hash_url: fdaf911c76e0bf3c6ed5b39950093437

<div style="float:right;padding-left:5px"><a href="/blog/images/2017/brilliantjerks.jpg"><img src="/blog/images/2017/brilliantjerks.jpg" border=0 width=380><br></a><center><font size=-1><i>Notice board at Ericsson, Stockholm (pic by <a href="https://twitter.com/DeirdreS">DeirdreS</a>)</i></font></center></div>

<p>Many of us have worked with them: the engineering jerk who is brilliant at what they do, but treats others like trash. Some companies have a policy not to hire them (eg, Netflix&#39;s &quot;<a href="https://www.slideshare.net/reed2001/culture-1798664/36-Brilliant_Jerks_Some_companies_tolerate">No Brilliant Jerks</a>&quot;, which was one of the many reasons I joined the company). There&#39;s also the &quot;<a href="http://amzn.to/2zitvVd">No Asshole Rule</a>&quot;, popularized by a bestselling book of this title, which provides the following <a href="http://en.wikipedia.org/wiki/The_No_Asshole_Rule">test</a>:</p>

<ul>1. After encountering the person, do people feel oppressed, humiliated or otherwise worse about themselves?<br>
2. Does the person target people who are less powerful than him/her?</ul>

<p>Here&#39;s a test for you or your company: Would you tolerate a brilliant engineer who is also an asshole? (Or the more company-polite version: would you tolerate a brilliant jerk?)</p>

<p>There are numerous articles and opinions on the topic, including <a href="https://retrospective.co/brilliant-jerks-cost-more-than-they-are-worth/">Brilliant Jerks Cost More Than They Are Worth</a>, and <a href="https://hbr.org/2015/12/its-better-to-avoid-a-toxic-employee-than-hire-a-superstar">It&#39;s Better to Avoid a Toxic Employee than Hire a Superstar</a>. My colleague Justin Becker is also giving a talk at QConSF 2017 on the topic: <a href="https://qconsf.com/sf2017/presentation/am-i-brilliant-jerk">Am I a Brilliant Jerk?</a>. </p>

<p>It may help to clarify that &quot;brilliant jerk&quot; can mean different things to different people. To illustrate, I&#39;ll describe two types of brilliant jerks: the selfless and the selfish, and their behavior in detail. I&#39;ll then describe the damage caused by these jerks, and ways to deal with them.</p>

<p><strong>The following are fictional characters.</strong> These are not two actual engineers, but are collections of related traits to help examine this behavior beyond the simple &quot;no asshole rule.&quot; These are engineers who by default act like jerks, not engineers who sometimes act that way. </p>

<h2>Fictional Alice, the selfless brilliant jerk</h2>

<p>Alice is a brilliant engineer. Alice cares about the company.</p>

<p>She is direct and honest. If she believes that an unpopular position is right for the company, Alice does not hesitate to voice it. She will even browbeat others to make her point, often coming across as mean-spirited. Alice would point out that she wasn&#39;t being mean, she was just stating what is right, and that being mean shouldn&#39;t hurt the company anyway. She has little empathy for the feelings of others, and sees little business value in having it.</p>

<p>Alice is great at working individually on hard engineering problems. She gets along fine with her immediate team and manager, who understand her personality. She doesn&#39;t get on well with others whom she only meets occasionally. Outside of her team, Alice is known as a jerk, and people try to avoid working with her.</p>

<p>Alice is great at fixing hard bugs, writing test suites, doing code merges, and other unglamorous work. If the company needs it done, she&#39;s happy to do it, and doesn&#39;t care much whether it furthers her own career.</p>

<p>While selfless jerks can be a net positive for the company, they can become more effective if they learn that being kind results in greater productivity. This topic was covered in the <a href="http://boz.com/articles/be-kind.html">Be Kind</a> post by boz. Different companies may have different attitudes towards Alice: whether to tolerate her behavior or not (most reviewers of this post said &quot;no,&quot; one said &quot;it&#39;s a grey area&quot;). Startups may tolerate Alice, for example, since the company is so small that everyone knows Alice and understands her personality.</p>

<p>But I&#39;ve described selfless jerks primarily for contrast with <em>selfish</em> jerks.</p>

<h2>Fictional Bob, the selfish brilliant jerk</h2>

<p>Bob is a brilliant engineer. Bob cares about Bob.</p>

<p>He is selfish, lacks empathy, and has delusions of grandeur. He believes that any behavior is justified that benefits himself, including abusing and exploiting others, for which he shows no guilt or remorse. He can be charming and charismatic to get his way, causing people to ignore or excuse his bad behavior.</p>

<p>Below is a list of attributes that describe Bob, an extreme example of a brilliant engineering jerk. Not every brilliant jerk exhibits all of these behaviors, but I&#39;ve seen each and every one of them firsthand.</p>

<p><strong>Bob interrupts others, and ignores their opinions</strong>. He believes that he is the most important person in the room, and has no interest in what others have to say, frequently interrupting them. He can monopolize conversations with long, exaggerated stories that flatter himself. Less-assertive engineers are effectively silenced, even if their opinions on the topic are the most valuable.</p>

<p><strong>Bob only does work that benefits himself</strong>. He can work well on hard engineering problems, but only works on those he enjoys, or that help his career or promote his own earlier work. He creates new projects and immediately claims credit, but leaves the dirty work of finishing them to others, and avoids responsibility if they fail. He is brilliant at convincing the company to let him do what he wants, even when that ignores market demand or his own past performance. He never seriously mentors or trains other staff – he does not see that as useful to his own career.</p>

<p><strong>Bob bullies, humiliates, and oppresses individuals</strong>. With non-technical people, he wins arguments by bamboozling them with irrelevant technical detail, making them feel dumb. With junior technical people, Bob likes to ridicule their ideas, letting everyone know how stupid they are, and how much smarter he is. When his technical specialties are needed, he makes people beg and grovel for his help, as another way to humiliate them. When others make mistakes, he enjoys shaming and mocking them with biting sarcasm and witty insults. He uses similar rhetoric in arguments, where he must always win, no matter the cost.</p>

<p><strong>Bob engages in displays of dominance in front of groups</strong>. Bob likes to show everyone how important he is by how much he can get away with, including sheer rudeness. He is late to meetings (on purpose), puts his feet up on the table, then looks at his phone or laptop while ignoring everyone around him. He sometimes makes obscene remarks in the office, bragging: &quot;If anyone else said that, they&#39;d be fired!&quot;. He also insists on having a better laptop/desktop/monitor than everyone else, to display his status.</p>

<p><strong>Bob tries to assert authority over all areas of the company</strong>, including those where he has no expertise at all. Areas he cannot control, he denigrates: eg, as an engineer, he will claim that marketing is stupid, useless, unnecessary, and that &quot;anyone could do it.&quot;</p>

<p><strong>Bob is negative</strong>. He trash-talks other technologies, companies, and people behind their backs, always finding something negative to say. He elevates his own status by slamming other people. He also attacks technologies that either don&#39;t leverage his own prior work, or don&#39;t conform to his own beliefs. Other engineers avoid new technologies, for fear of damaging ridicule from Bob.</p>

<p><strong>Bob manipulates and misleads</strong>. Sometimes he misleads subtly, by presenting facts that are literally true in a way that is intentionally misleading. At other times he will simply lie, and do it with such confidence and assertiveness that he is almost always believed. He states his own preferences and opinions as facts.</p>

<p><strong>Bob uses physical intimidation</strong>. Bob glares at those he doesn&#39;t like, and may invade people&#39;s personal space. He may also use violent gestures such as slamming fists on desks.</p>

<p><strong>A string of good employees have quit because of Bob</strong>. Some engineers become fed up with Bob and quit. Talented engineers are driven out by Bob on purpose, to eliminate threats to his own status. Bob demonizes those who left, attributing past failures to them, and their successes to others who stayed, especially himself. In this way, he convinces management that losing those staff was good for the company, and stops them from realizing that the real problem is Bob. Some who have left, if asked, will cite other reasons for quitting, hoping to avoid becoming victims of Bob&#39;s smear campaigns.</p>

<p><strong>Bob gives great talks &ndash; about himself</strong>. Because he is a brilliant engineer and a great public orator, he is a popular speaker at technical events. In talks, he narrates self-enhancing stories and rewrites history to flatter himself, taking credit for other people&#39;s work &ndash; if not blatantly, then tacitly or by implication. He has a group of spellbound followers outside of the company who hero-worship and idolize him, and would love to work with him. He is well liked <em>from afar</em>.</p>

<p><strong>Bob exploits junior engineers</strong>: Bob finds junior engineers who admire his brilliance, and encourages them to do work that elevates Bob&#39;s ideas and projects, reflecting glory back onto Bob. They become so invested in helping Bob&#39;s career growth that they have none of their own.</p>

<p><strong>Bob is a negative role model</strong>. Bob can drag down the workplace or community by becoming a negative role model and having others imitate his behavior. Those who admire Bob become negative, bully others, and engage in similar personal attacks, hoping for his approval and to become Bob themselves. Others simply use Bob to excuse their own pre-existing bad behavior: if Bob can do it, so can I.</p>

<p><strong>Some of Bob&#39;s coworkers become accomplices, and gaslight his abuse</strong>. They were there when he attacked and humiliated others, and they did nothing – or laughed along, encouraging Bob to continue. Bob likes to surround himself with such enablers. They may be otherwise reasonable people who have yet to understand that what they are witnessing is abuse. They may publicly defend Bob and deny that abuse happened, or minimize it, gaslighting Bob&#39;s victims (&quot;everyone&#39;s a jerk sometimes&quot;).</p>

<p><strong>Bob refuses to change</strong>. Bob knows that his behavior hurts people, but &quot;that&#39;s their problem.&quot;</p>

<p>It bears repeating: I have seen each of these behaviors firsthand, from multiple brilliant jerks. Bob is an extreme fictional case who exhibits <em>all</em> of these behaviors. One particular person may exhibit only some, without necessarily being a jerk. But, if you recognize many of these traits in a colleague – or in yourself – then, yes, you&#39;re probably dealing with a major-league jerk.</p>

<p>Some reviewers of this post have said that Bob seems unbelievable: no one could be anywhere near that bad! They are fortunate not to have experienced a Bob, which is the lesson here: your understanding of a &quot;brilliant jerk&quot; may differ from that of someone who has actually worked with a Bob, or another severe type of jerk.</p>

<h2>The problems caused by brilliant jerks</h2>

<p>Problems caused by Alice, the selfless jerk, may include:</p>

<ul>
<li>Alice hurts or offends some employees with her attitude.</li>
<li>Alice causes her team and manager to spend energy mending fences with others.</li>
<li>Alice&#39;s projects may be less successful, as others avoid working with her.</li>
<li>Alice discourages others from asking her questions, so her technical expertise is often wasted.</li>
</ul>

<p>But Bob, the selfish jerk, can cause these additional problems:</p>

<ul>
<li>Bob silences many technical opinions, lowering the company&#39;s technical IQ.</li>
<li>Bob creates extra work for others who must fix his abandoned projects.</li>
<li>Bob demoralizes many staff, which hurts productivity.</li>
<li>Bob causes stress-related psychological and physical illness in his victims.</li>
<li>Bob causes some staff to occasionally skip work: increasing absenteeism.</li>
<li>Bob drives staff to quit, who will never come back.</li>
<li>Bob may strengthen the company&#39;s competition, who hire those who quit.</li>
<li>Bob makes it difficult to hire other good staff (word gets around).</li>
<li>Bob discourages customers and investors (word gets around).</li>
<li>Other staff devise processes to work around Bob, reducing the company&#39;s efficiency.</li>
<li>Other staff may sabotage Bob&#39;s work, which sabotages the company.</li>
<li>Bob inspires other staff to imitate his behavior, multiplying the problem.</li>
<li>Bob creates a hostile workplace environment: an invitation to lawsuits.</li>
</ul>

<p>Chapter 2 in &quot;The No Asshole Rule&quot; covers more details (although for general staff, not just engineers), and has instructions for calculating your TCA: the Total Cost of Assholes for your organization.</p>

<h2>Dealing with brilliant jerks</h2>

<p>There are two parts to this: helping the victims and staff who witness the behavior, and dealing with the jerks themselves. Both are big topics that I&#39;ll discuss here only briefly.</p>

<p>At some companies, no one is telling Alice or Bob that their behavior is inappropriate. Everyone sees the bad behavior, but thinks it must be tolerated because Alice and Bob are so brilliant and valuable. Wrong! One important step a company can take is to explicitly adopt a &quot;no brilliant jerks&quot; policy. Netflix has such a policy as part of the culture slide deck, now a <a href="https://jobs.netflix.com/culture">memo</a>, which reads:</p>

<blockquote>On a dream team, there are no “brilliant jerks.” The cost to teamwork is just too high. Our view is that brilliant people are also capable of decent human interactions, and we insist upon that. When highly capable people work together in a collaborative context, they inspire each other to be more creative, more productive and ultimately more successful as a team than they could be as a collection of individuals.<br>&ndash; Netflix culture memo</blockquote>

<p>This policy isn&#39;t some useless feel-good text from a nameless source: it was originally published on CEO Reed Hastings&#39; <a href="https://www.slideshare.net/reed2001/culture-1798664/36-Brilliant_Jerks_Some_companies_tolerate">slideshare account</a>. To be effective, such a policy for your company may also need to come from your CEO. All Netflix candidates are told to read the culture deck (memo) when interviewing, and are told that, yes, we take it seriously. While this helps people realize that jerks should not be tolerated, it doesn&#39;t necessarily stop jerks from being hired in the first place: Bob is brilliant and charismatic and would probably pass the interview. However, he would then find himself at a company where his colleagues recognize his bad behavior as unacceptable, and are empowered to speak up about it.</p>

<p>In over three years at Netflix, I&#39;ve worked with zero brilliant jerks. The &quot;no brilliant jerks&quot; policy works, and it&#39;s been great. If we hired any in that time, they either changed their ways or left the company before I could interact with them.</p>

<p>Some brilliant jerks can mend their ways: Alice might be motivated to change if she can be made to understand that her behavior is hurting the company, which she cares about. She should be encouraged to exercise empathy, and to leave others feeling positive and motivated to work harder, rather than demotivated. My colleague, Justin Becker, explores this in detail in his QCon talk, including the topic of emotional intelligence (EQ). In the next section I&#39;ll share an example.</p>

<p>As for Bob: he should be told that his behavior hurts people and the company, and given the opportunity to change – but the reality is that he probably doesn&#39;t care. He firmly believes that &quot;nice guys finish last,&quot; and, so far, being a jerk has  worked well for him. His managers have the power to change that equation, because they control things that Bob wants: they allow him to work on his pet projects and to speak at events, they give him promotions and bonuses, and ultimately they let him keep his job.</p>

<blockquote>"I'd rather have a <i>hole</i> in my organization than an <i>asshole</i>."</a><br>&ndash; Fred Wilson, Velocity NY 2013 <a href="https://www.youtube.com/watch?v=fJOSX-W0yHA&feature=youtu.be&t=10m53s">keynote</a>.</blockquote>

<p>As a colleague/victim/witness, you should report Bob&#39;s behavior to management, but you probably shouldn&#39;t ask them outright to fire Bob (among other reasons, what if someday you were thought to be a Bob?). Give management information, but let them decide how to act. Actually firing a brilliant jerk is a complicated topic for a separate post, ideally written by a manager who has dealt with this. There&#39;s usually a process to follow, which unfortunately Bob may exploit to his advantage, showing improvement when needed to keep his job, but then reverting back to his bad old ways. He may also have convinced management that his technical skills and fame are so important that the company would fail without him. This isn&#39;t true, but fear may cause management to hesitate.</p>

<p>For management to deal effectively with Bob, they must themselves be convinced that his behavior should not be tolerated, regardless of his brilliance. For some companies, that will require truly understanding the damage that Bob causes (listed above), to justify taking action. For companies like Netflix with an explicit &quot;no brilliant jerks&quot; policy, it&#39;s much easier for management to take action, as they don&#39;t need to convince anyone that jerks are a problem: that&#39;s already covered in company policy.</p>

<p>Regular one-on-one meetings with staff, and scheduled skip-level meetings, should also help inform management about the damage jerks are causing. Netflix does this well: I have scheduled one-on-one meetings with my manager once every two weeks, their manager once a month, and their manager at least once a year. That&#39;s three levels of management I talk directly and in private with, without even having to ask for a meeting. We&#39;re also encouraged to give other employees direct and honest feedback, intervene if we see harassment, and escalate up to and including the CEO.</p>

<p>As for public speaking: Bob draws power from being a public face of the company. Speaking events should be shared among staff who want to speak, and training can be made available to improve their skills (various companies offer this), so that Bob isn&#39;t the only good speaker. Conference organizers can also adopt a &quot;no brilliant jerks&quot; policy (some already do), and attendees can avoid conferences that host known jerks. If Alice needs to learn empathy, Bob needs to learn both empathy and to stop being selfish, and sharing public speaking or other rewarding projects is an example of the latter.</p>

<h2>When I acted like a jerk</h2>

<p>Many people sometimes act like Alice, and it can be easy to talk them out of it (Alice herself is harder, since it&#39;s her by-default behavior). I&#39;ll explain this with a story, this time of a moment when I acted like a jerk.</p>

<p>Early in my career, an engineer at my company made a big mistake in my area of expertise, and sent an email that dodged responsibility and showed no path to fix it. I was furious and phoned the engineer: my intent was to make him realize that he&#39;d made a big mistake, and put him on the right path. I was blunt, and told him off. I didn&#39;t enjoying doing so, but I felt I was doing a Good Thing for the company, and fixing a problem.</p>

<p>A week later, his manager phoned me unexpectedly. He told me that he was aware of my phone call, and didn&#39;t think I was technically wrong, but did I know that the engineer has been demotivated and unproductive since I talked to him, and was it my intent to make his staff unproductive? No, of course not. The manager continued: do you think you could have told my engineer what you needed to, in a way that left them feeling positive and motivated to fix it? Sure, I probably can. Good. Always do that in the future, please. I did.</p>

<p>The phone call lasted less than two minutes, and was immediately effective. I suspect the manager had done this before. Notice that he did not accuse me of being a jerk, rather, he posed two questions, which were basically: 1) are you intending to hurt the company?, and 2) are you able to act decently? There&#39;s only really one right answer to those questions. If he had just said &quot;you are a jerk&quot; I may have just replied &quot;no, I&#39;m not&quot;, but by asking questions instead, it put the onus on me to think about the answer, and triggered a moment of self reflection.</p>

<h2>Additional topics</h2>

<p>There are some additional topics I have not covered in detail here, but should mention:</p>

<ul>
<li><strong>What about jerks in open source communities?</strong> A good reference for this is the <a href="https://hypatia.ca/2016/06/21/no-more-rock-stars/">no more rock stars</a> post, where the rock star described is pretty much Bob. See that post for the section on: How do we as a community prevent rock stars?.</li>
<li><strong>What about Bob as a manager?</strong> Bob may seek and be offered promotions into management, and become even more damaging to the company. Bob the manager exploits and threatens his subordinates. That&#39;s a topic for another post.</li>
<li><strong>Does Bob sexually assault others?</strong> Is Bob more likely to be a harasser due to delusions of grandeur and a sense of entitlement (<a href="https://hypatia.ca/2017/07/18/the-al-capone-theory-of-sexual-harassment/">Al Capone theory</a>), or is he smart enough not to go that far, or, is he simply not that kind of jerk? I don&#39;t know. That&#39;s outside of my firsthand experience, so I didn&#39;t include it.</li>
<li><strong>What about those junior engineers?</strong> The ones Bob exploits for his own gain. That&#39;s another big topic. Some related reading <a href="https://medium.com/@marlenac/the-blood-bag-co-narcissists-and-narcissists-in-tech-b6c78ae2aa5e">here</a>, <a href="https://medium.com/@marlenac/the-blood-bag-cutting-the-iv-line-e05496871f8a">here</a>, and <a href="https://medium.com/@marlenac/the-blood-bag-patterns-of-blood-bags-and-narcissists-in-tech-c41854605103">here</a> (from which I borrowed the words &quot;reflecting glory&quot;).</li>
<li><strong>Is Bob actually brilliant?</strong> It&#39;s a little hard to tell, since Bob takes credit for the work of others. Bob also creates enemies in the industry, and some staff even sabotage Bob&#39;s work. In the long run, it hurts Bob&#39;s career. Not a brilliant result, really.</li>
<li><strong>What if Bob is pretending to be brilliant?</strong> (Updated) The consequences for the company can be worse. I didn&#39;t explore this topic here, but it would be a character similar to Bob who isn&#39;t actually brilliant, but pretends to be, and has most people believing him. To quote from a <a href="https://news.ycombinator.com/item?id=15688692">HN comment</a>: &quot;The myth of &quot;brilliant jerks&quot; is harmful because it lets any jerk pretend he&#39;s doing it because he&#39;s brilliant, when chances are he&#39;s just afraid of being unmasked as mediocre.&quot;.</li>
<li><strong>Does anyone exist who is really as bad as fictional Bob?</strong> Yes. Fortunately they are rare. One reviewer thinks that my post will not be effective unless I name such a real-life Bob as a concrete example. Maybe they are right, but I&#39;ve avoided that here. This isn&#39;t about one Bob, it&#39;s about all selfish brilliant jerks.</li>
<li><strong>Should we publicly call out brilliant jerks in tech?</strong> It&#39;s a complex topic. The book <a href="https://www.amazon.com/Shame-Necessary-New-Uses-Tool/dp/0307950131">Is Shame Necessary</a> does make the point that shame and humiliation have a legitimate place in society when they are natural consequences to abusive behavior, which is also discussed in <a href="https://blog.valerieaurora.org/2016/10/24/when-is-naming-abuse-itself-abusive/">this post</a>. Calling out abusers may save future victims of abuse, so long as the calling out is proportional and not abusive itself. For victims of abuse, I could not make a blanket recommendation: I don&#39;t know your specific situation and how safe it is for you to speak up. I&#39;ve been in this situation myself, and was facing an extreme threat to myself and my family, and I understand how risky it can be.</li>
<li><strong>How do I know if I&#39;m the jerk?</strong> If you always think that being right is all that matters, and don&#39;t consider your impact on teamwork or relationships, you might be an Alice or a Bob. If you think that hurting other people is simply doing what it takes to get ahead, then you might be a Bob. See the earlier sections for more characteristics, and my colleague&#39;s QCon presentation: <a href="https://qconsf.com/sf2017/presentation/am-i-brilliant-jerk">Am I a Brilliant Jerk?</a></li>
</ul>

<h2>Conclusion</h2>

<p>Should brilliant jerks be tolerated? To explore this, I described two fictional brilliant jerks: Alice, who is selfless, and Bob, who is selfish. This makes it clear that the behavior of selfish jerks, like Bob, should definitely not be tolerated. Bob can kill companies. When CEOs and VCs sometimes say that brilliant jerks may be worth it, I imagine they are thinking of Alice, a selfless jerk, and not Bob. (Alice is debatable.)</p>

<p>Early on in my career, I supported brilliant jerks of any type and thought they were worth it. I was wrong. People had warned me about them, that their behavior was &quot;not ok,&quot; but they never went into much detail as to why. I&#39;ve shared many details here. I didn&#39;t figure this all out until seeing the behavior and damage firsthand. (I&#39;ve not only experienced it, but I may have reached my lifetime dosage of asshole-rads.)</p>

<p>Companies can adopt a &quot;no asshole rule&quot;, or more politely, a &quot;no brilliant jerks&quot; policy. Colleagues may be genuinely conflicted about how to deal with Bob: on the one hand, he is a real jerk, but on the other he is a &quot;high performer,&quot; so isn&#39;t it in the company&#39;s best interest to tolerate his behavior? A policy helps you decide, and it can be as simple as three words: no brilliant jerks.</p>

<h2>Acknowledgements</h2>

<p>
Picture and editing by Deirdré Straughan. Thanks to review feedback and suggestions from Alice Goldfuss, Baron Schwartz, Ed Hunter, Justin Becker, David Blank-Edelman, Valerie Aurora, and others. References and related reading:</p>

<ul>
<li>Sutton, R. <i>The No Asshole Rule</i>. Grand Central Publishing, 2010.</li>
<li>Babiak, P., Hare, R. D. <i>Snakes in Suits</i>. Harper Business, 2007.</li>
<li>Jacquet, J. <i>Is Shame Necessary</i>. Random House, 2015.</li>
<li>Sutton, R. <i>The Asshole Survival Guide</i>. Houghton Mifflin Harcourt, 2017.</li>
<li><a href="https://hbr.org/2015/12/its-better-to-avoid-a-toxic-employee-than-hire-a-superstar">https://hbr.org/2015/12/its-better-to-avoid-a-toxic-employee-than-hire-a-superstar</a></li>
<li><a href="https://retrospective.co/brilliant-jerks-cost-more-than-they-are-worth/">https://retrospective.co/brilliant-jerks-cost-more-than-they-are-worth/</a></li>
<li><a href="http://boz.com/articles/be-kind.html">http://boz.com/articles/be-kind.html</a></li>
<li><a href="https://hypatia.ca/2016/06/21/no-more-rock-stars/">https://hypatia.ca/2016/06/21/no-more-rock-stars/</a></li>
<li><a href="https://www.youtube.com/watch?v=fJOSX-W0yHA&amp;feature=youtu.be&amp;t=10m53s">https://www.youtube.com/watch?v=fJOSX-W0yHA&amp;feature=youtu.be&amp;t=10m53s</a></li>
<li><a href="https://www.slideshare.net/reed2001/culture-1798664/36-Brilliant_Jerks_Some_companies_tolerate">https://www.slideshare.net/reed2001/culture-1798664/36-Brilliant_Jerks_Some_companies_tolerate</a></li>
<li><a href="https://jobs.netflix.com/culture">https://jobs.netflix.com/culture</a></li>
<li><a href="https://qconsf.com/sf2017/presentation/am-i-brilliant-jerk">https://qconsf.com/sf2017/presentation/am-i-brilliant-jerk</a></li>
<li><a href="https://hypatia.ca/2017/07/18/the-al-capone-theory-of-sexual-harassment/">https://hypatia.ca/2017/07/18/the-al-capone-theory-of-sexual-harassment/</a></li>
<li>The blood bag series: <a href="https://medium.com/@marlenac/the-blood-bag-co-narcissists-and-narcissists-in-tech-b6c78ae2aa5e">part 1</a>, <a href="https://medium.com/@marlenac/the-blood-bag-cutting-the-iv-line-e05496871f8a">part 2</a>, <a href="https://medium.com/@marlenac/the-blood-bag-patterns-of-blood-bags-and-narcissists-in-tech-c41854605103">part 3</a></li>
<li>(Updated) discussion on <a href="https://news.ycombinator.com/item?id=15688097">hackernews</a></li>
</ul>
