title: Medium Engineering
url: https://medium.com/medium-eng/way-we-work-ef431646ab17
hash_url: 11ce91e41778aa2a916b16f1e4167d95

<p name="ed5a" id="ed5a" class="graf--p graf--first">Holacracy is a toolset for an organization and its employees. The roles in the organization are all defined, and each role has certain accountabilities and authority. This means that the people at the “top” do not have all the authority — it’s distributed even though it’s hierarchical. People can also hold multiple roles, and everyone has access to view the roles of any employee. To learn more about the system’s general principles, check out the <a href="https://medium.com/about-holacracy" data-href="https://medium.com/about-holacracy" class="markup--anchor markup--p-anchor">Holacracy</a> publication on Medium.</p><p name="c6b6" id="c6b6" class="graf--p">Holacracy embraces and expects change, so Jean talked a bit about how our own structure has shifted to support Medium’s growing engineering organization.</p><p name="a92e" id="a92e" class="graf--p">The team started off with a pretty basic structure with engineers working in small cross-functional teams — engineers, designers, PMs, etc — called product initiatives (represented in Holacracy as circles).</p><figure name="6fa0" id="6fa0" class="graf--figure"><div class="aspectRatioPlaceholder is-locked"><p class="aspect-ratio-fill"/><img class="graf-image" data-image-id="1*E9_xJz5JYuwBzDJxMp_L4g.png" data-width="1688" data-height="1512" data-action="zoom" data-action-value="1*E9_xJz5JYuwBzDJxMp_L4g.png" src="https://cdn-images-1.medium.com/max/800/1*E9_xJz5JYuwBzDJxMp_L4g.png"/></div><figcaption class="imageCaption">Our current circle structure. Much larger and more complex than in the beginning. Could change as soon as next week!</figcaption></figure><h4 name="94e4" id="94e4" class="graf--h4">Constant evolution</h4><p name="c49c" id="c49c" class="graf--p">As the team grew, there was a need for a more permanent, defined space for tracking engineering projects, more explicit support structures and room for engineers to discuss engineering-related concerns. To meet this need, the Engineering circle was proposed and created.</p><p name="d986" id="d986" class="graf--p">Within that circle, there exists the Proto Engineer role, which all newly hired engineers fill, the Engineer role, and Tech Lead role. Each role has explicit accountabilities to detail what is expected of anyone filling that role. Most engineers have roles in both the core Engineering circle as well as a product circle. However, it’s possible that one engineer might hold many roles, more similar to the current state of Tech Ops— a circle within Engineering that has four engineers filling about a million roles. For a small circle that is responsible for a lot of important parts of the engineering team, they end up with a somewhat comical amount of roles — and impressively execute each role well.</p><figure name="1053" id="1053" class="graf--figure"><div class="aspectRatioPlaceholder is-locked"><p class="aspect-ratio-fill"/><img class="graf-image" data-image-id="1*DLfA479gAC9bcazseY_vMA.png" data-width="1676" data-height="1544" data-action="zoom" data-action-value="1*DLfA479gAC9bcazseY_vMA.png" src="https://cdn-images-1.medium.com/max/800/1*DLfA479gAC9bcazseY_vMA.png"/></div></figure><p name="9dce" id="9dce" class="graf--p">Around the time the engineering team was ~20 people, it became clear that the lead engineer, Dan, wasn’t able to meet one-on-one with everyone regularly (more than once every few months). With people shifting in and out of roles and having various Leads in their product circles, it became clear the team needed a scaleable way for every engineer to have a longstanding relationship with someone to talk to about personal growth, career trajectory, and gnarly situations in day-to-day work.</p><p name="89b6" id="89b6" class="graf--p">The team adopted the role of “Group Lead,” which we consider the “people side” of engineering management. This person is explicitly <em class="markup--em markup--p-em">not</em> your Tech Lead (who provide the “technical side” of engineering management) or Initiative Lead (our version of a PM), and is someone that an engineer meets with regularly one-on-one.</p><h4 name="4388" id="4388" class="graf--h4">People vs. roles</h4><p name="4bba" id="4bba" class="graf--p">The biggest difference to a traditional structure is that you don’t just occupy one role that takes you down a specific one-way path. People and roles are separate, so you can have a sort of a “choose-your-own-adventure” career.</p><p name="440a" id="440a" class="graf--p">For example, Jean is on the engineering team at Medium, but she holds a variety of roles including Group Lead for 11 engineers, Lead of the Node Services Guild, and Engineer on the Publications Initiative. She also help set up the onboarding and interviewing training for the engineering circle, as well as some recruiting and outreach. Having these roles assigned to Jean explicitly is great for her because these responsibilities are important but are often overlooked or seen as detracting from an engineer’s work.</p><p name="45c6" id="45c6" class="graf--p">Jean appreciates the explicit structure and doesn’t feel like she’s had to choose whether or not she wants to go down a 100% management track, which she thinks would have happened at a lot of other companies. She can pick and choose what she wants to focus on, and that can change even month to month. Sometimes she might want to focus on organizational leadership and a few months later, she’ll want to work on or lead an infrastructure project to challenge herself technically.</p><h4 name="9325" id="9325" class="graf--h4">Holding different roles</h4><p name="3904" id="3904" class="graf--p">Koop, an engineer that contributes to the Writing and Reacting initiative and currently holds the Web Client Guild Lead role, spoke about the different roles he’s held during his time at Medium.</p><blockquote name="487b" id="487b" class="graf--pullquote pullquote">Each person at Medium occupies a unique slice of the organization, which is reflected through their roles.</blockquote><p name="c81f" id="c81f" class="graf--p">Like most of our application engineers, when Koop joined Medium in March of 2013, he was given two roles: one as an Engineer, and another as a contributor to a product initiative. As the engineering team grew, the team sensed the need to have caretakers responsible for the core areas of our codebase. To fill this need, the engineering team introduced the role of Domain Expert at the end of 2013. Koop was one of the several engineers that stepped into the role, with a focus on maintaining Medium’s web framework. Over time, he’s held many other different roles in the engineering circle, while also holding his Engineering role throughout his tenure.</p><p name="f33c" id="f33c" class="graf--p">Not everyone has to hold multiple roles. Some people have one or two roles and focus their efforts, while others are spread across more roles and accountabilities. At times, it can be difficult (or even impossible) to satisfy all of your accountabilities in a given moment.</p><p name="0b7c" id="0b7c" class="graf--p">Additionally, everyone in the company has the authority to prioritize their work across roles. These priorities might change, so it’s always important to communicate what you’re focusing on to your coworkers.</p><h4 name="a91f" id="a91f" class="graf--h4">Changing roles to adjust with the company’s needs</h4><p name="c094" id="c094" class="graf--p">Every person has the power to propose changes to how we work. For example, at the end of 2014, engineering found that the Domain Expert role had become somewhat inaccurate. In reality, as the organization grew, a single person did not oversee an area of the codebase. Instead, a group of engineers — Domain Experts and otherwise — collaborated to maintain and improve areas within Medium’s codebase. In a meeting, Koop proposed to evolve the role of Domain Expert into several “Guilds” to reflect how the engineering team was functioning.</p><p name="3c99" id="3c99" class="graf--p">We now have four guilds: Web Client, iOS, Node Services, and Data. Each guild is focused on improving their discipline, establishing best practices, and educating the rest of the team. Guilds prioritize their work by assessing the needs of the team. Some choose to focus on developer productivity, while others have focused on education and best practices.</p><p name="7b24" id="7b24" class="graf--p">Our current engineering structure is the result of cumulative changes proposed by Medium’s engineers. Most organizational structures are rigid, and aren’t designed to change and grow. This can often lead to massive, disruptive reorganizations. Instead, Holacracy gives us the tools to continually refine. We’ve tweaked and honed our organization to fit our needs, and will continue to do so as the company grows.</p><h4 name="4693" id="4693" class="graf--h4">We haven’t solved all the problems</h4><p name="8b7a" id="8b7a" class="graf--p">We don’t have it all figured out. Holacracy gives us a set of tools to use to change our organization. We’re going to face more challenges as we grow. What does a comprehensive leveling system look like? How can we facilitate frequent, useful peer feedback? Most companies face these problems (regardless of whether they actually attempt to address them). We want to learn from their success and failures. We don’t want to reinvent the wheel.</p><h4 name="ad7c" id="ad7c" class="graf--h4">Importance of good engineering management</h4><p name="92b4" id="92b4" class="graf--p">Jumping off on Koop’s point that we haven’t solved everything, we invited one of our engineering advisors, Cathy Edwards, to provide some insight from her experience working on and growing engineering teams.</p><p name="b39c" id="b39c" class="graf--p">Cathy pointed out that it’s very trendy in the Valley at the moment to promote how little management your company has, or how you have a flat structure with no managers. She actually believes good management is critical to a company’s success. Good management helps minimize politics, ensures employee happiness and growth, and provides the right environment to maximize the productivity of the entire team. However, most people promoted to management positions are never told exactly what their jobs are, or trained, so they end up not delivering on this promise.</p><p name="a167" id="a167" class="graf--p graf--last">One of the things Cathy appreciates about Holacracy is how it makes many of these management functions explicit, and makes it clear who is responsible for figuring them out. While certainly not perfect, organizations using Holacracy don’t have the single point of failure that hierarchical management structures have (as embodied by the famous <a href="https://en.wikipedia.org/wiki/Peter_Principle" data-href="https://en.wikipedia.org/wiki/Peter_Principle" class="markup--anchor markup--p-anchor" rel="nofollow">Peter Principle</a>). Allowing the whole team to contribute to, and hold each other accountable for, making good decisions about company structure and process helps ensure that they work for everyone, and the earlier part of this post has been a great example of how this has worked at Medium.</p>
