title: “Quartz is an API”: The path ahead for the business site that’s reshaping digital news
url: http://www.niemanlab.org/2015/05/quartz-is-an-api-the-path-ahead-for-the-business-site-thats-reshaping-digital-news/
hash_url: 173a6dd61cce87627e53f155d25870a2

<div class="ednote"><p><strong>Editor’s note</strong>: There are few more compelling digital journalism stories than the growth of <a href="http://qz.com/">Quartz</a>, Atlantic Media’s business site. Though it was born with the advantage of a highly desirable target audience — the global business elite — it has still managed to do so much right: sharable content, visual distinction, global reach, smart advertising strategy, mobile-first design…all while maintaining high quality. It’s one of the few operations I recommend to the many people who ask me: <em>Who’s doing it right?</em></p>
<p>Below is a memo Quartz executive editor and vice president of product <a href="https://twitter.com/zseward">Zach Seward</a> sent to the site’s staff earlier this month after a staff-wide meeting. It breaks a little news about Quartz’ future strategy; the HTML-devoted site is planning a native iOS app, and there are new efforts coming in video and podcasting. But beyond that, I think Zach’s vision of news-organization-as-API — a central content store that feeds multiple products, multiple instantiations of a core brand — is compelling enough to share with our readers.</p>
<p>Will you allow me one other personal note/full disclosure? One of the best decisions I’ve made in running Nieman Lab was one of my first: hiring Zach <a href="http://www.niemanlab.org/author/zseward/">as our first staff writer</a>, back in 2008. It’s a real pleasure to have his byline back on this site after a half-decade absence.</p></div>
<p>Things are moving so quickly here that we blew right past a big milestone recently without so much as a memo: More than 100 people now work at Quartz. Here’s what that looks like in terms of daily active users on Slack over the past year:</p>
<p><img src="http://www.niemanlab.org/images/quartz-slack-growth.jpg" alt="quartz-slack-growth" width="100%" height="auto" class="nakedboxedimage"/></p>
<p>That image reminds me of another one, a photograph that <a href="https://twitter.com/kevinjdelaney">Kevin [Delaney</a>, Quartz editor-in-chief and president] took of the first Quartz office in SoHo about three years ago. Look at all that room!</p>
<p><img src="http://www.niemanlab.org/images/quartz-original-office.jpg" alt="quartz-original-office" width="700" height="525" class="nakedboxedimage"/></p>
<p>I like that photograph because it underscores how much of this enterprise has been, and always will be, made from scratch. We prefer to do things the hard way: own our core technology, make user-first design decisions, create our own ad units, write stories that fit their medium, run events that don’t feel rote. That’s how we build a real brand that’s identifiable and differentiated and means what it stands for.</p>
<p>Quartz was not the name people were expecting when we first revealed it nearly three years ago. One competitor’s headline quipped, <a href="http://www.forbes.com/sites/jeffbercovici/2012/05/08/the-atlantic-names-its -new-business-news-site-quartz-quartz-yep-quartz/">“Quartz? Yep. Quartz.”</a></p>
<p>To us, the name signaled that we intended to be an outlier in business news. This was not a journal, daily, or times. Emerging at an uncertain moment for digital publishing, we would not presuppose what the enterprise would become. Our fundamental advantage was being excited by that very change. Quartz, whatever its future, was a name we could grow into.</p>
<p>“Choosing the name for a new venture can feel like this dangerous leap of faith,” Howard Fish, who leads <a href="http://fishpartners.co/">the firm</a> that conceived of our moniker, said recently. “Because you’re naming an aspiration, and you’re naming a space that you hope in the future you’ll be able to fill.”</p>
<p>That space is still forming.</p>
<p>We have built a successful website with 10 million monthly readers, a beloved morning email with a 42 percent open rate, an events program that spans four continents, and a creative services group making ads people actually want to read and share. Our sales team has converted all of that into a great business — on track to double revenue for the third year in a row — by offering more than 100 companies an advertising product that tops most publishers.</p>
<p>As you may know, a number of other projects are in the works. Quartz Africa will launch on June 1, along with further improvements to <a href="http://qz.com">qz.com</a>. Atlas, a new home for discovering and sharing charts, is due out shortly thereafter. Our first video journalists have arrived and begun some great experiments. We’re launching a podcast. We have been quietly developing an iPhone app that will launch as soon as we’re happy with it, with a new group in the newsroom writing for that and related platforms like messaging apps, email, and so on. Many other things are in various stages of gestation.</p>
<p>Each of those projects could merit its own lengthy memo — and no promises that won’t happen — but it seemed most useful to talk about how they all relate and what they mean for Quartz. In short, what’s the strategy here?</p>
<p>When Quartz launched, we were careful not to call it a website. The ambition extended well beyond that; our domain on the web was merely its first iteration. This raised a few eyebrows from people who rightly pointed to our, uhh, website, and it required some contortions of language. Quartz is…a business news outlet…organization…venture…brand…</p>
<p>Well, that’s all true, but if I had to pick one description, it would be this: <strong>Quartz is an API</strong>.</p>
<p>The developers among us have tried to keep me honest about the limits of this metaphor. In some respects, it’s literally true; in others, it’s just a concept. For the less technical among us, know that an API is how an application speaks to a server to get fresh data for users.</p>
<p>Before we built <a href="http://qz.com">qz.com</a>, we built the Quartz API. (On day one, someone had already <a href="https://twitter.com/jbenton/status/250432165144297472">started playing</a> with it.) Today the API’s primary customer remains <a href="http://qz.com">qz.com</a>, but it could go in all sorts of directions. Our philosophy has always been to put as little friction as possible between us and our readers, and our API is an advantage in living up to that ideal.</p>
<p>When you look around Quartz, you start to see this everywhere. The Daily Brief is perhaps the best example: Its success is due to writing the email as its own thing, intended simply to be the best morning briefing on the global economy that one could receive. No easy task, but the purity of that mission is what makes the Daily Brief shine. We’re not trying to drive traffic to <a href="http://qz.com">qz.com</a>; it lives natively in your inbox. That has been a successful business strategy, as well, with ads in the email sold separately from the website, generating more revenue for Quartz.</p>
<p>We’ve all met people who, when you say you work for Quartz, start gushing, “Oh, I loooooove the email.” And then you keep talking and start to realize that they don’t even know that Quartz is a website, too, or at least don’t visit it much. That used to concern me, but now I love it. The website has its own huge audience; the email, a smaller but even more enthusiastic one.</p>
<p>We’re applying similar concepts to the aforementioned Atlas project, allowing our charts to travel far and wide on their own. (More about that later.) The video team’s current focus has been figuring out what kind of clips work best on Facebook, which will presumably be different from YouTube, Snapchat, and elsewhere. Everything we do in the newsroom, whether it’s an iPhone app or WeChat account, will be tailored to the dynamics of that platform. We’ll take the same bespoke approach to making money on those platforms, as well.</p>
<p>So when we say Quartz is an API, we don’t mean publish once and send it everywhere. We mean Quartz can go anywhere our readers are, in whatever form is appropriate. After some forthcoming launches, Quartz will start looking something like this:</p>
<p><img src="http://www.niemanlab.org/images/quartz-brand-map.jpg" alt="quartz-brand-map" width="100%" height="auto" class="nakedboxedimage"/></p>
<p>What’s most striking about that is what sits in the middle: our brand. In this environment, it’s the most important thing: We are a guide to the new global economy for smart, worldly people. That drives our editorial mission, our product vision, and our commercial business. And the specific forms that takes is the challenge we’re all here to tackle.</p>
<p>Working this way requires us to be diligent about what’s working (like the website, which remains our largest area of growth) and of course what’s not. We won’t engage in new ventures that are too far afield or under terms that aren’t advantageous. But we’ll be open to opportunities to grow the business, on <a href="http://qz.com">qz.com</a> and well beyond it.</p>
<p>What will it mean for folks in sales and marketing? Larger audience for Quartz and lots of new products and programs that advertisers will love. For our reporters and editors? Larger audience, as well, and the opportunity to keep figuring out the best forms for quality journalism on the internet. For designers and developers? Flexing that API to its greatest potential and inventing the Quartz experience for more people in more places.</p>
<p>Most of all, this will require us to be excellent at what’s in the center, what we call Quartz and all that it stands for: insisting on bold and creative decisions, a user-first approach, being excited by change, and serving an audience of global business professionals.</p>
<p>None of this is new for us. They’ve been the guiding lights here since the day that photo of the empty office was taken and since the Quartz API first came to life. Many things are coming together now to fulfill that vision, not least of which are the 100-plus people working here, and we’re really well positioned to do it. Lots more is on the way, and it will be exciting to see what that map of the brand looks like this time next year.</p>
