title: Pourquoi maintenant ?
url: https://www.monde-diplomatique.fr/2019/01/BONELLI/59444
hash_url: 190fadf71b05aed7dcc2514935791178


<p><span class="mot-lettrine"><span class="lettrine">V</span>oilà</span> longtemps qu’un mouvement social n’avait pas à ce point inquiété les gouvernants. L’ampleur, la durée et la détermination de celui des «<small class="fine"> </small>gilets jaunes<small class="fine"> </small>» les ont désagréablement surpris. Ils ont également été déstabilisés par son hétérogénéité en matière d’intérêt pour la politique, d’activité professionnelle, de lieu de résidence et d’orientation partidaire. Il n’est pas imputable à des organisations politiques ou syndicales traditionnelles : il rassemble diverses composantes de ce que le pouvoir nomme la «<small class="fine"> </small>majorité silencieuse<small class="fine"> </small>», au nom de laquelle il prétend s’exprimer et dont il n’attend d’autre mobilisation que le vote.</p>
<p>L’ouvrage classique du politiste américain Barrington Moore offre des pistes pour expliquer le surgissement de ce mouvement largement spontané et faiblement coordonné<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2019/01/BONELLI/59444#nb1" class="spip_note" rel="appendix" title="Barrington Moore Jr, Injustice : The Social Bases of Obedience and Revolt, (...)" id="nh1">1</a>)</span>. Écrit dans un contexte où des universitaires cherchaient à comprendre les grandes vagues de contestation des années 1960-1970 aux États-Unis, il opère un changement de perspective. À la question : «<small class="fine"> </small>Pourquoi les gens se révoltent-ils<small class="fine"> </small>?<small class="fine"> </small>» il substitue celle-ci : «<small class="fine"> </small>Pourquoi ne le font-ils pas plus souvent<small class="fine"> </small>?<small class="fine"> </small>» Quand ses confrères évoquent le poids des inégalités économiques ou celui de la domination raciale, Moore réplique que ces facteurs demeurent dramatiquement constants tout au long de l’histoire, sans pour autant provoquer de soulèvements. S’ils constituent des éléments nécessaires de la révolte, il lui apparaît donc difficile d’en faire une causalité.</p>
<p>À partir d’une étude richement documentée sur les ouvriers allemands entre 1848 et la fin des années 1930, l’auteur recherche les raisons pour lesquelles ces derniers s’accommodaient ordinairement d’un ordre social et politique qui leur était défavorable, ainsi que les conditions qui les amenaient, plus exceptionnellement, à le rejeter. Sa principale conclusion est que la stabilité repose essentiellement sur les contreparties concédées par les dominants aux dominés : <i>«<small class="fine"> </small>Sans le concept de réciprocité — ou mieux, d’obligation morale, un terme qui n’implique pas l’égalité des charges ou des obligations —, il devient impossible d’interpréter la société humaine comme le résultat d’autre chose que de la force perpétuelle et de la supercherie.<small class="fine"> </small>»</i></p>
<p>Pour Moore, la rupture de ce <i>«<small class="fine"> </small>pacte social implicite<small class="fine"> </small>»</i> explique les contestations qu’il étudie. Souvent, remarque-t-il, elles découlent de transformations techniques ou économiques qui rebattent les cartes et fournissent autant d’occasions de réévaluer à la baisse les contreparties offertes antérieurement. Certaines fractions des élites <i>«<small class="fine"> </small>ne jouant plus le jeu<small class="fine"> </small>»</i> apparaissent alors comme <i>«<small class="fine"> </small>parasites<small class="fine"> </small>»</i> et perdent leur légitimité.</p>
<p>Pour se convaincre de l’actualité de cette analyse, il suffit de rappeler les transformations contemporaines du monde du travail, qui ont <i>«<small class="fine"> </small>déstabilisé les stables<small class="fine"> </small>»,</i> pour reprendre la formule du sociologue Robert Castel<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2019/01/BONELLI/59444#nb2" class="spip_note" rel="appendix" title="Robert Castel, Les Métamorphoses de la question sociale. Une chronique du (...)" id="nh2">2</a>)</span>. Nombre de ceux qui ont un emploi ont vu se dégrader leurs conditions de vie, au point qu’ils doivent lutter pour <i>«<small class="fine"> </small>boucler les fins de mois<small class="fine"> </small>»,</i> comme le répètent à l’envi beaucoup de «<small class="fine"> </small>gilets jaunes<small class="fine"> </small>».</p>
<p>Cette situation a été encore aggravée par le démantèlement progressif des protections apportées par l’État. En France, celui-ci a joué un rôle central pour tempérer les contradictions entre le travail et le capital. Le développement de services publics de qualité — dans l’éducation, la santé, les transports, les communications, l’énergie, etc. —, accessibles à faible coût et sur l’ensemble du territoire, a permis de limiter les conséquences les plus néfastes d’une relation salariale structuralement défavorable aux travailleurs, au moins à partir de la seconde moitié des années 1970.</p>
<p>Or les réformes de l’État conduites avec constance depuis le milieu des années 1990 se sont traduites par une dualisation du service public<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2019/01/BONELLI/59444#nb3" class="spip_note" rel="appendix" title="Cf. notamment Laurent Bonelli et Willy Pelletier, « De l’État-providence à (...)" id="nh3">3</a>)</span>. Mesure-t-on la distance qui s’est creusée entre un hôpital, un tribunal ou une université d’une métropole régionale et ceux d’une ville moyenne ou d’une petite ville<small class="fine"> </small>? Les logiques de rentabilité et de compétitivité semblent avoir pris le pas sur l’objectif de réduction des inégalités sociales et territoriales. D’où le sentiment d’abandon que manifestent les usagers, et le désarroi d’agents qui ont vu leurs missions se transformer radicalement. D’où, également, l’impression diffuse que la protection offerte auparavant à tous fonctionne désormais au bénéfice exclusif de ceux qui apparaissent comme les mieux lotis.</p>
<p>Ce renversement n’est pas sans effets sur le sentiment d’injustice décrit par Moore et explique pour partie la dimension antifiscale du mouvement des «<small class="fine"> </small>gilets jaunes<small class="fine"> </small>»<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2019/01/BONELLI/59444#nb4" class="spip_note" rel="appendix" title="Lire Alexis Spire, « Aux sources de la colère contre l’impôt », Le Monde (...)" id="nh4">4</a>)</span>. Sauf que, désormais, les responsables de l’État ont perdu leur position d’arbitre et sont associés aux élites économiques dans la catégorie des «<small class="fine"> </small>parasites<small class="fine"> </small>». Les critiques sur le train de vie — réel ou supposé — des parlementaires et des ministres sont récurrentes sur les ronds-points occupés <i>(lire «<small class="fine"> </small><a href="https://www.monde-diplomatique.fr/2019/01/SOUCHON/59398" class="spip_in">“Avant, j’avais l’impression d’être seule”</a><small class="fine"> </small>»),</i> alimentées par les scandales de prévarication, de fraude fiscale ou de connivence avec le monde des affaires qui ont éclaté ces dernières années.</p>
<p>Certains propos des gouvernants semblent confirmer cette distance sociale avec les «<small class="fine"> </small>gens ordinaires<small class="fine"> </small>». Lorsque M. Emmanuel Macron déclare : <i>«<small class="fine"> </small>Une gare, c’est un lieu où on croise les gens qui réussissent et les gens qui ne sont rien<small class="fine"> </small>»</i> (3 juillet 2017), ou que son prédécesseur se gausse — en privé — des <i>«<small class="fine"> </small>sans-dents</i><span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2019/01/BONELLI/59444#nb5" class="spip_note" rel="appendix" title="Cité par Valérie Trierweiler, Merci pour ce moment, Les Arènes, Paris, (...)" id="nh5">5</a>)</span> <i><small class="fine"> </small>»,</i> ils trahissent sans doute leur représentation profonde de la société. Mais ils donnent également corps au sentiment de mépris que ressentent nombre de leurs concitoyens, au point d’ailleurs que le président de la République concentre sur son nom la colère accumulée, comme le résume le mot d’ordre «<small class="fine"> </small>Macron, dégage<small class="fine"> </small>!<small class="fine"> </small>».</p>
<p>L’ensemble des formations politiques semblent avoir perdu leur crédit et sont renvoyées dos à dos comme appartenant au «<small class="fine"> </small>système<small class="fine"> </small>», même quand elles défendent des positions alternatives. Cela explique aussi pourquoi aucune n’a pour le moment été capable d’encadrer le mouvement des «<small class="fine"> </small>gilets jaunes<small class="fine"> </small>» ou de lui offrir un débouché autre qu’un appel à de nouvelles élections.</p>
<p>Cette impossibilité permet également de comprendre le recours à l’auto-organisation et à l’action directe. Les contestataires ne recherchent pas de médiation organisationnelle, politique ou syndicale, et n’ont pas recours aux canaux routinisés de la contestation. Ils souhaitent s’adresser directement aux représentants du pouvoir. À l’Élysée et dans les préfectures, d’abord, que certains appellent à investir. Par le blocage des centres névralgiques, ensuite : ronds-points, sorties ou péages d’autoroute, frontières ou dépôts de carburant.</p>
<p>La combinaison d’un ras-le-bol qui trouve à s’exprimer collectivement, de l’absence de médiation, des modes d’action directe et du déploiement de la force publique pour les juguler explique largement les explosions de violence. Il ne fait pas de doute que, à Paris notamment, des militants aguerris ont participé aux affrontements avec la police et aux dégradations. La presse comme le gouvernement l’ont signalé avec insistance, désignant simultanément des «<small class="fine"> </small>anarcho-autonomes<small class="fine"> </small>» et des groupes d’extrême droite. Mais l’ampleur de ces actions, tout comme ce que l’on sait de ceux qui ont été déférés à la justice, montre qu’elles ne se limitent pas à leurs menées. De la même manière, il semble difficile de leur imputer l’incendie de la préfecture du Puy-en-Velay, celui des péages de La Ciotat ou de Narbonne, ou les altercations qui ont eu lieu un peu partout en France, y compris dans de petites villes.</p>
<p>Il y a quelques années, un haut responsable des forces de maintien de l’ordre insistait, lors d’un entretien, sur le caractère relationnel de la violence. Il nous confiait : <i>«<small class="fine"> </small>C’est nous, l’institution, qui fixons le niveau de violence de départ. Plus la nôtre est haute, plus celle des manifestants l’est aussi.<small class="fine"> </small>»</i> Interpellations massives (1 723 pour la seule journée du 8 décembre), recours aux canons à eau, aux véhicules blindés, aux hélicoptères et même à des policiers à cheval, utilisation fournie de grenades lacrymogènes (plus de 10 000 pour la manifestation parisienne du 1er décembre), emploi récurrent de lanceurs de balles de défense <i>(lire «<small class="fine"> </small><a href="https://www.monde-diplomatique.fr/2019/01/BALDASSARRA/59402" class="spip_in">Des armes controversées</a><small class="fine"> </small>»)…</i> on comprend que la stratégie adoptée ces dernières semaines n’a guère apaisé les tensions.</p>
<p>Ces choix tactiques découlent notamment du <i>«<small class="fine"> </small>splendide isolement<small class="fine"> </small>»</i> de la police et de la gendarmerie françaises, qui les rend imperméables aux techniques que développent leurs homologues ailleurs en Europe, comme la désescalade<span class="spip_note_ref"> (<a href="https://www.monde-diplomatique.fr/2019/01/BONELLI/59444#nb6" class="spip_note" rel="appendix" title="Olivier Fillieule et Fabien Jobard, « Un splendide isolement. Les politiques (...)" id="nh6">6</a>)</span>. Vingt ans de politiques sécuritaires ont considérablement accru leur pouvoir et leur autonomie. Leurs modes d’action dans la lutte contre le terrorisme, contre la petite délinquance ou contre les émeutes urbaines ne sont que rarement questionnés. Au point qu’elles se sont convaincues de la solidité de leur expertise et peuvent parfois déployer «<small class="fine"> </small>naturellement<small class="fine"> </small>» leurs techniques dans d’autres contextes et vers d’autres cibles. Les images de dizaines de lycéens de Mantes-la-Jolie interpellés par la police et agenouillés, les mains derrière la tête, ont choqué. C’est pourtant une pratique relativement commune dans certaines cités populaires.</p>
<p>Ces stratégies et ces dispositifs musclés sont également encouragés par la plupart des élus, qui y voient l’occasion d’affirmer une fermeté jugée politiquement payante. Quitte à s’exonérer ensuite de la responsabilité de la violence en l’attribuant aux seuls «<small class="fine"> </small>casseurs<small class="fine"> </small>», avec la complaisance intéressée des médias, toujours friands d’images d’affrontements et de destructions.</p>
<p>Les gouvernants mesurent sans doute mal les effets désastreux de ces manœuvres sur leur légitimité. Ils donnent en effet le sentiment de ne pouvoir tenir leur place que protégés par les boucliers et matraques des forces de l’ordre et par les prétoires des chambres de comparution immédiate. Ils accréditent la perception que leur pouvoir ne reposerait que sur la «<small class="fine"> </small>force perpétuelle<small class="fine"> </small>» et la «<small class="fine"> </small>supercherie<small class="fine"> </small>», dont Moore a montré la fragilité. C’est au contraire la «<small class="fine"> </small>réciprocité<small class="fine"> </small>» qui conditionne la stabilité de l’ordre social et politique dans la durée.</p>
