title: Bernard Stiegler : comment créer une communauté économique territoriale plus intelligente
url: https://www.philomag.com/les-idees/bernard-stiegler-comment-creer-une-communaute-economique-territoriale-plus-intelligente
hash_url: 00e52ef44f917c0a6e6c2208348662e3

<p><strong>Bernard Stiegler :</strong> Je vous remercie beaucoup du temps que vous nous accordez pour cet entretien, que je vous ai proposé sur la base de travaux qui ont été publiés dans <i>Bifurquer </i> et réalisés par le Collectif Internation, constitué en 2018. Pour aller à l’essentiel à travers un exemple, nous posons qu’une société industrielle est <i>avant tout</i> une économie qui s’appuie sur des données scientifiques – l’artisan y devient l’ingénieur, les producteurs y sont scolarisés, etc. Tout ce qui est produit et mis en circulation l’est à partir de dispositifs <i>garantissant</i> la rationalité de la proposition. Ainsi, quand Airbus fabrique un A380, l’avion doit être certifié par des ingénieurs connaissant les lois de la gravitation, de l’inertie, de la résistance des matériaux, de l’aérodynamique, etc., confirmant que cet avion <i>peut</i> voler. Tout ce que l’on fait industriellement, dans tous les domaines – la construction des bâtiments, les médicaments, la qualification des enseignants et des élèves –, absolument <i>tout</i> est <i>certifié</i> par des diplômes, des jurys, des agences, des cabinets spécialisés, des experts-comptables, etc. </p>
<p>Telle est la condition de la confiance et du crédit sans lesquels une société ne peut pas fonctionner. Cependant, nous soutenons dans le Collectif que lorsque l’on certifie un Airbus A380, on ne tient pas compte de toutes les dimensions de la physique. Si on l’intégrait la thermodynamique non seulement au niveau des réacteurs, mais au niveau du carburant, l’avion ne devrait pas voler. Il peut voler, mais, à moyen terme, il ne devrait pas pouvoir voler, parce qu’il est consommateur à très haute dose de ses propres conditions de vol – à savoir des hydrocarbures – et parce que si l’on intègre en outre le point de vue d’Erwin Schrödinger sur le vivant en situation thermodynamique, il intoxique humains et animaux, détruisant la biodiversité. Il ne <i>devrait</i> pas voler <i>en droit</i>, même s’il peut voler <i>en fait</i>. C’est ce qu’aujourd’hui tout le monde sent. Et c’est pourquoi l’actuelle économie industrielle est vouée à l’échec : <i>elle n’inspire plus confiance. </i></p><p>Nous soutenons dans <i>Bifurquer</i> qu’il faut adopter de nouveaux processus de certification et de nouvelles modalités de comptabilité en conséquence, et donc de nouvelles règles de calculs de risque, de crédit, d’investissement et d’amortissement. Il faut repenser toute l’économie sur cette nouvelle base. Le problème est que le champ transdisciplinaire qui est ainsi requis n’est pas encore constitué. Il faut le constituer comme programme de recherche scientifique et technologique, et il faut le faire avec des méthodes de recherche exceptionnelles, à la hauteur de l’état d’extrême urgence, et capables d’opérer des transferts non seulement vers le monde économique, comme cela se fait dans le champ de l’innovation technologique, mais vers la société en totalité, et comme innovation sociale.  </p><p>Ce que j’appelle ici « la société », nous l’abordons d’abord comme diversité de territoires, et cela parce qu’Erwin Schrödinger a montré que la lutte contre l’entropie ne peut être organisée que d’un point de vue local – dans un temps limité (par la mort) et dans un espace limité (formant un organisme en rapport avec d’autres organismes formant une espèce au sein d’une niche – cependant que chez l’homme, il n’y a pas de niches, mais des cultures).</p>
<p>Vous dirigez le groupe Crédit du Nord, qui est une fédération de banques au service d’agents économiques locaux, et c’est notamment à ce titre que nous voulions vous soumettre nos thèses et nos méthodes de travail (comme nous le faisons également avec la Caisse des Dépôts et Consignations et sa Banque des territoires). Une économie qui repose sur la lutte contre l’entropie suppose de changer les processus de certification et de comptabilité, et nous posons que cela doit se faire par des expérimentations territoriales : ce qui est néguentropique pour un territoire peut être entropique pour un autre territoire. En conséquence, la conservation de la valeur néguentropique à un niveau holistique suppose des négociations à travers des changements d’échelles de localités – la biosphère en totalité étant elle-même la plus ample localité du vivant dans le système solaire. </p><p>Pour cela, il faut travailler avec les acteurs des territoires à diverses échelles de localités, en impliquant, <i>avec les habitants invités à s’engager dans le processus de recherche</i>, associations, écoles, universités, organismes de recherche, investisseurs et administrations – c’est ce que nous faisons en ce moment en Seine-Saint-Denis. Nous proposons en outre que l’échelle locale de la biosphère soit abordée dans le cadre de ce que Marcel Mauss avait appelé une internation. En ce moment même, nous sommes en train de créer de nouveaux territoires laboratoires. La Seine-Saint-Denis était le premier, on en élabore d’autres avec l’État de Genève, avec un ensemble d’îles (les Galápagos, la Corse, la côte dalmate en Croatie et l’Irlande, quant aux questions de savoir comment pratiquer la pêche, l’élevage et le tourisme de manière intelligente en situation insulaire), en Italie, dans la banlieue de Milan, et sur d’autres territoires plus lointains, où la discussion est moins avancée. </p><p>Nous voudrions savoir ce que vous inspirent ces considérations générales sur la territorialité et la confiance du point de vue de votre activité professionnelle, ce que vous vous retenez de ce qu’il s’est passé depuis quatre mois, et comment vous appréhendez les enjeux des mois à venir en tant qu’organisme qui finance des activités économiques territoriales. </p>
<p><strong>Françoise Mercadal-Delasalles :</strong> La pandémie et le confinement ont provoqué un véritable effet de sidération. C’est ainsi que je l’ai vécu moi-même dans les premiers jours de cette mi-mars. Nous nous sommes dit d’abord : « Est-ce que c’est vrai ? Cela <i>ne peut pas</i> être totalement vrai, nous allons bien sortir rapidement de tout cela… » Et puis non, il a fallu accepter la nouvelle réalité et s’y adapter au plus vite, malgré toutes les difficultés, les incertitudes, et les contradictions de la situation. Je dirige un groupe bancaire qu’il a fallu continuer de faire tourner pour servir et soutenir nos 2 millions de clients pendant cette crise, tout en protégeant au maximum l’ensemble de nos 8 000 collaborateurs. Situation totalement inédite ! Nous devions continuer plus que jamais à travailler (pour distribuer notamment massivement les prêts garantis par l’État), mais éviter tout risque de contamination à nos collaborateurs en leur permettant le plus possible de demeurer confinés à leur domicile…</p><p>Notre entreprise est vieille de plus de deux cents ans, elle a connu toute une série de crises, mais nous n’étions pas particulièrement préparés pour gérer celle-ci. Il a fallu la mobilisation de toute l’intelligence collective de notre groupe pour réussir à la surmonter, à commencer par le collectif des dirigeants des régions et filiales du groupe Crédit du Nord. Et c’est là certainement, cher Bernard, que je peux venir sur vos concepts et tenter de les illustrer par notre réalité.</p><p>Le groupe Crédit du Nord est en effet une fédération de dix banques régionales qui s’est construite au fil de plus de deux siècles par alliances successives, sans destruction de l’identité des nouveaux blocs rejoignant la fédération. Ainsi, chaque banque a conservé jusqu’à aujourd’hui un très fort ancrage territorial et une réelle autonomie de fonctionnement dans le respect des règles communes posées collectivement dans la confédération.</p><p>Les dirigeants de ces banques sont responsables à part entière de leurs entités. Et c’est avec ce collectif de dirigeants que nous avons avancé jour après jour pour inventer nos nouveaux modes de fonctionnement dans la crise.</p><p>Loin d’un fonctionnement pyramidal, c’est en comptant sur la responsabilité et la créativité de chacun que nous avons réussi à résoudre à une rapidité étonnante l’ensemble des problèmes – très concrets – qui se posaient quotidiennement à nous. Progressivement, grâce à cette dynamique collective exceptionnelle, nous avons construit les outils et les solutions dont nous avions besoin pour survivre. </p><p>Bien sûr, il nous a fallu l’aide du numérique. J’avais depuis plusieurs années déjà amené le groupe Crédit du Nord vers une nouvelle étape de sa digitalisation et, avec l’idée d’un « laptop pour tous », nous avions commencé à organiser le travail à distance sur un mode beaucoup plus autonome. Mais à l’orée de la crise, seules les fonctions d’expertise et de <i>front office</i> étaient équipées.</p><p>En l’espace de deux mois, il a fallu tout accélérer. Nous sommes ainsi passés de 30 % à 70 % des collaborateurs équipés d’un <i>laptop, </i>en intégrant donc largement nos <i>back offices</i> et nos fonctions support. En temps « normal », il aurait sûrement fallu plus de deux ans encore pour que nous parvenions à ce ratio d’équipement. Cette crise aura donc constitué un formidable accélérateur de réduction de la fracture numérique au sein de l’entreprise et aura permis à des collaborateurs, qui étaient plus loin dans la chaîne de valeur de la banque, de disposer d’un ordinateur portable et de travailler à distance de la même façon que les collaborateurs du <i>front office. </i>La nécessité imposée par la crise a eu raison en quelques jours des freins bloquant depuis des années ce type de changement. Nous avions absolument besoin du travail de ces collaborateurs, et nous devions en même temps les protéger. Ils devaient donc pouvoir travailler à distance de manière autonome et nous devions leur faire confiance.</p><p>Toutes mes profondes convictions managériales se sont vérifiées pendant la crise : à commencer par la certitude de l’efficacité et de l’agilité puissante d’un management beaucoup plus horizontal, mettant en responsabilité chacun et acceptant la diversité des solutions et leur adaptation, au plus proche du terrain, aux différentes situations locales.</p><p>Sur les ouvertures d’agences, par exemple, personne n’a opéré de la même façon sur nos différents territoires. À certains endroits, la crise était plus virulente et l’on se sentait plus menacés par l’expansion du virus ; il était donc raisonnable de fermer largement nos agences, ou d’adopter des horaires d’ouverture très réduits et de fonctionner exclusivement par rendez-vous téléphonique. Mais à d’autres endroits, en Savoie et en Haute-Savoie par exemple, parce que la situation locale et sa perception étaient différentes, on n’a pratiquement jamais fermé les agences au public durant toute la crise. Ces particularismes locaux, discutés et partagés entre nous, je les ai non seulement acceptés, mais je les ai même valorisés, parce qu’il me semble qu’ils étaient la clé de notre adaptation rapide. </p><p>Dans cette logique de décentralisation des responsabilités, l’outil numérique a été évidemment indispensable. Il a permis de maintenir sans faille la fluidité de nos communications et de nos échanges, tant en interne dans l’entreprise qu’avec nos clients et le reste du monde. Réalisons-nous, nous citoyens de cette planète, que si nous n’avions pu disposer de ces outils numériques pendant la crise, l’économie mondiale entière se serait arrêtée ? C’est quelque chose qui me frappait dans mes fonctions précédentes, il y a déjà dix ans, quand je dirigeais les services informatiques et l’innovation au sein de Société générale, mais qui est plus vrai encore aujourd’hui, l’humanité toute entière est profondément dépendante du <i>fait numérique</i>, et en priorité, c’est un paradoxe, des <i>réseaux physiques</i> qui permettent les communications à travers ces outils. Or, tous ces réseaux ont tenu : on n’a pas eu un seul <i>bug, </i>alors que la consommation mondiale a explosé en deux mois. </p><p>C’est la force de l’architecture <i>dé-centrée du web. </i>Une force potentiellement néguentropique, qui permet à chacun de <i>« disposer de toute la connaissance du monde dans la paume de sa main », </i>comme le disait notre très cher Michel Serres. Mais une force qui peut aussi, nous le savons, être détournée.</p>
<p><strong>B. S. :</strong> Ce que vous dites-là est très cohérent avec ce que nous essayons de faire dans le cadre d’un groupe qui travaille à une refondation de l’informatique théorique : aujourd’hui, les modèles que Google et Amazon développent, par exemple, pervertissent l’architecture du Web – tout en s’appuyant sur un concept de « machine de Turing » tout à fait contestable –, en instaurant des réseaux faussement décentralisés. Ils donnent l’impression de décentraliser alors que tout est centralisé : sur Facebook, tout est contrôlé de manière occulte. Ces modèles sont très problématiques parce qu’ils ne tiennent pas compte de ces aspects dont vous venez de parler, et qui tiennent à la valeur de la localité. À terme, ces modèles détruisent l’objet qui est exploité, et non pas valorisé et entretenu – un peu comme l’A380 dont je parlais tout à l’heure. </p>
<p>Un autre modèle d’informatique théorique est requis, et notre but est de convaincre l’Union européenne d’investir dans ce domaine. Si l’Europe n’investit pas dans ce champ de recherche, elle périclitera, et elle sera broyée par la compétition entre les États-Unis et la Chine tant qu’elle tentera de mimer très mal les Américains et s’affaiblira ainsi encore devant leur <i>challenger</i> – la Chine, qui investit des sommes colossales, ce que les pouvoirs publics font de moins en moins aux États-Unis mêmes. </p><p>Or ni les Chinois ni les Américains ne prennent en charge ces problèmes d’entropie et de néguentropie. Il faut reconcevoir l’informatique théorique comme une machine à calculer valorisant la néguentropie et pénalisant l’entropie <i>structurellement</i> – et générant des réseaux sociaux, valorisant la singularité à travers les localités au lieu de la dissoudre dans des calculs statistiques et probabilistes dont on sait maintenant qu’ils engendrent des systèmes fermés, ce qui est une sorte d’extrémisation et de généralisation du modèle déterministe et mécaniciste issu du modèle newtonien.</p>
<p><strong>F. M.-D. :</strong> Je me demande en cela comment le groupe Crédit du Nord a survécu à plus de deux cents ans d’histoire : les modèles centralisateurs de masse auraient pu avoir raison d’elles, mais ces banques régionales sont restées conquérantes parce que singulières dans le paysage bancaire. Elles ont continué à jouer la simplicité, la proximité, la relation humaine, presque familiale, alors que les modèles industriels devenaient la règle. Il faudra nous attacher à préserver cette singularité dans la crise économique qui s’ouvre désormais … </p><p>Il est difficile à ce jour de prédire correctement la profondeur de cette nouvelle crise. Grâce aux prêts garantis par l’État que les banques ont largement distribués, et aux soutiens publics de toute nature, les entreprises de l’économie réelle ont, dans leur majorité, réussi à surmonter les derniers mois d’activité ralentie. La suite dépendra largement de la perception de nos concitoyens. Retrouveront-ils vite ou non le chemin de la confiance et de la consommation ? Souhaiteront-ils des changements plus radicaux du mode de fonctionnement de nos économies, se renfermeront-ils dans la peur du futur …</p>
<p><strong>B. S. :</strong> L’expérience de confinement aura cependant été vécue comme l’évidence plus ou moins largement et consciemment perçue que le modèle entropique est précisément ce qui conduit à des catastrophes, dont la crise sanitaire exceptionnelle que nous traversons n’est qu’une occurrence. Selon une étude récente parue dans <i>Up’Magazine</i>, 65 % des Français s’attendent à un effondrement de l’économie  – et cela parce qu’ils sentent une <i>vulnérabilité fondamentale</i> qui n’est plus soutenable. C’est pourquoi nous affirmons qu’entre, d’une part, le retour au consommateur qui se remet à consommer comme avant, ce qui n’arrivera sans doute pas, et, d’autre part, le consommateur qui se recroqueville et dépérit, et toute l’économie avec lui, ce qui serait extrêmement grave, il faut <i>ouvrir</i> la possibilité d’une <i>zone intermédiaire</i>, où l’on pourrait créer de nouvelles normes de certification et de nouvelles formes de comptabilité – surtout à présent que la majorité des plus grandes villes françaises ambitionne désormais de développer une politique écologique.</p><p>Il est toujours possible de faire quelque chose, dans toutes les situations. Il reste une espèce de chape de plomb, qu’il faut casser – cette chape consistant dans le fait que du point de vue interne à un système qui doit bifurquer, la possibilité d’une telle bifurcation est justement <i>incalculable</i>, et apparaît de ce fait même impossible à opérer.</p>
<p><strong>F. M.-D. :</strong> Je partage tout à fait cette idée de la nécessité de poser de manière fiable les indicateurs qui pourraient rationnellement nous permettre de changer. Tant que nous demeurons sur les seules intuitions de quelques-uns, il est difficile d’objectiver les choses et d’amener les sociétés à bouger dans le sens de la création d’une valeur plus équilibrée, moins entropique. </p>
<p><strong>B. S. :</strong> N’est-ce pas toujours de l’extérieur que l’on peut faire bouger les choses en dernier ressort ? Nous sommes dans une situation absolument <i>critique </i>– au sens fort du terme : la <i>krisis</i> est pour Hippocrate le moment décisif dans le cours d’une maladie : la guérison ou la mort. Il faut faire une <i>proposition critique</i>, et compte tenu de la teneur épistémologique du problème fondamental, il faut repenser la recherche-développement dans les entreprises en situation de crise, renoncer à simplement <i>optimiser</i> des modèles producteurs de valeur mais ruineux du point de vue holistique, développer des modèles réellement nouveaux, et prendre des risques nouveaux. Il faut être capable de proposer une autre méthode face à l’impossibilité d’un retour à l’avant-crise aussi bien que d’un repli qui serait mortel – l’impasse finissant par s’imposer à tous.</p>
<p><strong>F. M.-D. :</strong> Nous manquons de modèles théoriques et comptables pour appréhender et mesurer la néguentropie. Il faudrait pouvoir l’inscrire dans les trajectoires financières que nous écrivons. Or elle figure exclusivement à ce jour dans des <i>reportings</i> extra-financiers qui ne suffisent pas à emporter la décision des investisseurs, en particulier en temps de crise économique majeure. </p>
<p><strong>B. S. :</strong> C’est bien pourquoi, outre le développement d’activité néguentropiques induites par la recherche contributive et par le travail, comme mise en œuvre et constitution de savoirs, et distingué de l’emploi qui est une compétence d’adaptation à une tâche prolétarisée parce que prédéfinie par un système, nous travaillons essentiellement à établir de nouveaux modèles de comptabilité – et cela, à travers ce que nous appelons des instituts de gestion de l’économie de la contribution (Igec).</p>
<p>Cela suppose de rendre la confiance transversale non pas seulement au Crédit du Nord ou à l’IRI, mais dans tout le territoire français, progressivement, en mettant en évidence qu’une autre démarche est possible, productrice d’une valeur répondant aux défis de l’ère Anthropocène, et à laquelle les gens vont pouvoir <i>s’identifier</i>. Il faut faire des <i>démonstrateurs</i> pour convaincre aussi bien les actionnaires qu’ils n’ont plus le choix mais aussi pour convaincre les gens que le monde a encore un avenir. </p><p>La démarche horizontale est générique <i>à condition qu’il y ait des règles communes</i>, comme vous l’avez précisé, qui donnent des libertés à ce que vous avez appelé des singularités locales, permettant aux gens de s’approprier le processus <i>et de produire de la valeur par cette appropriation</i>. C’est aussi ce que nous essayons de faire en Seine-Saint-Denis : mettre en place des indicateurs économiques qui sont <i>situés </i>aux échelles micro-économique, méso-économique et macro-économique, et qui peuvent se transformer dans les changements d’échelle qui sont des négociations. Cela se traduit au niveau économique d’abord en termes d’investissements et de calculs de risques.  </p>
<p><strong>F. M.-D. :</strong> Je crois beaucoup à la force des territoires, à l’énergie décentralisée, et à la capacité des acteurs à trouver localement les solutions concrètes dont ils ont besoin pour faire vivre leur collectivité.</p><p>Nos banques régionales sont efficaces, car, tout en respectant scrupuleusement les règles européennes et nationales de gestion des risques, elles adaptent leurs comportements à ces clients qu’elles connaissent, qu’elles servent souvent de génération en génération. C’est la force de la proximité. Entre certaines régions ouvrières du nord de la France, les régions très dépendantes du tourisme des zones littorales, les zones rurales du centre de la France ou telle vallée des Alpes, les situations diffèrent ; l’appréciation des situations économiques et des risques doit être adaptée en conséquence. Ces finesses sont peu visibles de Paris : l’œil local est nécessaire.</p>
<p><strong>B. S. :</strong> À travers les Igec, nous travaillons à mettre en place des systèmes d’information locaux où les individus qui sont impliqués dans l’économie participent à cette production pour <i>requalifier </i>le risque, en quelque sorte, et surtout la valeur qui peut en être attendue. En y intégrant ce que vous venez de dire, ainsi que les facteurs géographiques, historiques et culturels formant ce que nous appelons la noodiversité, qui sont objectivables et « subjectivables », si l’on peut dire, et qui permettent de créer une communauté économique territoriale plus intelligente. </p><p>Quant aux dispositifs numériques réticulaires qui ont permis d’expérimenter le télétravail à très grande échelle durant la période de confinement – nous-mêmes n’avons rien arrêté –, nous avons organisé un séminaire sur le confinement et sur les chocs que la pandémie a provoqués et provoque encore sur les plans économique, sociologique, psychologique et technologique. Nous avons en particulier commenté un article paru dans <i>The Intercept</i>, de Naomi Klein, qui avait écrit <i>La Stratégie du Choc – </i>en anglais<i> The Shock</i> <i>Doctrine. </i>Elle parle à présent d’un <i>« screen new deal »</i> et soutient que la nouvelle stratégie du choc des libertariens et des ultra-libéraux américains est de profiter de la pandémie pour imposer l’usage de l’écran partout, et créer un nouvel état de choc conduisant à la destruction des écoles, des lieux de travail, etc.  </p>
<p>Nous-mêmes sommes très critiques quant à la manière dont on introduit en général le numérique dans les organisations sociales, entreprises, institutions, administrations – à commencer par l’école. Les ravages que cela peut engendrer sont parfois très graves. Nous soutenons cependant que Naomi Klein à tort de simplement s’opposer à l’extension du champ du numérique <i>via</i> les écrans. Nous pensons que le problème n’est pas de les rejeter, mais de les <i>reconfigurer </i>: il s’agit de définir une nouvelle <i>doctrine </i>des écrans – c’est-à-dire du numérique. Que pensez-vous de la toxicité de cette technologie, et comment voyez-vous qu’il serait possible d’en inverser les effets ?</p>
<p><strong>F. M.-D. :</strong> Comme toute invention humaine, les écrans peuvent générer des effets positifs ou des effets négatifs selon que l’on parvienne ou non à en maîtriser l’usage. Grâce aux écrans, comme je le disais au début de notre entretien, tout le monde à accès au savoir – tout le savoir de l’humanité dans la paume de la main, comme le disait Michel Serres –, mais le problème est probablement de réussir à faire le tri dans ces connaissances diffusées massivement, sans cadre et sans hiérarchie.</p>
<p><strong>B. S. :</strong> Je n’ai pas le même point de vue que Michel Serres : on accède avec le numérique à de l’information, mais ce n’est pas encore du savoir – et c’est une des raisons pour lesquelles cela engendre ce que l’on appelle de nos jours la « post-vérité », dont les <i>« fake news »</i> ne sont qu’un aspect spectaculaire. La technique est un <i>pharmakon </i>: un poison qui crée toujours d’abord un choc destructeur, empoisonnant en cela, dont la remédiation ne vient qu’avec les savoirs capables de transformer cette toxicité en nouvelle forme de culture, d’art de vivre, de paradigmes scientifiques, etc. Or ces savoirs pour le moment n’existent pas – et c’est pourquoi nous souffrons. Il existe des usages, de plus en plus addictifs et toxiques, et de moins en moins utiles, puisqu’ils deviennent tout au contraire de plus en plus nuisibles en créant une dépendance calamiteuse qui ruine par exemple ce que l’on appelle la résilience.</p><p>Le problème avec la technologie contemporaine, c’est que, d’une part, elle se produit plus vite que les capacités qu’a la société d’en générer des règles pratiques fécondes, et non destructrices, et d’autre part, l’axiomatique qui est mobilisée par l’informatique théorique est toxique par elle-même : elle génère nécessairement une augmentation des taux d’entropie parce qu’elle postule que tout doit être ou devenir calculable, ce qui aboutit à la négation fonctionnelle des singularités. C’est pourquoi elle conduit à l’élimination du processus de décision en dernier ressort dont vous parliez tout à l’heure, et qui ne relève pas d’un calcul, mais d’un savoir relationnel irremplaçable.</p><p>Durant le séminaire sur le confinement, j’ai soutenu que nous avons besoin de ce que nous avons appelé une alter-doctrine du choc, capable d’élaborer une nouvelle informatique, théorique tout aussi bien qu’industrielle, et hautement sociale, et capable de remettre le calcul au service de la délibération individuelle aussi bien que collective – et non pour la détruire en la court-circuitant. C’est cette espèce de dictature du calcul imposée de nos jours par la doctrine de part en part computationnelle que promeuvent les plateformes biosphériques qui a conduit les signataires de l’étude sur l’hydroxychloroquine parue dans <i>The Lancet</i> à se trouver gravement discrédités.  </p><p>Je parle d’alter doctrine du choc parce que de fait, l’humanité est constituée par des chocs technologies incessants, de plus en plus rapprochés dans le temps, et de plus en plus « disruptifs ». Quant à notre époque, elle dysfonctionne gravement parce qu’elle ignore ce que disait pourtant Norbert Wiener tout au début de <i>Cybernétique et Société</i>, à savoir que la cybernétique apparaît au moment où l’indétermination s’impose en physique, et avec elle, l’incertitude – alors que le modèle de la science est encore largement conçu comme celui d’une objectivation déterministe.</p>
<p><strong>F. M.-D. :</strong> </b>L’écran qui a créé un lien extraordinaire pendant cette crise peut en effet détruire les liens sociaux si nous n’y prenons garde. Lutter contre cette déliaison, c’est mettre en place des éclaireurs prescrivant des pratiques saines, plutôt qu’un marketing de l’addiction.  </p>
<p><strong>B. S. :</strong> En effet. Mais il faudrait pour cela transformer le numérique lui-même, non seulement la manière dont on l’utilise : transformer la conception de ses fonctions, car celles-ci sont à présent faites pour court-circuiter les pratiques et les savoirs – c’est un enjeu qui doit être porté au niveau de l’Europe. </p>
<p><strong>F. M.-D. :</strong> Cher Bernard, je vois les risques et les difficultés majeurs que vous dénoncez clairement et, néanmoins, je demeure lucide, optimiste et confiante quant à cette transformation en cours. La société européenne parviendra à faire émerger une dynamique vertueuse, une intelligence collective respectueuse des singularités de chaque nation… Il faut nous y engager résolument.</p>
