title: Coronavirus : l’étonnante politique de la Suède
url: https://www.contrepoints.org/2020/04/28/370150-coronavirus-letonnante-politique-de-la-suede
hash_url: 0fd34b15eca024dc3997303386b7476e

<p><strong>Par Johan Norberg, depuis la Suède.</strong></p>
<p>Je m’appelle Johan Norberg et mon pays, la Suède, fait soudainement l’objet de toutes les attentions durant cette <a href="https://www.contrepoints.org/2020/04/27/370038-apres-la-pandemie-il-nous-faut-un-monde-plus-libre" target="_blank" rel="noopener noreferrer">pandémie</a>. Dans un monde qui ferme ses frontières et confine ses sociétés, nous avons fait les choses différemment. La Suède semble désormais être la dernière société ouverte. Certains pensent que nous sommes fous tandis que d’autres considèrent que nous disposons de la sagesse intellectuelle nécessaire pour faire confiance à la science, même dans les moments difficiles.</p>
<p><a href="https://www.contrepoints.org/2020/04/10/368756-donald-trump-a-raison-de-critiquer-lorganisation-mondiale-de-la-sante" target="_blank" rel="noopener noreferrer">Donald Trump</a> estime que les Suédois sont gravement dérangés alors que d’autres ont une opinion différente, comme l’ancien Premier ministre du Danemark qui pense que son pays aurait dû agir comme la Suède et faire confiance à ses citoyens. Qui a raison ?</p>
<p>Eh bien, je ne pourrai pas encore trancher avec certitude, mais je peux vous expliquer ce que la Suède a fait jusqu’à présent, pourquoi elle a agi ainsi et quels en sont les résultats.</p>

<p><span class="embed-youtube"><iframe class="youtube-player" src="https://www.youtube.com/embed/IoGp9vgeGRc?version=3&amp;rel=1&amp;fs=1&amp;autohide=2&amp;showsearch=0&amp;showinfo=1&amp;iv_load_policy=1&amp;wmode=transparent" allowfullscreen="true">VIDEO</iframe></span></p>
<h2>Pas de confinement en Suède</h2>
<p>La Suède est un cas à part, non pas à cause de ce que nous avons fait, mais en raison de ce que nous n’avons pas fait. Contrairement à nos voisins, nous n’avons pas interrompu les vols aériens ni fermé les frontières. Nous n’avons pas instauré d’état d’urgence. Il n’y a pas d’assignation à résidence ni d’impératifs à rester chez soi. La Suède n’a pas limité les activités professionnelles, n’a pas fermé les écoles, hormis les lycées et les universités, qui pratiquent l’enseignement à distance. La Suède n’a pas fermé les lieux courants de vie citadine : cinémas, restaurants, salles de sport, bibliothèques, centres commerciaux, transports publics et cafés.</p>
<p>Ce que la Suède a fait, c’est une recommandation publique de distanciation sociale, une recommandation de l’État aux personnes de plus de 70 ans de cesser de passer du temps en compagnie d’autrui et de cesser leurs relations sociales. Le travail à distance a été encouragé, dans la mesure du possible, et il a été conseillé d’éviter les trajets de longue distance.</p>
<p>Il y a des recommandations, et quelques directives : aucun événement public de plus de 50 personnes ne peut avoir lieu (concerts, théâtres, etc.)… même si des rassemblements spontanés de plus de 50 personnes ne peuvent être interrompus par la police. Contrairement à ce qu’il se passe avec d’autres États, la police ne peut pas arrêter les gens pour vérifier leurs attestations et leur demander ce qu’ils font. Elle n’inflige pas d’amende à ceux qui ne respectent pas des règles de distanciation sociale.</p>
<p>Comme l’a déclaré le Premier ministre social-démocrate suédois, nous devons prendre nos responsabilités en tant qu’individus. Nous ne pouvons pas interdire tous les comportements indésirables. Ce n’est pas une question de règle, mais de bon sens et de responsabilité individuelle.</p>
<p>Le Premier ministre social-démocrate apparaît un tantinet sous les traits d’un libéral. Et pourquoi ? Ce n’est pas parce que les Suédois sont tous libéraux, quoi que vous ayez pu entendre. Je pense qu’il y a quatre raisons différentes qui expliquent le « Sonderweg » suédois durant cette pandémie.</p>

<h2>Pas de système centralisé et autocratique</h2>
<p>La première raison est que nous avons une autonomie administrative qui est très différente de ce que vous avez dans la plupart des autres démocraties occidentales. Il s’agit d’une forme unique de division du pouvoir, que nous connaissons en Suède depuis le XVIIe siècle, avec des agences publiques indépendantes. Les ministres nomment les directeurs généraux, mais ils ne sont pas supposés leur dire ce qu’ils doivent faire.</p>
<p>Le directeur général est censé respecter les lois et solliciter des avis d’experts. Et le gouvernement est évidemment libre de tenir compte ou non de ces conseils, mais il s’est produit une forte tendance à écouter les agences et à suivre leurs recommandations plutôt que de rester sur sa propre ligne politique. Et contrairement à d’autres pays, il y a moins de place pour la démagogie politique, moins de place pour l’arbitraire politique – et l’aveuglement politique en temps de crise.</p>
<p>En fait, la Suède s’est contentée de suivre jusqu’à présent les orientations formulées par beaucoup d’autres agences de santé dans le monde. Alors qu’elles ont simplement été rejetées par les politiciens d’autres pays. Et jusqu’à présent, cela ne s’est pas produit en Suède. Au Danemark, par exemple, le gouvernement a soudainement décidé de fermer les frontières du pays. Et l’agence de santé publique a ensuite indiqué qu’il n’y avait aucune raison scientifique de le faire. Il s’agit donc d’une décision politique. Eh bien, jusqu’à présent, de telles décisions politiques n’ont pas été prises en Suède ; nous suivons les conseils de l’agence de santé publique.</p>
<h2>D’abord ne pas nuire</h2>
<p>La deuxième raison est l’interprétation que fait la Suède du serment d’Hippocrate : « <em>Primum non nocere</em> » (« d’abord ne pas nuire »). Plus précisément, ne pas nuire en paralysant la société et l’économie alors que nous ne savons pas avec certitude si cela aura un meilleur effet sur la santé.</p>
<p>La Suède est un pays très dépendant du commerce et nos industries d’exportation souffrent énormément lorsque d’autres pays ferment leur économie, et il semble raisonnable de ne pas faire encore plus de mal en mettant à l’arrêt également l’industrie nationale et l’économie de services. Pour un restaurant ou un commerce de proximité, perdre 50 % ou 75 % de ses recettes est mauvais, mais ça l’est moins que de perdre 100 %.</p>
<p>Nous avons en Suède un parti social-démocrate et des syndicats qui sont pragmatiques et qui se soucient souvent des impératifs économiques. Nous savons que c’est important pour nos emplois, pour nos futurs revenus et pour la santé de l’État-providence à long terme. Le Premier ministre est un ancien patron de syndicat ; il était à la tête du syndicat suédois des travailleurs de la métallurgie. Il a toujours été très concerné par la santé de l’économie à long terme.</p>
<p>Nous ne savons pas ce qui est le plus approprié cette fois-ci. Il y a des désaccords parmi les chercheurs et les autorités de santé publique. Et dans ce cas la Suède a décidé de jouer la carte de la prudence, parce que nous savons que la paralysie de l’économie fait mal. La pauvreté tue. L’horreur du confinement, c’est de causer des problèmes psychiques et de la violence domestique. Ça, nous le savons. Ce sont aussi les affres du chômage et le risque de mortalité liée à la détresse lors d’une profonde crise économique, mais aussi à long terme. La pauvreté signifie moins d’investissements dans les traitements médicaux, moins d’investissement dans les technologies médicales, moins de dépenses de santé dans l’avenir, et la Suède a considéré que nous ne pouvons pas vaincre la maladie en sacrifiant le patient.</p>
<h2>Consentement et respect des libertés individuelles</h2>
<p>La troisième raison est que le gouvernement suédois estime qu’il peut obtenir certains des avantages du confinement, sans confinement. Nous avons une culture de confiance élevée : nous accordons généralement notre confiance à nos proches et aux autorités, nous suivons les recommandations, même lorsqu’elles ne sont pas rendues obligatoires, et nous exprimons notre réprobation à ceux qui ne les suivent pas.</p>
<p>Cela semble globalement fonctionner en Suède. Vous avez peut-être vu des photos de gens se rassemblant dans des restaurants et dans des bars à Stockholm. Mais c’était peut-être la même photo du même restaurant au même moment, l’un des rares moments où il y avait vraiment du monde. Ce n’est pas l’expérience que j’ai quand je sors et que je me promène en ville. C’est assez peu fréquenté. Sans interdiction, les gens ne sortent pas en ville. Il n’y a pas foule dans les restaurants, les cafés et les bars.</p>
<p>Une analyse des données de localisation mobile indique une baisse de 90 % des déplacements de longue distance en Suède pendant les vacances de Pâques – un changement spectaculaire. 90 %, ce n’est pas 100 %, et c’est ce qui fait la différence. Cela donne plus de liberté pour les adaptations locales et pour les besoins individuels et cela pourrait rendre les choses plus viables à long terme, parce que les gens vont délibérément se confiner s’ils peuvent faire des écarts quand ils en ressentent vraiment le besoin. Alors que dans d’autres pays, là où les gens sont contraints de respecter le confinement, au bout d’un certain temps, ils peuvent commencer à le transgresser lorsqu’il devient impossible de le tenir si aucune exception n’est tolérée. En tout cas, la plupart des Suédois le pratiquent. Certes, pas tout le monde. Mais il n’est pas nécessaire que tout le monde reste confiné, pour la quatrième raison.</p>
<h2>Immunité collective</h2>
<p>La quatrième raison, c’est que la seule façon de vaincre le virus à long terme est l’« immunité de troupeau ». Nous essayons en Suède de ralentir la propagation du coronavirus pour préserver le système de santé et protéger les groupes les plus vulnérables, mais pas pour l’éradiquer. D’autres pays ont choisi le confinement total. Mais dans ce cas, ils verront probablement une deuxième et une troisième vague lorsqu’ils commenceront à rouvrir et ils devront peut-être confiner de nouveau et pratiquer des allers-retours, ce qui ruinera la société et détruira l’économie.</p>
<p>En Suède, il semble que la décision soit de laisser le virus se propager lentement dans la population pour obtenir une sorte d’immunité collective dans quelques mois. Nous laisserons alors les groupes les plus fragiles se réinsérer et nous pourrons faire en sorte que la société fonctionne de nouveau. Alors la Suède sera en mesure de déployer des médecins et des respirateurs dans les endroits les plus menacés, contrairement à d’autres qui pourraient avoir besoin d’un nouveau confinement, qui pourraient même ne pas être en mesure d’ouvrir les frontières avant qu’un vaccin ne soit découvert parce qu’ils verront toujours de nouveaux cas importés d’autres endroits.</p>
<p>Selon une étude de Harvard, une réduction de 60 % du coronavirus est pire qu’un ralentissement de sa propagation de 40 % ou 20 %, car elle crée un pic plus élevé plus tard et davantage de cas au total. Nous ne savons pas encore si c’est vraiment ce qu’il va se produire. Personne ne le sait. Tout dépend de la fiabilité des modèles. Mais c’est la décision prise par les autorités suédoises.</p>
<p>Voilà donc les quatre raisons de la stratégie suédoise, et il convient de préciser que ces politiques pourraient changer. Certaines voix s’élèvent dans la société en faveur d’une politique plus contraignante et, fait intéressant, l’argument le plus fréquent est que tous les autres pays ont choisi une autre politique, alors pourquoi devrions-nous faire cavalier seul ? Ça semble être un argument de « mentalité de troupeau » et non d’« immunité de troupeau ».</p>
<p>Mais jusqu’à présent, les Suédois semblent globalement accepter ces politiques. Un clivage 50-50 pourrait naître, mais les sociaux-démocrates au pouvoir viennent de faire un bond de 7 points dans le dernier sondage, de 24 % à 31 %. Il semblerait donc qu’ils soient largement récompensés pour cette politique publique plus prudente. Il est clair que l’opinion peut changer à tout moment et seul l’avenir nous le dira.</p>
<h2>Bilan sanitaire : des comparaisons difficiles à mener</h2>
<p>Quel est mon point de vue personnel ? Je ne suis pas un épidémiologiste. Je ne peux pas me prononcer sur le fond. Je ne suis évidemment pas un expert en la matière, mais jusqu’à présent, je suis largement favorable au modèle suédois. Il peut être nécessaire de restreindre des libertés pendant une pandémie, mais seulement lorsque nous avons de bonnes raisons de penser que cela est bénéfique pour notre santé à long terme. Dans l’incertitude, je considère qu’il faut faire ce que nous savons.</p>
<p>Comme l’a dit John Stuart Mills <em>« dans tous les cas, la charge de présenter des preuves solides n’incombent pas à ceux qui résistent, mais à ceux qui recommandent l’intervention de l’État ».</em></p>
<p>Y a-t-il des arguments solides à opposer au modèle suédois ? Il est clair que nous ne pouvons pas encore répondre, en partie parce qu’il faut laisser du temps au temps pour évaluer la situation, en partie parce que circulent toutes sortes de mensonges et de statistiques sur le Covid-19.</p>
<p>Tellement de chiffres et de graphiques circulent partout en ce moment. Certains tentent de montrer que la Suède livre un exemple cruel et déplorable de ce qu’on peut endurer en pareil cas. Alors j’essaie d’expliquer que c’est un cas d’espèce pour les autres.</p>
<p>Je n’accorderai pas beaucoup de crédits à certains chiffres. Par exemple, le taux de mortalité en pourcentage des cas n’est pas une statistique pertinente lorsque certains testent tout le monde ou presque comme la Corée du Sud (ou l’Allemagne qui fait des efforts en la matière) tandis que d’autres limitent les tests au personnel de santé. Nous verrons évidemment des taux de mortalité plus élevés dans les pays qui ne testent pas autant que la Suède.</p>
<p>Le taux de mortalité totale en pourcentage du nombre d’habitants a davantage de sens. Mais de telles statistiques posent également de nombreux problèmes. Vous avez sans doute vu différents graphiques où la Suède semble se débrouiller très bien ou très mal, selon le pays auquel elle est comparée. La Suède a l’air mal en point par rapport au Danemark et surtout par rapport à la Norvège, un pays que beaucoup considèrent comme un modèle. Elle semble très bien comparée à la France, à la Belgique, aux Pays-Bas et à la Grande-Bretagne. La Suède a mauvaise mine par rapport aux États-Unis, mais elle a meilleure mine par rapport à l’État de New York qui se situe à un stade plus proche de propagation dans la population. La vérité est que la Suède se situe quelque part au milieu.</p>
<p>Et le problème est aussi que nous comptons les décès différemment. Certains pays ne comptent pas les décès en dehors des hôpitaux, lorsque les gens meurent du Coronavirus chez eux ou dans des maisons de retraite ; ils ne sont tout simplement pas inclus dans les statistiques. À Stockholm, 42 % des décès comptabilisés ont eu lieu dans des maisons de retraite, tandis que de nombreux pays ne les comptent pas dans leurs chiffres.</p>
<p>En Suède, nous vérifions constamment la liste des personnes infectées par le Coronavirus par rapport au registre de la population et au total des décès. Ainsi, toutes les personnes qui sont mortes et qui ont été infectées par le virus sont comptées. Alors que dans un pays comme la Norvège, où l’on a enregistré statistiquement beaucoup moins de décès qu’en Suède, les décès sont considérés comme liés au coronavirus uniquement si un médecin a fait le constat que le virus a tué la personne en question et qu’il l’a signalé aux autorités sanitaires du pays.</p>
<p>Cela dit, quelle que soit la méthode de comptabilisation, je pense que nous avons plus de morts par habitant en Suède que nos voisins nordiques, davantage qu’en Norvège, en Finlande et au Danemark. Ce n’est pas surprenant car ils ont essayé de neutraliser le virus par un confinement total en forçant les gens à rester chez eux. Ils risquent donc d’assister à une deuxième vague, une fois qu’ils auront rouvert leurs sociétés, ce qu’ils font actuellement. Ils pourraient donc être affectés par ces décès, mais sans bénéficier de l’immunité.</p>
<p>Il faut donc être patient, attendre les chiffres pour procéder à une évaluation. Il faudra des mois pour disposer d’outils de mesure fiables pour apprécier les différents modèles.</p>
<h2>Le pari de la stratégie suédoise</h2>
<p>Ce qui est intéressant dans le cas de la Suède et que nous pouvons d’ores et déjà dire, c’est que rien n’indique que la plupart de ceux qui sont morts ne seraient pas morts de toute façon. Dans la mesure où ils ne sont pas morts parce que le système de santé était submergé durant cette période, ou parce que nous manquions de personnel de soins ou de respirateurs.</p>
<p>En Suède, nous disposons toujours d’une capacité excédentaire de 20 % des unités de soins intensifs : 20 % des lits de réanimation sont actuellement inoccupés. La situation pourrait s’aggraver dans les prochaines semaines. Personne ne le sait ; il est trop tôt pour le dire, mais il semble au moins que la situation commence à se stabiliser en Suède, surtout à Stockholm qui pourrait être au pic de la courbe. Le nombre de nouveaux patients admis en soins intensifs est stable à Stockholm depuis le 23 mars.</p>
<p>Au total, depuis le 23 mars et jusqu’au 15 avril, date à laquelle j’ai enregistré la vidéo, l’âge moyen d’un décès a été de 81 ans, ce qui est proche de l’espérance de vie moyenne de la Suède. Il se peut donc que la surmortalité n’ait pas été beaucoup plus élevée. Ce qui ne signifie pas que la plupart de ces décès auraient eu lieu de toute façon. Il est trop tôt pour le dire.</p>
<p>La Suède pourrait brusquement prendre un virage beaucoup plus sombre tandis que les pays qui sortent du confinement réussiraient, l’un dans l’autre, à conserver un faible nombre de décès. Dans un tel scénario, la Suède devra procéder à une sérieuse remise en question et des discussions devront avoir lieu.</p>
<p>Mais cela pourrait bien fonctionner, et dans ce cas, la Suède aura protégé les personnes les plus fragiles durant une période qui aura permis d’obtenir une plus grande immunité, une immunité collective à travers toute la société sans ruiner ou détruire l’économie et les liens sociaux comme dans d’autres pays, et donc des vies humaines sur le long terme. Aussi, je suppose que pour les autres gouvernements qui nuisent à leur société sans en tirer aucun bénéfice pour la santé, même à court terme, il sera difficile de justifier leurs choix politiques.</p>
<h2>Tirer les leçons des diverses expériences</h2>
<p>Je ne sais pas ce qui va se passer. Mais je vous laisse sur cette réflexion : le Coronavirus aura été une sonnette d’alarme. Il n’est finalement pas aussi terrifiant que les premiers épisodes de son histoire le laissaient présager. Il n’associe pas contagiosité et mortalité comme par exemple la grippe espagnole il y a 100 ans. Et le mieux, c’est qu’il semble épargner nos jeunes. Mais nous n’aurons peut-être pas cette chance une deuxième fois. La prochaine pandémie que nous connaîtrons pourrait être bien pire.</p>
<p>C’est donc le moment de se préparer et de rassembler les connaissances sur ce qui fonctionne ou non. C’est pourquoi nous avons aussi besoin de solutions différentes pour voir ce qui fonctionne ou non, en vue d’être mieux préparés la prochaine fois.</p>
<p>Nous avons besoin d’expérimentations. Et ce n’est pas la Suède qui expérimente ici. Ce sont les autres. Nous n’avons jamais paralysé des sociétés et des économies à ce point et il nous faudra beaucoup de temps avant de comprendre les effets d’une action aussi radicale.</p>
<p>Je pense que tout le monde, et surtout tous ceux qui, dans le monde entier, ont opté pour une approche assez agressive, devraient être heureux que la Suède ait emprunté une autre voie.</p>
