title: Le virus n’est pas une vengeance
url: https://perspectives-printanieres.info/index.php/2020/03/30/le-virus-nest-pas-une-vengeance/
hash_url: a38442a0e3e291d654793c384e17e737

<p><a href="https://perspectives-printanieres.info/wp-content/uploads/2020/03/Perspectives-Printanières_Coronavirus_et_Ecologie_mars2020-A5-page_par_page.pdf"><img class="alignright wp-image-984 size-full" src="https://perspectives-printanieres.info/wp-content/uploads/2020/03/brochure_page.png" alt=""/></a><a href="https://perspectives-printanieres.info/wp-content/uploads/2020/03/Perspectives-Printanières_Coronavirus_et_Ecologie_mars2020-A4-planche.pdf"><img class="alignright wp-image-985 size-full" src="https://perspectives-printanieres.info/wp-content/uploads/2020/03/brochure_livret.png" alt=""/></a></p>
<p><em>Ce billet est la suite du précédent : </em><a href="https://perspectives-printanieres.info/index.php/2020/03/10/lepidemie-na-pas-de-vertus/"><em>L’épidémie n’a pas de vertus</em></a></p>
<p>Les journaux de confinement de personnalités qui fleurissent dernièrement dans les médias sont exaspérants pour de très nombreuses raisons. Explorons en particulier l’une de ces raisons, particulièrement reprise<a href="#_ftn1" name="_ftnref1">[1]</a> : l’idée selon laquelle l’épidémie provoquée par le coronavirus serait une « vengeance de la Nature » – ou de « Gaïa », du « Vivant », de la « Terre », etc. Ce texte tente de les déconstruire. De telles interprétations de la catastrophe sanitaire en cours, purement incantatoires car jamais fondées, ont également proliféré dans les tribunes d’universitaires et sur les réseaux sociaux. Cette idée d’une « vengeance de la Nature »<a href="#_ftn2" name="_ftnref2">[2]</a> n’est pas seulement une version romantique de la lecture faussement écologique – « fausse » car <a href="http://geoconfluences.ens-lyon.fr/glossaire/malthusianisme">malthusienne</a> – de l’épidémie comme « régulation naturelle » mais est symptomatique d’une difficulté plus profonde pour l’écologie politique : la persistance de représentations réactionnaires de la « Nature ». Sortir de ce cadre ne sera pas aisé puisque cela implique de plonger dans des débats conceptuels profonds, aux ramifications politiques très complexes. Ce texte n’entend pas clore un débat encore jeune sur les rapports entre humain-es et non-humains, mais simplement à démêler les implications politiques de certaines propositions théoriques. Dans un premier temps, cela nécessite de revenir sur ce que renferme l’idée d’une pandémie comme « vengeance de la Nature ». Sur cette base, les difficultés théoriques/politiques pour renverser ce type de conceptions de la « Nature » seront décryptées, avant de montrer comment ces dernières peuvent manquer leur objectif et nourrir des positionnements écofascistes, dont l’écologie politique doit s’extraire.</p>
<h4>Une pandémie « méritée » ?</h4>
<p>Peu à peu, l’idée que la pandémie causée par le coronavirus constituerait une bonne leçon pour l’Humanité commence à s’installer. Personnalités et anonymes semblent s’y soumettre, comme si la mort de milliers de personnes – plus de 30 000 dans le monde lors de l’écriture de cet article – était le premier avertissement de la « Nature » face à ce que lui infligent les humain-es. D’une certaine manière, cette pandémie serait même « un mal pour un bien »<a href="#_ftn3" name="_ftnref3">[3]</a>, puisqu’elle nous réconcilierait avec la planète et les non-humains en nous offrant une « chance »<a href="#_ftn4" name="_ftnref4">[4]</a> de ralentir. Ces arguments cherchant du positif dans la catastrophe en cours – comme l’éclaircissement de l’eau d’une rivière polluée ou le retour de certains animaux dans des espaces desquels ils ont été chassés – peuvent toutefois nourrir des théories opposées aux propositions écologistes promues au départ. Ces exemples montrent la nécessité de limiter les prises qu’offre un argument à la récupération par celles et ceux à qui il s’oppose. L’ambivalence du vocabulaire écologiste mériterait d’être détricotée pour elle-même, il s’agit ici seulement d’un avertissement. Présenter l’épidémie comme « vengeance de la Nature » revient en effet à considérer implicitement que celle-ci serait bien « méritée » par tou-tes les humain-es, ou par l’Humanité dans sa globalité. Deux problèmes fondamentaux, rendus explicites par les dynamiques politiques à l’origine de l’émergence des épidémies<a href="#_ftn5" name="_ftnref5">[5]</a>, apparaissent alors.</p>
<p>En premier lieu, tout le monde ne subit pas de la même manière cette épidémie. Si, biologiquement, le virus peut vraisemblablement infecter indistinctement tous les corps humains, ses impacts sur chacun sont en revanche extrêmement différenciés, au-delà des inégalités purement immunitaires, selon des facteurs éminemment sociaux.<br/>
Le premier d’entre eux se rapporte à l’exposition au virus. Il n’aura échappé à personne que le confinement imposé est loin d’être total. En plus des courageux-ses soignant-es qui s’investissent de tout leur être dans la lutte contre l’épidémie malgré les moyens dérisoires mis à leur disposition<a href="#_ftn6" name="_ftnref6">[6]</a>, des millions de travailleur-ses sont toujours obligé-es d’aller bosser. Iels s’exposent elleux-mêmes à une contamination, et participent encore, bien malgré elleux à la diffusion du virus – les fameux « gestes barrières » étant évidemment loin de suffire à rendre le travail inoffensif<a href="#_ftn7" name="_ftnref7">[7]</a>. Laisser la détermination des « activités essentielles à la nation » à la discrétion du patronat est dès lors criminel : des gens mourront à cause de l’entêtement du gouvernement à « sauver » l’économie au détriment de la bonne gestion sanitaire de l’épidémie. Pendant que les ouvrier-ères sont forcé-es de travailler, les cadres sont en télétravail, à l’abri d’une contamination (ce qui ne veut pas dire qu’iels ne vont pas contracter la maladie). Une partie des classes supérieures est même allée se « mettre au vert » dans leurs résidences secondaires<a href="#_ftn8" name="_ftnref8">[8]</a> pour bénéficier de meilleures conditions de confinement. Dans le même temps, quitter la ville est imaginé comme un moyen de se mettre à distance des foyers de contamination. Ce réflexe hygiéniste de s’éloigner des masses urbaines pauvres ne résiste toutefois pas à une lecture géographique de l’épidémie – la situation dans plusieurs pays infectés contredit l’association stricte villes-foyers<a href="#_ftn9" name="_ftnref9">[9]</a>. Cette migration temporaire ne fait que diffuser plus largement le virus, puisque les migrant-es urbain-es aisé-es<a href="#_ftn10" name="_ftnref10">[10]</a> asymptomatiques le ramènent dans des zones rurales jusque-là non-atteintes par l’épidémie<a href="#_ftn11" name="_ftnref11">[11]</a>. Ce déplacement relativement massif<a href="#_ftn12" name="_ftnref12">[12]</a> n’est pas sans conséquences sur l’accès à la santé, déjà géographiquement et socialement inégalitaire en temps normal. L’arrivée de nombreuses familles dans des zones rurales renforce le sous-dimensionnement des services de santé locaux. Plus généralement, sans même détailler les particularismes nationaux liés à la qualité des soins ou à la nature publique ou privée des services de santé que la crise sanitaire amplifie<a href="#_ftn13" name="_ftnref13">[13]</a>, force est de constater que tou-tes les humain-es ne sont pas traité-es également. Alors que le virus se propage à grande vitesse parmi la population sans qu’aucun dépistage massif ne soit envisagé dans la plupart des pays, des personnalités publiques pourtant dans la fleur de l’âge annoncent tour à tour avoir été testées positives au coronavirus tout en affirmant ne pas présenter de symptômes. Combien d’autres n’en parlent pas car le test s’est révélé négatif ? L’inégalité de traitement est ici plus que frappante<a href="#_ftn14" name="_ftnref14">[14]</a>, mais elle est sans commune mesure avec celle relative aux soins prodigués.<br/>
Littéralement dépouillés par les derniers gouvernements<a href="#_ftn15" name="_ftnref15">[15]</a>, les hôpitaux doivent faire face à l’épidémie avec une capacité de lits très basse, qui obligera les médecins à choisir les patient-es à soigner en fonction d’une estimation rapide de leurs chances de survie<a href="#_ftn16" name="_ftnref16">[16]</a>. Les inégalités sociales d’accès à la santé, déjà criantes en temps normal<a href="#_ftn17" name="_ftnref17">[17]</a>, sont exacerbées par l’épidémie actuelle : le personnel de santé méprisera possiblement d’autant plus les personnes racisées demandant de l’aide<a href="#_ftn18" name="_ftnref18">[18]</a> ; la forme que prend le confinement exacerbe le validisme<a href="#_ftn19" name="_ftnref19">[19]</a> ; les femmes ne peuvent parfois plus avorter car cela ne serait pas « essentiel » en temps d’épidémie<a href="#_ftn20" name="_ftnref20">[20]</a> ; les personnes exilées mises en danger par l’impossibilité de se confiner sans relogement<a href="#_ftn21" name="_ftnref21">[21]</a> verront leur accès déjà parcellaire à la santé<a href="#_ftn22" name="_ftnref22">[22]</a> se réduire encore davantage<a href="#_ftn23" name="_ftnref23">[23]</a> ; etc.<br/>
Un troisième domaine dans lequel les inégalités sont renforcées est celui de l’exposition aux dispositifs disciplinaires policiers. Le caractère autoritaire du confinement imposé par le gouvernement français s’exprime en grande partie par le déploiement d’une présence policière accrue. Prenant la forme d’un contrôle spatial ségrégationniste<a href="#_ftn24" name="_ftnref24">[24]</a>, celui-ci n’est pas également réparti géographiquement : le racisme d’Etat induit que « les quartiers populaires » sont davantage ciblés que les « beaux quartiers »<a href="#_ftn25" name="_ftnref25">[25]</a>. Cette différenciation géographique dans la répression s’observe jusque dans les médias, dans la manière dont le non-respect du confinement est illustré. D’un côté, les classes supérieures urbaines ayant fui vers les côtes se baladaient tranquillement sur les plages puis se plaignent aujourd’hui qu’on leur impose de rester à l’intérieur de leur résidence secondaire. De l’autre, les classes populaires racisées sont criminalisées et réprimées violemment lorsqu’elles vont au marché pour faire le plein nécessaire de produits alimentaires. Sans même rentrer dans la critique de l’exode urbain déjà évoqué, les promenades des plus aisé-es sont amalgamées avec les déplacements nécessaires des plus modestes pour se nourrir. Cette représentation médiatique alimente le fantasme de l’extrême-droite de masses pauvres racisées aux comportements « sauvages »<a href="#_ftn26" name="_ftnref26">[26]</a>. Le confinement pèse aussi différemment au sein même des ménages, puisqu’on constate déjà une recrudescence des violences que subissent les femmes<a href="#_ftn27" name="_ftnref27">[27]</a>, confinées avec des conjoints violents. Le travail domestique et la charge mentale qui pèsent sur elles sont également accrus durant le confinement par l’importance cruciale du soin (<em>care</em>), un travail permanent non-rémunéré essentiellement porté par les femmes, dont la nécessité est accentuée par la pandémie<a href="#_ftn28" name="_ftnref28">[28]</a>. La liste des groupes sociaux n’ayant pas mérité que leur situation se complique est si longue qu’elle rend d’autant plus insupportable la lecture de l’épidémie comme « vengeance de la Nature ».</p>
<p>En second lieu, à l’inégalité de traitement sanitaire s’ajoute l’inégalité de responsabilité. Présenter, comme l’a fait l’ONU<a href="#_ftn29" name="_ftnref29">[29]</a>, l’épidémie comme une menace à l’encontre de « l’Humanité toute entière » qui devrait riposter afin d’agir « pour les plus vulnérables », appuie la nécessité d’y apporter une réponse collective. La situation des plus fragiles est en effet dépendante des agissements du reste de la population, dont le confinement est avant tout un acte solidaire. La catastrophe est commune dans le sens où elle nous concerne tou-tes. Mais elle est également socialement différenciée dans ses effets, comme exposé précédemment. Or, mobiliser la catégorie « Humanité (toute entière) » n’est pas neutre politiquement : les débats autour du concept d’Anthropocène l’ont bien montré<a href="#_ftn30" name="_ftnref30">[30]</a>. « Humanité » désigne simplement l’ensemble des humains dans les dictionnaires, mais son emploi politique repose sur l’uniformité fondamentale de cet ensemble : tou-tes les humain-es porteraient la même responsabilité d’une situation dont iels subiraient pareillement les conséquences. Devant l’urgence de la situation (ici sanitaire, mais le raisonnement est le même concernant la crise écologique), certain-es jugent que pointer ces inégalités masque la gravité de la situation. L’union nationale, par l’union du champ politique et des citoyen-nes, serait la seule issue – constatons par exemple la récurrence de « la nation française » dans les discours d’Emmanuel Macron. Pourtant, rester vigilant-es est crucial dans ces moments inédits. L’urgence est particulièrement propice à la destruction d’acquis sociaux. L’union nationale tant vantée nous intime de faire des sacrifices, d’être responsables quant à notre rôle dans cette immense machine que serait la nation. Pour résumer, nous serions tou-tes dans le même bateau : également responsables et également touché-es. La déconstruction de l’uniformité sociale des impacts n’est ici plus à faire, mais celle des responsabilités doit être rappelée. En considérant que l’accroissement du nombre d’épidémies est symptomatique de l’économie capitaliste basée sur un rapport colonial à la Terre<a href="#_ftn31" name="_ftnref31">[31]</a>, le mythe d’une « Humanité » finit d’être enterré. Devant l’augmentation du nombre d’articles mentionnant les impacts humains sur l’environnement comme sources de la multiplication récentes des épidémies, repréciser les grandes lignes de ce que doit être une lecture écologiste de ce processus semble utile. Comprendre le changement climatique ou la destruction des biotopes (parmi de nombreux autres bouleversements écologiques) comme des phénomènes produits par « l’Humanité » ne tient pas, pour plusieurs raisons que l’on peut exposer concrètement.<br/>
La première réside évidemment dans l’uniformisation déjà commentée des responsabilités politiques de la production de ces phénomènes. Si « l’Humanité » concerne tout le genre humain, comment une même responsabilité climatique et écologique pourrait-elle peser sur les épaules de deux personnes aux positions sociales diamétralement opposées ? Pour prendre un exemple volontairement caricatural : quelles sont les responsabilités de l’immense majorité de la population mondiale dans la sortie des Etats-Unis des accords de Paris, décidée par Donald Trump ? L’énormité d’une telle uniformisation devrait être évidente pour tou-tes.<br/>
La seconde tient dans la dimension statistique de tels discours : c’est « l’Humanité » en tant que variable démographique qui est désignée, laissant de côté, par construction, tous les enjeux politiques qui animent cette « Humanité » loin d’être uniforme. Ces modélisations statistiques constituent d’ailleurs le socle du néomalthusianisme contemporain.<br/>
Enfin, la troisième raison est d’ordre anthropologique. En prenant l’Humanité comme un tout uniforme, la seule analyse écologiste possible opposera « l’Humanité » à la « Nature ». Dans cette perspective, l’objectif de l’écologie politique serait d’inverser cette lutte, pour que les humain-es ne cherchent plus à maîtriser la « Nature » mais plutôt à s’y conformer sans tenter de s’arracher à ses lois. Cette vision des choses n’est pas satisfaisante. L’anthropologie de la nature, la première, est venue nuancer cette ontologie naturaliste<a href="#_ftn32" name="_ftnref32">[32]</a> qui dissocie humain-es et « Nature », permettant ensuite de se défaire complètement de concept de « Nature ». Pour l’écologie politique, cela ouvre de nombreuses portes que la posture essentialiste fondée sur la vieille « Nature » maintenait closes<a href="#_ftn33" name="_ftnref33">[33]</a>.</p>
<p>Considérer que l’épidémie serait « méritée » car simple « vengeance de la Nature » est donc une déresponsabilisation (qui ne dit pas son nom) des classes dominantes, responsables de la trajectoire écocidaire qui crée de plus en plus d’épidémies, et de leur gestion criminelle qu’elles mettent en oeuvre. D’abord, personne ne peut « mériter » quelque chose dont iel n’est en rien responsable. Mais la situation ici va bien au-delà, puisque les plus « responsables » de la situation sont généralement moins impacté-es que les autres. Ecrire que l’épidémie ne touche pas également tout le monde ne suffit donc pas, car la réalité est bien plus terrible : la situation actuelle accentue considérablement les inégalités<a href="#_ftn34" name="_ftnref34">[34]</a>.</p>
<h4>La romantisation de la réaction terrestre</h4>
<p>L’idée d’une « vengeance de la Nature » semble séduire des catégories sociales et sensibilités idéologiques relativement diverses. Ce succès est assez logique : elle s’articule parfaitement aux représentations communes de la « Nature » que véhicule la pensée occidentale moderne. Son instabilité<a href="#_ftn35" name="_ftnref35">[35]</a> constitutive en autorise en effet de multiples usages, parfois divergents : d’un côté, il est dit que la « Nature » se venge en envoyant un virus contre les humain-es, mais de l’autre, maintenant que ceux-ci ne la détruisent plus, la « Nature » renaît. Dans le premier cas, elle est hostile, dans le second, bienveillante, comme si elle était dotée d’une conscience ou d’une personnalité, qui expliqueraient ses changements d’humeur. L’analyse de tels discours n’est pas une nouveauté induite par la pandémie actuelle : entre les écologistes anglophones, notamment en Amérique du Nord, les débats sur ces conceptions de la « Nature » (ou « nature »<a href="#_ftn36" name="_ftnref36">[36]</a>) ont été et sont toujours extrêmement vifs<a href="#_ftn37" name="_ftnref37">[37]</a>. L’écologie politique francophone a dans l’ensemble plutôt évité ce type de discussion<a href="#_ftn38" name="_ftnref38">[38]</a>. Toutefois, le danger de l’importation en politique de la « Nature » fut bien perçu, générant des projets philosophiques assez divergents pour en sortir<a href="#_ftn39" name="_ftnref39">[39]</a>. Cet héritage intellectuel informe sur les raisons pour lesquelles la thèse de l’épidémie comme « vengeance de la Nature » séduit bien au-delà de sa version commune. La multiplication des mauvaises tribunes annonçant sauvagement le retour de la « Nature »<a href="#_ftn40" name="_ftnref40">[40]</a> ou de « Gaïa »<a href="#_ftn41" name="_ftnref41">[41]</a> en témoigne. La réduction de telles romantisations<a href="#_ftn42" name="_ftnref42">[42]</a> de l’épidémie à un privilège de classe est séduisante, mais elle ne suffit pas pour saisir d’où viennent de tels positionnements.</p>
<p>La liste des disciplines perçues comme légitimes pour étudier la crise écologique est souvent réduite aux seules sciences naturelles. Les raisons semblent évidentes : la climatologie est la mieux placée pour observer le réchauffement global du climat, l’écologie scientifique et la biogéographie offrent les meilleurs outils pour analyser les bouleversements écologiques, etc<a href="#_ftn43" name="_ftnref43">[43]</a>. Pourtant, les sciences sociales se sont intéressées depuis longtemps aux interactions entre les sociétés humaines et leurs environnements. De véritables traditions disciplinaires se sont même développées autour de ce projet de recherche. L’aggravation de la crise écologique rendue évidente par les sciences naturelles a eu pour effet d’intensifier les échanges entre disciplines au sein des sciences sociales. C’est à partir de ce bouillonnement réflexif que se sont construites les « <a href="http://humanitesenvironnementales.fr/">humanités environnementales</a> », un champ interdisciplinaire de recherche en sciences sociales sur les questions liées à l’environnement. Si la problématisation du dualisme nature/société, entres autres héritée du mouvement <a href="https://www.revue-ballast.fr/lecofeminisme-quest-ce-donc/">écoféministe</a><a href="#_ftn44" name="_ftnref44">[44]</a>, est au cœur de cet espace de dialogue en plein essor<a href="#_ftn45" name="_ftnref45">[45]</a>, toutes les disciplines n’ont pas également contribué à ce projet théorique. Deux disciplines en particulier semblent bien illustrer les différentes manières par lesquelles fut critiqué le naturalisme – appellation désormais commune du dualisme nature/société<a href="#_ftn46" name="_ftnref46">[46]</a>.<br/>
L’histoire environnementale a contribué à faire de l’environnement un objet historique à part entière en rapprochant les temporalités sociales et naturelles. Pour les historien-nes, nature et société sont <a href="https://fr.wiktionary.org/wiki/coextensif">coextensives</a> car liées par ce que l’on pourrait qualifier de double déterminisme : « la plupart des actions humaines ont des conséquences sur l’environnement et les changements dans les systèmes naturels affectent presque inévitablement les humain-es »<a href="#_ftn47" name="_ftnref47">[47]</a>. En histoire, nature et société sont donc bien deux ensembles distincts, mais la coupure entre les deux est loin d’être totale puisque les deux évoluent toujours conjointement. En anthropologie, la formulation du problème comme celui d’un grand partage entre nature et société hérite d’un long débat disciplinaire sur les relations entre les humain-es et leur environnement<a href="#_ftn48" name="_ftnref48">[48]</a>, les anthropologues n’ayant finalement, dans leur méthodologie au moins, que peu adhéré au dualisme moderne<a href="#_ftn49" name="_ftnref49">[49]</a>. Alors que l’histoire environnementale se concentre en grande partie sur les sociétés modernes, l’anthropologie de l’environnement s’appuie quant à elle beaucoup plus<a href="#_ftn50" name="_ftnref50">[50]</a> sur l’ethnographie de sociétés non-modernes, qui sont restées ou se sont tenues à l’écart du monde moderne et de la séparation nature/société qui fondent ses structures sociales. Cette dimension comparative a permis de caractériser le dualisme comme spécificité de la pensée occidentale, puisque l’on ne retrouve absolument pas ce partage dans une multitude de sociétés non-occidentales. Partant de là, l’anthropologie de la nature critique sud-américaine s’est lancée dans un programme décolonial à la croisée de la recherche et de l’activisme politique<a href="#_ftn51" name="_ftnref51">[51]</a>. L’objectif de départ est très clair : réhabiliter les manières d’être et d’agir autochtones – que l’on appellera « ontologie »[*] – face au projet scientifique rationaliste de l’anthropologie occidentale dominante. Ce « tournant ontologique » pris rapidement une grande importance dans la pensée écologique, et plus largement, politique.</p>
<p>Les pistes méthodologiques proposées par les humanités environnementales sont complexes, difficiles à appréhender. Sans prétendre à l’exhaustivité, examinons le geste extrêmement fréquent d’attribution d’une « agentivité »<a href="#_ftn52" name="_ftnref52">[52]</a> sociale aux non-humains. Le monde social n’est pas qu’un réseau d’humain-es qui interagissent entre elleux, mais est également composé d’autres « actants », non-humains, qui font partie intégrante de la société-réseau. L’attention est alors portée sur les relations qu’entretiennent des êtres, pas sur ce qui les distingue. L’attribution de cette agentivité ne concerne pas seulement les animaux ou les plantes<a href="#_ftn53" name="_ftnref53">[53]</a>, mais parfois la planète toute entière, comme dans les relectures philosophiques (notamment récentes) de l’Hypothèse Gaïa<a href="#_ftn54" name="_ftnref54">[54]</a> – initialement simple modèle systémique, rapidement devenue centrale pour certaines philosophies de la nature<a href="#_ftn55" name="_ftnref55">[55]</a>. Gaïa désignerait la Terre dans son ensemble, comme un être à part entière, avec sa propre histoire. Les bouleversements écologiques ne lui enlèveraient pas sa qualité de « planète vivante ». Gaïa comme être éternel est « difficile à manier »<a href="#_ftn56" name="_ftnref56">[56]</a> puisque les difficultés inhérentes à l’attribution d’une agentivité à des êtres non-humains se trouvent amplifiées lorsqu’il s’agit de la planète Terre toute entière. Au départ, cette opération se veut subversive car elle offre la possibilité de sortir du cadrage naturaliste-capitaliste faisant de la « nature » un ensemble inanimé, intégralement manipulable par les humain-es. Mais cette sortie peut prendre deux formes, presque opposées.<br/>
La première reste très pragmatique : elle se contente de pointer les implications politiques du naturalisme, sans prôner une autre ontologie existante en particulier<a href="#_ftn57" name="_ftnref57">[57]</a>. Cette base s’articule facilement aux travaux sur la monétarisation de la nature<a href="#_ftn58" name="_ftnref58">[58]</a>, qui explicitent la façon dont la promotion des <a href="https://www.actu-environnement.com/ae/dictionnaire_environnement/definition/service-ecosystemique.php4">services écosystémiques</a> comme outil de protection des écosystèmes promue par les écologues s’est progressivement transformée en nouvelle conquête du capitalisme financier<a href="#_ftn59" name="_ftnref59">[59]</a>. La seconde sortie possible assume son orientation métaphysique en associant le naturalisme à un « désenchantement du monde », amenant de fait l’idée qu’en sortir passe par un « réenchantement » de ce même monde – ou d’autres mondes. Si l’on croirait retrouver presque terme pour terme la critique que fait Max Weber de la rationalisation capitaliste moderne par le progrès scientifique<a href="#_ftn60" name="_ftnref60">[60]</a>, le « désenchantement » a ici pour fonction principale de justifier le parti-pris métaphysique du « réenchantement ». En apparence, ses implications méthodologiques semblent assez proches de la remise en cause « pragmatique » du naturalisme brièvement décrite précédemment : il s’agit d’accorder une agentivité sociale aux non-humains, ce qui équivaut à une reconnaissance de leur enrôlement par les humain-es dans le monde social. D’une certaine manière, il s’agit là d’une re-matérialisation – ou d’une nouvelle « terrestrialisation »<a href="#_ftn61" name="_ftnref61">[61]</a> – de la pensée politique moderne, programme que l’on ne peut que souhaiter accompagner. Mais le projet de « réenchantement » ne s’arrête pas là puisqu’il transpose l’agentivité accordée aux autres vivants sur un plan spirituel, inspiré des ontologies non-naturalistes – notamment animistes. Soudainement, des gens pour qui les animaux non-humains n’étaient même pas dotés d’une conscience se mettraient à dialoguer avec eux. L’effet artistique est garanti, mais l’apport politique reste à prouver : faut-il (et si oui comment) convaincre massivement que la résolution de la crise écologique passe par le fait de parler avec son chien ou de « soigner » les arbres ? Ces récupérations simplistes se multiplient dernièrement. La subversion initiale se transforme en incompréhension totale vis-à-vis des objectifs d’un tel projet de « réenchantement » du monde. Ce retour d’un « sacré » issu d’autres sociétés pose problème<a href="#_ftn62" name="_ftnref62">[62]</a> : chaque groupe social construit ce qui est sacré en son sein. Sacraliser ce que l’on désignait il y a peu par « Nature » revient à identifier les sciences modernes comme outils de pure destruction. Pourtant, la crise écologique est scientifique à double titre : dans ses causes certes, il faut le rappeler, mais aussi dans ses modes de compréhension et résolution. Nul besoin d’un détour métaphysique pour traiter ces ambivalences des sciences modernes. Si le mot d’ordre de départ selon lequel « la spiritualité est politique » est incontestable, on est en droit de s’interroger sur la façon dont celleux dont la spiritualité est autre que celle prônée pour ses vertus écologiques seront traité-es – de même pour celleux qui ne revendiquent aucune spiritualité. Symptomatique des angles morts que laissent les manipulations conceptuelles, cette question ne semble jamais affleurer malgré son évidence pour celleux se sentant injustement visé-es par ces propositions politico-spirituelles. C’est dans ce contexte théorique complexe mais surtout confus que certain-es en viennent à faire parler le coronavirus, donnant, sous couvert d’expression artistique, dans la déresponsabilisation politique<a href="#_ftn63" name="_ftnref63">[63]</a>.</p>
<p>Ce « monologue du virus » s’inscrit très clairement dans l’orientation métaphysique prise par le Comité invisible<a href="#_ftn64" name="_ftnref64">[64]</a>. Il s’agit plutôt de réorientation dans un paysage politique présenté comme absurde, dont la nature romantique résonne étrangement avec le dernier essai de Bruno Latour<a href="#_ftn65" name="_ftnref65">[65]</a>, également engagé depuis plusieurs années dans la reconstruction d’un nouvel édifice métaphysique<a href="#_ftn66" name="_ftnref66">[66]</a>. Le paysage conceptuel dans lequel il baigne éclaire ce qui a motivé l’écriture de ce texte : la nécessité supposée d’intégrer les points de vue des non-humains dans notre manière d’appréhender la réalité du monde. Mais les « porte-paroles »<a href="#_ftn67" name="_ftnref67">[67]</a> humains – les scientifiques – ne suffisent pas parce qu’ils ne peuvent adopter réellement le point de vue des non-humains, dont iels n’ont pas le corps<a href="#_ftn68" name="_ftnref68">[68]</a>. La seule solution pour ne pas trahir ce projet anthropologique radical est alors de faire parler le virus. Sauf que cela ne tient pas.</p>
<p>Suivre le projet décolonial proposé par une partie de l’anthropologie de la nature ne peut se faire tête baissée. La réhabilitation des ontologies non-naturalistes est évidemment un projet politique d’une importance fondamentale que les écologistes doivent défendre. Toutefois, que des blanc-hes diplomé-es se revendiquent animistes du jour au lendemain pose plusieurs problèmes. Le plus évident se trouve dans l’adoption immédiate d’une ontologie non-moderne alors qu’elle n’est connue que par l’intermédiaire d’outils analytiques typiquement modernes – voire coloniaux. Ce n’est pas rendre justice aux sociétés desquelles ces ontologies émanent que de s’en revendiquer, puisqu’en plus de passer outre toute la réflexion sur la situation d’un point de vue, toute la longue histoire de l’ontologie adoptée n’est pas connue, rendant son appropriation extrêmement parcellaire. Le second problème découle inévitablement du premier, puisque cette sortie-remplacement du naturalisme est aussi empreinte d’anhistoricité. Si l’Occident est bien naturaliste depuis près de 5 siècles<a href="#_ftn69" name="_ftnref69">[69]</a>, se revendiquer (voire pratiquer) individuellement d’une autre ontologie n’annule pas cette riche histoire, indépendamment de ce que l’on pense de celle-ci d’ailleurs. Si l’ensemble des structures sociales, politiques mais aussi culturelles modernes reposent effectivement sur une base naturaliste, les conversions individuelles, même agrégées, ne suffiront pas à les renverser. Le troisième problème découle des deux premiers, presque comme une synthèse : les réflexions politiques contemporaines sont un produit de la modernité, même si elles contestent cette dernière. Cet état de fait est absolument indépassable, chercher à l’annuler est <em>a minima</em> une perte de temps. Mais gâcher son temps n’est pas un problème quand on a le luxe de quitter la ville selon des motifs politiques, pour adopter un mode de vie néo-rural éloigné des conditions matérielles d’existence des populations rurales traditionnelles<strong>.</strong> À force de se rêver non-moderne, les soucis des subalternes du monde moderne (tant dénoncé) sont oubliés. Dans le meilleur des cas, cet oubli est involontaire, simple fruit de l’éloignement réflexif inévitable lors de la recherche d’un autre rapport à la Terre. Mais cet oubli peut aussi être stratégique, en ciblant indistinctement tou-tes celleux, dominant-es ou dominé-es, qui participent à ce monde moderne jugé « pourri » – repensons à la théorie du Bloom comme critique de l’abrutissement des subalternes<a href="#_ftn70" name="_ftnref70">[70]</a>. Quelle que soit sa source, cet « oubli » se concrétise dans cet « abject monologue du virus »<a href="#_ftn71" name="_ftnref71">[71]</a>. Les principales victimes de la pandémie sont déjà et seront encore les plus vulnérables d’entre nous – il faut le rappeler : l’épidémie n’est pas « méritée ». Amplificatrice de quantités d’inégalités, la radicalisation autoritaire des « démocraties » sous couvert d’état d’urgence sanitaire devrait interdire de voir dans le virus un quelconque sauveur. L’infection des travailleur-ses par le virus ne les sortira pas de la « machine » avec laquelle iels sont presque accusé-es de collaborer. Tout le monde n’a pas le luxe de se dégager du temps pour créer un éco-village pour s’y mettre en retrait de la ville décadente<a href="#_ftn72" name="_ftnref72">[72]</a>  jugée symptomatique d’une société cynique<a href="#_ftn73" name="_ftnref73">[73]</a> – surtout si ce retrait se fait dans une communauté affinitaire socialement et idéologique homogène, autant de conditions que seule une bonne place dans la hiérarchie sociale permet de réunir. Considérer ce virus comme un « accusateur » venu renverser une société jugée mauvaise passe à côté du fait qu’il est davantage un « révélateur » et « aggravateur » des inégalités sociales qui s’y expriment<a href="#_ftn74" name="_ftnref74">[74]</a>. Le virus, enfin l’auteur – bien humain – de ce monologue, nous intime même de faire « attention » – à notre environnement au sens larges du terme. Pourtant lui ne fait attention à rien : ni aux nécessaires solidarités qui doivent se renforcer face à l’épidémie, ni à celleux que son discours global contre le monde moderne condamne.</p>
<p>Ce monologue du virus n’est donc pas seulement philosophiquement maladroit ou politiquement abject comme une première lecture peut le laisser penser : il est proprement dangereux. Certes, il n’est pas plus dangereux que tous les autres discours, plus ou moins profonds, qui font de l’épidémie une « vengeance de la Nature ». Son inconséquence politique reste toutefois plus que préoccupante à cause de l’analyse de la crise sanitaire actuelle qu’il promeut. Il illustre aussi les difficultés que pose la reconfiguration des rapports entre humain-es et non-humains, sous une forme d’apparence plus radicale que d’autres récits aussi dangereux<a href="#_ftn75" name="_ftnref75">[75]</a>. Bien que ce résultat soit probablement, espérons-le, contradictoire avec leur objectif de départ, de telles lectures de l’épidémie forment un terreau très fertile pour l’écofascisme.</p>
<h4>Une pente glissante vers l’écofascisme</h4>
<p>Beaucoup ont assimilé la lecture de l’épidémie comme « vengeance de la Nature » à un positionnement proche d’un « écofascisme » dont il semble nécessaire de préciser ici la substance. Pourtant très utilisé dans divers contextes militants, le terme n’a pas de définition véritablement stabilisée<a href="#_ftn76" name="_ftnref76">[76]</a>. Lors de ce qui semble être sa première apparition en 1980, l’écofascisme désigne « un régime totalitaire de gauche [ou] de droite sous la pression de la nécessité » d’une action écologique forte<a href="#_ftn77" name="_ftnref77">[77]</a>. Dans cette confusion, trois caractéristiques principales semblent apparaître :</p>
<p><strong>(1) L’écofascisme comme soumission à une « Nature » éternelle voire à un « ordre naturel » qui nous dépasse en tant qu’êtres humains.</strong> Deux sources sensiblement différentes – mais pas forcément indépendantes – peuvent aboutir à ce positionnement unique. La moins évidente est le biologisme<a href="#_ftn78" name="_ftnref78">[78]</a> dont font preuve certain-es, arguant que tout est d’abord biologique avant d’être social, culturel, historique, politique, etc. Transposé sur le plan politique, ce réductionnisme conduit à considérer que seul-es les biologistes seraient en mesure d’indiquer ce qui est conforme à la « nature » et par conséquent bon, et ce qui ne l’est pas donc mauvais. L’autre source, plus commune, confère un caractère surnaturel à la « Nature ». Ce n’est là que le pendant mystique du biologisme rationaliste, le fétichisme de ce dernier renforçant également la dimension mystique, même paré des atours de la rationalité. Ce n’est plus la biologie, ou plutôt une compréhension réductrice de ses apports, qui vient alors justifier la nécessité de se soumettre à un « ordre naturel » immuable, mais une entité mystique supérieure – pouvant prendre la forme/appellation de « Nature », « Gaïa », « Terre-mère », « Pacha Mama », etc. Ce n’est pas la croyance en de telles entités qui fait ici l’objet de la critique<a href="#_ftn79" name="_ftnref79">[79]</a>, mais bien son instrumentalisation en vue de naturaliser (de façon universelle) un ordre social fantasmé<a href="#_ftn80" name="_ftnref80">[80]</a>.</p>
<p><strong>(2) L’écofascisme comme promotion de la mort en nombre d’êtres humains pour des motifs écologiques.</strong> Le nombre de victimes jugé « nécessaire » s’exprime généralement en milliers, millions ou milliards – l’ignominie d’une telle proposition commence au premier décès. Cette « solution » à la crise écologique est un mythe à la peau dure<a href="#_ftn81" name="_ftnref81">[81]</a> qui, dans la littérature consacrée, prend le plus souvent le nom de « néomalthusianisme ». Le plus souvent, la mort de ces personnes est l’une des conséquences envisagées de l’aggravation de la crise écologique sur les sociétés. Dans quelques cas plus rares, certain-es appellent à tuer volontairement un grand nombre d’humain-es – généralement des racisé-es et des pauvres, jugé-es trop nombreux-ses.</p>
<p><strong>(3) L’écofascisme comme régime antidémocratique imposé pour répondre à la crise écologique.</strong> Concrètement, ce nouveau régime écologique pourrait se traduire par le strict rationnement des denrées alimentaires, par des atteintes considérables aux libertés individuelles voire par un eugénisme institutionnalisé. L’<a href="https://www.youtube.com/watch?v=b5cQbe913zc">homme de paille</a> forgé par les anti-écologistes réduisant l’écologie politique à une idéologie intrinsèquement autoritaire – pensons à la soi-disant « écologie punitive » – ne doit pas occulter qu’il existe effectivement des sensibilités écologistes explicitement autoritaires, notamment sous des formes technocratiques<a href="#_ftn82" name="_ftnref82">[82]</a>.</p>
<p>Chaque caractéristique de cette typologie peut concerner des sensibilités politiques autres que l’écofascisme. Aucune n’est toutefois exclusive, puisqu’au contraire, les trois se renforcent mutuellement. Par exemple, la défense de la soumission à un « ordre naturel » s’appuie souvent sur un eugénisme néomalthusien vantant la mort de celleux qui ne peuvent survivre aux « lois de la nature » – rappelant le darwinisme social qui fonde le néolibéralisme. Ce même « ordre naturel » justifierait également l’organisation dictatoriale de ce nouveau régime, comme s’il s’imposait naturellement. L’écofascisme se trouverait dans la combinaison des trois caractéristiques de la typologie ci-dessus. Cette distinction n’est pas une minimisation de l’une ou l’autre de ces caractéristiques, qui doivent être critiquées pour elles-mêmes. Simplement, une définition plus précise de l’écofascisme permet d’identifier ce qui y fait basculer. L’écofascisme n’est donc pas seulement une opposition à la démocratie pour des raisons écologiques<a href="#_ftn83" name="_ftnref83">[83]</a>, mais s’adosse à des propositions théoriques essentialistes bien plus larges.</p>
<p>Se réjouir de la « vengeance de la Nature » que constitue l’épidémie causée par le coronavirus ne repose a priori que sur la première et, dans une moindre mesure<a href="#_ftn84" name="_ftnref84">[84]</a>, sur la seconde des trois caractéristiques principales de l’écofascisme. La représentation commune de la « Nature » comme « ordre » implacable et indépassable est en effet à la source de cette « vengeance ». La dimension autoritaire n’y est pas directement liée, mais en alimentant une lecture inquiétante de la crise écologique comme lutte entre l’Humanité et la « Nature », la « vengeance de la Nature » ouvre la porte à l’écofascisme. Le vocabulaire martial de la « guerre » contre le virus qui légitime une multitude de mesures autoritaires et l’accroissement du pouvoir militaire l’illustrent d’ailleurs très bien<a href="#_ftn85" name="_ftnref85">[85]</a>. La perception de la crise écologique comme nécessité impérieuse de « protéger la Nature » peut induire l’intuition selon laquelle seul un régime politique autoritaire serait à même de mener à bien ce projet (post-)préservationniste<a href="#_ftn86" name="_ftnref86">[86]</a>. L’on voit bien que les différentes facettes de l’écofascisme communiquent et se nourrissent les unes les autres : l’autoritarisme écologique bénéficie de l’installation de la « Nature » comme force implacable<a href="#_ftn87" name="_ftnref87">[87]</a>. L’amertume est donc grande quand certain-es s’autorisent à signer des tribunes prônant la solidarité alors qu’ils installent dans l’espace public des idées menant tout droit à l’écofascisme<a href="#_ftn88" name="_ftnref88">[88]</a>.</p>
<p>L’argumentaire essentialiste d’une « vengeance de la Nature » participe d’une façon plus concrète encore à la promotion d’un régime autoritaire. Sa dimension mystique s’articule très bien avec la gestion répressive de l’épidémie par de nombreuses « démocraties ». Ces dernières, notamment en Europe occidentale, semblent incapables d’apporter une réponse démocratique à la propagation du coronavirus<a href="#_ftn89" name="_ftnref89">[89]</a>. Cet aveu de faiblesse est doublement tragique. Premièrement, il révèle les dégâts humains et matériels que peut entraîner l’inertie des systèmes démocratiques représentatifs. Pour gérer la pandémie, la réponse du gouvernement français fut un état d’urgence sanitaire. Voté à l’Assemblée nationale, celui-ci légitime un certain nombre de mesures jugées « nécessaires » – entendons ici celles réclamées par une partie du corps médical – mais aussi un grand nombre d’autres, loin d’être nécessaires, que l’urgence permet de faire passer. Secondement, cet aveu de faiblesse indique la dissolution des quelques liens qui subsistaient entre démocratie libérale et économie capitaliste<a href="#_ftn90" name="_ftnref90">[90]</a>. Des moyens financiers et discursifs importants sont déployés pour « sauver l’économie » de la pandémie : le contraste avec les moyens dont disposent les services de santé pour « sauver les gens » est cruellement saisissant<a href="#_ftn91" name="_ftnref91">[91]</a>. Les terribles difficultés des démocraties occidentales pour endiguer la pandémie ont pour effet indirect de présenter la Chine comme le pays ayant le mieux géré la crise sanitaire sur son sol – malgré les risques d’accélération de l’épidémie inhérents à son importante population. Le confinement strict imposé par Pékin est ainsi vidé de sa substance autoritaire pour que ne soit retenue que son efficacité sanitaire<a href="#_ftn92" name="_ftnref92">[92]</a> : s’attarder sur le caractère démocratique ou dictatorial du confinement ne serait que source de plus de mort-es. La supposée « réussite » de la Chine légitime sa nouvelle position géopolitique : d’un côté, l’autoritaire « modèle chinois » de gestion de l’épidémie semble être pour beaucoup la seule solution<a href="#_ftn93" name="_ftnref93">[93]</a>, de l’autre, l’assistance du gouvernement chinois aux pays en pleine crise sanitaire rend ces derniers dépendants d’une aide extérieure<a href="#_ftn94" name="_ftnref94">[94]</a>. Qu’un régime dictatorial semble être plus à même de gérer l’épidémie que de nombreux régimes démocratiques, alors même qu’ils se réfugient dans des mesures autoritaires, finit de faire tomber la distinction sacrée entre dictature et démocratie qu’entretiennent les seconds<a href="#_ftn95" name="_ftnref95">[95]</a>. Cette situation avantageuse de la Chine pourrait désastreusement pousser un certain nombre de personnes à reconsidérer leur opposition de principe à la dictature. Si l’on transpose ces hypothèses vers la question écologique, la combinaison de cette légitimation par l’épidémie des régimes autoritaires et la lecture malthusienne de celle-ci comme « vengeance de la Nature » installe l’écofascisme comme une solution désirable.</p>
<h4>Enseignements pour l’écologie politique</h4>
<p>Après avoir élargi notre compréhension politique de la pandémie, de sa production à sa gestion, il semble possible d’en tirer quelques enseignements pour l’écologie politique :</p>
<p><strong>(a)</strong> Les phénomènes environnementaux ne peuvent toujours être considérés comme complètement indépendants du domaine politique comme les sciences naturelles l’ont longtemps prétendu – ce qui ne veut pas dire non plus qu’ils sont complètement sociaux. Nombre d’aléas a priori « naturels » comme la désertification, l’érosion des sols ou encore la déforestation sont en réalité en partie (co-)produits par les humain-es : leur étude doit appréhender les enjeux politiques d’un tel rôle<a href="#_ftn96" name="_ftnref96">[96]</a>. Bien que ce dernier soit directement impliqué dans les phénomènes susmentionnés, la critique du capitalisme n’est pas forcément au cœur de la présente démarche. L’analyse se situe à un niveau plus fondamental, qui concerne la démarche d’observation des changements environnementaux en elle-même. La relecture d’un grand nombre d’événements par le prisme de l’histoire environnementale<a href="#_ftn97" name="_ftnref97">[97]</a> ou les travaux en <em>political ecology</em><a href="#_ftn98" name="_ftnref98">[98]</a> participent à éclaircir cet entrelacement des influences humaines et non-humaines sur les bouleversements écologiques en cours.</p>
<p><strong>(b)</strong> Se défaire de l’idée de « Nature » semble fondamental pour l’écologie politique. Sortir du cadrage naturaliste permet d’éviter une série de rigidités conceptuelles propices à l’essentialisme. Sans le nommer, l’écologie politique francophone a toujours questionné le dualisme nature/société<a href="#_ftn99" name="_ftnref99">[99]</a>, qui s’est parfois embourbée dans l’utilisation malencontreuse de l’idée de « nature »<a href="#_ftn100" name="_ftnref100">[100]</a> – tantôt bonne, tantôt mauvaise, sans qu’on parvienne toujours à vraiment distinguer les deux. D’une certaine manière, la récente anthropologie de la nature parachève conceptuellement ce que l’écologie politique francophone s’efforçait de faire depuis plusieurs décennies. Outre-Atlantique, plusieurs <em>political ecologists</em> ont avancé l’idée d’une « construction sociale de la nature »<a href="#_ftn101" name="_ftnref101">[101]</a> qui apporte d’autres arguments pour oublier la « nature », qui ne sont pas nécessairement issus d’analyses comparées entre sociétés modernes et non-modernes, mais bien d’un regard réflexif sur la modernité elle-même<a href="#_ftn102" name="_ftnref102">[102]</a>. La reconfiguration des rapports entre humain-es et non-humains par la reconnaissance de l’enrôlement des seconds dans le monde social semble ainsi nécessaire. Cependant il semble important de veiller à ce que ce projet théorique ne réintroduise pas une nouvelle notion rigide comme peut parfois l’être « Gaïa », qui ne ferait que remplacer la « Nature » moderne.</p>
<p><strong>(c)</strong> Si repenser notre rapport au non-humain semble pressant, cette opération ne peut se faire à la légère. La maîtrise du seul cadre conceptuel des humanités environnementales n’est pas suffisante : une plus grande attention doit être portée à l’observation pour ne pas se réduire à un exercice d’écriture philosophique. L’ethnographie multiespèces est une piste parmi d’autres pour transposer méthodologiquement le dépassement du naturalisme<a href="#_ftn103" name="_ftnref103">[103]</a>. L’observation fine des entrelacements entre humain-es et non-humains, dans les sociétés modernes ou non-modernes, peut ensuite être restituée de façon juste, avant de peut-être en tirer des enseignements politiques. Envisager une « socialité plus qu’humaine »<a href="#_ftn104" name="_ftnref104">[104]</a> suppose de vraiment faire attention aux relations que nous entretenons avec les non-humains, sans toutefois délaisser les relations entre humain-es, ce qui occulterait les rapports de pouvoir<a href="#_ftn105" name="_ftnref105">[105]</a>.</p>
<p><strong>(d)</strong> La fétichisation des ontologies non-naturalistes peut poser problème dès lors que leur importation en Occident repose sur un raisonnement anhistorique. Il faut l’admettre : l’écologie politique est une réflexion de la modernité sur elle-même<a href="#_ftn106" name="_ftnref106">[106]</a>. Résoudre la crise écologique ne peut pas prendre la forme d’une substitution soudaine du naturalisme par une autre ontologie existante. L’attrait romantique pour « Gaïa » est en partie le résultat de telles fétichisations. Rappelons, à la suite de la célèbre formule de Frantz Fanon, qu’« admirer » (au sens de fétichiser) les racisé-es témoigne d’un rapport ambigu à l’altérité, au même titre que les haïr<a href="#_ftn107" name="_ftnref107">[107]</a>. La fétichisation des ontologies non-modernes n’est pas autre chose.</p>
<p><strong>(e)</strong> La pandémie rappelle que l’écologie politique doit s’adosser à de multiples échelles d’analyse. C’est seulement par une lecture multiscalaire que la diffusion du Covid-19 peut être correctement analysée. Se restreindre à l’échelle d’un pays, pris isolément du reste du monde, conduirait à négliger que les épidémies sont des phénomènes écologiques<a href="#_ftn108" name="_ftnref108">[108]</a>. La recherche de la bonne échelle pour organiser une nouvelle société est fondamentale pour l’ensemble de l’écologie politique. Mais cet attrait presque instinctif des écologistes pour le « local » est en partie un « piège »<a href="#_ftn109" name="_ftnref109">[109]</a>: toutes les échelles d’analyse sont le résultat de stratégies politiques spécifiques<a href="#_ftn110" name="_ftnref110">[110]</a>. Comprendre que toutes les échelles sont socialement construites, même le « local », permet d’éviter d’attribuer hâtivement certaines vertus (notamment écologiques ou démocratiques) à une échelle en particulier. Cela est bien connu pour l’échelle nationale, comme les innombrables travaux sur les mythes nationalistes l’ont bien montré. La priorité automatiquement accordée au local par les écologistes semble d’autant plus piégeuse aujourd’hui avec l’investissement du « localisme » par l’extrême-droite<a href="#_ftn111" name="_ftnref111">[111]</a>, confirmant que ce dernier est bien une « impasse »<a href="#_ftn112" name="_ftnref112">[112]</a> pour l’écologie politique.</p>
<p><strong>(f)</strong> L’écologie politique ne peut s’inspirer d’une seule orientation de recherche mais bien d’une multitude de travaux différents – c’est peut-être même le principal enseignement à tirer. L’environnement est une thématique présente dans de nombreux champs et disciplines, dont il faut essayer de traduire et articuler politiquement les apports. C’est la confiance dans la recherche scientifique, notamment en sciences sociales, qui fonde cette vision de l’écologie politique. Il est difficile de définir un corpus théorique écologiste parfaitement identifié, tellement les influences sont diversifiées. La force de l’écologie politique ne s’ancre donc pas dans l’héritage d’un penseur en particulier, mais dans le champ créé par ce corpus sans bornes. La conjugaison des nouvelles orientations universitaires avec les propositions écologistes n’est pas subordonnée à un arrangement doctrinal entre une théorie de référence, à laquelle on articule de nouvelles pistes. Se fier aux apports des sciences sociales, c’est aussi désacraliser les sciences comme révélatrices de la Vérité pour les accepter comme pratiques sociales. Comprendre que les sciences sont incarnées permet aussi de réhabiliter les savoirs « profanes » afin qu’ils ne soient plus écrasés par les savoirs « experts ».</p>
<p>La pandémie est fréquemment présentée comme une rupture, un évènement qui distinguera nettement l’avant de l’après<a href="#_ftn113" name="_ftnref113">[113]</a>. Le nombre de processus sociaux et environnementaux aux temporalités différentes dans lesquels elle est prise interdit pourtant de lui attribuer un quelconque effet de seuil général<a href="#_ftn114" name="_ftnref114">[114]</a>. Pour beaucoup de dominé-es, cette pandémie n’est qu’une continuité, souvent durcie, de ce qu’iels vivaient déjà avant. Il n’y a donc pas de rupture complète, seulement des basculements partiels qu’une recontextualisation historique viendra toujours nuancer. Même lorsqu’il est présenté comme une « chance »<a href="#_ftn115" name="_ftnref115">[115]</a> ou une « opportunité »<a href="#_ftn116" name="_ftnref116">[116]</a>, le souhait d’un basculement provoqué par l’épidémie reste excessivement fataliste sur l’état de nos forces pour changer la société. Seul un virus en serait capable, négligeant la colère politique légitime qui fonde tous les mouvements sociaux. Compter sur la performativité des rhétoriques de rupture dissimule le travail d’auto-organisation nécessaire aux basculements politiques tant souhaités, qui ne verront jamais le jour tous seuls. Il n’y aura pas de Grand Soir, mais bien différents niveaux au sein desquels il est possible de construire les bases de notre future société écologique<a href="#_ftn117" name="_ftnref117">[117]</a>. Il importe de (re)trouver les moyens d’agir sur ces différents niveaux, afin de préparer le passage vers cette nouvelle société. Le syndicalisme est l’un d’entre eux, les occupations contre les Grands Projets Inutiles et Imposés, l’engagement associatif et la construction d’institutions alternatives aussi. Ce sont ces luttes, portées sincèrement au quotidien avec nos camarades, qui permettront de construire la société écologique nécessaire.</p>
<p><strong>Ce qu’il faut retenir de l’épidémie, c’est qu’elle n’est pas une « vengeance de la Nature » qui viendrait changer le monde à notre place. Mais se lancer sérieusement dans la construction d’une société écologique est autrement plus difficile que de se défausser vers des raisonnements simplistes conduisant à l’écofascisme. Pandémie ou non, nous ne pouvons compter que sur la solidarité<a href="#_ftn118" name="_ftnref118">[118]</a>.</strong></p>
<p>[*] <em>Ontologie</em> désigne ici l’ensemble de théories sur le monde partagé dans une société donnée.  C’est donc presque un synonyme de culture, bien qu’ontologie tend un peu vers le spirituel sans le dénigrer. Le terme est employé dans son sens en anthropologie, et non en philosophie.</p>
<p><a href="#_ftnref1" name="_ftn1">[1]</a> Marie Darrieussecq (2020), <a href="https://amp.lepoint.fr/2367952?__twitter_impression=true"><em>Journal d’une confinée</em></a>, Le Point.</p>
<p><a href="#_ftnref2" name="_ftn2">[2]</a> Cette expression aura ici une fonction générique, car particulièrement symptomatique du type de discours que cet article entend renverser. Elle concentrera un certain nombre d’autres affirmations reposant sur la même logique de « vengeance » que ce soit de la Nature (Mère ou Dame Nature) de Gaïa, du Vivant, de la Terre, etc. Voir son utilisation réelle <a href="https://blogs.mediapart.fr/saad-eddine-kouidri/blog/190320/la-vengeance-de-la-nature">ici</a> et <a href="https://www.journaldemontreal.com/2020/03/19/la-vengeance-de-dame-nature">là</a>.</p>
<p><a href="#_ftnref3" name="_ftn3">[3]</a> Bernard Kalaora (2020), <a href="https://aoc.media/opinion/2020/03/23/coronavirus-un-mal-pour-un-bien/"><em>Coronavirus, un mal pour un bien ?</em></a>, AOC.</p>
<p><a href="#_ftnref4" name="_ftn4">[4]</a> Nicolas Celnik (2020), <a href="https://www.liberation.fr/debats/2020/03/21/l-epidemie-de-covid-19-n-a-pas-grand-chose-a-voir-avec-le-dereglement-climatique_1782474"><em>« L’épidémie de Covid-19 n’a pas grand-chose à voir avec le dérèglement climatique » – Entretien avec Jean-Baptiste Fressoz</em></a>, Libération.</p>
<p><a href="#_ftnref5" name="_ftn5">[5]</a> Perspectives Printanières (2020), <a href="https://perspectives-printanieres.info/index.php/2020/03/10/lepidemie-na-pas-de-vertus/"><em>L’épidémie n’a pas de vertus</em></a></p>
<p><a href="#_ftnref6" name="_ftn6">[6]</a> Isabelle Roberts (2020), <a href="https://lesjours.fr/obsessions/coronavirus-quarantaine/ep12-interview-gottwalles-2/"><em>« Il arrive, vous l’aurez, préparez-vous » – Entretien avec Yannick Gottwalles</em></a> , Les Jours</p>
<p><a href="#_ftnref7" name="_ftn7">[7]</a> Mathilde Goanec et Dan Israel (2020), <em><a href="https://www.mediapart.fr/journal/france/300320/l-inspection-du-travail-gere-avec-peine-les-revirements-du-pouvoir?onglet=full">L’Inspection du travail gère avec peine les revirements du pouvoir</a></em>, Mediapart.</p>
<p><a href="#_ftnref8" name="_ftn8">[8]</a> Olivier Bouba-Olga (2020), <a href="http://blogs.univ-poitiers.fr/o-bouba-olga/2020/03/27/covid-19-episode-2-geographie-des-proprietaires-de-residence-secondaire/?utm_campaign=shareaholic&amp;utm_medium=twitter&amp;utm_source=socialnetwork"><em>Covid 19, épisode 2 : géographie des propriétaires de résidence secondaire</em></a></p>
<p><a href="#_ftnref9" name="_ftn9">[9]</a> Jacques Lévy (2020), <a href="https://aoc.media/analyse/2020/03/25/lhumanite-habite-le-covid-19/"><em>L’humanité habite le Covid-19</em></a>, AOC. Pour voir une application de cette fausse association stricte entre villes et foyers de contamination : Marie Astier (2020), <em><a href="https://reporterre.net/La-metropolisation-du-monde-est-une-cause-de-la-pandemie">« La métropolisation du monde est une cause de la pandémie » – Entretien avec Guillaume Faburel</a></em>, Reporterre.</p>
<p><a href="#_ftnref10" name="_ftn10">[10]</a> John Lichfield (2020), <a href="https://www.courrierinternational.com/article/vu-de-letranger-avec-le-coronavirus-les-fractures-entre-les-francais-vont-encore-saccentuer"><em>Avec le coronavirus, les fractures entre les Français vont encore s’accentuer</em></a>, Courrier International (initialement <a href="https://www.politico.eu/article/france-coronavirus-lockdown-pits-city-paris-vs-country/">publié en anglais sur Politico</a>).</p>
<p><a href="#_ftnref11" name="_ftn11">[11]</a> C’est ici une supposition légitime qui s’est installée dans le débat public, mais dont on ne voit pas encore les effets sur le plan géographique, voir Olivier Bouba-Olga (2020), <a href="http://blogs.univ-poitiers.fr/o-bouba-olga/2020/03/26/geographie-du-covid-19/"><em>Géographie du Covid 19</em></a></p>
<p><a href="#_ftnref12" name="_ftn12">[12]</a> Voir la situation sur la côte Atlantique : Anne Patinec (2020), <a href="https://www.francebleu.fr/infos/societe/coronavirus-150-a-200-000-personnes-sont-venues-se-confiner-en-loire-atlantique-1585077280"><em>Coronavirus : 150 à 200.000 personnes sont venues se confiner en Loire-Atlantique</em></a>, France Bleu Loire Océan</p>
<p><a href="#_ftnref13" name="_ftn13">[13]</a> Nicolas Cori (2020), <a href="https://lesjours.fr/obsessions/coronavirus-quarantaine/ep17-confinement-europe/"><em>Face au coronavirus, l’inquiétante désunion européenne</em></a>, Les Jours.</p>
<p><a href="#_ftnref14" name="_ftn14">[14]</a> Marine Turchi (2020), <a href="https://www.mediapart.fr/journal/france/250320/depistage-du-covid-19-la-question-des-passe-droits-pour-les-personnalites?onglet=full"><em>Dépistage du Covid-19: la question des passe-droits pour les personnalités</em></a>, Mediapart.</p>
<p><a href="#_ftnref15" name="_ftn15">[15]</a> Pierre-André Juven et al. (2019), <a href="http://www.raisonsdagir-editions.org/wp-content/uploads/Casse_siecle_pages.pdf"><em>La casse du siècle. À propos des réformes de l’hôpital public</em></a>, Raisons d’agir.</p>
<p><a href="#_ftnref16" name="_ftn16">[16]</a> Frédérique Leichter-Flack (2020), <a href="https://www.lemonde.fr/idees/article/2020/03/16/coronavirus-la-question-du-tri-des-malades-est-un-enjeu-ethique-et-democratique-majeur_6033323_3232.html"><em>« Le médecin qui trie les malades n’est pas là pour dire qui aura ou non droit à la vie, mais pour sauver le plus de vies possible »,</em></a> Le Monde.</p>
<p><a href="#_ftnref17" name="_ftn17">[17]</a> Mike Davis (2020), <a href="http://links.org.au/mike-davis-covid-19-monster-finally-at-the-door"><em>The monster is finally at the door</em></a>, Links. International journal of socialist renewal.</p>
<p><a href="#_ftnref18" name="_ftn18">[18]</a> Fanny Marlier (2015), <a href="https://www.clique.tv/le-syndrome-mediterraneen-un-stereotype-raciste-et-dangereux-pour-les-patients/"><em>Le syndrome méditerranéen : un stéréotype « raciste » et « dangereux » pour les patients</em></a>, Clique. Voir aussi : Bondy Blog (2018), <a href="https://www.bondyblog.fr/politique/mort-de-naomi-musenga-nier-la-dimension-raciste-cest-passer-a-cote-du-fond-du-probleme/"><em>« Nier la dimension raciste, c’est passer à côté du fond du problème »</em></a></p>
<p><a href="#_ftnref19" name="_ftn19">[19]</a> Communiqué de l’Union Communiste Libertaire (2020), <a href="https://www.unioncommunistelibertaire.org/?Covid-19-le-validisme-au-coeur-de-la-crise"><em>Covid-19 : le validisme au cœur de la crise</em></a></p>
<p><a href="#_ftnref20" name="_ftn20">[20]</a> Claire Levenson (2020), <a href="http://www.slate.fr/story/188967/texas-ohio-interdiction-ivg-pendant-epidemie-coronavirus"><em>Le Texas et l’Ohio interdisent l’IVG pendant l’épidémie de coronavirus</em></a>, Slate</p>
<p><a href="#_ftnref21" name="_ftn21">[21]</a> Charlotte Oberti (2020), <a href="https://www.infomigrants.net/fr/post/23568/coronavirus-les-autorites-francaises-commencent-a-agir-pour-les-migrants-a-la-rue"><em>Les autorités françaises commencent à agir pour les migrants à la rue</em></a>, Info Migrants</p>
<p><a href="#_ftnref22" name="_ftn22">[22]</a> Charles Kabango (2019), <a href="https://blogs.mediapart.fr/charles-kabango/blog/061019/la-remise-en-cause-de-lame-ou-la-barbarie-visage-humain"><em>La remise en cause de l’AME ou la barbarie à visage humain…</em></a></p>
<p><a href="#_ftnref23" name="_ftn23">[23]</a> Le Conseil d’Etat a <a href="https://www.conseil-etat.fr/ressources/decisions-contentieuses/dernieres-decisions-importantes/conseil-d-etat-27-mars-2020-demande-de-fermeture-temporaire-des-centres-de-retention-administrative-cra">rejeté</a> la demande de fermeture des CRA du Gisti et de La Cimade.</p>
<p><a href="#_ftnref24" name="_ftn24">[24]</a> Joao Gabriel (2020), <a href="https://joaogabriell.com/2020/03/27/race-classe-et-confinement/"><em>Race, classe et confinement</em></a></p>
<p><a href="#_ftnref25" name="_ftn25">[25]</a> Nathan Erderof (2020), <a href="https://www.revolutionpermanente.fr/Coronavirus-et-violences-policieres-10-des-amendes-rien-qu-en-Seine-Saint-Denis"><em>Coronavirus et violences policières. 10% des amendes rien qu’en Seine Saint Denis</em></a>, Révolution Permanente.</p>
<p><a href="#_ftnref26" name="_ftn26">[26]</a> Lucie Delaporte (2020), <a href="https://www.mediapart.fr/journal/france/240320/coronavirus-l-extreme-droite-cible-les-quartiers-populaires?fbclid=IwAR3iF8_IQrSNSSz8uzyn1R8vBZqAf_LNzKVLoG1lEbsejicNk7dYdQWb3t8"><em>Coronavirus : l’extrême droite cible les quartiers populaires</em></a>, Mediapart.</p>
<p><a href="#_ftnref27" name="_ftn27">[27]</a> Rachel Knaebel (2020), <a href="https://www.bastamag.net/coronavirus-Covid19-femmes-soignantes-TheLancet-inegalites-epidemies-sante"><em>Face au coronavirus, les femmes davantage en première ligne que les hommes</em></a>, Basta!</p>
<p><a href="#_ftnref28" name="_ftn28">[28]</a> Helen Lewis (2020), <a href="https://www.theatlantic.com/international/archive/2020/03/feminism-womens-rights-coronavirus-covid19/608302/"><em>The coronavirus is a disaster for feminism</em></a>, The Atlantic. Traduction sur <a href="https://expansive.info/Le-coronavirus-est-un-desastre-pour-le-feminisme-2150">Expansive</a>.</p>
<p><a href="#_ftnref29" name="_ftn29">[29]</a> Antonio Guterres : <a href="https://news.un.org/fr/story/2020/03/1064942">https://news.un.org/fr/story/2020/03/1064942</a></p>
<p><a href="#_ftnref30" name="_ftn30">[30]</a> Christophe Bonneuil et Jean-Baptiste Fressoz (2013), <em>L’événement Anthropocène</em>, Seuil.</p>
<p><a href="#_ftnref31" name="_ftn31">[31]</a> Malcom Ferdinand (2019), <em>Une écologie décoloniale</em>, Seuil.</p>
<p><a href="#_ftnref32" name="_ftn32">[32]</a> Le terme sera explicité dans la suite du texte.</p>
<p><a href="#_ftnref33" name="_ftn33">[33]</a> Claude Calame (2015), <em>Avenir de la planète &amp; Urgence climatique. Au-delà de l’opposition nature/culture</em>, Lignes.</p>
<p><a href="#_ftnref34" name="_ftn34">[34]</a> Laure Bretton (2020), <a href="https://www.liberation.fr/france/2020/03/24/cette-crise-rend-visibles-ceux-qui-sont-d-ordinaire-invisibles_1782955"><em>« Cette crise rend visible ceux qui sont d’ordinaire invisibles »</em></a>, Libération</p>
<p><a href="#_ftnref35" name="_ftn35">[35]</a> Bruno Latour (1999), <em>Politiques de la nature. Faire entrer les sciences en démocratie</em>, La Découverte.</p>
<p><a href="#_ftnref36" name="_ftn36">[36]</a> Notons qu’en plus des sens vitalistes contradictoires de la « Nature » décrits dans le texte, d’autres existent, comme par exemple la « nature » inerte, simple stock de ressources. La présence ou non d’une majuscule se rapporte au sens choisi de la Nature/nature.</p>
<p><a href="#_ftnref37" name="_ftn37">[37]</a> Murray Bookchin et Dave Foreman (1989), <em>Defending the Earth</em></p>
<p><a href="#_ftnref38" name="_ftn38">[38]</a> Kerry Whiteside (2001), <em>Divided natures. French contributions to political ecology</em>, MIT Press.</p>
<p><a href="#_ftnref39" name="_ftn39">[39]</a> En premier, l’on peut citer le projet proprement métaphysique de Bruno Latour (1999), <em>Politiques de la nature. Faire entrer les sciences en démocratie,</em> La Découverte. Celui-ci pose clairement le problème comme découlant du dualisme nature/société. La démarche d’André Gorz dans <a href="https://boudah.pl/ecologie-et-liberte-andre-gorz"><em>Ecologie et liberté</em></a> (1977) est bien différente. Ce dernier ne bouscule pas le cadrage théorique moderne puisqu’il ne fait « que » nous mettre en garde contre la possible « divinisation » de la Nature qui anime les convictions de certain-es écologistes. Gorz reste toutefois coincé entre sa préférence pour « les systèmes naturels et leurs équilibres autorégulés » aux systèmes artificiels, et sa méfiance sur ce que peut la réification de la notion de nature peut produire dans le domaine politique.</p>
<p><a href="#_ftnref40" name="_ftn40">[40]</a> Brian Lamacraft (2020), <a href="https://medium.com/@lordexane/what-wuhan-coronavirus-says-about-us-and-our-relationship-with-planet-earth-343818483be6"><em>What Wuhan Coronavirus Says About Us and Our Relationship with Planet Earth</em></a></p>
<p><a href="#_ftnref41" name="_ftn41">[41]</a> Alain Denault (2020), <a href="https://www.liberation.fr/debats/2020/03/21/gaia-vit-son-moment-metoo_1782470"><em>Gaïa vit son moment #MeToo</em></a>, Libération</p>
<p><a href="#_ftnref42" name="_ftn42">[42]</a> Identifions ici le « romantisme » comme une critique culturelle de la modernité occidentale, voir Guillaume Carbou (2019), <a href="https://sms.hypotheses.org/19227"><em>Le romantisme de l’écologie politique</em></a>, Mondes sociaux. La « romantisation » de l’épidémie désigne dès lors l’enrôlement de cet évènement dans une critique romantique de la société moderne. Contrairement à Guillaume Carbou, ce texte ne défend pas une écologie politique romantique.</p>
<p><a href="#_ftnref43" name="_ftn43">[43]</a> Des luttes ont parfois lieu entre ces disciplines : la pédologie – science des sols – a été plus ou moins phagocytée par les sciences du climat dans les dernières décennies. Celles-ci ont en effet opposé leur instrumentation de haute technologie pour étudier les interactions sols-climat aux méthodes interprétatives des pédologues. Pourtant, la pédologie en elle-même pourrait apporter des éléments précieux dans notre compréhension globale de la crise écologique.</p>
<p><a href="#_ftnref44" name="_ftn44">[44]</a> Pour un aperçu exhaustif, voir : Emilie Hache (2015), <em>Reclaim. Recueil de textes écoféministes</em>, Cambourakis.</p>
<p><a href="#_ftnref45" name="_ftn45">[45]</a> Grégory Quenet (2017), « Un nouveau champ d’organisation de la recherche, les humanités environnementales », p. 255-269 in Guillaume Blanc et al. (2017), <em>Humanités environnementales. Enquêtes et contre-enquêtes</em>, Publications de la Sorbonne, 350 p.</p>
<p><a href="#_ftnref46" name="_ftn46">[46]</a> Philippe Descola (2005), <em>Par-delà nature et culture</em>, Gallimard.</p>
<p><a href="#_ftnref47" name="_ftn47">[47]</a> William Cronon (1993), <a href="https://www.williamcronon.net/writing/Cronon_Uses_of_Environmental_History_EHR_Fall_1993.pdf">« The uses of environmental history »</a>, <em>Environmental History Review</em>, vol. 17, n°3, p. 1-22. Une traduction française existe dans le recueil d’articles <a href="https://laviedesidees.fr/Going-wild.html"><em>Nature et récits</em></a> de Cronon publié chez Dehors.</p>
<p><a href="#_ftnref48" name="_ftn48">[48]</a> Philippe Descola (2010), <em>L’écologie des autres. L’anthropologie et la question de la nature</em>, Quae.</p>
<p><a href="#_ftnref49" name="_ftn49">[49]</a> Elise Demeulenaere (2017), « L’anthropologie au-delà de l’anthropos. Un récit par les marges de la discipline », p. 43-73 in Guillaume Blanc et al. (2017), <em>Humanités environnementales. Enquêtes et contre-enquêtes</em>, Publications de la Sorbonne, 350 p.</p>
<p><a href="#_ftnref50" name="_ftn50">[50]</a> Cette dimension « exotisante » a d’ailleurs fait l’objet de vives critiques au sein même de la discipline, voir Élisabeth Cunin et Valeria A. Hernandez (2007), <a href="https://journals.openedition.org/jda/899">« De l’anthropologie de l’autre à la reconnaissance d’une autre anthropologie »</a>, <em>Journal des anthropologues</em>, n°110-111, p. 9-25.</p>
<p><a href="#_ftnref51" name="_ftn51">[51]</a> Arturo Escobar (2018), <em>Sentir-penser avec la terre. Une écologie au-delà de l’Occident</em>, Seuil.</p>
<p><a href="#_ftnref52" name="_ftn52">[52]</a> Tim Ingold (2016), <a href="https://journals.openedition.org/perspective/6255">« La vie dans un monde sans objets »</a>, <em>Perspective</em>, vol. 1, p. 13-20.</p>
<p><a href="#_ftnref53" name="_ftn53">[53]</a> Hervé Brunon (2015), <a href="https://www.cairn.info/revue-vacarme-2015-4-page-118.htm">« L’agentivité des plantes »</a>, <em>Vacarme</em>, vol. 4, p. 118-123.</p>
<p><a href="#_ftnref54" name="_ftn54">[54]</a> Isabelle Stengers (2013), <em>Au temps des catastrophes. Résister à la barbarie qui vient</em>, La Découverte.</p>
<p><a href="#_ftnref55" name="_ftn55">[55]</a> Sébastien Dutreuil (2017), <a href="https://www.cairn.info/revue-zilsel-2017-2-page-19.htm">« James Lovelock, Gaïa et la pollution : un scientifique entrepreneur à l’origine d’une nouvelle science et d’une philosophie politique de la nature »,</a> <em>Zilsel</em>, n°2, p. 19-61.</p>
<p><a href="#_ftnref56" name="_ftn56">[56]</a> Emilie Hache (2013), <em>Ce à quoi nous tenons. Propositions pour une écologie pragmatique</em>, La Découverte.</p>
<p><a href="#_ftnref57" name="_ftn57">[57]</a> Hervé Kempf (2020), <a href="https://reporterre.net/Philippe-Descola-La-nature-ca-n-existe-pas"><em>« La nature, ça n’existe pas » – Entretien avec Philippe Descola</em></a>, Reporterre.</p>
<p><a href="#_ftnref58" name="_ftn58">[58]</a> Virginie Maris (2014), <em>Nature à vendre. Les limites des services écosystémiques</em>, Quae.</p>
<p><a href="#_ftnref59" name="_ftn59">[59]</a> Sandrine Feydel et Christophe Bonneuil (2015), <em>Prédation. Nature, le nouvel eldorado de la finance</em>, La Découverte</p>
<p><a href="#_ftnref60" name="_ftn60">[60]</a> Max Weber (1904), <em>L’éthique protestante ou l’esprit du capitalisme</em></p>
<p><a href="#_ftnref61" name="_ftn61">[61]</a> Le terme désigne au départ la <a href="https://fr.wikipedia.org/wiki/Sortie_des_eaux">progressive sortie des eaux des premiers êtres vivants</a>. Parmi des propositions analogues, Bruno Latour explique qu’il faut se « terrestrialiser ».</p>
<p><a href="#_ftnref62" name="_ftn62">[62]</a> Pierre Charbonnier (2014), <a href="https://books.openedition.org/psorbonne/14928?lang=fr">« La pensée écologique comme héritage problématique du rationalisme : La définition sociologique du sacré et ses conséquences »</a> in Catherine Larrère et Bérangère Hurand (2014), <em>Y a-t-il du sacré dans la nature ?, </em>Publications de la Sorbonne, p. 103-113.</p>
<p><a href="#_ftnref63" name="_ftn63">[63]</a> Anonyme (2020), <a href="https://lundi.am/Monologue-du-virus"><em>Le monologue du virus</em></a>, Lundi matin.</p>
<p><a href="#_ftnref64" name="_ftn64">[64]</a> Voir par exemple les textes <em>A nos amis</em> (2014) ou <em>Maintenant</em> (2017) du Comité invisible, édités chez La Fabrique.</p>
<p><a href="#_ftnref65" name="_ftn65">[65]</a> Bruno Latour (2017), <em>Où atterrir ? Comment s’orienter en politique</em>, La Découverte.</p>
<p><a href="#_ftnref66" name="_ftn66">[66]</a> Amorcée dans <em>Politiques de la nature</em> (La Découverte, 1999), l’entreprise métaphysique de Bruno Latour est particulièrement manifeste dans ses conférences retranscrites dans <em>Face à Gaïa</em> (La Découverte, 2015). Mentionnons aussi le récent colloque <a href="http://www.bruno-latour.fr/fr/node/836.html">La théologie face à Gaïa</a> au collège des Bernadins. Voir une critique du projet latourien : Jérôme Lamy (2017), <a href="https://www.monde-diplomatique.fr/2017/12/LAMY/58186"><em>Une religion si « naturelle »</em></a>, Le monde diplomatique.</p>
<p><a href="#_ftnref67" name="_ftn67">[67]</a> C’est Bruno Latour qui a forgé la notion de « porte-parole » employée ici, voir Bruno Latour (1991), <em>Nous n’avons jamais été modernes,</em> La Découverte.</p>
<p><a href="#_ftnref68" name="_ftn68">[68]</a> Eduardo Viveiros de Castro (2014), <a href="https://journals.openedition.org/jda/4512">« Perspectivisme et multinaturalisme en Amérique indigène »</a>, <em>Journal des anthropologues</em>, vol. 138-139, p. 161-181.</p>
<p><a href="#_ftnref69" name="_ftn69">[69]</a> Philippe Descola (2005), <em>Par-delà nature et culture</em>, Gallimard.</p>
<p><a href="#_ftnref70" name="_ftn70">[70]</a> Daniel Bensaid (2009), <a href="http://danielbensaid.org/Le-Spectacle-invisible"><em>Le Spectacle invisible</em></a></p>
<p><a href="#_ftnref71" name="_ftn71">[71]</a> Anonyme (2020), <a href="https://paris-luttes.info/l-abjecte-monologue-du-virus-13686"><em>L’abject « Monologue du Virus »</em></a>, Paris-luttes.info</p>
<p><a href="#_ftnref72" name="_ftn72">[72]</a> Collectif (2020), <a href="https://floraisons.blog/le-grand-paris-est-un-ecocide/"><em>Le Grand Paris est un écocide</em></a>, tribune publiée sur Floraisons et d’autres médias.</p>
<p><a href="#_ftnref73" name="_ftn73">[73]</a> Romain André (2020), <em><a href="https://www.jefklak.org/demande-toi-ce-que-tu-peux-faire-pour-ten-sortir/">« Demande-toi ce que tu peux faire pour t’en sortir ». Le monde du développement personnel. Entretien avec Nicolas Marquis</a></em>, Jef Klak.</p>
<p><a href="#_ftnref74" name="_ftn74">[74]</a> Hassina Mechaï (2020), <a href="https://ehko.info/le-coronavirus-ou-limpossibilite-du-recit-interview-de-christian-salmon/"><em>Le coronavirus ou l’impossibilité du récit ? Interview de Christian Salmon</em></a>, Ekho.</p>
<p><a href="#_ftnref75" name="_ftn75">[75]</a> Bernard Kalaora (2020), <a href="https://aoc.media/opinion/2020/03/23/coronavirus-un-mal-pour-un-bien/"><em>Coronavirus, un mal pour un bien ?</em></a>, AOC</p>
<p><a href="#_ftnref76" name="_ftn76">[76]</a> Pour une définition plus claire de l’écofascisme, voir les travaux de Peter Staudenmaier (mais qui ne concernent pas les écofascismes contemporains).</p>
<p><a href="#_ftnref77" name="_ftn77">[77]</a> Bernard Charbonneau (1980), <a href="https://www.lesauvage.org/2016/04/l-ecofascisme-arrive/">« L’écofascisme arrive »</a>, Le<em> Feu Vert</em>.</p>
<p><a href="#_ftnref78" name="_ftn78">[78]</a> Sébastien Lemerle (2009), <a href="https://www.cairn.info/revue-actes-de-la-recherche-en-sciences-sociales-2009-1-page-68.htm?contenu=resume">« Les habits neufs du biologisme en France »</a>, <em>Actes de la recherche en sciences sociales, </em>vol. 1, n° 176-177, p. 68-81.</p>
<p><a href="#_ftnref79" name="_ftn79">[79]</a> Rappelons que certaines de ces entités/figures sont très importantes dans certaines cultures non-occidentales. Vouloir les dissoudre correspondrait à la poursuite du projet colonial.</p>
<p><a href="#_ftnref80" name="_ftn80">[80]</a> Un rapprochement peut ici être fait avec l’écologie profonde, qui semble constituer la matrice ontologique de l’écofascisme, plus de précisions : Kev Smith (2003), <a href="http://greens.org/s-r/32/32-13.html"><em>Ecofascism: Deep Ecology and Right-Wing Co-optation</em></a>, traduction française sur <a href="https://renverse.co/Ecofascisme-Ecologie-profonde-et-cooptation-de-droite-2289">Renversé</a>.</p>
<p><a href="#_ftnref81" name="_ftn81">[81]</a> Ian Angus et Simon Butler (2015), <em>Une planète trop peuplée ? Le mythe populationniste, l’immigration et la crise écologique</em>, Ecosociété</p>
<p><a href="#_ftnref82" name="_ftn82">[82]</a> André Gorz (1992), <a href="https://collectiflieuxcommuns.fr/?264-l-ecologie-politique-entre">« L’écologie politique entre expertocratie et autolimitation »</a>, Actuel Marx, n°12. Voir aussi : La Fabrique Ecologique (2020), <a href="https://www.lafabriqueecologique.fr/app/uploads/2020/02/Note-38-Ecologie-D%C3%A9mocratie-VP.pdf"><em>Gouverner la transition écologique : démocratie ou autoritarisme</em></a></p>
<p><a href="#_ftnref83" name="_ftn83">[83]</a> Serge Latouche (2005), <a href="https://www.monde-diplomatique.fr/2005/11/LATOUCHE/12900"><em>Écofascisme ou écodémocratie</em></a>, Le monde diplomatique</p>
<p><a href="#_ftnref84" name="_ftn84">[84]</a> Dans une moindre mesure seulement, car la mort d’êtres humains n’est pas systématiquement mise dans la balance lorsque sont constatés les effets supposément bénéfiques de la « vengeance de la Nature ». Toutefois, que cette dernière ne soit pas conceptualisée comme telle ne minimise pas la portée gravissime de l’argument, puisqu’il repose sur l’occultation des décès dus à l’épidémie.</p>
<p><a href="#_ftnref85" name="_ftn85">[85]</a> Joseph Confavreux (2020), <a href="https://www.mediapart.fr/journal/culture-idees/150320/les-epidemies-sont-marquees-par-un-accroissement-du-pouvoir-militaire">« Les épidémies sont marquées par un accroissement du pouvoir militaire », entretien avec l’historienne Celia Miralles Buil</a>, Mediapart</p>
<p><a href="#_ftnref86" name="_ftn86">[86]</a> Le choix du terme « post-préservationnisme » permet de conjuguer les préoccupations préservationnistes historiques avec l’écologisme apolitique qui s’exprime à l’échelle internationale.</p>
<p><a href="#_ftnref87" name="_ftn87">[87]</a> Ketan Joshi (2020), <a href="https://ketanjoshi.co/2020/03/20/watch-out-for-this-symptom-of-corona-virus-lazy-ecofascism/amp/?fbclid=IwAR0BX8cvGBtOzTR2da4ujCSSVstiyfyjMbON0Yacr4k0V07rwq7wCScs6Ig">Watch out for this symptom of Corona virus: lazy ecofascism</a></p>
<p><a href="#_ftnref88" name="_ftn88">[88]</a> Pablo Servigne a partagé sur Facebook une <a href="https://www.facebook.com/servigne.collapsologie/posts/2584542575098374">fable prenant le point de vue du virus</a>, alors que quelques jours plus tôt il signait la <a href="https://www.politis.fr/articles/2020/03/face-a-la-pandemie-retournons-la-strategie-du-choc-en-deferlante-de-solidarite-41528/">tribune solidaire contre le coronavirus</a> publiée dans de nombreux médias.</p>
<p><a href="#_ftnref89" name="_ftn89">[89]</a> Samuel Hayat (2020), <a href="https://samuelhayat.wordpress.com/2020/03/23/la-democratie-a-lepreuve-du-coronavirus/">La démocratie à l’épreuve du coronavirus</a></p>
<p><a href="#_ftnref90" name="_ftn90">[90]</a> Lionel Cordier a fait un bref <a href="https://twitter.com/LionCordier/status/1242758797829050369">fil twitter</a> à ce sujet.</p>
<p><a href="#_ftnref91" name="_ftn91">[91]</a> Guillaume de Maisoncelle (2020), <a href="https://reporterre.net/Le-gouvernement-veut-sauver-l-economie-avant-les-gens"><em>« Le gouvernement veut sauver l’économie avant les gens » – Entretien avec Éric Beynel</em></a>, Reporterre</p>
<p><a href="#_ftnref92" name="_ftn92">[92]</a> Diplomate chinois anonyme (2020), <a href="http://www.amb-chine.fr/fra/zfzj/t1762848.htm">Systèmes politiques et lutte contre l’épidémie : le grand dilemme</a></p>
<p><a href="#_ftnref93" name="_ftn93">[93]</a> Heike Schmidt (2020), <a href="http://www.rfi.fr/fr/podcasts/20200329-le-mod%C3%A8le-chinois-a-le-vent-en-poupe"><em>Le « modèle chinois » a le vent en poupe</em></a>, RFI</p>
<p><a href="#_ftnref94" name="_ftn94">[94]</a> Frédéric Lemaître et Isabelle Mandraud (2020), <a href="https://www.lemonde.fr/international/article/2020/03/25/la-politique-de-generosite-interessee-de-la-chine-et-de-la-russie-en-italie_6034433_3210.html"><em>La « politique de générosité » intéressée de la Chine et de la Russie en Italie</em></a>, Le Monde</p>
<p><a href="#_ftnref95" name="_ftn95">[95]</a> Pablo Maillé (2020), <a href="https://usbeketrica.com/article/il-n-y-a-pas-de-frontiere-rigide-entre-democratie-et-dictature"><em>« Il n’y a pas de frontière rigide entre démocratie et dictature » – Entretien avec Eugénie Mérieau,</em></a> Usbek&amp;Rica</p>
<p><a href="#_ftnref96" name="_ftn96">[96]</a> Tim Forsyth (2003), <em>Critical political ecology. The politics of environmental science</em>, Routledge.</p>
<p><a href="#_ftnref97" name="_ftn97">[97]</a> L’exemple du Dust Bowl comme événement pris dans des récits aux dynamiques divergentes est très célèbre en histoire environnementale, voir William Cronon (1992), <a href="https://www.williamcronon.net/writing/cronon_place_for_stories_1991.pdf">« A Place for Stories: Nature, History, and Narrative »</a>, <em>Journal of American History</em>, vol. 78, n°4, p.1347-1376. Une traduction française existe dans le recueil d’articles <a href="https://laviedesidees.fr/Going-wild.html"><em>Nature et récits</em></a> de William Cronon publié chez Dehors.</p>
<p><a href="#_ftnref98" name="_ftn98">[98]</a> Tor A. Benjaminsen et Hanne Svarstad (2009), <a href="https://www.cairn.info/revue-natures-sciences-societes-2009-1-page-3.htm">« Qu’est-ce que la « political ecology » ? »</a>, <em>Natures Sciences Sociétés, </em>vol. 17, n°1, p. 3-11.</p>
<p><a href="#_ftnref99" name="_ftn99">[99]</a> Kerry Whiteside (2001), <em>Divided natures. French contributions to political ecology</em>, MIT Press</p>
<p><a href="#_ftnref100" name="_ftn100">[100]</a> Jean Jacob (1999), <em>Histoire de l’écologie politique</em>, Albin Michel.</p>
<p><a href="#_ftnref101" name="_ftn101">[101]</a> Elizabeth Ann R. Bird (1987), « The Social Construction of Nature: Theoretical Approaches to the History of Environmental Problems », <em>Environmental Review</em>, vol. 11, n°4, p. 255-264.</p>
<p><a href="#_ftnref102" name="_ftn102">[102]</a> David Demeritt (2002), « What is the ‘social construction of nature’? A typology and sympathetic critique », <em>Progress in Human Geography</em>, vol. 26, n°6, p. 767-790.</p>
<p><a href="#_ftnref103" name="_ftn103">[103]</a> S. Eben Kirksey et Stefan Helmreich (2010), <a href="https://anthropology.mit.edu/sites/default/files/documents/helmreich_multispecies_ethnography.pdf">« The emergence of multispecies ethnography »</a>, <em>Cultural anthropology</em>, vol. 25, n°4, p. 545-576.</p>
<p><a href="#_ftnref104" name="_ftn104">[104]</a> Anna Tsing (2013), <a href="http://www.environmentalperformanceagency.com/wp-content/uploads/2017/06/tsing-more-than-human-sociality.pdf">« More-than-human sociality : a call for critical description »</a>, Chapter 2, p. 27-42 in Kirsten Hastrup (2013), <em>Anthropology and nature</em>, Routledge, 272 p.</p>
<p><a href="#_ftnref105" name="_ftn105">[105]</a> Francis Chateauraynaud (2006), <a href="https://www.academia.edu/3437303/Les_asym%C3%A9tries_de_prises._Des_formes_de_pouvoir_dans_un_monde_en_r%C3%A9seaux_2006_"><em>Des asymétries de prises. Des formes de pouvoir dans un monde en réseau.</em></a></p>
<p><a href="#_ftnref106" name="_ftn106">[106]</a> Pierre Madelin (2017), <em>Après le capitalisme. Essai d’écologie politique</em>, Ecosociété.</p>
<p><a href="#_ftnref107" name="_ftn107">[107]</a> Frantz Fanon (1952), <em>Peaux noires, masques blancs</em></p>
<p><a href="#_ftnref108" name="_ftn108">[108]</a> Rodolphe Gozlan et Soushieta Jagadesh (2020), <a href="https://theconversation.com/comment-les-changements-environnementaux-font-emerger-de-nouvelles-maladies-130967"><em>Comment les changements environnementaux font émerger de nouvelles maladies</em></a>, The Conversation</p>
<p><a href="#_ftnref109" name="_ftn109">[109]</a> Branden Born et Mark Purcell (2006), <a href="https://pdfs.semanticscholar.org/2410/c65a10ecef66214181f4971a53294e2adc48.pdf">« Avoiding the local trap. Scale and food systems in planning research »</a>, <em>Journal of Planning Education and Research</em>, vol. 26, p. 195-207.</p>
<p><a href="#_ftnref110" name="_ftn110">[110]</a> J. Christopher Brown et Mark Purcell (2005), <a href="https://www.sciencedirect.com/science/article/abs/pii/S001671850400137X">« There’s nothing inherent about scale: political ecology, the local trap, and the politics of development in the Brazilian Amazon »</a>, <em>Geoforum</em>, vol. 36, n°5, p. 607-624.</p>
<p><a href="#_ftnref111" name="_ftn111">[111]</a> Le Rassemblement National a notamment investi le concept de « localisme », voir : Lucie Delaporte (2019), <a href="https://www.mediapart.fr/journal/france/160419/le-localisme-signe-la-victoire-des-identitaires-au-rn?onglet=full"><em>Le «localisme» signe la victoire des identitaires au RN</em></a>, Mediapart. Son usage est sensiblement différent de celui d’autres tendances d’extrême-droite, mais il ne serait pas étonnant d’assister à des recompositions idéologiques dans les années à venir, avec un alignement du RN sur le localisme déjà théorisé à l’extrême-droite, voir Margaux Wartelle (2020), <a href="http://cqfd-journal.org/A-l-extreme-droite-l-ecologie"><em>« À l’extrême droite, l’écologie devient un point doctrinal majeur »</em></a>, CQFD Journal. Mentionnons les notions de <a href="http://www.conspiracywatch.info/marine-le-pen-et-le-leviathan-mondialiste_a779.html">« mondialisme »</a> – que l’extrême-droite entend combattre – et de <a href="https://www.mediapart.fr/journal/france/130511/lopa-du-fn-sur-la-demondialisation?onglet=full">« démondialisation »</a> – qu’elle promeut – qui fondent souvent sa défense du « localisme ».</p>
<p><a href="#_ftnref112" name="_ftn112">[112]</a> Romain Felli (2010), <a href="https://www.academia.edu/1505459/Pouvoir_%C3%A9chelles_et_Etat_limpasse_localiste_de_l%C3%A9cologie_par_en_bas">« Pouvoir, échelles et Etat : l’impasse localiste de l’écologie par en bas »</a>, <em>Entropia</em>, n°9.</p>
<p><a href="#_ftnref113" name="_ftn113">[113]</a> Les propos d’Emmanuel Macron sont très clairs sur le sujet, voir Cédric Pietralunga et Olivier Faye (2020), <a href="https://www.lemonde.fr/politique/article/2020/03/19/coronavirus-emmanuel-macron-pense-deja-au-jour-d-apres_6033654_823448.html"><em>Coronavirus : Emmanuel Macron pense déjà au « jour d’après »</em></a>, Le Monde. Pour d’autres, il y a rupture dans la nécessité d’apprendre à « vivre dans un état de pandémie », voir : Gideon Lichfield (2020), <a href="https://www.terrestres.org/2020/03/24/il-ny-aura-pas-de-retour-a-la-normale/"><em>Il n’y aura pas de retour à la normale</em></a>, Terrestres. Bien que les modélisations sur lesquelles s’appuie ce texte soient contestées, il nous alerte sur des enjeux cruciaux. Voir aussi les positions résumées de 3 personnalités (2020), <a href="https://www.courrierinternational.com/article/idees-ce-que-cette-pandemie-va-changer-lanalyse-des-intellectuels"><em>Ce que cette pandémie va changer : l’analyse des intellectuels</em></a>, Courrier international.</p>
<p><a href="#_ftnref114" name="_ftn114">[114]</a> Grégory Quenet (2017), <a href="https://www.cairn.info/revue-annales-2017-2-page-267.htm?contenu=article">« L’Anthropocène et le temps des historiens »</a>, <em>Annales. Histoire, Sciences Sociales</em>, 72e année, n°2, p. 267-299.</p>
<p><a href="#_ftnref115" name="_ftn115">[115]</a> Nicolas Celnik (2020), <a href="https://www.liberation.fr/debats/2020/03/21/l-epidemie-de-covid-19-n-a-pas-grand-chose-a-voir-avec-le-dereglement-climatique_1782474"><em>« L’épidémie de Covid-19 n’a pas grand-chose à voir avec le dérèglement climatique » – Entretien avec Jean-Baptiste Fressoz</em></a>, Libération</p>
<p><a href="#_ftnref116" name="_ftn116">[116]</a> Ashish Kothari, Arturo Escobar, Ariel Salleh, Federico Demaria, Alberto Acosta (2020), <a href="https://www.opendemocracy.net/en/oureconomy/can-coronavirus-save-planet/"><em>Can the coronavirus save the planet?</em></a>, OpenDemocracy.</p>
<p><a href="#_ftnref117" name="_ftn117">[117]</a> Pierre Charbonnier (2020), <a href="https://www.greeneuropeanjournal.eu/the-three-tribes-of-political-ecology/"><em>The Three Tribes of Political Ecology</em></a>, Green European Journal. Traduction française proposée par la Fondation de l’Ecologie Politique, à lire <a href="http://www.fondationecolo.org/blog/Charbonnier-ecologiepolitique">ici</a>.</p>
<p><a href="#_ftnref118" name="_ftn118">[118]</a> Jane Slaughter (2020), <a href="https://labornotes.org/2020/03/solidarity-our-only-chance"><em>Solidarity Is Our Only Chance</em></a>, Labor Notes</p>
