title: Don’t Serve Burnt Pizza (And Other Lessons in Building Minimum Lovable Products)
url: https://firstround.com/review/dont-serve-burnt-pizza-and-other-lessons-in-building-minimum-lovable-products/
hash_url: 2ba49645e8cd27503661e03a73bbac37

<p id="text_092a72d658084ae1b47c9ec37f5baf8e" class="Block TextBlock -align--left -role--paragraph">If love is in the little things, then <strong class="Annotation -strong"><a href="https://www.linkedin.com/in/jiaona/" data-external="true" class="Annotation -link">Jiaona “JZ” Zhang</a></strong><a href="https://www.linkedin.com/in/jiaona/" data-external="true" class="Annotation -link"></a> has a keen eye for the details that make users fall head over heels.</p>
<p id="text_94c9302443df439fbc90e9f05187712e" class="Block TextBlock -align--left -role--paragraph">From her first PM role at <a href="https://pocketgems.com/" data-external="true" class="Annotation -link">Pocket Gems</a>, where she crafted mobile gaming features that kept players logging in for more, to her time at <a href="https://www.dropbox.com" data-external="true" class="Annotation -link">Dropbox</a>, where her instinct for zooming in on user problems led to the creation of some of the company’s standout UI interactions, Zhang’s built an impressive career centered on spotting just the right touch that captivates and inspires users.</p>
<p id="text_4e018efaae5944a48dd9a1812c11d65e" class="Block TextBlock -align--left -role--paragraph">She’s also brought her expertise to bear on pixels <em class="Annotation -emphasis">and</em> physical spaces, at both <a href="https://www.airbnb.com/" data-external="true" class="Annotation -link">Airbnb</a> ” where she served as the product lead for the <a href="https://www.theverge.com/2018/2/22/17040684/airbnb-plus-hotels-standard-amenities-service-loyalty-program" data-external="true" class="Annotation -link">Plus launch</a> and Head of Product for the Homes Platform team ” and now at <a href="https://www.wework.com" data-external="true" class="Annotation -link">WeWork</a>, as Director of Product Management. (Zhang also somehow manages to carve out time to deploy her product savvy in other arenas, as an <a href="https://angeltrack.firstround.com/meet-the-angels/jiaona-zhang" data-external="true" class="Annotation -link">angel investor</a> and as a <a href="http://scpd.stanford.edu/search/publicCourseSearchDetails.do?method=load&amp;courseId=96273440" data-external="true" class="Annotation -link">lecturer at Stanford</a>, where she teaches students embarking on the journey of early product-building.)</p>
<p id="text_36d329e362ac4811be9e0118a2018344" class="Block TextBlock -align--left -role--paragraph">Looking back at the through all these experiences, it’s clear that love is at the (ahem) heart of Zhang’s ethos on product design, the secret to her track record of launching products that users cherish. And if companies want to stay competitive, she argues, product folks need to be even more diligently attuned to a fledgling product’s lovability ” not just viability. “The minimum viable product was appealing because it was cheap, and you could get it to market faster. But we’ve advanced past a world where products are ‘the first of X,’” she says. “Stiffer competition means that MVPs aren’t going to cut it anymore. If startups truly want to stand out, they need to strive toward creating a <strong class="Annotation -strong">minimum lovable product</strong> instead.”</p>
<p id="text_a376db1903694e0ba5f5b5aa0c74c6c8" class="Block TextBlock -align--left -role--paragraph">Consider this analogy that Zhang uses with her students at Stanford: “Say you’re trying to test whether people like pizza. If you serve them burnt pizza, you’re not getting feedback on whether they like pizza. You only know that they don’t like burnt pizza. Similarly, <strong class="Annotation -strong">when you’re only relying on the MVP, the fastest and cheapest functional prototype, you risk not actually testing your product, but rather a poor or flawed version of it</strong>.”</p><figure class="Block ImageBlock -size--medium -position--center" data-src_640="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/tRwWC39QsowoH6NQFP6w_Burnt_Pizza.jpg" data-src_1280="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/Bd59PW5uSnS603Th7gsT_Burnt_Pizza.jpg" data-src_2560="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/XXyOeMj6Qa6y0UE6uSLv_Burnt_Pizza.jpg" data-aspect_ratio="1.000" data-pinned="false" data-zoomable="true" id="image_851e7c59e2574eed85f9cd9d65fe86d5"><div class="_Content"><img class="_Image"><noscript><img class="_Image" src="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/tRwWC39QsowoH6NQFP6w_Burnt_Pizza.jpg"></noscript></div></figure><p id="text_697d5a859d424b6098f2035864a1ca14" class="Block TextBlock -align--left -role--paragraph">The concept of the minimum lovable product (MLP) sounds easy enough to get behind: You can yield far more valuable insights if your learnings are based on an early product that’s closer to something users could love. But while the MLP is a familiar philosophy often bandied about in manifestos on product design, in order to build truly lovable products, founders and product designers need to take the concept from the theoretical to the concrete.</p>
<p id="text_21fa267d96aa4a1fa0747e2c68540d75" class="Block TextBlock -align--left -role--paragraph">“At a high level, it’s hard to disagree with the concept that we should build products that people love. <strong class="Annotation -strong">But actually putting in the <em class="Annotation -emphasis">intention</em> to build those products and <em class="Annotation -emphasis">understand</em> those people is another matter entirely. It’s not about slapping a few shiny features into your beta and calling it a day</strong>,” says Zhang. “As product builders, we need to drill a layer deeper. What does love even mean? How do you identify what would make your product lovable? How do you do it in a way that’s fast and efficient?”</p>
<p id="text_3ea88fc00a1d4b81929f1ba0d6e5e1e6" class="Block TextBlock -align--left -role--paragraph">In this exclusive interview, Zhang digs into why a deep understanding of MLPs benefits founders and product leaders. She breaks down the four principles for how founders and product managers can zero in on <em class="Annotation -emphasis">exactly</em> the right problem to solve. Then, she walks through how to put MLP into action ” all it takes is careful attention to user needs andÂ a little bit of pixie dust.</p><h2 id="text_d0b220c9c8594703a8c292a122b9efa9" class="Block TextBlock -align--left -role--heading">LOOKING FOR LOVABLE IN ALL THE WRONG PLACES: A CAUTIONARY TALE</h2><p id="text_b701b82fd6f84e289525ac9825ea8094" class="Block TextBlock -align--left -role--paragraph">Shipping MLPs can bring powerful advantages for companies of all sizes. “If you’re at an early-stage startup, you need to be able to make the case for your users to stay while you <a href="http://theleanstartup.com/principles" data-external="true" class="Annotation -link">build-measure-learn</a> on the way to strong product/market fit,” she says. “For larger companies, creating MLPs shows that you care about users enough to continue to invest in offerings and new product lines that remind them why they fell for your products in the first place.&quot;</p>
<p id="text_f3a54b5c5a2948528152cc4e082e7bd2" class="Block TextBlock -align--left -role--paragraph">Building a minimum lovable product should start with a strong foundation of understanding. “If you don’t have a firm grasp on how to put an MLP into practice, you can waste a lot of time building a product that you think is lovable, but ultimately isn’t,” says Zhang.</p>
<p id="text_ba1b508074d545eca33f1ab15b4791cd" class="Block TextBlock -align--left -role--paragraph">She shares a lesson learned the hard way from Dropbox, to illustrate what happens when teams fail to understand what makes early products lovable. At the time, Zhang was leading the charge on <a href="https://techcrunch.com/2014/04/09/dropbox-launches-project-harmony-to-bring-collaborative-features-to-microsoft-office/" data-external="true" class="Annotation -link">Project Harmony</a>, which involved building a feature that signals users when someone else has opened the same document.</p>
<p id="text_6b55347e00154783b13a2fa83e4bc287" class="Block TextBlock -align--left -role--paragraph">The ability to see other collaborators solved a distinct pain point: Previously, if two users unknowingly made edits on the same document at the same time, that would create two conflicting copies of the document. The thinking behind the new feature was that users might collaborate more effectively if they could see one another on the same document.</p>
<p id="text_94a4700cd0bc4ca1882234f65e2895ad" class="Block TextBlock -align--left -role--paragraph">“When we first started building, we were satisfied with creating the ability to see if another collaborator was in the document. We thought that was good enough to ship,” she says. And while Project Harmony launched to <a href="https://venturebeat.com/2014/12/11/dropbox-launches-microsoft-office-collaboration-features-for-word-excel-and-powerpoint-on-windows-and-mac/" data-external="true" class="Annotation -link">positive reception</a>, in retrospect, Zhang believes that the product fell short of lovable.</p>
<p id="text_924169931c7d4dac85d128fab0be2687" class="Block TextBlock -align--left -role--paragraph">“In hindsight, we missed the most valuable insight,&quot; says Zhang. “Being able to see someone in the doc was pragmatic — presumably, you’d hop out of the doc and avoid conflicted copies. But it only solved a very basic pain point. It didn’t actually deliver something users would <em class="Annotation -emphasis">love</em>.”</p><blockquote id="text_a1ce87b0564747848e99a748f7470235" class="Block TextBlock -align--left -role--quote">Lovable products aren’t simply functional or useful ” they demonstrate an acute understanding of what users find <em class="Annotation -emphasis">valuable</em>. </blockquote><p id="text_92f94275b3a64f608ea3349954e34840" class="Block TextBlock -align--left -role--paragraph">“If you dig into what makes Google Docs such a delightful product to use, it’s not only that you can see that there&#39;s another collaborator in the doc ” it&#39;s that you can see in absolute real-time each user’s edits, cursor by cursor,” she says. “With Project Harmony, being able to see another person on the doc, while useful, was ultimately unsatisfying. In fact, it highlighted a fundamental limitation of Dropbox’s product: the fact that it didn’t yet support cloud-based, real-time collaborative editing. Had we spent the time upfront to try to understand what the user would value most, we wouldn’t have made the same investment,&quot; says Zhang. </p><h2 id="text_740f1a1023a644e88866b98a25d8c9c0" class="Block TextBlock -align--left -role--heading">HOW DEEP IS YOUR LOVE? FOUR PRINCIPLES FOR ZOOMING IN ON THE PROBLEM</h2><p id="text_3ab4267b67374b50bc3afe17112fff6f" class="Block TextBlock -align--left -role--paragraph">Whether you’re a scrappy startup or at an established org, the first step for putting the MLP approach into practice is the same: &quot;<strong class="Annotation -strong">Start with a high-value problem for your users, then get deeply curious about your users&#39; needs and motivations</strong>,&quot; says Zhang.</p>
<p id="text_a39b66f72b0a4fcdbdf9fa76040dc7dd" class="Block TextBlock -align--left -role--paragraph">Zhang highlights the four principles that she uses to guide founders and product managers toward the problem:</p><ul class="Block ListBlock -role--unordered"><li><p id="text_29e5c55a49ef41f6aeaa9ca33332c081" class="Block TextBlock -align--left -role--paragraph"> 1. Start with the user’s why, not the business why.</p></li><li><p id="text_f7d14c1588dc4c67ac71467493a78167" class="Block TextBlock -align--left -role--paragraph"> 2. Separate the problem space from the solution space.</p></li><li><p id="text_3d45d4b9d230466eb9f59267ce8cd666" class="Block TextBlock -align--left -role--paragraph"> 3. Listen to your users — but don’t take their word as gospel.</p></li><li><p id="text_739bef82ec794fcc8f292e2a5d72b7ba" class="Block TextBlock -align--left -role--paragraph"> 4. Enter the solution space and choose your game.</p></li></ul><p id="text_f90b86c6311d4a35889b3676d4c2078a" class="Block TextBlock -align--left -role--paragraph">Below, she breaks down each principle, illustrating them with ample examples from her own teaching and product management experience.</p><h3 id="text_4d2aaac50e844ec79d62f6df94190bf2" class="Block TextBlock -align--left -role--heading">1. Start with the user’s why, not the business why.</h3><p id="text_f087ecbf9ec04aefa0723c3f7a5d1ced" class="Block TextBlock -align--left -role--paragraph">&quot;<strong class="Annotation -strong">If there&#39;s one pitfall that companies fall into, it&#39;s that they focus on the &#39;why for the business&#39; instead of &#39;the why for the users</strong>,&#39;&quot; says Zhang. “Companies will naturally start with a why for the business, just because of how they operate. But as a product leader, if you don’t pair it with a ‘why’ for the user, you won’t be able to set up an effective problem statement for your team.”</p><blockquote id="text_1f2dcf8dc3e44d548ea9e8bd4aa2a91e" class="Block TextBlock -align--left -role--quote">If product managers aim their efforts toward creating a product that solves a “why” for the business, rather than a “why” for the customer, they&#39;ll miss lovability by a long shot.</blockquote><p id="text_b496246b031d48b9a71417df24b92a9b" class="Block TextBlock -align--left -role--paragraph">To return to the example from Project Harmony, Zhang’s team had missed the “why” for the user. “The user ‘why’ wasn’t simply that they didn’t like conflicted copies. They wanted multiple collaborators to be able to work on the same document and make real-time changes. So when we tried to keep iterating on Project Harmony, we were only optimizing a local maximum,” says Zhang. “On the other hand, if we had more quickly invested those resources into building a more lovable product, like the technology that would become <a href="https://www.theverge.com/2017/1/30/14435582/dropbox-paper-business-app-launch-date-ios-android-web" data-external="true" class="Annotation -link">Dropbox Paper</a> or <a href="https://techcrunch.com/2019/09/25/dropbox-will-start-rolling-out-the-new-dropbox-app-to-everyone-today/" data-external="true" class="Annotation -link">Spaces</a>, we would have worked toward a global maximum.”</p><figure class="Block ImageBlock -size--medium -position--center" data-src_640="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/OCsm2MpQ2CludyLApuf0_Local_Vs_Global_Max.jpg" data-src_1280="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/wF1t22RQ2uEDzAQ5iKPQ_Local_Vs_Global_Max.jpg" data-src_2560="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/Fniw8kLgSjmhUfrTnJhC_Local_Vs_Global_Max.jpg" data-aspect_ratio="1.431" data-pinned="false" data-zoomable="true" id="image_6d468551f8ab4e00913bbed490125f69"><div class="_Content"><img class="_Image"><noscript><img class="_Image" src="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/OCsm2MpQ2CludyLApuf0_Local_Vs_Global_Max.jpg"></noscript></div></figure><p id="text_0532720c1ed141399f4797998198bbdf" class="Block TextBlock -align--left -role--paragraph">To further illustrate the disparity between the two “why’s,” Zhang shares an example from her time at Airbnb, where she led several supply side teams. “One key business ‘why’ for Airbnb is growing the supply of homes. This is obviously top of mind for us, since supply growth is a leading indicator of overall nights booked,” she says.</p>
<p id="text_b8bda4b5cb804ad891c52f33e2ae5b80" class="Block TextBlock -align--left -role--paragraph">But growing the supply of homes leaves the user-centric “why” unaddressed. “Sure, you could say that increasing the supply of homes gives guests more optionality. But is having more homes what our customers <em class="Annotation -emphasis">truly</em> want?” says Zhang.</p>
<p id="text_9cff021a10b14cf591928f685e075637" class="Block TextBlock -align--left -role--paragraph">A stronger understanding of the user leads to a more precise “why” statement ” and to more lovable solutions. “Not all supply is created equal. Customers don&#39;t want to see more lodgings in places they don&#39;t want to visit. They want more listings in extraordinary locations, by ski resorts or beaches, or where major events are happening,” she says. “Airbnb needs to grow its supply in top markets to give users more optionality at <em class="Annotation -emphasis">desirable</em> destinations. <em class="Annotation -emphasis">That&#39;s</em> the user-centric why.”</p>
<p id="text_63b0784cec5f4f5fb9f410712eec5c08" class="Block TextBlock -align--left -role--paragraph">&quot;<strong class="Annotation -strong">Shifting our priority from simply &#39;growing supply&#39; to &#39;optimizing high quality supply in certain markets&#39; was the first step toward lovability</strong>,&quot; she says. It helped her more clearly define the minimum lovable product ” and the right metrics ” for her supply teams at Airbnb.</p>
<p id="text_38fa46e6814a44f9a46004d0ef19529a" class="Block TextBlock -align--left -role--paragraph">Zhang has a handy litmus test for knowing if you&#39;re aiming your intentions in the right direction.</p>
<p id="text_3392a713fcbc41dd80e03124e2a7c7f7" class="Block TextBlock -align--left -role--paragraph"><strong class="Annotation -strong">&quot;Start with the statement, <em class="Annotation -emphasis">Wouldn&#39;t it be amazing if this product could...?</em>&quot; she says. &quot;Your statement should end with value for the user.</strong> It should frame the problem to prioritize the user’s needs and wants.” Zhang shares how she focused the “why” when she was working on launching Airbnb Plus, Airbnb’s more high-end tier of accommodations:</p><ul class="Block ListBlock -role--unordered"><li><p id="text_138b2cee16644d02b3b904b5ac90c958" class="Block TextBlock -align--left -role--paragraph"> <strong class="Annotation -strong">Don’t ask:</strong> <em class="Annotation -emphasis">Wouldn’t it be amazing if this product could help Airbnb compete with luxury hotels?</em></p></li><li><p id="text_489360b1df8d4156822f1bd3ad94d15b" class="Block TextBlock -align--left -role--paragraph"> <strong class="Annotation -strong">Instead, ask:</strong> <em class="Annotation -emphasis">Wouldn’t it be amazing if users had a variety of high-quality options that made their precious vacation time even more special?</em></p></li></ul><h3 id="text_a52a3f8f92dd4500bc3ccfa971ac0582" class="Block TextBlock -align--left -role--heading">2. Separate the problem space from the solution space</h3><p id="text_bea1aed395054b3f8492293e45e77020" class="Block TextBlock -align--left -role--paragraph">When Stanford students file into Zhang&#39;s <a href="http://scpd.stanford.edu/search/publicCourseSearchDetails.do?method=load&amp;courseId=96273440" data-external="true" class="Annotation -link">product management class</a> at the start of the semester, they&#39;re already brimming with ideas for the final project, where they create a new product and work on it through the entire product lifecycle. The students often start chattering about building the next marketplace for X, a new platform for Y, Uber but for...</p>
<p id="text_f099779d81654a688bffeb8618badf8a" class="Block TextBlock -align--left -role--paragraph">Zhang stops them right there. On day one, she spells out the first rule of class: Don&#39;t think about your idea for the first third of the semester.</p>
<p id="text_f81d4384b32841b19e8b4f6e1f509a4d" class="Block TextBlock -align--left -role--paragraph"><strong class="Annotation -strong">&quot;Being able to detach yourself from what you <em class="Annotation -emphasis">think</em> your users need and what they&#39;re actually experiencing is often the hardest lesson for PMs to learn ” but it&#39;s the cornerstone for building lovable products,&quot;</strong> says Zhang. &quot;This is most challenging at early-stage startups, where the founder is very passionate about an idea. But if you don&#39;t loosen your grip on a proposed solution, you won&#39;t be able to take in valuable feedback about the problem.”</p><blockquote id="text_d4af151bab5d4886a3836b9a9cae313e" class="Block TextBlock -align--left -role--quote">Never start with solutions. Just because you prefer the hammer or the screwdriver doesn&#39;t mean it&#39;s the tool you need to fix what&#39;s broken.</blockquote><h3 id="text_8e3b4e3dca394c9cb3d0258585554b90" class="Block TextBlock -align--left -role--heading">3. Listen to your usersÂ — but don’t take their word as gospel.</h3><p id="text_facdf200d29f40c585bceecb33ac2261" class="Block TextBlock -align--left -role--paragraph">“In order to develop a nuanced understanding of their high-value problems and pain points, <strong class="Annotation -strong">you need to strike the balance between listening to your users <em class="Annotation -emphasis">carefully</em>, but not <em class="Annotation -emphasis">literally</em></strong><em class="Annotation -emphasis"></em>,” says Zhang.</p>
<p id="text_df2c2e718f46498888a42e55ab310af5" class="Block TextBlock -align--left -role--paragraph">Here, she flags common mistakes that teams tend to make when it comes to conducting user interviews:</p><ul class="Block ListBlock -role--unordered"><li><p id="text_c7811165420c40db887ad7ec226f724a" class="Block TextBlock -align--left -role--paragraph"> <strong class="Annotation -strong">Asking customers what they want.</strong> “When you ask your users what they want, there’s a tendency for them to talk about solutions they <em class="Annotation -emphasis">think</em> you could build for them. Taking your customer too literally limits the scope of ideation.”</p></li><li><p id="text_17d0a27e53a24782bee66d90bb8a9e2d" class="Block TextBlock -align--left -role--paragraph"> <strong class="Annotation -strong">Positioning yourself as the voice of authority.</strong> &quot;Users often see you, the product manager, as the expert on the problem. You&#39;re not. <em class="Annotation -emphasis">They</em> are. Make that dynamic clear at the outset, or you won&#39;t be able to unearth what your user truly cares about.”</p></li></ul><p id="text_b1aaa09c2c34418585cd2a9262efa3e3" class="Block TextBlock -align--left -role--paragraph">Startups need to be particularly methodical about user interviews because they start out with a small set of users and with fewer resources to devote to research.</p>
<p id="text_41d2d1759e3a43559ee41a473004d42c" class="Block TextBlock -align--left -role--paragraph">“Especially if you’re a startup, be clear about what user persona you’re targeting first. <strong class="Annotation -strong">It’s hard to build a product that several different user types all <em class="Annotation -emphasis">love</em>, especially at the get-go.</strong> Focus on talking to enough people to learn about that one user type, and make sure you’re <a href="https://firstround.com/review/why-qualitative-market-research-belongs-in-your-startup-toolkit-and-how-to-wield-it-effectively/" class="Annotation -link">asking open-ended questions to ensure you’re getting the right data</a>,” she says.</p>
<p id="text_93d8dd7fe5544d3aa281866c2d9b0954" class="Block TextBlock -align--left -role--paragraph">To yield the most fruitful insights from your users, Zhang suggests asking the following question: <strong class="Annotation -strong">What do you find tedious, stressful, or painful?</strong></p>
<p id="text_41516ca926be41fc9e3efe12007a6abf" class="Block TextBlock -align--left -role--paragraph">&quot;Start with the problem. If users say something like, <em class="Annotation -emphasis">I&#39;m so frustrated by this thing. I can&#39;t believe I&#39;m spending so many hours in my day doing this,</em> then you&#39;ve likely struck a great opportunity to intervene,&quot; she says.</p><blockquote id="text_4f45b0c786da40f3a640251f916f4b8a" class="Block TextBlock -align--left -role--quote">If you can&#39;t listen to your users, you might not even build something that&#39;s viable. And you certainly won&#39;t build something that&#39;s lovable.</blockquote><h3 id="text_552b4b1355374740a49d1af239de0c17" class="Block TextBlock -align--left -role--heading">4. Enter the solution space and choose your game</h3><p id="text_6dd63747aa284fa1bea60c8dae948b72" class="Block TextBlock -align--left -role--paragraph">Finally, once you’ve gathered data, get your team from the problem space to the solution space. Here’s an exercise that Zhang uses with her students:</p>
<p id="text_09dbcea7aecc4ccd9d6d09dcaabce80e" class="Block TextBlock -align--left -role--paragraph">Draw a vertical line. On the left side, write down <em class="Annotation -emphasis">only</em> the possible problems to solve. “If you hear anything during the brainstorm that feels like a solution, note it on the right side. Acknowledge the thought, but don’t discuss anything on the right side yet,” Zhang says. Imposing a separation between problems and solutions keeps the discussion diligently trained toward the user whys, not business whys.</p><figure class="Block ImageBlock -size--medium -position--center" data-src_640="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/9k0v3ErRWOJ1CmJ4A35Y_Problem_vs_Solution.jpg" data-src_1280="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/gFLCVntS2meId7pM6Jrd_Problem_vs_Solution.jpg" data-src_2560="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/Ky84oo7iSwWnb9v0SCyC_Problem_vs_Solution.jpg" data-aspect_ratio="1.500" data-pinned="false" data-zoomable="true" id="image_4c2b67838ba74e37a1540b59710754ea"><div class="_Content"><img class="_Image"><noscript><img class="_Image" src="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/9k0v3ErRWOJ1CmJ4A35Y_Problem_vs_Solution.jpg"></noscript></div></figure><p id="text_8fded03429d94958b27b618c55052cd2" class="Block TextBlock -align--left -role--paragraph">&quot;Once all the problems are laid out, narrow in on the highest-value problem that you believe you can solve,” she says. “When I do this with my students, I ask them to decide if that’s the game they truly want to play for the quarter.”</p>
<p id="text_3b38377a01c1496795c3089d1acd632b" class="Block TextBlock -align--left -role--paragraph">Zhang challenges founders to “choose their game” as well. “Ask yourself: <strong class="Annotation -strong">Do you have the right talent to tackle this problem? Are you willing to spend 5-10 years tackling it?</strong> Being really intentional about choosing your game equips you to define the problem space and also to put constraints on your solution space.”</p>
<p id="text_82add09508fb431db5074b0287014696" class="Block TextBlock -align--left -role--paragraph">Finally, once students have focused on the problem space, identified the highest-value problem and chosen their game, they can open up what Zhang calls solution space ideation. &quot;The entire approach, from start to finish, is similar to <a href="https://firstround.com/review/How-design-thinking-transformed-Airbnb-from-failing-startup-to-billion-dollar-business/" class="Annotation -link">design thinking</a>,” she says. “<strong class="Annotation -strong">Diverge first to understand the problem space. Converge on the most important problem. Diverge again to come up with solutions. Converge on the solution that’s both usable <em class="Annotation -emphasis">and</em> lovable</strong>.&quot;</p>
<p id="text_12360a103cd248c390728866aec10c28" class="Block TextBlock -align--left -role--paragraph">&quot;Once you understand the problem, then you can think about possible solutions. Bring those solutions back to the user,&quot; says Zhang. &quot;Then you can ask them: Out of these things, which do you wish existed?&#39;&quot;</p>
<p id="text_05057a91a2b24799be2d02e6e37c310c" class="Block TextBlock -align--left -role--paragraph">To distinguish between a <em class="Annotation -emphasis">viable</em> solution and a <em class="Annotation -emphasis">lovable</em> solution, listen for your users&#39; reactions. &quot;In most cases, people will look at a prototype and say, &#39;This is cool. I can see myself using this.&#39; That&#39;s fine. But that&#39;s not what you&#39;re aiming for,&quot; says Zhang. &quot;<strong class="Annotation -strong">You want your users to say, &#39;Oh my gosh, <em class="Annotation -emphasis">when</em> can I start using it?&#39; That&#39;s when you know you&#39;ve struck a chord</strong>. If they don’t, either you haven’t made the product lovable enough or — and this is more likely — you’re not solving a high-value problem.”</p><blockquote id="text_caa981bd66a8422a805d1ff09f5e9626" class="Block TextBlock -align--left -role--quote">Your user’s face should light up when they try out your prototype. If the user isn’t lovestruck, you probably aren’t solving a high-value problem ” and people won’t be willing to pay for your solution.</blockquote><h2 id="text_ab06c52edff24061854ed54ac460b642" class="Block TextBlock -align--left -role--heading">PUT A LITTLE LOVE IN YOUR HEART: THE NUTS AND BOLTS OF DELIVERING LOVABLE VALUE</h2><p id="text_ac74fa97b82242c7997aa7cffe62d2af" class="Block TextBlock -align--left -role--paragraph">Once you’ve honed your understanding the problem, it&#39;s time to put your MLP into action. In this section, Zhang illustrates how to take MLP from proposal to product ” from striking the balance between speed and lovability, all the way to the final trial of user testing.</p><h3 id="text_a609cf10286f49488a23079ed4823470" class="Block TextBlock -align--left -role--heading">Strike the balance of minimum and lovable</h3><p id="text_bd68bee9a94f4b8ab5a0a7a8acae74ba" class="Block TextBlock -align--left -role--paragraph">The hardest part of creating the minimum lovable product is in the name itself: How do you create the most lovable product while expending the least effort?</p>
<p id="text_07420ca133ac4a7995695428f7e262e9" class="Block TextBlock -align--left -role--paragraph">&quot;This is why cultivating deep understanding <em class="Annotation -emphasis">beforehand</em> is so important: It lends you insight into your users<em class="Annotation -emphasis">&#39;</em> core problem. <strong class="Annotation -strong">When you start building, zero in on just one or two features that truly bring value and delight to the user. That&#39;s what makes the MLP ‘minimum,’ yet still lovable.&quot;</strong></p><blockquote id="text_65b2746e489c4b19815964c1ff4ad7ca" class="Block TextBlock -align--left -role--quote">If you try to solve every problem with your product, you’ll do it all poorly. I call this the Peanut Butter Principle: spread too thin, it’s no longer tasty.</blockquote><p id="text_7089193ae5b04e8ca2788473eada8122" class="Block TextBlock -align--left -role--paragraph">When a team neglects <em class="Annotation -emphasis">minimum</em> and over-engineers on <em class="Annotation -emphasis">lovable</em>, time and resources suffer. When Zhang was launching Airbnb Plus, her team needed to figure out what characteristics would define Plus accommodations as a cut above Airbnb’s budget options. “We asked ourselves, ‘What specific touches would make a space more comparable to a hotel?’” she says.</p>
<p id="text_bc7a6c24e8a24ad0bd7b0889721e1175" class="Block TextBlock -align--left -role--paragraph">At first, her team swung hard in the direction of <em class="Annotation -emphasis">lovable</em>. &quot;We put together a 200-point list of all the hotel-grade amenities that we thought Plus homes needed to have: room-darkening shades, four pillows on every bed, etc. But when we actually looked at this gargantuan list, we thought, <em class="Annotation -emphasis">If we require all of this, we will have zero qualified homes</em>,&quot; says Zhang.</p>
<p id="text_03926b49e13445fb86590ae7e467f240" class="Block TextBlock -align--left -role--paragraph">To course-correct, she focused on the qualities that actually set Airbnb apart. “People don’t love Airbnb because it’s like a hotel. They love that they get to cook with their family, or they get a peek into a host’s unique design style,” she says. Instead of defining the Plus category by a hotel-grade checklist, her team doubled down on what made Airbnb feel like <em class="Annotation -emphasis">home.</em></p><figure class="Block ImageBlock -size--full" data-src_640="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/Ty67ChUfT0GAeRilt8dK_JZ%20inline.jpg" data-src_1280="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/dSqA3S9dSa2Q72u4m6i3_JZ%20inline.jpg" data-src_2560="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/CbjPQMCTyONj732YGsV4_JZ%20inline.jpg" data-aspect_ratio="1.498" data-pinned="false" data-zoomable="true" id="image_e7c6cb8a05834caabeafe7a64245537f"><div class="_Content"><img class="_Image"><noscript><img class="_Image" src="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/Ty67ChUfT0GAeRilt8dK_JZ%20inline.jpg"></noscript><figcaption class="_Caption"><span class="_CaptionText">Jiaona Zhang (&quot;JZ&quot;), Director of Product Management at WeWork.</span><span class="_Credit"></span></figcaption></div></figure><p id="text_b8372627f4f0400bbc1c89471e518b00" class="Block TextBlock -align--left -role--paragraph">“To do this, we turned our attention to elevating the online booking experience,” says Zhang. “For the Plus homes, we created a Home Tour feature that allows people to photographically ‘move’ through each room. The flow feels like a digital open house — like users are walking in through the door and being welcomed into someone’s home. <em class="Annotation -emphasis">That’s</em> a lovable, distinctively Airbnb experience.”</p><blockquote id="text_125dbb5272484f15971d9947549db8bd" class="Block TextBlock -align--left -role--quote">Don’t get so caught up in the minutiae that you lose sight of what people actually love about your product.</blockquote><p id="text_b944ea54729d41c4be1aed18e4f41b0c" class="Block TextBlock -align--left -role--paragraph">Furthermore, investing in a digital feature ended up being a more efficient use of resources. “It was so much cheaper to invest in a thoughtfully-curated digital feature than trying to cram physical items into these homes,” says Zhang. Her team had struck the perfect balance of <em class="Annotation -emphasis">minimum</em> and <em class="Annotation -emphasis">lovable</em>.</p>
<p id="text_aca92fa91f08492ebc20e115c5463e14" class="Block TextBlock -align--left -role--paragraph">That balancing act is useful for thinking through not only <em class="Annotation -emphasis">how</em> to solve a problem, but <em class="Annotation -emphasis">which</em> problems to prioritize. Zhang and her team confronted this while they were revamping the mobile app for Airbnb’s hosts. At the beginning of the project, she and her team followed the four principles for drilling deep into the problem: They segmented their personas to figure out the customer “why,” solicited feedback through surveys and user groups, and identified the strongest problems before diving into solutions.</p>
<p id="text_ba89dadbb35040bfb6f48a0c7147735e" class="Block TextBlock -align--left -role--paragraph">First, they made the inbox easier to access. “After talking to people and examining the data for the previous iteration of the app, we realized that the inbox was the most-used feature — but it was buried under a side menu. So we moved the inbox to the landing page,” she says.</p>
<p id="text_743eda2c1c2246e593995a106a365651" class="Block TextBlock -align--left -role--paragraph">Second, they updated the calendar feature so that hosts could see multiple listings at once. “We could have done so many things to improve on the calendar feature, like advanced price toggles or data blocking. But at the end of the day, the most important thing for the user was that they could see everything at once and map out their time more effectively.”</p>
<p id="text_394dc83e18cd40a8b11e76469a2ca0fa" class="Block TextBlock -align--left -role--paragraph">Finally, they introduced a new feature that streamlined a tedious, repetitive process for hosts: allowing users to save templates of messages, like check-in instructions, that they sent repeatedly. “To be honest, this feature was an unexpected by-product of our user research; before, my team was excited to spend time on problems like improving the speed or the granularity of inbox search,” says Zhang. “But we learned that a big reason why hosts searched their inbox was actually to copy-paste messages. It a tedious, repetitive task. So being able to send message templates ended up being one of the features the hosts loved most.”</p>
<p id="text_aab70bf800684bf994c86b0f2530ac43" class="Block TextBlock -align--left -role--paragraph">Because of the team’s laser focus on the most lovable solutions to the most pernicious problems, the entire redesign took less than six months. &quot;We launched the redesigned app at Airbnb Open, and hosts literally gave us a standing ovation. They were so happy with the changes,&quot; she says.</p>
<p id="text_81242cc6579a441381512239d2cad109" class="Block TextBlock -align--left -role--paragraph">&quot;<strong class="Annotation -strong">You already know you could do a million things to improve your product. But focus on what’s most important to the user and what you can deliver in a timely way.</strong> That prioritization made all the difference in creating a lovable app,&quot; she says.</p>
<p id="text_d7a369234e984f4ebd86e1723c23a28f" class="Block TextBlock -align--left -role--paragraph">The same principles of prioritization apply for early-stage companies starting at square one. &quot;If you&#39;ve done your homework in the problem space, then you&#39;ll know what&#39;s most useful and valuable to the user. Start by designing your product around that most essential feature,&quot; she says. “Think of Dropbox: <a href="https://firstround.com/review/how-dropbox-sources-scales-and-ships-its-best-product-ideas/" class="Annotation -link">it started off</a> as a solution to replace flash disks and thumb drives. Now, it offers an entire suite of collaboration products across consumer and enterprise markets.”</p><blockquote id="text_4dbd637dd1c54dd3b0a57b579e41a7f5" class="Block TextBlock -align--left -role--quote">Start with the one feature that&#39;s going to make your product indispensable. Build from there.</blockquote><p id="text_75ac0268626148c891397f02a549927b" class="Block TextBlock -align--left -role--paragraph">Finally, understand your user in context. When you’re deciding how you want to build out an MLP, the medium matters. “You need to understand what your users expect out of a medium,&quot; Zhang says. &quot;What do people need on a desktop? If you’re building a phone app, what do people need on their phones, in the moment?”</p>
<p id="text_45504267d44144039c57edb5e5de4803" class="Block TextBlock -align--left -role--paragraph">Zhang notes that this is an area where the original Airbnb app for hosts fell short. “Originally, every feature on the desktop site was carried over to the mobile app. The app was basically a mobile clone of the desktop version,” she says. “But when you actually look at how users employ each platform, that just doesn’t make sense. Hosts use their phones to snap photos and shoot off messages. They won’t use it for more intensive work, like setting up a listing and researching local regulations,” she says. “Because of that oversight, the original app tried to do too much without doing anything well.”</p><h3 id="text_fd69952ab96945608c898f3dbeeffc00" class="Block TextBlock -align--left -role--heading">Embrace your user misbehavior</h3><p id="text_8ccb0eb08ae84a649ae8ff34d537cc11" class="Block TextBlock -align--left -role--paragraph">“Sometimes, observing what users do that’s <em class="Annotation -emphasis">contrary</em> to your product’s intended functionality can lead to insights on what’s lovable,” says Zhang. </p>
<p id="text_aca40bb29e2c4ffdba5efbb816e54aaf" class="Block TextBlock -align--left -role--paragraph">She shares a story from when she was at mobile gaming company <a href="https://pocketgems.com/" data-external="true" class="Annotation -link">Pocket Gems</a><strong class="Annotation -strong">.</strong> Her team was working on a game called <a href="https://www.adweek.com/digital/pocket-gems-breaks-new-grounds-with-tap-paradise-cove/" data-external="true" class="Annotation -link">Tap Paradise Cove</a> in 2011, at the height of popularity of games like Farmville. “The primary directive of Paradise Cove was to have players tap on a plot of land in order to ‘till’ it for crops,” she says.</p>
<p id="text_f191898d219145a9a5d4c5b462ca70c8" class="Block TextBlock -align--left -role--paragraph">But Zhang noticed that users attention was drawn elsewhere. The game’s opening image was an aerial view of an island shrouded with mist, dense enough that a player could see the tops of houses and templates emerging from the fog but couldn’t quite tell what they were. Initially, this was a purely aesthetic choice. “But we noticed that players kept tapping on the objects poking out of the mist, even though they didn’t necessarily serve a purpose in the game,” she says.</p>
<p id="text_9d03177d00e442d1a62871f4c8ab6c26" class="Block TextBlock -align--left -role--paragraph">To build on the intrigue that the fog sparked in players, Zhang and her team designed several narrative quests around the shrouded objects — and effectively made the user <em class="Annotation -emphasis">mis</em>behavior a key part of the product.</p><blockquote id="text_3494f742251746c29338d6cdcc99e379" class="Block TextBlock -align--left -role--quote">Be observant about how a user interacts with your product. When a user behaves <em class="Annotation -emphasis">against</em> your expectations, they might just be leading you toward what they find most lovable.</blockquote><h3 id="text_f47c283cfeb841fbb1d96ce150b5a5d9" class="Block TextBlock -align--left -role--heading">Conjure up pixie dust</h3><p id="text_860a0acfb48f42b38216d565ac7d22a6" class="Block TextBlock -align--left -role--paragraph">Moreover, creating an MLP is not only about knowing what details matter, but being able to have <em class="Annotation -emphasis">fun</em> with them. &quot;I like to call it pixie dust. It&#39;s that magical moment in the user journey where the user realizes that this product is different from anything else they&#39;ve ever experienced,&quot; says Zhang.</p><figure class="Block ImageBlock -size--medium -position--center" data-src_640="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/RuzIiAFIQL2tdLc8HnTL_Pixie_Dust.jpg" data-src_1280="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/qpt47hcUQauT2o54HcRg_Pixie_Dust.jpg" data-src_2560="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/XdcCWQ5SuWqnPkL7pKZo_Pixie_Dust.jpg" data-aspect_ratio="1.465" data-pinned="false" data-zoomable="true" id="image_6aa593e0ba404f6a9a140cebb9f4c251"><div class="_Content"><img class="_Image"><noscript><img class="_Image" src="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/RuzIiAFIQL2tdLc8HnTL_Pixie_Dust.jpg"></noscript></div></figure><p id="text_59d362cd93e349ce995f5e5005e1f16b" class="Block TextBlock -align--left -role--paragraph">She emphasizes that adding pixie dust to your product features doesn’t need to take too much effort. Here, Zhang provides some questions to ask yourself to make sure your pixie dust products take flight:</p><ul class="Block ListBlock -role--unordered"><li><p id="text_f113977bc6c2465bb4b658179bf24f65" class="Block TextBlock -align--left -role--paragraph"> When a user signs up for your product, what should be the first emotion they feel?</p></li><li><p id="text_d6d9465e23974caeb05deb052c132340" class="Block TextBlock -align--left -role--paragraph"> What would bring a smile to a user&#39;s face?</p></li><li><p id="text_5c17cfbf3ee34c3ead6d7a07b1073931" class="Block TextBlock -align--left -role--paragraph"> What would give a user a reason to rave about your product?</p></li></ul><p id="text_3883bac523b740998b5aa27f02114a4f" class="Block TextBlock -align--left -role--paragraph">&quot;That last one is key. Especially in the beginning, your product should inspire people to want to tell their friends. Word-of-mouth creates a powerful flywheel ” and surprise and delight provides an excellent talking point,&quot; says Zhang.</p>
<p id="text_f3df3c7ad0194a57b5868a6d2dd56892" class="Block TextBlock -align--left -role--paragraph">One feature Zhang built at Airbnb shows that it doesn&#39;t take a complex feature to give users a memorable experience. &quot;When a traveler gets close to their destination, and they have their GPS turned on, a check-in guide will pop up on their screen. In one tap, a user can access information about where the key is hidden, the lockbox combo, the WiFi password ” all of the crucial check-in information,&quot; she says.</p>
<p id="text_2d38a215d5284344a67af1f9d877dfcb" class="Block TextBlock -align--left -role--paragraph">The gesture, while small, was acutely impactful because it anticipated a key pain point: the stress of scrambling for check-in information when you&#39;re in an unfamiliar locale. &quot;<strong class="Annotation -strong">Creating effective pixie dust doesn&#39;t just mean knowing <em class="Annotation -emphasis">what</em> to do, but <em class="Annotation -emphasis">when</em> it would be most important for the user,&quot;</strong> she says.</p>
<p id="text_32b3d6af047849e588ce6ef88d2a4d4d" class="Block TextBlock -align--left -role--paragraph">Zhang’s taken notice of one company in particular that’s used pixie dust to help its products take flight. <a href="https://angeltrack.firstround.com/meet-the-angels/jiaona-zhang" data-external="true" class="Annotation -link">As an angel investor</a>, she backed mobile food ordering company <strong class="Annotation -strong"><a href="https://www.snackpass.co/" data-external="true" class="Annotation -link">Snackpass</a></strong><a href="https://www.snackpass.co/" data-external="true" class="Annotation -link"></a>. Launched on Yale’s campus, Snackpass currently encompasses several major university campuses. “From the moment I started playing around with their product, I was struck by the pixie dust sprinkled all throughout the experience,” she says. “From the carefully-picked emoji in the copy, to a gifting feature with puns like ‘I love you a latte,’ the product showed incredible attention to their audience of students.”</p>
<p id="text_8f46974bd0284608a5f73afcc4e70107" class="Block TextBlock -align--left -role--paragraph">Snackpass underscores a key insight about pixie dust: It’s powerful because it successfully speaks to a particular user&#39;s problem. &quot;No one wants generic pixie dust. <strong class="Annotation -strong">Get specific about what would resonate most with <em class="Annotation -emphasis">your</em> users</strong>,&quot; says Zhang. (In fact, before she invested, Zhang verified the pixie dust with her friends’ younger siblings who used Snackpass on their campuses. “The young’uns confirmed it was on-point,” she laughs.)</p>
<p id="text_8df102b6f02c4d2d9c6dd869ef4a3a8b" class="Block TextBlock -align--left -role--paragraph">This is a strength of Snackpass’s. &quot;That kind of casual, playful communication speaks to their audience. But if you copy-and-pasted that same approach to another demographic, it wouldn&#39;t land as well,” she says.</p><h2 id="text_11d954ef37924650912986de8270778e" class="Block TextBlock -align--left -role--heading">LOVABLE IS A BATTLEFIELD: PUTTING THE MLP TO THE TEST</h2><p id="text_8bd97b81eff44ad6aa335d65d88df956" class="Block TextBlock -align--left -role--paragraph">Finally, take a careful approach to testing to see if your product is truly lovable. &quot;If you release it to everyone all at once, you’ll get mixed feedback that’s hard to do anything with,” says Zhang.</p>
<p id="text_4a9bdd687e65465998fc23a45f2dd58b" class="Block TextBlock -align--left -role--paragraph">She recommends a gradual, structured framework for testing whether pixie dust lands: by mining for insights from your beta before rushing into the GA release. &quot;<strong class="Annotation -strong">People don&#39;t leverage their beta enough</strong>,&quot; she says. &quot;The redesigned Gmail was in beta forever, right? You can gather your most insightful feedback, not to mention achieve a lot of growth, just with your beta.&quot;</p>
<p id="text_4fa883c6cdf7459cb9a4da8d97b1efe9" class="Block TextBlock -align--left -role--paragraph">When it comes to testing your MLP, don’t put too much weight on the feedback from your alpha. “Your alpha group is the one that already loves you, that would even love your MVP. It&#39;s your mom who will love anything you make,” Zhang says.</p>
<p id="text_e6b2983c57e74f389596232be877e6e3" class="Block TextBlock -align--left -role--paragraph">On the other end of the spectrum, your GA is far more skeptical. &quot;In Airbnb&#39;s case, the GA includes people who wouldn&#39;t dare to use Airbnb because staying in another person&#39;s home seems like such a preposterous concept,&quot; says Zhang. &quot;Your GA is much harder to please. Their trust is hard to earn and even harder to regain once lost.”</p><blockquote id="text_d845be72ef6a4709a71ba83d176bfe48" class="Block TextBlock -align--left -role--quote">Launching unlovable features is like being the boy who cried wolf. You can launch another feature, but you can’t guarantee you’ll still have users’ trust the second time around.</blockquote><p id="text_a085346155794e0087db5f5908c12063" class="Block TextBlock -align--left -role--paragraph">Your beta is your sweet spot for testing. &quot;Like your alpha, your beta group is rooting for you. But they&#39;re also willing to give you constructive criticism,&quot; she says. &quot;Airbnb’s beta users are people who have used Airbnb at least 10 times and feel satisfied. However, they also remember a few moments when check-in didn&#39;t go as smoothly, or they got locked out ” and they&#39;re going to let someone know.&quot;</p>
<p id="text_cd6d84fbdac84ac388bd31470fb19ece" class="Block TextBlock -align--left -role--paragraph">Testing your pixie dust on your beta is key because you&#39;ve already built a level of trust with those users who will give you valuable, candid feedback. &quot;It allows room for taking risks without compromising your credibility,&quot; she says.</p><figure class="Block ImageBlock -size--medium -position--center" data-src_640="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/x0LpLOSSRyr3rH4DkgCi_Alpha_Beta_GA.jpg" data-src_1280="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/AQyQTQSXQZSJFHjvTTDu_Alpha_Beta_GA.jpg" data-src_2560="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/sQtPgZlRbONVpKhRjhbg_Alpha_Beta_GA.jpg" data-aspect_ratio="1.500" data-pinned="false" data-zoomable="true" id="image_6c68c1a8725c4a9ebfcf5b683461b244"><div class="_Content"><img class="_Image"><noscript><img class="_Image" src="https://s3.amazonaws.com/marquee-test-akiaisur2rgicbmpehea/x0LpLOSSRyr3rH4DkgCi_Alpha_Beta_GA.jpg"></noscript></div></figure><h2 id="text_f491701729254096b6f2fa5ed4667aa7" class="Block TextBlock -align--left -role--heading">ALL YOU NEED IS LOVE: MLP AND THE FUTURE OF STARTUPS</h2><p id="text_a50fb6981962475981e0522537079fce" class="Block TextBlock -align--left -role--paragraph">If startups want to build products that users cherish and that stand out from the competition, it’s all the more important for them to raise the bar from <em class="Annotation -emphasis">viable</em> to <em class="Annotation -emphasis">lovable</em>. Building an MVP starts with honing in on the user’s most frustrating problem. Choose one or two features that would most acutely address the problem, then work on balancing the elements of intrigue and familiarity to create the most lovable experience with limited resources. Finally, find ways to add pixie dust, testing it with the group that’s ready to show you some tough love.</p>
<p id="text_3ee315e3ae2a403a87f8d7f62d4ce26f" class="Block TextBlock -align--left -role--paragraph">Looking back at her experiences adding intrigue in the virtual world of gaming, solving productivity challenges at Dropbox, teaching students at Stanford, and advising companies like Snackpass, Zhang is hopeful for the future of the MLP. And with her time at Airbnb and now at WeWork, she’s been experimenting with new ways to build MLPs in the hybrid world where software meets physical space.</p>
<p id="text_53b4dd65defd4cea82422c4e6fea81e4" class="Block TextBlock -align--left -role--paragraph">&quot;There&#39;s so much room in the next 10 years to make pixie dust beyond pixels. So many products in the next decade are going to be some combination of the digital and physical realm,” she says. “We’re only going to see more room for making magic.”</p>
