title: Saying Goodbye To Python
url: http://www.ianbicking.org/blog/2014/02/saying-goodbye-to-python.html
hash_url: 540de92e7533f8ad5af02742676af4c5

<p>This post is long overdue; this isn’t a declaration of intent (any intent was long ago made real), just my reflection about my own path. I left the Python world a long time ago but I never took a chance to say goodbye.</p>
<p>While I had moved on from Python years ago, I felt a certain attachment to it well past then, not quite admitting to myself that I wasn’t coming back.  When my proposal for PyCon 2013 was rejected I was frustrated (it was going to be a fun talk!) but for some reason that made me fully realized that I wasn’t part of the Python community anymore.</p>
<p>Python was the first — and I sometimes wonder if the only — programming community I was part of.  Coming to Python was a conscious choice.  In college I was interested in Scheme and Smalltalk. High-minded languages with interesting ideas, but hard to find practical uses.  Scheme was always too underserved by its libraries and sparse academic community.  In contrast Smalltalk was <em>productive</em> — it was built by and for people who loved to build things.  (More credit here should probably go to <a href="http://en.wikipedia.org/wiki/Daniel_Henry_Holmes_Ingalls,_Jr.">Dan Ingalls</a> than <a href="http://en.wikipedia.org/wiki/Alan_Kay">Alan Kay</a> — I can sense in Dan Ingalls’s work a real passion for making things, and a pure but unproductive language would not have satisfied him.)  But Smalltalk was and is a world of its own.  It was culturally and technically pre-internet, pre-open-source, pre-online-community.  And despite all the great things about the Smalltalk environment and language it couldn’t fulfill these then-new potentials, even as it tried to adapt. (I wrote a couple posts about this, intended as a sort of sympathetic explanation of why I couldn’t stick with Smalltalk: <a href="http://www.ianbicking.org/where-smalltalk-went-wrong.html">Where Smalltalk Went Wrong</a> and <a href="http://www.ianbicking.org/where-smalltalk-went-wrong-2.html">a followup</a>.)</p>
<p>At the end of my college career (1999ish) I consciously looked for a new home. I flirted with Perl, C, but knew they weren’t for me. Somewhere along the way I came upon Python, and it was good enough that I didn’t look for anything better.  I can’t say I fell in love with Python like I had with Scheme and Smalltalk — Scheme was like an opening up of the world after going far beyond what anyone should ask of <a href="http://en.wikipedia.org/wiki/GW-BASIC"><span class="caps">GW</span>-<span class="caps">BASIC</span></a>, and Squeak/Smalltalk was a deep mysterious world, like coming upon the ruins of an ancient and advanced civilization.  Python in comparison was practical — but I wasn’t in the mood at that time to <em>discover</em>, I wanted to <em>build</em>.</p>
<p>And I <a href="http://www.ianbicking.org/projects.html">built a lot of things in Python</a>. I was doing workaday web programming and my enthusiasm went more towards building tools to build stuff than in the building itself.  I <em>did</em> build some cool products in those days, not just libraries, but for some reason it’s only the smaller units that I was able to push out.  And I found a community in Python.</p>
<p>And I built.  Back in the days I contributed to <a href="http://www.webwareforpython.org/">Webware</a>, what felt like a completely different generation of web development in Python than today.  I wrote <a href="http://sqlobject.org/">SQLObject</a>, my first foray into a oh-shit-people-are-using-this-I’m-not-sure-how-I-feel-about-that library.  But SQLObject explored a lot of metaprogramming concepts that were quite novel in the Python world at that time.  At the same time maintaining it felt like a terrible burden.  It took me far too long to resolve that, and only once interest had died down (in no small part due to my lack of attention) did I hand it over to <a href="http://phdru.name/">Oleg</a> who has been a far more steady hand.  This would be a pattern I would unfortunately repeat.  But if SQLObject helped the <a href="http://www.sqlalchemy.org/">next generation</a> be better that’s good enough for me.</p>
<p>Later came <a href="http://wsgi.readthedocs.org/"><span class="caps">WSGI</span></a> which excited me with its subtly functional basis.  I built a whole web framework toolkit (or a framework for building web frameworks?) in <a href="http://pythonpaste.org/">Paste</a>. Few people really understood what I was trying to do with Paste — at times including me.  Some people like <a href="http://groovie.org/">Ben Bangert</a> were able to see the principles underneath the code, and get them out into the world in the kind of usable state that I intended to enable. (And along the way I sometimes felt like I was doing the same for <a href="http://dirtsimple.org/programming/"><span class="caps">PJE</span></a>.) Python web frameworks were a mess back then; ultimately <a href="https://www.djangoproject.com/">reaching for the crown</a> using a monolithic approach was a more successful technique than trying to build bridges as I attempted with Paste.  I’m still not sure what lesson to take from that.  Not a <em>general</em> lesson, but more understanding the landscape.  And understanding what you can bring to a problem, and who you can bring with.  I feel like I’m only now really understanding the importance of vision combined with a diverse group of skills and perspectives, and I have even more to learn about how to actually assemble and coordinate the right group of people in the right environment to succeed.</p>
<p>Somewhere around here I feel like I reached my 10,000 hours of Python coding.  I wrote <a href="http://webob.org/">WebOb</a>, taking the lessons of Paste and a better intuition for library design.  I still think it’s the best mapping of <span class="caps">HTTP</span> to Python.  Other libraries include more aspects of web development in their scope, or have better documentation, and more users, but when viewed with a particular lens I’m still very proud of WebOb. And it’s been an important building block in a lot of people’s explorations into <a href="http://docs.webob.org/en/latest/do-it-yourself.html">building a web framework</a>. Other libraries from this period are <a href="http://lxml.de/lxmlhtml.html">lxml.html</a>, smaller things like <a href="http://webtest.pythonpaste.org/">WebTest</a>, <a href="http://pythonpaste.org/scripttest/">ScriptTest</a>, <a href="https://pypi.python.org/pypi/MiniMock">MiniMock</a>, <a href="http://pythonpaste.org/tempita/">Tempita</a>, perhaps the over-ambition (or just mis-ambition) of <a href="http://www.coactivate.org/projects/deliverance/introduction">Deliverance</a>. That period felt like a clearing out of my system, unloading a bunch of ideas.</p>
<p>But for whatever reason my most successful tools were <a href="http://www.virtualenv.org/">virtualenv</a> and <a href="http://www.pip-installer.org/">pip</a>.  These were never my greatest passions, or even close.  They were about: (a) fixing personal annoyances in deployment (virtualenv), and (b) getting people to stop fucking whining about Setuptools and easy_install (pip).  I’m not sure whether I blame the uneasy success of these tools on broad appeal, or that they are in a sense user-visible tools and not libraries, or that I didn’t like doing them because no one liked doing them and so there was a vacuum waiting to be filled.</p>
<p>And then my last project, <a href="https://bitbucket.org/ianb/silverlining/src">Silver Lining</a>.  It was early on in the devops revolution, an attempt to think about what a generic container for web applications might look like.  It was in a sense going deeper down the hole of virtualenv and pip, but with an aim to build a full product and not just a set of eclectic tools.  No one cared. And I only cared a little — I cared because it was completing some ideas I’d long had about deployment, because for a certain kind of web application development it felt nimble and reliable, because it removed or automated tasks I didn’t like to do. But I didn’t <em>care</em>, no more than I cared about virtualenv or pip. I’d gone down a path that was about code and technical design, but if I stepped back it was unexciting.</p>
<p>And when I did step back there wasn’t anything in Python that excited me.  Python was doing great, my interest had nothing to jumping on or off bandwagons.  Python <em>is</em> doing great — better than ever (<a href="https://plus.google.com/+IanBicking/posts/iEVXdcfXkz7">minor bumps with versions aside</a>). But I think in my mind I’d always imagined I could build up just the right toolset, and using that toolset create the product I actually wanted to create — what exactly that product was, I don’t know, but with the right tools I imagined I could move fast enough and confidently enough to find it.</p>
<p>Sometimes when I’m feeling particularly excited about an idea, like <em>really</em> excited, I have to take a break.  I need to calm down.  Try to wrap my head around the ideas, because I know if I push forward directly that I’ll just muddle things up and feel disappointed.  No, I don’t <em>know</em> that is true: maybe I don’t want to have to confront, in that moment, that the idea is not as cool as I think it is, or as possible as I think it is.  But often I do step back into the problem, with ideas that are more mature for having thought more deeply about them. In a sense I think creating tools and libraries was a similar process: I felt too excited about creating something great, because I worried I’d muddle everything up, or afraid I just couldn’t pull it off, and so I stepped away and would work on tools.</p>
<p>I always directed my attention to the web, even if I got bogged down in the server.  Somehow I skipped native GUIs, even as a user.  But pure data processing without consideration for what you <em>do</em> with the data felt unexciting.  And ops — that’s just the worst. I was, and am, a true believer in Free Software; and I was, and am, a true believer in the web.  That is, I don’t see either as simply a means to an ends.  But not for the same reasons, and I can believe in a web that isn’t open source, and open source that isn’t for the web.  And yet writing it down I realize I don’t <em>care</em> about open source that isn’t for the web.</p>
<p>When I stepped back Python no longer seemed relevant to the web, at least not the part of the web that interested me.  The tools I had built were no longer relevant either, they were not the tools with which I could realize my ambitions.  The database-backed website, or the dynamic-<span class="caps">HTTP</span>-based web application, templates and deployments, anything you’d call “<span class="caps">REST</span>” — none of it seemed like the future, and whatever this vague thing was that I’d been looking for, I wasn’t going to find it there.</p>
<p>This wasn’t an actual revelation, I’m constructing it in retrospect. If you’d asked me I would have agreed with this notion even years earlier, and it’s not like I came up with some unique idea, if anything I would call it self-evident, don’t we all know this is where the world is going?  And so I started to look towards Javascript and the browser and the <span class="caps">DOM</span>.</p>
<p>Somewhat before this I also joined Mozilla.  But it would be backwards to say that Mozilla induced this change in perspective, that it tempted me away from Python.  In fact I would have had a much easier time of it if I had just stuck with doing Python backend stuff at Mozilla.</p>
<p>The last few years of transition have been a struggle.  With Python and the server I knew what I was doing.  I was good at it, I felt competent.  I could construct an opinion with confidence about all kinds of design questions.  I was respected and my opinion would be listened to.  I’d put in my 10,000 hours, I had achieved mastery.</p>
<p>Moving to Javascript none of this was true, and most of it <em>still</em> isn’t true.  It might be easier to pull off this change if I was doing web development, surrounded with people making similar transitions, a little fish in the little pond of whatever group I was working with. But Mozilla is not that kind of environment.  Which is okay — if I had felt confident it would only be because there was no one to correct me.</p>
<p>It’s oddly common to see people talk about how a programmer can pick up something new in the matter of a few days or months.  To find programmers that consider all that knowledge transferable (<a href="https://news.ycombinator.com/item?id=7204515">for instance</a>).  I don’t know what to make of it — my less forgiving self thinks these people have never known what real mastery is.  I don’t think it takes another 10,000 hours to get mastery in a new language and environment… but it definitely takes some thousands of hours, some years of hard work. I only now feel like I’m getting close.</p>
<p>Maybe it’s my perspective on what mastery is.  Deciding to do something and then doing it is good.  It is not mastery.  You have to pick the right problem to solve.  You have to pick the right way to solve it.  You need to know when to revise that plan, and understand the constraints that inform that revision.  You need both large scale and small scale intuitions.  And you need to be good enough at all the details of programming in that environment that you don’t get overwhelmed with the “easy” stuff, so you have mental energy to spare on the big stuff.  The jump from Python to Javascript isn’t <em>that</em> big, the languages have a very similar shape.  And the browser was already the environment focused on.  And yet redeveloping my intuition for this new environment has taken time.</p>
<p>Sadly I’m not going to get back where I was, because Javascript is not Python.  If there’s a Javascript community I haven’t found it, or it’s at least not a single entity.  There is no community that created Javascript like the Python community created Python.  Python comes from the internet in a way Javascript does not; Javascript was built <em>for</em> the internet, but Python was built <em>on</em> the internet.  And I do miss the Python community, you’re good people.</p>
<p>But also whatever language partisanship I had is gone, and won’t come back in the guise of a new favorite language.  This shouldn’t be confused with a disinterest in language.  I still get as annoyed as ever by “use the right tool for the job” — the bland truism meant to shut down critical discussion and engagement with the tasks and choices in software engineering, replacing it with a weak passionless technical fatalism.</p>
<p>I suppose it is the platform that I am drawn to now before language. And the browser seems like the most interesting platform, not because it’s novel (though it is, it’s a runtime like few others), but because of how concrete it is, and of course how relevant it is to… anything.  And the browser is no longer just the servant of a server, I prefer now to think of the browser as an independent agent, connecting to <em>services</em> instead of <em>servers</em>.  Obviously that doesn’t describe a great number of running web sites, but it’s the model I see for the future, and a better perspective for understanding future architectures.</p>
<p>Still this only addresses which direction I’m looking towards, I still have to walk the path.  I don’t want to get caught up in the weeds again, building tools for something I never manage to make.  Right now I think I’m on to something in the area of collaboration, first with <a href="https://togetherjs.com/">TogetherJS</a> and now I’m thinking bigger with a <a href="http://github.com/mozilla/hotdish">new experiment</a>.  But while I feel like I’ve reached some competence in executing on these projects, programming is only one piece of bringing forward a larger vision.  I still have a lot of learning to do, skills for which I haven’t put in the necessary time.  How to recruit support, how to manage the project, how to negotiate between feasibility and user value, how to negotiate compromises in strategy and design.  And collaboration itself is a whole domain of expertise.  I’ve learned a lot, I can <em>do</em> things, but I am definitely not yet experienced enough to <em>choose to do the right thing</em> in these areas.  And at this moment I’m worried I won’t have the room to learn these things, it feels like time is running out just when I’m pulling stuff together.</p>
<p>Anyway, that’s where I am now.  No longer a language partisan, unclear of what community I am even participating in, I am less sure how to identify and self-identify myself.  How do I describe myself now? Even as I find my technical footing I am still adrift.  And so it’s hard to say goodbye.  So instead I’ll say, Pythonistas: until we meet again. Maybe I’ll meet some of you over here.</p>
