title: The Lost History of One of the World’s Strangest Science Experiments
url: https://www.nytimes.com/2019/03/29/sunday-review/biosphere-2-climate-change.html
hash_url: 6c734792866219036818636e2af93e65

<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">Before dawn on April 4, 1994, Abigail Alling and Mark Van Thillo slipped across the foothills of Arizona’s Santa Catalina Mountains. They made their way to a looming monument of geodesic domes and pyramids known as Biosphere 2. The three-acre complex contained a miniature rain forest, a mangrove, a desert and a coral reef — along with seven people who had been sealed inside for a month. </p><p class="css-1ygdjhk evys1bk0">Ms. Alling and Mr. Van Thillo had recently emerged from a two-year stay in Biosphere 2. Later, after they were arrested, they told reporters that they feared for the safety of the people inside. They were determined to <a class="css-1g7m0tk" href="https://nyti.ms/29j2eG5" title="" rel="noopener noreferrer" target="_blank">bring the mission to an end</a>.</p><p class="css-1ygdjhk evys1bk0">They pulled open five of Biosphere 2’s doors and broke their seals. As outdoor air rushed in, they made their way to the ventilation system, where they smashed some glass panels.</p><p class="css-1ygdjhk evys1bk0">That break-in effectively marked the end of one of the strangest experiments in the history of science. No one had ever built a sealed ecological world as big as Biosphere 2, and no one had ever survived so long inside one. The project would later be dismissed as a folly and a waste of effort. And yet, 25 years on, it’s an experiment worth rediscovering. Biosphere 2 might have some lessons to offer about managing Biosphere 1 — our planet.</p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">The idea for Biosphere 2 emerged on a New Mexico ranch in the early 1970s. The residents of Synergia Ranch — who split their time between experimental theater, farming and furniture-making  — saw themselves as picking up the pieces from the wreckage of civilization. “<a class="css-1g7m0tk" href="https://www.washingtonpost.com/archive/lifestyle/1992/01/08/biosphere-2-bogus-new-world/f2de366a-ed63-42a0-ae39-0393db18ea46/?utm_term=.5f1efce4d751" title="" rel="noopener noreferrer" target="_blank">Western civilization isn’t simply dying</a>,” the co-founder, John Allen, once said. “It’s dead. We are probing into its ruins to take whatever is useful for the building of the new civilization to replace it.”</p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">They began dreaming of merging ecology and technology into a new form. They gained the support of Ed Bass, the scion of a wealthy Texas family who became chairman of a company called Space Biospheres Ventures. In 1984, the company announced it was going to build an airtight structure inside of which ecosystems would thrive, supplying a group of people with air to breathe, water to drink and food to eat.</p><p class="css-1ygdjhk evys1bk0">As Biosphere 2 took shape in the desert, it racked up headlines (“<a class="css-1g7m0tk" href="https://www.nytimes.com/1986/05/27/science/ultimate-survival-desert-dreamers-build-a-man-made-world.html?module=inline" title="">Desert Dreamers Build a Man-Made World</a>” reported this newspaper). In an interview with Discover magazine, Carl Hodges, a University of Arizona scientist, predicted it might turn out to be “the most significant scientific project of all time.” The ABC News program “Prime Time Live”<em class="css-2fg4z9 e1gzwzxm0"> </em>suggested that it might “save the world.”</p><p class="css-1ygdjhk evys1bk0">The project, as fanciful as it sounded, had deep roots. Scientists coined the word “biosphere” in the 1800s, and in 1926, the Russian scientist Vladimir Vernadsky published a book dedicated to the concept. To Vernadsky, the biosphere was the self-sustaining ecological web of life that formed a skin on the planet.</p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">Biosphere 2 would be a gigantic leap beyond those creations. Its plans called for 3,800 species of plants and animals, including hummingbirds and lemur-like primates called bush babies. Wastewater would get purified as it was pumped through soil, where microbes would remove contaminants.</p><p class="css-1ygdjhk evys1bk0">The idea of building a world — one free of pollution and other woes of the late-20th-century Earth — proved irresistible. The night before the mission began, Space Biospheres Ventures hosted a <a class="css-1g7m0tk" href="https://www.newsweek.com/biosphere-ii-science-or-showmanship-204676" title="" rel="noopener noreferrer" target="_blank">dance party</a> for 2,000 people, including Woody Harrelson and Timothy Leary. On the morning of Sept. 26, 1991, eight Biospherians, Ms. Alling and Mr. Van Thillo among them, paraded in front of the press wearing blue jumpsuits that looked like surplus costumes from “Star Trek VI<em class="css-2fg4z9 e1gzwzxm0">.” </em>After the airlock was shut, they waved to the cameras from behind the glass.</p><p class="css-1ygdjhk evys1bk0">It was a smart media strategy for a company planning on making money on their science. Tourists were coming by the thousands to walk the perimeter of Biosphere 2. The inventions that went into its creations could lead to lucrative patents for water purifiers and data management systems. Mr. Allen and his team envisioned biospheres built to order. By 1995, they hoped to put one in orbit, and perhaps eventually build biospheres on the moon and Mars.</p><p class="css-1ygdjhk evys1bk0">Back on Earth, however, the news coming out of Biosphere 2 was decidedly less cosmic. Two weeks into the mission, a Biospherian named Jane Poynter sliced off the tip of her finger in a rice-threshing machine. The mission’s doctor, Roy Walford, reattached it, but he later decided she needed to go to a hospital for more surgery.</p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">A few hours later, Ms. Poynter went back inside. She brought with her a duffel bag supplied by Biosphere 2’s management, packed with supplies such as computer parts and color film. Reporters would learn of that surreptitious delivery only months later.</p><p class="css-1ygdjhk evys1bk0">Eventually they’d learn that staff members made <a class="css-1g7m0tk" href="https://www.newspapers.com/image/166157421/" title="" rel="noopener noreferrer" target="_blank">many more deliveries</a> to Biosphere 2, provisioning it with seeds, vitamins, mouse traps and other supplies twice a month. An ex-employee revealed that engineers had installed a carbon dioxide scrubber so that Biosphere 2’s atmosphere could be artificially managed.</p><p class="css-1ygdjhk evys1bk0">It soon became clear that raising food in Biosphere 2 was a major challenge. The weather was cloudy for the first few months of the mission, stunting the growth of crops. The Biospherians had to break into a <a class="css-1g7m0tk" href="https://www.newspapers.com/image/168173100/" title="" rel="noopener noreferrer" target="_blank">three-month supply of food</a> that had been secretly stored away before the doors had closed.</p><p class="css-1ygdjhk evys1bk0">Then Biosphere 2 <a class="css-1g7m0tk" href="https://www.nytimes.com/1993/01/05/science/the-environment-oxygen-loss-causing-concern-in-biosphere-2.html?module=inline" title="">began to lose oxygen</a> because the soil had spawned an explosion of oxygen-gulping bacteria. The crew felt as if they were living at 14,000 feet. A truckload of liquid oxygen finally saved them; as soon as the gas began spraying into Biosphere 2, they began racing around in joy.</p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">Meanwhile, the ecosystem was in flux. The hummingbirds and honeybees died, leaving the crops unpollinated. Nematode worms and broad mites attacked the crops. Cockroaches reigned.</p><p class="css-1ygdjhk evys1bk0">Ten months into the mission, the project’s advisory board of experts delivered a blistering report criticizing its ill-defined goals and the crew’s lack of scientific expertise. Things got so fractious that the board quit en masse.</p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0"><a class="css-1g7m0tk" href="https://www.newyorker.com/magazine/2017/05/01/how-hollywood-remembers-steve-bannon" title="" rel="noopener noreferrer" target="_blank">And then Steve Bannon showed up</a>.</p><p class="css-1ygdjhk evys1bk0">In 1993, Mr. Bannon was a long way from becoming a nationalist celebrity or presidential adviser. At the time he was a Beverly Hills-based investment banker specializing in takeovers. Mr. Bass tapped Mr. Bannon to overhaul Space Biosphere Ventures, which was hemorrhaging money. According to Mr. Bannon, Biosphere 2 would run a deficit of $16 million to $20 million in 1993 alone.</p><p class="css-1ygdjhk evys1bk0">By the time the first Biosphere 2 crew emerged, Mr. Bannon had decided Mr. Allen and the rest of the leadership would have to go. They were fired in April 1994, shortly after the second mission had begun. That purge is what spurred Ms. Alling and Mr. Van Thillo to break into Biosphere 2.</p><p class="css-1ygdjhk evys1bk0">After they were arrested, Ms. Alling tearfully told the press that they had been worried for the safety of the new crew. If Biosphere 2’s atmosphere wasn’t properly tended, she implied, they might die. Ms. Alling cited the explosion of the space shuttle Challenger, caused by negligent management. “I take this extremely serious,” she said.</p><p class="css-1ygdjhk evys1bk0">There was an outbreak of lawsuits, followed by many quiet settlements. The second team of Biospherians tried to continue the mission, but it was cut short five months later. Mr. Bannon brokered a deal with Columbia University to take over the running of Biosphere 2.</p><p class="css-1ygdjhk evys1bk0">The dreams of biospheres on Mars vanished. Humans would no longer be bottled up to see if they could survive. Instead, scientists set up experiments to address narrower, more focused questions, such as how coral reefs are affected by high levels of carbon dioxide. Columbia ran Biosphere 2 until 2003, and eventually the University of Arizona took over. In 2011, Mr. Bass officially donated Biosphere 2 to the university, along with $20 million to support its research. Biosphere 2 still stands today, and science is still going on inside its walls. But there are no more bush babies or people in jumpsuits.</p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">Many scientists looked back at the original Biosphere 2 as a colossal failure. “In short, the Biosphere 2 experiment failed to generate sufficient breathable air, drinkable water and adequate food for just eight humans, despite an expenditure of $200 million,” the ecologist <a class="css-1g7m0tk" href="http://dx.doi.org/10.1016/B978-0-12-417199-2.00002-1" title="" rel="noopener noreferrer" target="_blank">Rebecca Stewart and her colleagues</a> declared. </p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">The scientists <a class="css-1g7m0tk" href="http://science.sciencemag.org/content/274/5290/1150" title="" rel="noopener noreferrer" target="_blank">Joel Cohen and David Tilman wrote</a>, “No one yet knows how to engineer systems that provide humans with the life-supporting services that natural ecosystems produce for free.” </p><p class="css-1ygdjhk evys1bk0">But it would be a mistake to dismiss Biosphere 2 out of hand. For two years, eight people grew papayas, beets, bananas, rice and a host of other crops in there. Except for a sliced finger, their health remained good. The water they drank didn’t poison them. Some species went extinct, but the ecosystems endured. Biosphere 2 did not turn to slime.</p><p class="css-1ygdjhk evys1bk0">As a piece of scientific research, Biosphere 2 had its problems. Countless things were happening all at once inside its walls, making it hard to pinpoint causes and effects. And without any other biospheres to compare it to, there was no way to distinguish random flukes from significant patterns. The University of Arizona scientist Bob Fry summed it up well in a newspaper interview: “It’s an experiment, but only in the sense that life is an experiment.”</p><p class="css-1ygdjhk evys1bk0">It’s true that there was only one Biosphere 2, but, then again, there is also only one Earth. And yet scientists have managed to learn a lot by carefully observing our single planet. “Descriptive work underlies nearly everything we know about global change ecology,” the ecologist William Schlesinger recently wrote <a class="css-1g7m0tk" href="https://academic.oup.com/bioscience/article/68/9/722/5055575?searchresult=1" title="" rel="noopener noreferrer" target="_blank">in the journal Bioscience</a>. The history of what happened in Biosphere 2, he concluded, “is too valuable to lose.”</p><p class="css-1ygdjhk evys1bk0">And yet much of that history seems to be lost already. Thousands of sensors were installed throughout Biosphere 2 to harvest data, but in his recent book, “<a class="css-1g7m0tk" href="https://books.google.com/books?id=AJtIDwAAQBAJ&amp;lpg=PA247&amp;ots=XLKVa40AW_&amp;dq=%E2%80%9CIt%E2%80%99s%20shameful%20to%20simply%20accept%20that%20these%20important%20data%20are%20gone%2C%E2%80%9D%20nelson&amp;pg=PA247#v=onepage&amp;q=%E2%80%9CIt%E2%80%99s%20shameful%20to%20simply%20accept%20that%20these%20important%20data%20are%20gone,%E2%80%9D%20nelson&amp;f=false" title="" rel="noopener noreferrer" target="_blank">Pushing Our Limits</a>,” the Biospherian Mark Nelson says that only a small fraction of that data have been analyzed and published. When Dr. Nelson asked the University of Arizona about the rest, he was told the university didn’t have it. “It’s shameful to simply accept that these important data are gone,” he wrote.</p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">When asked about Dr. Nelson’s assertion, John Adams, the current deputy director of Biosphere 2, replied that “the University of Arizona was not transferred any historical data archives.” Have they vanished, like one of Aristotle’s lost books?</p></div></div>
<div class="css-1fanzo5 StoryBodyCompanionColumn"><div class="css-53u6y8"><p class="css-1ygdjhk evys1bk0">In the 25 years since Ms. Alling and Mr. Van Thillo broke into Biosphere 2, our species has profoundly altered Biosphere 1. In 1994, the concentration of carbon dioxide in the atmosphere was 358 parts per million. Now it’s over 410 — a level not seen for at least the last three million years.</p><p class="css-1ygdjhk evys1bk0">Scientists understand some of the effects of such a jolt. The planet is getting hotter, for one thing. But carbon dioxide can have many other effects, such as making the ocean more acidic, and there could be more changes coming that we can’t begin to comprehend. Perhaps, in the records of an extravagant experiment in Arizona, there are clues waiting for us to find.</p>
</div></div>
