title: How I Wrote Shape Up
url: https://m.signalvnoise.com/how-i-wrote-shape-up/
hash_url: abe0ca32c7acf832dc82217e53739fb6

<p>Here’s a little behind-the-scenes look at the development of our newest book, <a href="http://basecamp.com/shapeup">Shape Up: Stop Running in Circles and Ship Work that Matters</a>.</p>



<p>In August 2018, Jason Fried (Basecamp’s founder and CEO) asked me to write a book about how we work. “Sure thing!” I said — having no clue how to go about it or what it would entail.</p>



<p>I didn’t know how to write a book. But I did know how to give a workshop. So I put a call out on Twitter.</p>







<p>The workshop was a prototyping device. It was going to do three things:</p>



<ol><li>Force me to come up with a full day’s worth of content that could eventually become a book.</li><li>Get instant feedback from an audience to learn what’s interesting, what resonates and what doesn’t.</li><li>Put something out into the world that people could buy, so I could interview them afterward using the jobs-to-be-done approach.</li></ol>



<p>I priced the workshop at $1,000 a seat and made people fill out a lengthy application before letting them buy a ticket. The application asked them to tell stories about problems they experienced with product development. Using their answers, I could screen out anyone who was merely curious or a fan but wasn’t really struggling. This created the best possible audience for getting feedback: hungry and motivated with skin in the game.</p>



<p>After the workshop, I emailed every attendee and asked if I could interview them by phone. The interview wasn’t about the workshop—it was about what was going on in their company when they decided to apply. I had a lot to say about product development, but I didn’t know which specific things actually <em>mattered</em> to people. I didn’t know what they were struggling with. The interviews gave me a way to learn what was going wrong in their teams, how they made the decision to attend the workshop, and what they hoped to get out of it.</p>



<p>I did a quick jobs-to-be-done analysis on the interviews and pulled out four jobs they were hiring the workshop to do. Since I considered the workshop a proxy for the book, I could use these jobs to define the key requirements.</p>



<figure class="wp-block-image"><img data-attachment-id="11854" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dycdkx1ucaawhfb-3/" data-orig-file="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?fit=2048%2C1431&amp;ssl=1" data-orig-size="2048,1431" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="DycDkX1UcAAWhFB-3" data-image-description="" data-medium-file="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?fit=600%2C419&amp;ssl=1" data-large-file="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?fit=640%2C447&amp;ssl=1" src="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?fit=640%2C447&amp;ssl=1" alt="" class="wp-image-11854 jetpack-lazy-image" data-lazy-srcset="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?w=2048&amp;ssl=1 2048w, https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?resize=600%2C419&amp;ssl=1 600w, https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?resize=768%2C537&amp;ssl=1 768w, https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?w=1280&amp;ssl=1 1280w, https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?w=1920&amp;ssl=1 1920w" data-lazy-sizes="(max-width: 640px) 100vw, 640px" data-lazy-src="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?fit=640%2C447&amp;ssl=1&amp;is-pending-load=1" srcset="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"/><noscript><img data-attachment-id="11854" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dycdkx1ucaawhfb-3/" data-orig-file="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?fit=2048%2C1431&amp;ssl=1" data-orig-size="2048,1431" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="DycDkX1UcAAWhFB-3" data-image-description="" data-medium-file="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?fit=600%2C419&amp;ssl=1" data-large-file="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?fit=640%2C447&amp;ssl=1" src="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?fit=640%2C447&amp;ssl=1" alt="" class="wp-image-11854" srcset="https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?w=2048&amp;ssl=1 2048w, https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?resize=600%2C419&amp;ssl=1 600w, https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?resize=768%2C537&amp;ssl=1 768w, https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?w=1280&amp;ssl=1 1280w, https://i0.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX1UcAAWhFB-3.jpeg?w=1920&amp;ssl=1 1920w" sizes="(max-width: 640px) 100vw, 640px"/></noscript><figcaption>Job 1</figcaption></figure>



<figure class="wp-block-image"><img data-attachment-id="11855" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dycdkx4uwaeqvbc-3/" data-orig-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?fit=2048%2C1431&amp;ssl=1" data-orig-size="2048,1431" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="DycDkX4UwAEQvbC-3" data-image-description="" data-medium-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?fit=600%2C419&amp;ssl=1" data-large-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?fit=640%2C447&amp;ssl=1" src="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?fit=640%2C447&amp;ssl=1" alt="" class="wp-image-11855 jetpack-lazy-image" data-lazy-srcset="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?w=2048&amp;ssl=1 2048w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?resize=600%2C419&amp;ssl=1 600w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?resize=768%2C537&amp;ssl=1 768w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?w=1280&amp;ssl=1 1280w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?w=1920&amp;ssl=1 1920w" data-lazy-sizes="(max-width: 640px) 100vw, 640px" data-lazy-src="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?fit=640%2C447&amp;ssl=1&amp;is-pending-load=1" srcset="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"/><noscript><img data-attachment-id="11855" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dycdkx4uwaeqvbc-3/" data-orig-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?fit=2048%2C1431&amp;ssl=1" data-orig-size="2048,1431" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="DycDkX4UwAEQvbC-3" data-image-description="" data-medium-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?fit=600%2C419&amp;ssl=1" data-large-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?fit=640%2C447&amp;ssl=1" src="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?fit=640%2C447&amp;ssl=1" alt="" class="wp-image-11855" srcset="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?w=2048&amp;ssl=1 2048w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?resize=600%2C419&amp;ssl=1 600w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?resize=768%2C537&amp;ssl=1 768w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?w=1280&amp;ssl=1 1280w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX4UwAEQvbC-3.jpeg?w=1920&amp;ssl=1 1920w" sizes="(max-width: 640px) 100vw, 640px"/></noscript><figcaption>Job 2</figcaption></figure>



<figure class="wp-block-image"><img data-attachment-id="11856" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dycdkydv4aayr6w-2/" data-orig-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?fit=2048%2C1431&amp;ssl=1" data-orig-size="2048,1431" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="DycDkYDV4AAyr6W-2" data-image-description="" data-medium-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?fit=600%2C419&amp;ssl=1" data-large-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?fit=640%2C447&amp;ssl=1" src="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?fit=640%2C447&amp;ssl=1" alt="" class="wp-image-11856 jetpack-lazy-image" data-lazy-srcset="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?w=2048&amp;ssl=1 2048w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?resize=600%2C419&amp;ssl=1 600w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?resize=768%2C537&amp;ssl=1 768w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?w=1280&amp;ssl=1 1280w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?w=1920&amp;ssl=1 1920w" data-lazy-sizes="(max-width: 640px) 100vw, 640px" data-lazy-src="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?fit=640%2C447&amp;ssl=1&amp;is-pending-load=1" srcset="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"/><noscript><img data-attachment-id="11856" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dycdkydv4aayr6w-2/" data-orig-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?fit=2048%2C1431&amp;ssl=1" data-orig-size="2048,1431" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="DycDkYDV4AAyr6W-2" data-image-description="" data-medium-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?fit=600%2C419&amp;ssl=1" data-large-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?fit=640%2C447&amp;ssl=1" src="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?fit=640%2C447&amp;ssl=1" alt="" class="wp-image-11856" srcset="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?w=2048&amp;ssl=1 2048w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?resize=600%2C419&amp;ssl=1 600w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?resize=768%2C537&amp;ssl=1 768w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?w=1280&amp;ssl=1 1280w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkYDV4AAyr6W-2.jpeg?w=1920&amp;ssl=1 1920w" sizes="(max-width: 640px) 100vw, 640px"/></noscript><figcaption>Job 3</figcaption></figure>



<figure class="wp-block-image"><img data-attachment-id="11857" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dycdkx8vaaalrgq-2/" data-orig-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?fit=2048%2C1431&amp;ssl=1" data-orig-size="2048,1431" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="DycDkX8VAAAlrGq-2" data-image-description="" data-medium-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?fit=600%2C419&amp;ssl=1" data-large-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?fit=640%2C447&amp;ssl=1" src="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?fit=640%2C447&amp;ssl=1" alt="" class="wp-image-11857 jetpack-lazy-image" data-lazy-srcset="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?w=2048&amp;ssl=1 2048w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?resize=600%2C419&amp;ssl=1 600w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?resize=768%2C537&amp;ssl=1 768w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?w=1280&amp;ssl=1 1280w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?w=1920&amp;ssl=1 1920w" data-lazy-sizes="(max-width: 640px) 100vw, 640px" data-lazy-src="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?fit=640%2C447&amp;ssl=1&amp;is-pending-load=1" srcset="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"/><noscript><img data-attachment-id="11857" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dycdkx8vaaalrgq-2/" data-orig-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?fit=2048%2C1431&amp;ssl=1" data-orig-size="2048,1431" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="DycDkX8VAAAlrGq-2" data-image-description="" data-medium-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?fit=600%2C419&amp;ssl=1" data-large-file="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?fit=640%2C447&amp;ssl=1" src="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?fit=640%2C447&amp;ssl=1" alt="" class="wp-image-11857" srcset="https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?w=2048&amp;ssl=1 2048w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?resize=600%2C419&amp;ssl=1 600w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?resize=768%2C537&amp;ssl=1 768w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?w=1280&amp;ssl=1 1280w, https://i1.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/DycDkX8VAAAlrGq-2.jpeg?w=1920&amp;ssl=1 1920w" sizes="(max-width: 640px) 100vw, 640px"/></noscript><figcaption>Job 4</figcaption></figure>



<p>Armed with a better understanding of the demand, I could flip to the supply side. How do I explain what we do? How should I structure the way we work into some kind of outline?</p>



<p>To do that, I used a technique I learned from Bob Moesta that he learned from Genichi Taguchi. The principle goes like this: to learn how an engine works, follow a drop of gasoline over time— from pouring it into the fuel tank and onward. For us, that meant trace the path of a project. Before it was a project, it was… what? An idea? A debate? A conversation?</p>



<p>With this point of view, we used a system mapping technique to spell out how a “drop” of work moved from one phase to another when we developed product at Basecamp.</p>



<figure class="wp-block-image alignwide"><a href="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?ssl=1"><img data-attachment-id="11872" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/book-systems/" data-orig-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?fit=5257%2C1749&amp;ssl=1" data-orig-size="5257,1749" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="Book-systems" data-image-description="" data-medium-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?fit=600%2C200&amp;ssl=1" data-large-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?fit=640%2C213&amp;ssl=1" src="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?resize=640%2C213&amp;ssl=1" alt="" class="wp-image-11872 jetpack-lazy-image" data-recalc-dims="1" data-lazy-srcset="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?resize=1800%2C599&amp;ssl=1 1800w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?resize=600%2C200&amp;ssl=1 600w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?resize=768%2C256&amp;ssl=1 768w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?w=1280&amp;ssl=1 1280w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?w=1920&amp;ssl=1 1920w" data-lazy-sizes="(max-width: 640px) 100vw, 640px" data-lazy-src="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?resize=640%2C213&amp;is-pending-load=1#038;ssl=1" srcset="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"/><noscript><img data-attachment-id="11872" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/book-systems/" data-orig-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?fit=5257%2C1749&amp;ssl=1" data-orig-size="5257,1749" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="Book-systems" data-image-description="" data-medium-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?fit=600%2C200&amp;ssl=1" data-large-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?fit=640%2C213&amp;ssl=1" src="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?resize=640%2C213&amp;ssl=1" alt="" class="wp-image-11872" srcset="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?resize=1800%2C599&amp;ssl=1 1800w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?resize=600%2C200&amp;ssl=1 600w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?resize=768%2C256&amp;ssl=1 768w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?w=1280&amp;ssl=1 1280w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Book-systems.png?w=1920&amp;ssl=1 1920w" sizes="(max-width: 640px) 100vw, 640px" data-recalc-dims="1"/></noscript></a><figcaption>Following a “drop” of work through a series of systems</figcaption></figure>



<p>That gave me the three-part structure for the book and the outline for all the chapters in the first draft. Part Three turned out to be tricky because there is a lot of looping. To arrive at the final structure for part three, I interviewed a couple people at Basecamp about situations when they reached for the techniques. That revealed struggling moments (“I hate asking for status…”, “I don’t have any progress to show…”) that I could use for the macro structure of Part Three.</p>



<p>The last major trick was the cartoons. Jobs have functional, social, and emotional components. The system map was intensely functional—all about how to get from this step to that step. The cartoons were a way to set the emotional and social context for each step. They also helped me focus by framing each chapter not just as a “step” but as a situation: who’s there, how do they feel, and why are they motivated to do this?</p>



<figure class="wp-block-image"><img data-attachment-id="11863" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dz5avklvyaawk2d-2/" data-orig-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?fit=1668%2C1527&amp;ssl=1" data-orig-size="1668,1527" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="Dz5aVKLVYAAWK2D-2" data-image-description="" data-medium-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?fit=600%2C549&amp;ssl=1" data-large-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?fit=640%2C586&amp;ssl=1" src="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?w=640&amp;ssl=1" alt="" class="wp-image-11863 jetpack-lazy-image" data-recalc-dims="1" data-lazy-srcset="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?w=1668&amp;ssl=1 1668w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?resize=600%2C549&amp;ssl=1 600w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?resize=768%2C703&amp;ssl=1 768w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?w=1280&amp;ssl=1 1280w" data-lazy-sizes="(max-width: 640px) 100vw, 640px" data-lazy-src="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?w=640&amp;is-pending-load=1#038;ssl=1" srcset="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"/><noscript><img data-attachment-id="11863" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/dz5avklvyaawk2d-2/" data-orig-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?fit=1668%2C1527&amp;ssl=1" data-orig-size="1668,1527" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;0&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;0&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;0&quot;,&quot;iso&quot;:&quot;0&quot;,&quot;shutter_speed&quot;:&quot;0&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="Dz5aVKLVYAAWK2D-2" data-image-description="" data-medium-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?fit=600%2C549&amp;ssl=1" data-large-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?fit=640%2C586&amp;ssl=1" src="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?w=640&amp;ssl=1" alt="" class="wp-image-11863" srcset="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?w=1668&amp;ssl=1 1668w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?resize=600%2C549&amp;ssl=1 600w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?resize=768%2C703&amp;ssl=1 768w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/Dz5aVKLVYAAWK2D-2.jpeg?w=1280&amp;ssl=1 1280w" sizes="(max-width: 640px) 100vw, 640px" data-recalc-dims="1"/></noscript><figcaption>Setting the social and emotional tone for a chapter<br/></figcaption></figure>







<p>I wrote the first draft and drew the first sketches in dark mode on my iPad Pro. It helped me get out of the intimidating feeling of staring at a blank white page. I used Bear for the first drafts and drew the sketches in Notability. When I was purely writing, I’d use the Smart Keyboard. For times when I was alternating between sketching and writing, I folded back the keyboard and used a Logitech Keys-To-Go beside the iPad. </p>



<figure class="wp-block-image"><img data-attachment-id="11864" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/img_4799/" data-orig-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?fit=3891%2C2374&amp;ssl=1" data-orig-size="3891,2374" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;2.2&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;iPhone 6s&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;1550759602&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;4.15&quot;,&quot;iso&quot;:&quot;200&quot;,&quot;shutter_speed&quot;:&quot;0.033333333333333&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="IMG_4799" data-image-description="" data-medium-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?fit=600%2C366&amp;ssl=1" data-large-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?fit=640%2C390&amp;ssl=1" src="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?fit=640%2C390&amp;ssl=1" alt="" class="wp-image-11864 jetpack-lazy-image" data-lazy-srcset="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?w=3891&amp;ssl=1 3891w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?resize=600%2C366&amp;ssl=1 600w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?resize=768%2C469&amp;ssl=1 768w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?w=1280&amp;ssl=1 1280w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?w=1920&amp;ssl=1 1920w" data-lazy-sizes="(max-width: 640px) 100vw, 640px" data-lazy-src="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?fit=640%2C390&amp;ssl=1&amp;is-pending-load=1" srcset="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"/><noscript><img data-attachment-id="11864" data-permalink="https://m.signalvnoise.com/how-i-wrote-shape-up/img_4799/" data-orig-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?fit=3891%2C2374&amp;ssl=1" data-orig-size="3891,2374" data-comments-opened="0" data-image-meta="{&quot;aperture&quot;:&quot;2.2&quot;,&quot;credit&quot;:&quot;&quot;,&quot;camera&quot;:&quot;iPhone 6s&quot;,&quot;caption&quot;:&quot;&quot;,&quot;created_timestamp&quot;:&quot;1550759602&quot;,&quot;copyright&quot;:&quot;&quot;,&quot;focal_length&quot;:&quot;4.15&quot;,&quot;iso&quot;:&quot;200&quot;,&quot;shutter_speed&quot;:&quot;0.033333333333333&quot;,&quot;title&quot;:&quot;&quot;,&quot;orientation&quot;:&quot;0&quot;}" data-image-title="IMG_4799" data-image-description="" data-medium-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?fit=600%2C366&amp;ssl=1" data-large-file="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?fit=640%2C390&amp;ssl=1" src="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?fit=640%2C390&amp;ssl=1" alt="" class="wp-image-11864" srcset="https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?w=3891&amp;ssl=1 3891w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?resize=600%2C366&amp;ssl=1 600w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?resize=768%2C469&amp;ssl=1 768w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?w=1280&amp;ssl=1 1280w, https://i2.wp.com/m.signalvnoise.com/wp-content/uploads/2019/08/IMG_4799.jpeg?w=1920&amp;ssl=1 1920w" sizes="(max-width: 640px) 100vw, 640px"/></noscript><figcaption>Writing and sketching at the same time in split window mode on the iPad</figcaption></figure>



<p>One thing took a lot of pressure off: Jason’s idea to launch Shape Up as a web book. Releasing it online meant a wide audience, a better chance for the ideas to spread, and — most importantly for me—the ability to make changes after the fact. The book had only the lightest editing when we launched it. Thanks to many tweets and emails from readers, the book was typo free within a couple days of launch.</p>



<p><a href="http://basecamp.com/shapeup">Shape Up</a> is available to read free online (we don’t even ask for your email address). Just today we released a <a href="https://basecamp.com/shapeup/shape-up.pdf">downloadable PDF version</a>.</p>



<p>The feedback so far has been amazing. Thanks everyone for reading and sharing the book.</p>
