title: On being overwhelmed with our fast paced industry
url: http://wesbos.com/overwhelmed-with-web-development/
hash_url: ca285c1cc2c85ff9114ee1fb9c8b181b

<p>Web tooling is changing at an extremely rapid pace right now and there is a sense of exhaustion, being overwhelmed and anxiety of becoming out of date. “Why is this stuff moving so fast?” cry the developers.</p> <p><img src="//wesbos.com/wp-content/uploads/2015/05/Artboard-1-650x356.png" alt="Artboard 1" width="640" height="351" class="aligncenter size-large wp-image-3503"/></p> <p>JavaScript <code>var</code> is <a href="https://twitter.com/wesbos/status/599310841331077120">dead</a>? We should use ES2015 <code>let</code> and <code>const</code> now?</p> <p>CSS is getting variables, nesting, scoping and custom selectors. Preprocessors like Sass and Stylus are dead, long live <a href="https://github.com/postcss/postcss">PostCSS</a>.</p> <p>Just learned Grunt? Oh you should use Gulp – wait no, Webpack.</p> <p>Still laying out your sites using floats like a sucker? Flexbox is here!</p> <p>Just built a project using protocol relative <code>//</code> – that’s <a href="http://www.paulirish.com/2010/the-protocol-relative-url/">an anti-pattern</a> now. Oh and jQuery <code>.hide()</code> is <a href="https://github.com/jquery/jquery.com/issues/88">bad for performance</a>, so cut that out.</p> <p>Finally dipping your toes in Angular? Oh, it’s totally <a href="http://www.intridea.com/blog/2015/3/24/angularjs-2-0-crazy-like-a-fox">changing in 2.0</a>. Wait, shouldn’t you be using React? Haven’t you heard of Aurelia or JSBlocks?</p> <p>Whenever a new framework, tool or technique comes out, I hear more groans than celebrations.</p> <blockquote><p> How are we supposed to get any work done when everything keeps changing? </p></blockquote> <h3>It’s going to keep changing</h3> <p>It’s human nature to resist change, and it’s kind of a hard pill to swallow for some. Working on the web means that things change really quickly. We’re never to to settle on a technology stack and hang it out – we will always see innovation, people pushing the envelope on both what is possible and the best way to get things done.</p> <blockquote class="twitter-tweet" lang="en"><p lang="en" dir="ltr">. <a href="https://twitter.com/wesbos">@wesbos</a> the web is just one big Agile process. There is no big reveal. We just keep iterating.</p> <p>— Micah Godbolt (@micahgodbolt) <a href="https://twitter.com/micahgodbolt/status/603190108766937088">May 26, 2015</a></p></blockquote> <h3>It’s not really changing that fast</h3> <p>What you see on twitter, HackerNews and in your newsletters isn’t necessarily what everyone is using. Companies make multi-year investments in technology and will stick to their stack for quite some time. So as much as you think that everyone scraps their current setup for a shiny new framework every 6 months, it isn’t the case at all.</p> <p>Would you guess that Spotify is built with LESS? Or TweetDeck is highly reliant on jQuery. Yuck, right? No – those were the technologies that were evaluated at the time. There are better options now, but it’s not causing their app to crash or business to fail.</p> <h3>Wait it out and Evaluate</h3> <p>Am I going to drop my JavaScript framework for JSBlocks today? No way! Am I going to keep my ear to the ground and see how people like it? Absolutely. We have all been burned by picking up technologies when they are too early, and it’s important to watch out for that.</p> <p>At JSConf two years ago, I was there when Facebook introduced React.js and they got <strong>laughed off the stage</strong> because they thought the idea of markup in your JS was ridiculous. Now I’m starting to swap my beloved Angular.js out for React.js. I waited for the community as a whole to test and embrace it. It’s at a point now where enough people I trust are using it, not because it’s new and cool, but because it’s the right tool for the job.</p> <p>I sure am glad that facebook decided to put out React.js and push how we think about these frameworks. We had Angular and Backbone at the time, and many would have said we had enough frameworks.</p> <p>Same goes for PostCSS – it’s a pretty new idea to ditch your Sass for PostCSS and CSS Next. Should you do today? Probably not. Should you keep your ears open and see if momentum for transpiled CSS picks up? <strong>Yes yes yes.</strong></p> <h3>Just Build Websites</h3> <blockquote><p> Making stuff is how you get better, so just build websites. </p></blockquote> <p>In the wise words of Chris Coyier, <em><a href="http://justbuildwebsites.com/">just build websites</a></em>. Don’t get me wrong, what you use to build them is really, really important, but it’s even more important to actually be continually building things and improving on your skill. That is how you get better, just <a href="https://vimeo.com/85040589">do a lot of work</a>.</p> <p>As you get better, these new frameworks and tools become way less daunting and the anxiety caused by things moving too fast will subside because you know that you can easily pick it up in a day or two.</p> <h3>So how?</h3> <p>So – to sum this up. Things are always going to change and that is fantastic news for our industry. You won’t become obsolete overnight if you keep your ear to the ground, honestly evaluate new technology and never stop building stuff. Here are a few tips:</p> <h4>Newsletters</h4> <p>Subscribe to weekly newsletters that give you a high level overview of what is new. <a href="https://cooperpress.com/">Peter Cooper</a> runs some of the best ones around. Take 5 minutes a week to read over the list – no need to click through to every link but keep tabs on what you keep hearing over and over. Chances are that if you hear about something every week, it’s starting to gain traction.</p> <h4>Side Projects</h4> <p>ABC – always be coding. If your work doesn’t allow you to try new things as frequently as you like, have a side project that you are invested in. You can use this to try out new tech you otherwise might not be able to.</p> <h4>One New thing</h4> <p>If you do regularly start new projects, make it a point to try one new thing in every project. It might just be trying Flexbox on a smaller part of a site, but you are making progress.</p> <h4>Self Improvement</h4> <p>There is a wealth of information out there and you should take advantage of it. Whether it’s taking a class at something like <a href="http://hackeryou.com">HackerYou</a>, watching some free tutorial videos (like <a href="http://CommandLinePowerUser.com">http://CommandLinePowerUser.com</a>), or reading a book from someone in the industry (hint: <a href="https://SublimeTextBook.com">https://SublimeTextBook.com</a>), you should make a point to dedicate a few hours every week to self-improvement. You picked this industry, so it’s your responsibility to keep up.</p> <h3>That’s it, That’s all</h3> <p>TLDR; Yes our industry moves quickly, but that is because it’s getting better and better. If you are always iterating on your skillset in small ways, you will be just fine – don’t worry <img src="//wesbos.com/wp-includes/images/smilies/simple-smile.png" alt=":)" class="wp-smiley"/></p> <p><a href="https://sublimetextbook.com/"><img src="//sublimetextbook.com/images/facebook-share2.png"/></a></p>
