title: How to Build a Low-tech Internet
url: http://www.lowtechmagazine.com/2015/10/how-to-build-a-low-tech-internet.html
hash_url: d629418c0d8fcf72c54e0a3c27d29ea6

<p>More than half of the global population does not have access to the "worldwide" web. Up to now, the internet is mainly an urban phenomenon, especially in "developing" countries. Telecommunication companies are usually reluctant to extend their network outside cities due to a combination of high infrastructure costs, low population density, limited ability to pay for services, and an unreliable or non-existent electricity infrastructure. Even in remote regions of "developed" countries, internet connectivity isn't always available.</p>
<p>Internet companies such as Facebook and Google regularly make headlines with plans for connecting these remote regions to the internet. Facebook tries to achieve this with drones, while Google counts on high-altitude balloons. There are major technological challenges, but the main objection to these plans is their commercial character. Obviously, Google and Facebook want to connect more people to the internet because that would increase their revenues. Facebook especially receives lots of criticism because their network promotes their own site in particular, and blocks most other internet applications. [<span>1</span>]</p>
<p>Meanwhile, several research groups and network enthusiasts have developed and implemented much cheaper alternative network technologies to solve these issues. Although these low-tech networks have proven their worth, they have received much less attention. Contrary to the projects of internet companies, they are set up by small organisations or by the users themselves. This guarantees an open network that benefits the users instead of a handful of corporations. At the same time, these low-tech networks are very energy efficient.</p>
<p><span><strong>WiFi-based Long Distance Networks</strong></span></p>
<p>Most low-tech networks are based on WiFi, the same technology that allows mobile access to the internet in most western households. As we have seen in the previous article, <a href="http://www.lowtechmagazine.com/2015/10/the-4g-network-thats-already-there.html" target="_self">sharing these devices could provide free mobile access across densely populated cities</a>. But the technology can be equally useful in sparsely populated areas. Although the WiFi-standard was developed for short-distance data communication (with a typical range of about 30 metres), its reach can be extended through modifications of the Media Access Control (MAC) layer in the networking protocol, and through the use of range extender amplifiers and directional antennas. [<span>2</span>]</p>
<blockquote>
<p><span>Although the WiFi-standard was developed for short-distance data communication, its reach can be extended to cover distances of more than 100 kilometres.</span></p>
</blockquote>
<p>The longest unamplified WiFi link is a 384 km wireless point-to-point connection between Pico El Águila and Platillón in Venezuela, established a few years ago. [<span>3,4</span>] However, WiFi-based long distance networks usually consist of a combination of shorter point-to-point links, each between a few kilometres and one hundred kilometers long at most. These are combined to create larger, multihop networks. Point-to-points links, which form the backbone of a long range WiFi network, are combined with omnidirectional antennas that distribute the signal to individual households (or public institutions) of a community.</p>
<p><a href="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d14fd748970c-pi"><img title="Tegola project low-tech internet" src="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d14fd748970c-500wi" alt="Tegola project low-tech internet"/></a><span>Picture: A relay with three point-to-point links and three sectoral antennae. <a href="http://www.tegola.org.uk/howto/network-planning.html" target="_blank">Tegola</a>.</span></p>
<p>Long-distance WiFi links require line of sight to make a connection -- in this sense, the technology resembles the <a href="http://www.lowtechmagazine.com/2007/12/email-in-the-18.html" target="_blank">18th century optical telegraph</a>. [<span>5</span>] If there's no line of sight between two points, a third relay is required that can see both points, and the signal is sent to the intermediate relay first. Depending on the terrain and particular obstacles, more hubs may be necessary. [<span>6</span>]</p>
<p>Point-to-point links typically consist of two directional antennas, one focused on the next node and the other on the previous node in the network. Nodes can have multiple antennas with one antenna per fixed point-to-point link to each neighbour. [<span>7</span>] This allows mesh routing protocols that can dynamically select which links to choose for routing among the available ones. [<span>8</span>]</p>
<blockquote>
<p><span>Long-distance WiFi links require line of sight to make a connection -- in this sense, the technology resembles the 18th century optical telegraph.</span></p>
</blockquote>
<p>Distribution nodes usually consist of a sectoral antenna (a small version of the things you see on mobile phone masts) or a conventional WiFi-router, together with a number of receivers in the community. [<span>6</span>] For short distance WiFi-communication, there is no requirement for line of sight between the transmitter and the receiver. [<span>9</span>]</p>
<p>To provide users with access to the worldwide internet, a long range WiFi network should be connected to the main backbone of the internet using at least one "backhaul" or "gateway node". This can be a dial-up or broadband connection (DSL, fibre or satellite). If such a link is not established, users would still be able to communicate with each other and view websites set up on local servers, but they would not be able to access the internet. [<span>10</span>]</p>
<p><span><strong>Advantages of Long Range WiFi</strong></span></p>
<p><a href="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d16a5210970c-pi"><img title="Litebeam M5" src="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d16a5210970c-200wi" alt="Litebeam M5"/></a>Long range WiFi offers high bandwidth (up to 54 Mbps) combined with very low capital costs. Because the WiFi standard enjoys widespread acceptance and has huge production volumes, off-the-shelf antennas and wireless cards can be bought for very little money. [<span>11</span>] Alternatively, components can be put together <a href="http://roelof.info/projects/%282014%29Pretty_Fly_For_A_Wifi/" target="_blank">from discarded materials</a> such as old routers, satellite dish antennas and laptops. Protocols like WiLDNet run on a 266 Mhz processor with only 128 MB memory, so an old computer will do the trick. [<span>7</span>]</p>
<p>The WiFi-nodes are lightweight and don't need expensive towers -- further decreasing capital costs, and minimizing the impact of the structures to be built. [<span>7</span>] More recently, single units that combine antenna, wireless card and processor have become available. These are very convenient for installation. To build a relay, one simply connects such units together with ethernet cables that carry both signal and power. [<span>6</span>] The units can be mounted in towers or slim masts, given that they offer little windload. [<span>3</span>] Examples of suppliers of long range WiFi components are <a href="https://www.ubnt.com/" target="_blank">Ubiquity</a>, <a href="http://www.alvarion.com/" target="_blank">Alvarion</a> and <a href="http://www.mikrotik.com/" target="_blank">MikroTik</a>, and <a href="https://www.simplewifi.com/" target="_blank">simpleWiFi</a>.</p>
<blockquote>
<p><span>Long Range WiFi makes use of unlicensed spectrum and offers high bandwidth, low capital costs, easy installation, and low power requirements.</span></p>
</blockquote>
<p>Long range WiFi also has low operational costs due to low power requirements. A typical mast installation consisting of two long distance links and one or two wireless cards for local distribution consumes around 30 watts. [<span>6,12</span>] In several low-tech networks, nodes are entirely powered by solar panels and batteries. Another important advantage of long range WiFi is that it makes use of unlicensed spectrum (2.4 and 5 GHz), and thus avoids negotiations with telecom operators and government. This adds to the cost advantage and allows basically anyone to start a WiFi-based long distance network. [<span>9</span>]</p>
<p><strong><span>Long Range WiFi Networks in Poor Countries</span></strong></p>
<p>The first long range WiFi networks were set up ten to fifteen years ago. In poor countries, two main types have been built. The first is aimed at providing internet access to people in remote villages. An example is the Akshaya network in India, which covers the entire Kerala State and is one of the largest wireless networks in the world. The infrastructure is built around approximately 2,500 "computer access centers", which are open to the local population -- direct ownership of computers is minimal in the region. [<span>13</span>]</p>
<p>Another example, also in India, are the AirJaldi networks which provide internet access to approximately 20,000 users in six states, all in remote regions and on difficult terrain. Most nodes in this network are solar-powered and the distance between them can range up to 50 km or more. [<span>14</span>] In some African countries, local WiFi-networks distribute internet access from a satellite gateway. [<span>15,16</span>]</p>
<p><a href="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d1579486970c-pi"><img title="Airjaldi" src="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d1579486970c-800wi" alt="Airjaldi" border="0"/></a></p>
<p><span>A node in the AirJaldi network. Picture: AirJaldi.<br/></span></p>
<p>A second type of long distance WiFi network in poor countries is aimed at providing telemedicine to remote communities. In remote regions, health care is often provided through health posts scarcely equipped and attended by health technicians who are barely trained. [<span>17</span>] Long-range WiFi networks can connect urban hospitals with these outlying health posts, allowing doctors to remotely support health technicians using high-resolution file transfers and real-time communication tools based on voice and video.</p>
<p>An example is the link between Cabo Pantoja and Iquitos in the Loreto province in Peru, which was established in 2007. The 450 km network consists of 17 towers which are 16 to 50 km apart. The line connects 15 medical outposts in remote villages with the main hospital in Iquitos and is aimed at remote diagnosis of patients. [<span>17,18</span>] All equipment is powered by solar panels. [<span>18,19</span>] Other succesful examples of long range WiFi telemedicine networks have been built in India, Malawi and Ghana. [<span>20,21</span>]</p>
<p><span><strong>WiFi-Based Community Networks in Europe<br/></strong></span></p>
<p>The low-tech networks in poor countries are set up by NGO's, governments, universities or businesses. In contrast, most of the WiFi-based long distance networks in remote regions of rich countries are so-called "community networks": the users themselves build, own, power and maintain the infrastructure. Similar to the shared wireless approach in cities, reciprocal resource sharing forms the basis of these networks: participants can set up their own node and connect to the network (for free), as long as their node also allows traffic of other members. Each node acts as a WiFi routing device that provides IP forwarding services and a data link to all users and nodes connected to it. [<span>8,22</span>]</p>
<blockquote>
<p><span>In a community network, the users themselves build, own, power and maintain the infrastructure.</span></p>
</blockquote>
<p>Consequently, with each new user, the network becomes larger. There is no a-priori overall planning. A community network grows bottom-up, driven by the needs of its users, as nodes and links are added or upgraded following demand patterns. The only consideration is to connect a node from a new participant to an existing one. As a node is powered on, it discovers it neighbours, attributes itself a unique IP adress, and then establishes the most appropriate routes to the rest of the network, taking into account the quality of the links. Community networks are open to participation to everyone, sometimes according to an open peering agreement. [<span>8,9,19,22</span>]</p>
<p><a class="asset-img-link" href="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b7c7e2d9d7970b-pi"><img class="asset  asset-image at-xid-6a00e0099229e8883301b7c7e2d9d7970b image-full img-responsive" title="Guifi in en rond barcelona" src="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b7c7e2d9d7970b-800wi" alt="Guifi in en rond barcelona" border="0"/></a></p>
<p><span>Wireless links in the Spanish Guifi network. <a href="http://iuliinet.github.io/presentazione_ottobre_2014/img/barcellona.jpg" target="_blank">Credit</a>.<br/></span></p>
<p>Despite the lack of reliable statistics, community networks seem to be rather succesful, and there are several large ones in Europe, such as <a href="https://guifi.net/" target="_blank">Guifi.net</a> (Spain), <a href="http://www.awmn.gr/content.php?s=ce506a41ab245641d6934638c6f6f107" target="_blank">Athens Wireless Metropolitan Network</a> (Greece), <a href="http://www.funkfeuer.at/" target="_blank">FunkFeuer</a> (Austria), and <a href="http://freifunk.net/en/" target="_blank">Freifunk</a> (Germany). [<span>8,22,23,24</span>] The Spanish network  is the largest WiFi-based long distance network in the world with more than 50,000 kilometres of links, although a small part is based on optic fibre links. Most of it is located in the Catalan Pyrenees, one of the least populated areas in Spain. The network was initiated in 2004 and now has close to 30,000 nodes, up from 17,000 in 2012. [<span>8,22</span>]</p>
<p>Guifi.net provides internet access to individuals, companies, administrations and universities. In principle, the network is installed, powered and maintained by its users, although volunteer teams and even commercial installers are present to help. Some nodes and backbone upgrades have been succesfully crowdfunded by indirect beneficiaries of the network. [<span>8,22</span>]</p>
<p><span><strong>Performance of Low-tech Networks</strong></span></p>
<p>So how about the performance of low-tech networks? What can you do with them? The available bandwidth per user can vary enormously, depending on the bandwidth of the gateway node(s) and the number of users, among other factors. The long-distance WiFi networks aimed at telemedicine in poor countries have few users and a good backhaul, resulting in high bandwidth (+ 40 Mbps). This gives them a similar performance to fibre connections in the developed world. A study of (a small part of) the Guifi.net community network, which has dozens of gateway nodes and thousands of users, showed an average throughput of 2 Mbps, which is comparable to a relatively slow DSL connection. Actual throughput per user varies from 700 kbps to 8 Mbps. [<span>25</span>]</p>
<blockquote>
<p><span>The available bandwidth per user can vary enormously, depending on the bandwidth of the gateway node(s) and the number of users, among other factors</span></p>
</blockquote>
<p>However, the low-tech networks that distribute internet access to a large user base in developing countries can have much more limited bandwidth per user. For example, a university campus in Kerala (India) uses a 750 kbps internet connection that is shared across 3,000 faculty members and students operating from 400 machines, where during peak hours nearly every machine is being used. </p>
<p>Therefore, the worst-case average bandwidth available per machine is approximately 1.9 kbps, which is slow even in comparison to a dial-up connection (56 kbps). And this can be considered a really good connectivity compared to typical rural settings in poor countries. [26] To make matters worse, such networks often have to deal with an intermittent power supply.</p>
<div id="photo-xid-6a00e0099229e8883301b8d16a5899970c" class="photo-wrap photo-xid-6a00e0099229e8883301b8d16a5899970c photo-full "><a class="asset-img-link" href="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d16a5899970c-pi"><img class="asset  asset-image at-xid-6a00e0099229e8883301b8d16a5899970c img-responsive" title="Antena-guifi-floresta" src="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d16a5899970c-800wi" alt="Antena-guifi-floresta" border="0"/></a>
<p id="caption-xid-6a00e0099229e8883301b8d16a5899970c" class="photo-caption caption-xid-6a00e0099229e8883301b8d16a5899970c"><span>A node in the Spanish Guifi community network.</span></p>
</div>
<p>Under these circumstances, even the most common internet applications have poor performance, or don't work at all. The communication model of the internet is based on a set of network assumptions, called the TCP/IP protocol suite. These include the existence of a bi-directional end-to-end path between the source (for example a website's server) and the destination (the user's computer), short round-trip delays, and low error rates.</p>
<p>Many low-tech networks in poor countries do not comform to these assumptions. They are characterized by intermittent connectivity or "network partitioning" -- the absence of an end-to-end path between source and destination -- long and variable delays, and high error rates. [<span>21,27,28</span>]</p>
<p><span><strong>Delay-Tolerant Networks</strong></span></p>
<p>Nevertheless, even in such conditions, the internet could work perfectly fine. The technical issues can be solved by moving away from the always-on model of traditional networks, and instead design networks based upon asynchronous communication and intermittent connectivity. These so-called "delay-tolerant networks" (DTNs) have their own specialized protocols overlayed on top of the lower protocols and do not utilize TCP. They overcome the problems of intermittent connectivity and long delays by using store-and-forward message switching.</p>
<p>Information is forwarded from a storage place on one node to a storage place on another node, along a path that <em>eventually</em> reaches its destination. In contrast to traditional internet routers, which only store incoming packets for a few milliseconds on memory chips, the nodes of a delay-tolerant network have persistent storage (such as hard disks) that can hold information indefinitely. [<span>27,28</span>]</p>
<blockquote>
<p><span>Delay-tolerant networks combine well with renewable energy: solar panels or wind turbines could power network nodes only when the sun shines or the wind blows, eliminating the need for energy storage.</span></p>
</blockquote>
<p>Delay-tolerant networks don't require an end-to-end path between source and destination. Data is simply transferred from node to node. If the next node is unavailable because of long delays or a power outage, the data is stored on the hard disk until the node becomes available again. While it might take a long time for data to travel from source to destination, a delay-tolerant network ensures that it will eventually arrive.</p>
<p>Delay-tolerant networks further decrease capital costs and energy use, leading to the most efficient use of scarce resources. They keep working with an intermittent energy supply and they combine well with renewable energy sources: solar panels or wind turbines could power network nodes only when the sun shines or the wind blows, eliminating the need for energy storage.</p>
<p><span><strong>Data Mules</strong></span></p>
<p>Delay-tolerant networking can take surprising forms, especially when they take advantage of some non-traditional means of communication, such as "data mules". [<span>11,29</span>] In such networks, conventional transportation technologies -- buses, cars, motorcycles, trains, boats, airplanes -- are used to ferry messages from one location to another in a store-and-forward manner.</p>
<p>Examples are DakNet and KioskNet, which use buses as data mules. [<span>30-34</span>] In many developing regions, rural bus routes regularly visit villages and towns that have no network connectivity. By equipping each vehicle with a computer, a storage device and a mobile WiFi-node on the one hand, and by installing a stationary WiFi-node in each village on the other hand, the local transport infrastructure can substitute for a wireless internet link. [<span>11</span>]</p>
<p><a href="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b7c7da1fc2970b-pi"><img title="Airjaldi epostman" src="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b7c7da1fc2970b-500wi" alt="Airjaldi epostman"/></a><span>Picture: AirJaldi.</span></p>
<p>Outgoing data (such as sent emails or requests for webpages) is stored on local computers in the village until the bus comes withing range. At this point, the fixed WiFi-node of the local computer automatically transmits the data to the mobile WiFi-node of the bus. Later, when the bus arrives at a hub that is connected to the internet, the outgoing data is transmitted from the mobile WiFi-node to the gateway node, and then to the internet. Data sent to the village takes the opposite route. The bus -- or data -- driver doesn't require any special skills and is completely oblivious to the data transfers taking place. He or she does not need to do anything other than come in range of the nodes. [<span>30,31</span>]</p>
<blockquote>
<p><span>In a data mules network, the local transport infrastructure substitutes for a wireless internet link.</span></p>
</blockquote>
<p>The use of data mules offers some extra advantages over more "sophisticated" delay-tolerant networks. A "drive-by" WiFi network allows for small, low-cost and low-power radio devices to be used, which don't require line of sight and consequently no towers -- further lowering capital costs and energy use compared to other low-tech networks. [<span>30,31,32</span>]</p>
<p>The use of short-distance WiFi-links also results in a higher bandwidth compared to long-distance WiFi-links, which makes data mules better suited to transfer larger files. On average, 20 MB of data can be moved in each direction when a bus passes a fixed WiFi-node. [<span>30,32</span>] On the other hand, latency (the time interval between sending and receiving data) is usually higher than on long-range WiFi-links. A single bus passing by a village once a day gives a latency of 24 hours.</p>
<p><strong><span>Delay-Tolerant Software</span><br/></strong></p>
<p>Obviously, a delay-tolerant network (DTN) -- whatever its form -- also requires new software: applications that function without a connected end-to-end networking path. [<span>11</span>] Such custom applications are also useful for synchronous, low bandwidth networks. Email is relatively easy to adapt to intermittent connectivity, because it's an asynchronous communication method by itself. A DTN-enabled email client stores outgoing messages until a connection is available. Although emails may take longer to reach their destination, the user experience doesn't really change.</p>
<p><a class="asset-img-link" href="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b7c7e07dac970b-pi"><img class="asset  asset-image at-xid-6a00e0099229e8883301b7c7e07dac970b img-responsive" title="Freifunk berlijn" src="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b7c7e07dac970b-500wi" alt="Freifunk berlijn"/></a></p>
<p><span>A Freifunk WiFi-node is installed in Berlin, Germany. Picture:<a href="https://upload.wikimedia.org/wikipedia/commons/5/51/Freifunk-Initiative_in_Berlin-Kreuzberg.jpg" target="_blank"> Wikipedia Commons</a>.</span></p>
<p>Browsing and searching the web requires more adaptations. For example, most search engines optimize for speed, assuming that a user can quickly look through the returned links and immediately run a second modified search if the first result is inadequate. However, in intermittent networks, multiple rounds of interactive search would be impractical. [<span>26,35</span>] Asynchronous search engines optimize for bandwith rather than response time. [<span>26,30,31,35,36</span>] For example, RuralCafe desynchronizes the search process by performing many search tasks in an offline manner, refining the search request based on a database of similar searches. The actual retrieval of information using the network is only done when absolutely necessary.</p>
<blockquote>
<p><span>Many internet applications could be adapted to intermittent networks, such as webbrowsing, email, electronic form filling, interaction with e-commerce sites, blogsoftware, large file downloads, or social media.</span></p>
</blockquote>
<p>Some DTN-enabled browsers download not only the explicitly requested webpages but also the pages that are linked to by the requested pages. [<span>30</span>] Others are optimized to return low-bandwidth results, which are achieved by filtering, analysis, and compression on the server site. A similar effect can be achieved through the use of a service like <a href="http://www.loband.org/loband/" target="_blank">Loband</a>, which strips webpages of images, video, advertisements, social media buttons, and so on, merely presenting the textual content. [<span>26</span>]</p>
<p>Browsing and searching on intermittent networks can also be improved by local caching (storing already downloaded pages) and prefetching (downloading pages that might be retrieved in the future). [206] Many other internet applications could also be adapted to intermittent networks, such as electronic form filling, interaction with e-commerce sites, blogsoftware, large file downloads, social media, and so on. [<span>11,30</span>] All these applications would remain possible, though at lower speeds.</p>
<p><span><strong>Sneakernets</strong></span></p>
<p>Obviously, real-time applications such as internet telephony, media streaming, chatting or videoconferencing are impossible to adapt to intermittent networks, which provide only asynchronous communication. These applications are also difficult to run on synchronous networks that have limited bandwidth. Because these are the applications that are in large part responsible for the growing energy use of the internet, one could argue that their incompatibility with low-tech networks is actually a good thing (see the <a href="http://www.lowtechmagazine.com/2015/10/can-the-internet-run-on-renewable-energy.html" target="_self">previous article</a>).</p>
<p>Furthermore, many of these applications could be organized in different ways. While real-time voice or video conversations won't work, it's perfectly possible to send and receive voice or video messages. And while streaming media can't happen, downloading music albums and video remains possible. Moreover, these files could be "transmitted" by the most low-tech internet technology available: a sneakernet. In a sneakernet, digital data is "wirelessly" transmitted using a storage medium such as a hard disk, a USB-key, a flash card, or a CD or DVD. Before the arrival of the internet, all computer files were exchanged via a sneakernet, using tape or floppy disks as a storage medium.</p>
<p><a class="asset-img-link" href="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d16a5d62970c-pi"><img class="asset  asset-image at-xid-6a00e0099229e8883301b8d16a5d62970c img-responsive" title="Freight train" src="http://krisdedecker.typepad.com/.a/6a00e0099229e8883301b8d16a5d62970c-500wi" alt="Freight train"/></a></p>
<p><span>Stuffing a cargo train full of digital storage media would beat any digital network in terms of speed, cost and energy efficiency. Picture: Wikipedia Commons.</span></p>
<p>Just like a data mules network, a sneakernet involves a vehicle, a messenger on foot, or an animal (such as a <a href="http://www.lowtechmagazine.com/2009/02/sneakernet-beats-internet.html" target="_self">carrier pigeon</a>). However, in a sneakernet there is no automatic data transfer between the mobile node (for instance, a vehicle) and the stationary nodes (sender and recipient). Instead, the data first have to be transferred from the sender's computer to a portable storage medium. Then, upon arrival, the data have to be transferred from the portable storage medium to the receiver's computer. [<span>30</span>] A sneakernet thus requires manual intervention and this makes it less convenient for many internet applications.</p>
<p>There are exceptions, though. For example, a movie doesn't have to be transferred to the hard disk of your computer in order to watch it. You play it straight from a portable hard disk or slide a disc into the DVD-player. Moreover, a sneakernet also offers an important advantage: of all low-tech networks, it has the most bandwidth available. This makes it perfectly suited for the distribution of large files such as movies or computer games. In fact, when very large files are involved, a sneakernet even beats the fastest fibre internet connection. At lower internet speeds, sneakernets can be advantageous for much smaller files.</p>
<p>Technological progress will not lower the advantage of a sneakernet. Digital storage media evolve at least as fast as internet connections and they both improve communication in an equal way.</p>
<p><span><strong>Resilient Networks<br/></strong></span></p>
<p>While most low-tech networks are aimed at regions where the alternative is often no internet connection at all, their usefulness for well-connected areas cannot be overlooked. The internet as we know it in the industrialized world is a product of an abundant energy supply, a robust electricity infrastructure, and sustained economic growth. This "high-tech" internet might offer some fancy advantages over the low-tech networks, but it cannot survive if these conditions change. This makes it extremely vulnerable.</p>
<blockquote>
<p><span>The internet as we know it in the industrialized world is a product of an abundant energy supply, a robust electricity infrastructure, and sustained economic growth. It cannot survive if these conditions change.<br/></span></p>
</blockquote>
<p>Depending on their level of resilience, low-tech networks can remain in operation when the supply of fossil fuels is interrupted, when the electricity infrastructure deteriorates, when the economy grinds to a halt, or if other calamities should hit. Such a low-tech internet would allow us to surf the web, send and receive e-mails, shop online, share content, and so on. Meanwhile, data mules and sneakernets could serve to handle the distribution of large files such as videos. Stuffing a cargo vessel or a train full of digital storage media would beat any digital network in terms of speed, cost and energy efficiency. And if such a transport infrastructure would no longer be available, we could still rely on messengers on foot, <a href="http://www.lowtechmagazine.com/2014/05/modular-cargo-cycles.html" target="_self">cargo bikes</a> and <a href="http://www.lowtechmagazine.com/sailing-ships/" target="_self">sailing vessels</a>.</p>
<p>Such a hybrid system of online and offline applications would remain a very powerful communication network -- unlike anything we had even in the late twentieth century. Even if we envision a doom scenario in which the wider internet infrastructure would disintegrate, isolated low-tech networks would still be very useful local and regional communication technologies. Furthermore, they could obtain content from other remote networks through the exchange of portable storage media. The internet, it appears, can be as low-tech or high-tech as we can afford it to be.</p>
