title: Peer Production License
url: https://wiki.p2pfoundation.net/Peer_Production_License
hash_url: e0011ef1600cc4b439d215cfea7bef17

<h1><span class="mw-headline" id="Description">Description</span></h1>
<p><b>The peer production license is an example of the <a href="/Copyfair" title="Copyfair">Copyfair</a> type of license, in which only other commoners, cooperatives and nonprofits can share and re-use the material, but not commercial entities intent on making profit through the commons without explicit reciprocity</b>. This fork on the original text of the Creative Commons non-commercial variant makes the PPL an explicitly anti-capitalist version of the CC-NC. It only allows commercial exploitation by collectives in which the ownership of the means of production is in the hands of the value creators, and where any surplus is distributed equally among them (and not only into the hands of owners, shareholders or absentee speculators). According to Dmytri Kleiner, co-author of the license with the barrister John Magyar, it’s not a <a href="/Copyleft" title="Copyleft">copyleft</a> license, but instead <a href="/Copyfarleft" title="Copyfarleft"> copyFARleft</a>, and is intended for consumer goods or commodities rather than capital or producers’ goods.
</p><p><br/>
</p>
<h1><span class="mw-headline" id="Text">Text</span></h1>
<h2><span class="mw-headline" id="Source">Source</span></h2>
<p><i>This version of the Peer Production License: a model for <a href="/Copyfarleft" title="Copyfarleft">Copyfarleft</a> was copied from the text <a class="external text" href="http://www.networkcultures.org/_uploads/%233notebook_telekommunist.pdf">"The Telekommunist Manifesto"</a>.</i>
</p>
<hr/>
<p>Created by John Magyar, B.A., J.D. and Dmytri Kleiner, the following Peer Production License, a model for a <a href="/Copyfarleft" title="Copyfarleft">Copyfarleft</a> license, has been derived from the Creative Commons ‘Attribution-NonCommercial-ShareAlike’ license available at <a class="external free" href="http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>.
</p><p>Please add an entry for the PPL to <a class="external free" href="https://spdx.org/licenses/">https://spdx.org/licenses/</a>
</p>
<hr/>
<h2><span class="mw-headline" id="LICENSE">LICENSE</span></h2>
<p>THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS COPYFARLEFT PUBLIC LICENSE (“LICENSE”). THE WORK IS PROTECTED BY COPYRIGHT AND ALL OTHER APPLICABLE LAWS. ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED. BY EXERCISING ANY RIGHTS TO THE WORK PROVIDED IN THIS LICENSE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. TO THE EXTENT THIS LICENSE MAY BE CONSIDERED TO BE A CONTRACT, THE LICENSOR GRANTS YOU THE RIGHTS CONTAINED HERE IN AS CONSIDERATION FOR ACCEPTING THE TERMS AND CONDITIONS OF THIS LICENSE AND FOR AGREEING TO BE BOUND BY THE TERMS AND CONDITIONS OF THIS LICENSE.
</p>
<h3><span class="mw-headline" id="1._DEFINITIONS">1. DEFINITIONS</span></h3>
<dl><dd>a. <b>“Adaptation”</b> means a work based upon the Work, or upon the Work and other pre-existing works, such as a translation, adaptation, derivative work, arrangement of music or other alterations of a literary or artistic work, or phonogram or performance and includes cinematographic adaptations or any other form in which the Work may be recast, transformed, or adapted including in any form recognizably derived from the original, except that a work that constitutes a Collection will not be considered an Adaptation for the purpose of this License. For the avoidance of doubt, where the Work is a musical work, performance or phonogram, the synchronization of the Work in timed-relation with a moving image (“synching”) will be considered an Adaptation for the purpose of this License. </dd></dl>
<dl><dd>b. <b>“Collection”</b> means a collection of literary or artistic works, such as encyclopedias and anthologies, or performances, phonograms or broadcasts, or other works or subject matter other than works listed in Section 1(f) below, which, by reason of the selection and arrangement of their contents, constitute intellectual creations, in which the Work is included in its entirety in unmodified form along with one or more other contributions, each constituting separate and independent works in themselves, which together are assembled into a collective whole. A work that constitutes a Collection will not be considered an Adaptation (as defined above) for the purposes of this License. </dd></dl>
<dl><dd>c. <b>“Distribute”</b> means to make available to the public the original and copies of the Work or Adaptation, as appropriate, through sale, gift or any other transfer of possession or ownership. </dd></dl>
<dl><dd>d. <b>“Licensor”</b> means the individual, individuals, entity or entities that offer(s) the Work under the terms of this License. </dd></dl>
<dl><dd>e. <b>“Original Author”</b> means, in the case of a literary or artistic work, the individual, individuals, entity or entities who created the Work or if no individual or entity can be identified, the publisher; and in addition (i) in the case of a performance the actors, singers, musicians, dancers, and other persons who act, sing, deliver, declaim, play in, interpret or otherwise perform literary or artistic works or expressions of folklore; (ii) in the case of a phonogram the producer being the person or legal entity who first fixes the sounds of a performance or other sounds; and, (iii) in the case of broadcasts, the organization that transmits the broadcast. </dd></dl>
<dl><dd>f. <b>“Work”</b> means the literary and/or artistic work offered under the terms of this License including without limitation any production in the literary, scientific and artistic domain, whatever may be the mode or form of its expression including digital form, such as a book, pamphlet and other writing; a lecture, address, sermon or other work of the same nature; a dramatic or dramatico-musical work; a choreographic work or entertainment in dumb show; a musical composition with or without words; a cinematographic work to which are assimilated works expressed by a process analogous to cinematography; a work of drawing, painting, architecture, sculpture, engraving or lithography; a photographic work to which are assimilated works expressed by a process analogous to photography; a work of applied art; an illustration, map, plan, sketch or three-dimensional work relative to geography, topography, architecture or science; a performance; a broadcast; a phonogram; a compilation of data to the extent it is protected as a copyrightable work; or a work performed by a variety or circus performer to the extent it is not otherwise considered a literary or artistic work. </dd></dl>
<dl><dd>g. <b>“You”</b> means an individual or entity exercising rights under this License who has not previously violated the terms of this License with respect to the Work, or who has received express permission from the Licensor to exercise rights under this License despite a previous violation. </dd></dl>
<dl><dd>h. <b>“Publicly Perform”</b> means to perform public recitations of the Work and to communicate to the public those public recitations, by any means or process, including by wire or wireless means or public digital performances; to make available to the public Works in such a way that members of the public may access these Works from a place and at a place individually chosen by them; to perform the Work to the public by any means or process and the communication to the public of the performances of the Work, including by public digital performance; to broadcast and rebroadcast the Work by any means including signs, sounds or images. </dd></dl>
<dl><dd>i. <b>“Reproduce”</b> means to make copies of the Work by any means including without limitation by sound or visual recordings and the right of fixation and reproducing fixations of the Work, including storage of a protected performance or phonogram in digital form or other electronic medium.</dd></dl>
<h3><span class="mw-headline" id="2._FAIR_DEALING_RIGHTS">2. FAIR DEALING RIGHTS</span></h3>
<p>Nothing in this License is intended to reduce, limit, or restrict any uses free from copyright or rights arising from limitations or exceptions that are provided for in connection with the copyright protection under copyright law or other applicable laws.
</p>
<h3><span class="mw-headline" id="3._LICENSE_GRANT">3. LICENSE GRANT</span></h3>
<p>Subject to the terms and conditions of this License, Licensor hereby grants You a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:
</p>
<dl><dd>a. to Reproduce the Work, to incorporate the Work into one or more Collections, and to Reproduce the Work as incorporated in the Collections; </dd></dl>
<dl><dd>b. to create and Reproduce Adaptations provided that any such Adaptation, including any translation in any medium, takes reasonable steps to clearly label, demarcate or otherwise identify that changes were made to the original Work. For example, a translation could be marked “The original work was translated from English to Spanish,” or a modification could indicate “The original work has been modified.”; </dd></dl>
<dl><dd>c. to Distribute and Publicly Perform the Work including as incorporated in Collections; and, </dd></dl>
<dl><dd>d. to Distribute and Publicly Perform Adaptations. The above rights may be exercised in all media and formats whether now known or hereafter devised. The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats. Subject to Section 8(f), all rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Section 4(f).</dd></dl>
<h3><span class="mw-headline" id="4._RESTRICTIONS">4. RESTRICTIONS</span></h3>
<p>The license granted in Section 3 above is expressly made subject to and limited by the following restrictions:
</p>
<dl><dd>a. You may Distribute or Publicly Perform the Work only under the terms of this License. You must include a copy of, or the Uniform Resource Identifier (URI) for, this License with every copy of the Work You Distribute or Publicly Perform. You may not offer or impose any terms on the Work that restrict the terms of this License or the ability of the recipient of the Work to exercise the rights granted to that recipient under the terms of the License. You may not sublicense the Work. You must keep intact all notices that refer to this License and to the disclaimer of warranties with every copy of the Work You Distribute or Publicly Perform. When You Distribute or Publicly Perform the Work, You may not impose any effective technological measures on the Work that restrict the ability of a recipient of the Work from You to exercise the rights granted to that recipient under the terms of the License. This Section 4(a) applies to the Work as incorporated in a Collection, but this does not require the Collection apart from the Work itself to be made subject to the terms of this License. If You create a Collection, upon notice from any Licensor You must, to the extent practicable, remove from the Collection any credit as required by Section 4(d), as requested. If You create an Adaptation, upon notice from any Licensor You must, to the extent practicable, remove from the Adaptation any credit as required by Section 4(d), as requested. </dd></dl>
<dl><dd>b. Subject to the exception in Section 4(c), you may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation. The exchange of the Work for other copyrighted works by means of digital file-sharing or otherwise shall not be considered to be intended for or directed toward commercial advantage or private monetary compensation, provided there is no payment of any monetary compensation in connection with the exchange of copyrighted works. </dd></dl>
<dl><dd>c.<b> You may exercise the rights granted in Section 3 for commercial purposes only if</b>:
<dl><dd> i. <b>You are a worker-owned business or worker-owned collective; and</b> </dd>
<dd> ii. <b>all financial gain, surplus, profits and benefits produced by the business or collective are distributed among the worker-owners</b></dd></dl></dd></dl>
<dl><dd> d. Any use by a business that is privately owned and managed, and that seeks to generate profit from the labor of employees paid by salary or other wages, is not permitted under this license. </dd></dl>
<dl><dd> e. If You Distribute, or Publicly Perform the Work or any Adaptations or Collections, You must, unless a request has been made pursuant to Section 4(a), keep intact all copyright notices for the Work and provide, reasonable to the medium or means You are utilizing: (i) the name of the Original Author (or pseudonym, if applicable) if supplied, and/or if the Original Author and/or Licensor designate another party or parties (e.g., a sponsor institute, publishing entity, journal) for attribution (“Attribution Parties”) in Licensor’s copyright notice, terms of service or by other reasonable means, the name of such party or parties; (ii) the title of the Work if supplied; (iii) to the extent reasonably practicable, the URI, if any, that Licensor specifies to be associated with the Work, unless such URI does not refer to the copyright notice or licensing information for the Work; and, (iv) consistent with Section 3(b), in the case of an Adaptation, a credit identifying the use of the Work in the Adaptation (e.g., “French translation of the Work by Original Author,” or “Screenplay based on original Work by Original Author”). The credit required by this Section 4(d) may be implemented in any reasonable manner; provided, however, that in the case of a Adaptation or Collection, at a minimum such credit will appear, if a credit for all contributing authors of the Adaptation or Collection appears, then as part of these credits and in a manner at least as prominent as the credits for the other contributing authors. For the avoidance of doubt, You may only use the credit required by this Section for the purpose of attribution in the manner set out above and, by exercising Your rights under this License, You may not implicitly or explicitly assert or imply any connection with, sponsorship or endorsement by the Original Author, Licensor and/or Attribution Parties, as appropriate, of You or Your use of the Work, without the separate, express prior written permission of the Original Author, Licensor and/or Attribution Parties. </dd></dl>
<dl><dd> f. For the avoidance of doubt: </dd></dl>
<dl><dd><dl><dd> i. Non-waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme cannot be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License; </dd></dl></dd></dl>
<dl><dd><dl><dd> ii. Waivable Compulsory License Schemes. In those jurisdictions in which the right to collect royalties through any statutory or compulsory licensing scheme can be waived, the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License if Your exercise of such rights is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b) and otherwise waives the right to collect royalties through any statutory or compulsory licensing scheme; and, </dd>
<dd> iii.Voluntary License Schemes. The Licensor reserves the right to collect royalties, whether individually or, in the event that the Licensor is a member of a collecting society that administers voluntary licensing schemes, via that society, from any exercise by You of the rights granted under this License that is for a purpose or use which is otherwise than noncommercial as permitted under Section 4(b). </dd></dl></dd></dl>
<dl><dd> g. Except as otherwise agreed in writing by the Licensor or as may be otherwise permitted by applicable law, if You Reproduce, Distribute or Publicly Perform the Work either by itself or as part of any Adaptations or Collections, You must not distort, mutilate, modify or take other derogatory action in relation to the Work which would be prejudicial to the Original Author’s honor or reputation. Licensor agrees that in those jurisdictions (e.g. Japan), in which any exercise of the right granted in Section 3(b) of this License (the right to make Adaptations) would be deemed to be a distortion, mutilation, modification or other derogatory action prejudicial to the Original Author’s honor and reputation, the Licensor will waive or not assert, as appropriate, this Section, to the fullest extent permitted by the applicable national law, to enable You to reasonably exercise Your right under Section 3(b) of this License (right to make Adaptations) but not otherwise.</dd></dl>
<h3><span class="mw-headline" id="5._REPRESENTATIONS.2C_WARRANTIES_AND_DISCLAIMER">5. REPRESENTATIONS, WARRANTIES AND DISCLAIMER</span></h3>
<p>UNLESS OTHERWISE MUTUALLY AGREED TO BY THE PARTIES IN WRITING, LICENSOR OFFERS THE WORK AS-IS AND MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY TO YOU.
</p>
<h3><span class="mw-headline" id="6._LIMITATION_ON_LIABILITY">6. LIMITATION ON LIABILITY</span></h3>
<p>EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR BE LIABLE TO YOU ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
</p>
<h3><span class="mw-headline" id="7._TERMINATION">7. TERMINATION</span></h3>
<dl><dd> a. This License and the rights granted hereunder will terminate automatically upon any breach by You of the terms of this License. Individuals or entities who have received Adaptations or Collections from You under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses. Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License. </dd></dl>
<dl><dd>b. Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work). Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.</dd></dl>
<h3><span class="mw-headline" id="8._MISCELLANEOUS">8. MISCELLANEOUS</span></h3>
<dl><dd>a. Each time You Distribute or Publicly Perform the Work or a Collection, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to You under this License.</dd></dl>
<dl><dd>b. Each time You Distribute or Publicly Perform an Adaptation, Licensor offers to the recipient a license to the original Work on the same terms and conditions as the license granted to You under this License. </dd></dl>
<dl><dd>c. If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable. </dd></dl>
<dl><dd>d. No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent. </dd></dl>
<dl><dd>e. This License constitutes the entire agreement between the parties with respect to the Work licensed here. There are no understandings, agreements or representations with respect to the Work not specified here. Licensor shall not be bound by any additional provisions that may appear in any communication from You. This License may not be modified without the mutual written agreement of the Licensor and You. </dd></dl>
<dl><dd>f. The rights granted under, and the subject matter referenced, in this License were drafted utilizing the terminology of the Berne Convention for the Protection of Literary and Artistic Works (as amended on September 28, 1979), the Rome Convention of 1961, the WIPO Copyright Treaty of 1996, the WIPO Performances and Phonograms Treaty of 1996 and the Universal Copyright Convention (as revised on July 24, 1971). These rights and subject matter take effect in the relevant jurisdiction in which the License terms are sought to be enforced according to the corresponding provisions of the implementation of those treaty provisions in the applicable national law. If the standard suite of rights granted under applicable copyright law includes additional rights not granted under this License, such additional rights are deemed to be included in the License; this License is not intended to restrict the license of any rights under applicable law.</dd></dl>
<h1><span class="mw-headline" id="Practical_Usage">Practical Usage</span></h1>
<p>Guerrilla Translation adopted the Peer Production License for their translation of David Bollier's book <i>Think Like a Commoner</i>. Their reasoning is explained in <a class="external text" href="https://blog.p2pfoundation.net/think-global-print-local-licensing-commons/2016/05/10">the following article</a>:
</p>
<h2><span class="mw-headline" id="The_PPL_and_Open_Cooperativism">The PPL and Open Cooperativism</span></h2>
<p>"The campaign incorporates one of the ideas we promote at the P2P Foundation: interweaving the use of free/open digital knowledge commons with a manufacturing system grounded in the locations where the designs drawn from these commons will finally be materialised.
</p><p>The ultimate goal is to enable mechanisms so commoners can support themselves and ensure their own social reproduction without resorting to capitalism.
</p><p>This ideal, Open Cooperativism, has an essential element – commons oriented reciprocity licensing – to protect economic circulation within the commons and defend it against predatory or hostile interests. These licenses, grouped under the concept of CopyFair, present a host of complexities. Resolving these will require rigorous research and development. But the good news is that we already have a first example of a valid and functional CopyFair license: the Peer Production License."
</p>
<h2><span class="mw-headline" id="Simple_Definition_and_the_PPL_as_a_Transvestment_Stategy">Simple Definition and the PPL as a Transvestment Stategy</span></h2>
<p>This fork on the original text of the Creative Commons non-commercial variant makes the PPL an explicitly anti-capitalist version of the CC-NC. It only allows commercial exploitation by collectives in which the ownership of the means of production is in the hands of the value creators, and where any surplus is distributed equally among them (and not only into the hands of owners, shareholders or absentee speculators). According to Dmytri Kleiner, co-author of the license with the barrister John Magyar, it’s not a copyleft license, but instead copyFARleft. Kleiner explains the need to open the commercial restrictions defining CC-NC as follows:
</p>
<blockquote>What we mean here is that the creative “commons” is privatized because the copyright is retained by the author, and only (in most cases) offered to the community under non-commercial terms. The original author has special rights while commons users have limited rights, specifically limited in such a way as to eliminate any possibility for them to make a living by employing this work. Thus these are not commons works, but rather private works. Only the original author has the right to employ the work commercially.
<p>All previous conceptions of an intellectual or cultural commons, including anti-copyright and pre-copyright culture as well as the principles of free software movement were predicated on the concept of not allowing special rights for an original author, but rather insisting on the right for all to use and reuse in common. The non-commercial licenses represent a privatization of the idea of the commons and a reintroduction of the concept of a uniquely original artist with special private rights.
</p>
Further, as I consider all expressions to be extensions of previous perceptions, the “original” ideas that rights are being claimed on in this way are not original, but rather appropriated by the rights-claimed made by creative-commons licensers. More than just privatizing the concept and composition of the modern cultural commons, by asserting a unique author, the creative commons colonizes our common culture by asserting unique authorship over a growing body of works, actually expanding the scope of private culture rather than commons culture.</blockquote>
<p>It is important to note that the PPL is primarily designed to liberate cultural or consumer goods or products, and to offer more choices to content creators or artists presently using Creative Commons non-commercial options. But Kleiner does not recommend the PPL for productive or capital assets. The latter should be licensed with copyleft (GPL, AGPL, etc.), allowing large corporations and capitalist consortia to exploit these commons to their benefit. What is this all about?
</p><p>To understand the distinction, it is important to grasp the concept of “<a href="/Exvestment" title="Exvestment">exvestment</a>” (wordplay on “investment”). Kleiner explains it as follows:
</p>
<blockquote>[Exvestment occurs…] when a company spends money to improve Linux because that company makes money running a social networking site, that company benefits from such expenditure, however it is exvestment not investment, because the capitalist class as a whole does not benefit since this reduces the market for commercial software by improving free alternatives and makes such means of production available to non-capitalist producers as well.
This is why I think we need to be careful when we apply the PPL (or similar) to software, because I think to maximize transvestment [the transfer of value from one mode of production to another] in the direction of commons-based production we need to keep Department I goods (Capital Goods or Producers’ Goods) free for capitalists so they can exvest in them, while keeping Department II (Consumer goods or commodities) goods non-free for them.</blockquote>
<p>We think of the Peer Production License as a viable alternative for artists, musicians and content creators. Here’s one well-known example: Yahoo, the company which owns Flickr, decided to sell images that its users licensed under Creative Commons, which allows commercial exploitation (CC-BY). This large corporation is enriched by the works of content creators who get nothing in return. In fact, the creators cannot do anything: they have licensed their work with a free license which does not distinguish who the benefactor is, whether it’s Yahoo or a small cooperative that manufactures handmade books. Copyleft licenses do not discriminate or make distinctions between the economic bases of those who exploit these works. PPL, however, does; in fact, it is their raison d’etre.
</p><p>Is it the perfect license? Of course not; in fact, I think there has never been and never will be a “perfect license”, although in the future licenses may be developed with more complexity or dynamic adaptability. The PPL is not without criticism or suggestions for improvement, but, probably due to that same complexity, no other viable alternative exists as of now – although there are some in early stages of development.
</p>
<h1><span class="mw-headline" id="Examples:_Directory_of_Adopters">Examples: Directory of Adopters</span></h1>

<p><br/>
</p>
<h1><span class="mw-headline" id="Discussion">Discussion</span></h1>
<h2><span class="mw-headline" id="Why_I_still_don.27t_believe_in_this_peer_production_license">Why I still don't believe in this peer production license</span></h2>
<p><b><a href="/Tiberius_Brastaviceanu" title="Tiberius Brastaviceanu">Tiberius Brastaviceanu</a>:</b>
</p><p>"A license for a technology is a limitation of use of that technology. A newly created technology is not scarce by nature, because it is something that lives in the realm of knowledge, which has very low distribution costs. It is only scarce in terms of the number of individuals who can understand it and to put it into practice. A license creates artificial scarcity, it is in some way going against the nature of the thing.
</p><p>So why do we have licenses and patents? They exist because they play a role, because it is more advantageous to have them than not to have them. The reason for their existence is actually an economic one. In a world deprived of information technology, the costs of innovation are quite high, because developing a new technology requires putting people with specific technical skills together under the same roof, and having them use their own intellectual resources and existing knowledge, which in not easy to come by, use specialized equipment, not to mention addressing their human needs. It makes sense to restrict the use of the new technology in order to allow those who invest in it to recover their sunk costs and to make some profit, which in return represents an incentive to innovate more.
</p><p>But we must note that patents have an expiry date. There is a reason for that too. The full potential of innovation for a society is only developed when it is opened. Therefore, the duration of patents is a compromise between encouraging innovation at the individual level and the benefit from it at the social level.
</p><p>In today's world, the costs of innovation has dropped dramatically, because more and more people are able to exchange ideas online and use computer programs for design and simulation. Moreover, open source communities allow a wider distribution of costs, and a wider sharing of risks. Furthermore, the speed of innovation is also higher within open communities, which make extensive use of digital technology. This partially explains why we are seeing the emergence of open source products.
</p><p>Since the cost of innovation has dropped, limiting access to a technology makes less sense. By opening a technology one can lose market share, but this disadvantage is offset by the higher innovation speed that we observe within open communities. The predominant strategy becomes <i>first to market</i> and we're transitioning from a <i>knowledge economy</i> to a <i>know how economy</i>, which means to offer the newest thing first, of high quality and with a good service around it. Scarcity doesn't apply to innovation, but to the means to put it into practice.
</p><p>One might argue that this doesn't apply in all areas. For example, innovation in the medical field is still very expensive and risky, because of the high costs of research and because of all the regulations around it.
</p><p>The argument for the peer production license is to insure that value flows predominantly towards the new economy, which is based on commons and open innovation. It is in fact a defensive or protective mechanism, that implies a weakness of the new economy. Value flows in all directions, but it generally flows predominantly from the economically weak to the economically strong. It is the economically weak who needs protective measures. The economically strong is generally interested in not adding barriers to value flows. This is why the USA goes around and signs free trade agreements, which are very disruptive for smaller economies, because the deal ends up displacing local economic agents, disturbing the local ecosystem. I actually believe that the p2p economy, once its infrastructure will be in place, will be stronger than the actual economy, therefore I don't see the need for protective measures. We should be the ones to advocate total openness.
</p><p>One of the most common argument I hear for protective measures, like the peer production license, is that a classical corporation can reduce its costs by feeding on open innovation created by open communities, and can use its market potential to distribute products based on that open innovation, without giving something back to the open community. There are a few implied assumptions in this argument.
</p><p>The first one is that open communities that produce open innovation have no capability to market products. They are not capable of large scale production, they don't have distribution channels, etc. This is in fact largely true today. Corporations do have these capabilities and they normally fill in the gap, praying open open source, and this upsets a lot of people. That frustration blinds some of us from seeing a bit further. But others are turning it into positive action. SENSORICA is evolving to solve that problem. It is a market-oriented open community, integrating manufacturing and distribution capabilities.
</p><p>The second implied assumption is that a corporation can actually market open source products. Our experience tells us that open products are not always compatible with the corporate business model. The corporation, if interested in an open product, will sell it as a closed product. That puts it at a disadvantage, assuming that it is competing with entities like SENSORICA, because the open product is superior to the closed product. The value structure of open products is really different from closed products. They are usually modular, allow greater compatibility and interoperability, have a longer life, are customizable, are supported by a community, are transparent and cannot be programmed for obsolescence or <i>milked</i> for consumables, which usually comprise patented features, etc. Not to mention the fact that open innovation doesn't guarantee a competitive advantage to corporations, against other corporations, because it can be immediately copied. An open value network like SENSORICA can offer all that value and turn all these features into an advantage.
</p><p>The third implied assumption is that copying technology is actually easy. This is true for low tech stuff. When the level of complexity increases know how becomes important. So it takes some effort to develop effective in house processes to produce and service the product. By the time that becomes a given, the open value network is working on the next generation of products.
</p><p>If we believe that open value networks can evolve into an economically superior organization, we have an incentive to allow corporations to integrate open innovation into their products, as long as that open innovation has transitive properties, i.e. if someone builds on top of it the entire thing would become open. This is in fact a subversive tactic to extract value from the present/old economy. Corporations spend their own resources to add on top of the open innovation, they must open the entire thing, which is after picked up by an entity like SENSORICA, further improved and marketed successfully. I actually see open innovation as a Trojan horse into the old economy. We actually want corporations to take the bate.
</p><p>Another important but largely unnoticed problem with the peer production license is that it assumes that corporations actually want open innovation. Our practice/experience tells us that open innovation is actually not valued highly by corporations, because open products usually don't match their business model and don't offer a competitive advantage, within their business paradigm. Therefore, corporations are not ready to pay a lot money to license open technology. They would rather copy it subversively, and present it as proprietary, which would give them a competitive advantage. But that is not very legal. Most of them prefer to continue old practices, which is to innovate internally or to import IP through licensing or acquisitions."
</p>
<h2><span class="mw-headline" id="Why_I_now_do_believe_in_the_P2P_license">Why I now do believe in the P2P license</span></h2>
<p><b>Revlin John</b>
</p><p>I just wanted to respond to a line of thought in the above critique, best exemplified by this passage:
</p><p><br/>
" <i>The argument for the p2p license is to insure that value flows predominantly towards the new economy, which is based on commons and open innovation. It is in fact a defensive or protective mechanism, that implies a weakness of the new economy... "</i>
</p><p><br/>
Essentially I agree with this characterization, but I disagree that "protective" measures are ineffectual in supporting a <i>delicate</i> economy (a term I find more appropriate than "weak", which is full of obvious biases, most significantly the failure to note the this "weak" economy has a much higher creative intellectual potential than the "strong" economy).
</p><p>The very actor used here as an example of a strong economic party, the US, was once a delicate market, and one on the margins of a much more developed and robust market, England. In that time tariffs or taxes on imported products were used by the US to strengthen it's domestic productivity. We can see that these <i>protective</i> measures were very successful, <i>when implemented properly and over a significant time period</i>. As I said, in principle I agree that CopyFarLeft approaches are essentially protectionism for a developing open market and I would further argue: that's a <i>good thing!</i>
</p><p>However, all of the above is presented under a false premise: that there are two intellectual markets, a traditional proprietary market and a new open source market. Actually, all IPs make use of public domain and open source knowledge. All proprietary products benefit from the great store of commons data, new and old, raw and developing. There is no proprietary market apart from the commons. It's a subset of the commons. What p2p does is essentially say, "You <i>cannot</i> put a fence around this piece of information, this part of the collective knowledge pool." This license does not move a project from one market to another. It <i>protects</i> that project from becoming inaccessible to the greater market in which it was developed. All projects begin in the commons because all projects are a synthesizing of prior knowledge into new applications. Fundamentally this is about protecting knowledge from the kind of distortion, obscurity and exploitation that is based on secrets and hidden agendas, i.e. privilege and power.
</p><p>Further more, I would like to put out a neighborly reminder to anyone reading this discussion:
</p><p>Whether it be in the form of face-to-face communication, analogue  media or digital data, KNOWLEDGE is <i>primary wealth</i>. All other products our <i>secondary</i> wealth because all other products are the result of the <i>application of knowledge</i>. Even the <i>use</i> of previously produced wealth is only possible through the application of knowledge. If we ever want to find ourselves living in a fair and open society, we need to continue to innovate <i>open forms of participation</i> in the preservation of knowledge, the distribution of knowledge and the application of knowledge in the creation of new wealth. I believe that the license posted above is one such innovation.
</p><p><i>(see Cybersquat)<a class="external autonumber" href="http://www.bbc.com/news/technology-26996936">[1]</a></i>
</p>
<h2><span class="mw-headline" id="An_integrated_view">An integrated view</span></h2>
<p><b>* Article: From the Communism of Capital to Capital for the Commons: Towards an Open Co-operativism. By Michel Bauwens, Vasilis Kostakis. Triple C, Vol 12, No 1 (2014)</b>
</p><p>URL = <a class="external free" href="http://www.triple-c.at/index.php/tripleC/article/view/561">http://www.triple-c.at/index.php/tripleC/article/view/561</a>
</p><p>Abstract:
</p><p>"Abstract
</p><p>Two prominent social progressive movements are faced with a few contradictions and a paradox. On the one side, we have a re-emergence of the co-operative movement and worker-owned enterprises which suffer from certain structural weaknesses. On the other, we have an emergent field of open and Commons-oriented peer production initiatives which create common pools of knowledge for the whole of humanity, but are dominated by start-ups and large multinational enterprises using the same Commons. Thus we have a paradox: the more communist the sharing license used in the peer production of free software or open hardware, the more capitalist the practice. To tackle this paradox and the aforementioned contradictions, we tentatively suggest a new convergence that would combine both Commons-oriented open peer production models with common ownership and governance models, such as those of the co-operatives and the solidarity economic models."
</p>
<h2><span class="mw-headline" id="Why_the_General_Public_License_Falls_short">Why the General Public License Falls short</span></h2>
<p>Likely source: Pedersen, J.M. (2010) ‘Free Software as Property’, The Commoner, Special Issue, Volume 14, Winter 2010, 211-286.
</p><p>"The GNU General Public License is a very interesting document from a jurisprudential point of view and from a commoning perspective. It gives structure to a software commons through its articulation of (conditional) reciprocity in perpetuity.  Free Software is therefore not an open-access commons, but have in the GPL a boundary that is only permeable under certain conditions, which prevent the software pool from drying up. The culture of hackers sitting at home and in their  work places coding while selling their labour for other purposes, however, is not protected from enclosure.  The development of Free Software code – including the design of graphical user interfaces, which in effect shape most people’s (cognitive) relations/interactions with cyberspace – is no longer an emergent property of global civil society, no longer led by voluntary associations (Debian being one of the main exceptions to prove the rule), but is controlled in corporate environments, led by such corporate giants as IBM and Novell, as well as Red Hat. That is, guided as the usual business.
</p><p>...
</p><p>The philosophical problems inherent in “information exceptionalism” and their consequences for Free Software and Free Culture politics result in a very important recursive relation being absent, namely with the tangible realm. The Free Software movement is “vitally concerned” with copyright reform and abolition of software patents, but they are not vitally concerned with substantial reforms of property relations in the tangible realm, on the contrary. The material foundations of cyberspace – and thus the realm in which software development takes place – is certainly part of the infrastructure that allows Free Software to come into being in the first place. Without a critical approach to ownership in the tangible realm the Free Software movement will remain vulnerable to enclosure led by those capital interests.
</p><p>The most important commons is the commons of the land and the tangible means of production and distribution. That is the shared material reality of humanity from which all other possibilities arise, whether tangible or intangible. The information commons is a luxury, the icing on the cake. It is costly and it is precious and has excelled in perpetuating the seemingly ubiquitous propensity of human beings to engage in sharing and cooperation when constraints are lifted. The liquid architecture of cyberspace has facilitated these emergent processes very well. But the proliferation of sharing and cooperating, which attracts so much attention – from rent seekers and anti-capitalists alike – is not confined to cyberspace, nor to the intangible realm.
</p><p>The difference between tangible and intangible is not what determines whether people share and cooperate. As we have seen there is a long, rich history of commoning. Commoning is a shared skill of humanity and not a skill that suddenly, morphogenetically appeared on a global scale when the doors to cyberspace were opened. Rather, cyberspace provided people with a space that was not yet enclosed. There were few fences in cyberspace, so sharing and cooperating was possible. It was possible because the constraints of private property – present in almost all other dimensions of life – were absent. Now they are invading cyberspace, seeking rent and expansion of capital interest. It is laudable to form a movement to strike back and protect cyberspace, but a more reflexive approach would not stop at the gates of the tangible realm. The threats of capital will not go away as long as capital exists in its particular form. It will return, it will continue to seek new ways of enclosure, which suggests that it is necessary to address this problem of capital at the most fundamental level, namely with regards to ownership.
</p><p>Addressing merely the symptoms of avarice and capital expansion in the intangible realm condemns Free Culture to an eternal and defensive battle and separates Free Software and Free Culture from the global movement of movements struggling to take back the land and the means of production. Without acknowledging and acting upon its recursive relationship to the tangible realm, Free Software remains a virtual commons that is detached from the struggles for real commons. Having witnessed the phenomenal emergence of commoning in cyberspace – when the constraints of private property were lifted – we can only imagine what transformations the tangible realm would undergo if constraints were lifted there. As I said above, the opposition here is not tangible versus intangible, but private property versus forms of property that facilitate collective creativity and self-organisation.
</p><p>Nevertheless, the achievements of the Free Software movement are remarkable."
(<a class="external free" href="https://commoning.wordpress.com/2011/01/04/misunderstanding-the-gnu-general-public-license-reciprocity-in-perpetuity/">https://commoning.wordpress.com/2011/01/04/misunderstanding-the-gnu-general-public-license-reciprocity-in-perpetuity/</a>)
</p>
<h2><span class="mw-headline" id="Why_it_is_dangerous_to_differentiate_between_.22good.22_and_.22bad.22_users_.28Ralf_Schlatterbeck.29">Why it is dangerous to differentiate between "good" and "bad" users (Ralf Schlatterbeck)</span></h2>
<p>This essay by Open Source practicioner Ralf Schlatterbeck from Austria rejects the P2P License out of fundamental considerations:
</p><p>"by Ralf Schlatterbeck
Recently discussions about new licensing models for open cooperative production have come up (again). This discussion resurrects the “Peer Production License” proposed in 2010 by John Magyar and Dmytri Kleiner [1] which is also available on the p2pfoundation website [2] although it’s not clear if the latter is a modified version. The license is proposed by Michel Bauwens and Vasili Kostakis accompanied by a theoretical discussion [3] why such a license would enhance the current state of the art in licensing. The proposal has already sparked criticism in form of critical replies which I will cite in the following where appropriate.
</p><p>The theoretical argument (mostly base on marxist theories I don’t have the patience to dig into) boils down to differentiating “good” from “bad” users of the licensed product. A “good” user is a “workerowned business” or “workerowned collective” [2] while a “bad” user seems to be a corporation. Note that the theoretical discussion seems to allow corporate users who contribute “as IBM does with Linux. However, those who do not contribute should pay a license fee” [3] (p.358). I’ve not found a clause in the license that defines this contribution exception. Instead it makes clear that “you may not exercise any of the rights granted to You in Section 3 above in any manner that is primarily intended for or directed toward commercial advantage or private monetary compensation”. Finally it is made clear “for the avoidance of doubt” that “the Licensor reserves the exclusive right to collect such royalties for any exercise by You of the rights granted under this License” [2].
</p><p>With the cited clauses above the “new” license is very similar to a Creative Commons license with a non-commercial clause as others have already noted [4] (p.363). Although the missing clauses in the license for a contribution exception for non-workerowned collectives or businesses is probably only an oversight — Rigi [5] (p.396) also understands the license this way — this is not the major shortcoming.
</p><p>For me the main point is: who is going to be the institution to distinguish “good” from “bad” users of the product, those who have to pay and those who don’t? The license mentions a “collecting society” for this purpose. Whatever this institution is going to be, it might be a “benevolent dictator” [6] at the start but will soon detoriate into a real dictatorship. Why? As the software-focused “benevolent dictator for life” Wikipedia article [7] notes, the dictator has an incentive to stay benevolent due to the possibility of forking a project, this was first documented in ESRs “Homesteading the Noosphere” [8]. Now since our dictator is the “Licensor [who] reserves the exclusive right to collect such royalties” [2] there are other, monetary, incentives for forking a project which has to be prevented by other means covered in the license. Collection of royalties is incompatible with the right to fork a project. We have an “owner” who decides about “good” vs. “bad” and uses a license to stay in power. A recipe for desaster or — as a friend has put it in a recent discussion “design for corruption” [9].
</p><p>Other problems are the management of contributions. As Meretz has already pointed out, “only people can behave in a reciprocal way” [4] (p.363). Contributors are people. They may belong to one instution that is deemed “good” by the dictator at one point and may later change to an institution that is deemed “bad” by the dictator. So a person may be excluded from using the product just because they belong to a “bad” institution. Take myself as an example: I’m running an open source business for ten years “primarily intended for or directed toward commercial advantage or private monetary compensation” [2]. I guess I wouldn’t qualify for free use of a “peer production license” licensed product. One of the reasons for success of open source / free software like Linux was that employees could use it for solving their day-to-day problems. This use often resulted in contributions, but only after using it for some time.
</p><p>Which leads to the next problem: The license tries to force “good” behaviour. But you must first prove to be “good” by contributing before you’re eligible for using the product. As noted by Rigi the “GPL stipulated reciprocity does not fit into any of these forms [usually known to economists (my interpretation)]” [5] (p.398) because a contributor always gets more (e.g. a working software package) than his own contribution. This exactly is one if not the main reason people are motivated to contribute. Openness creates more ethical behaviour than a license that tries to force ethics. Force or control will destroy that motivation as exemplified in the Linus vs. Tanenbaum discussion where Tanenbaum stated:
</p><p>If Linus wants to keep control of the official version, and a group of eager beavers want to go off in a different direction, the same problem arises. I don’t think the copyright issue is really the problem. The problem is co-ordinating things. Projects like GNU, MINIX, or LINUX only hold together if one person is in charge. During the 1970s, when structured programming was introduced, Harlan Mills pointed out that the programming team should be organized like a surgical team–one surgeon and his or her assistants, not like a hog butchering team–give everybody an axe and let them chop away.
Anyone who says you can have a lot of widely dispersed people hack away on a complicated piece of code and avoid total anarchy has never managed a software project. [10] (Post 1992-02-05 23:23:26 GMT)
</p><p>To which Linus replied:
This is the second time I’ve seen this “accusation” from ast, who feels pretty good about commenting on a kernel he probably haven’t even seen. Or at least he hasn’t asked me, or even read alt.os.linux about this. Just so that nobody takes his guess for the full thruth, here’s my standing on “keeping control”, in 2 words (three?):
I won’t.
[10] (Post 1992-02-06 10:33:31 GMT)
and then goes on to explain how kernel maintenance works (at the time).
</p><p>What becomes clear from this discussion is that the main focus of chosing a license is to attract contributors — preventing others from appropriating a version or influencing derived works is only secondary. Many successful open source projects use licenses that are more permissive than the GNU General Public License GPL Version 2 [11], and the new Version 3 of the GPL [12] which is more restrictive sees less use. The programming language Python is a prominent example of a successful project using a more permissive license [13]. Armin Ronacher documents in a blog post [14] that there is a trend away from the GPL to less restricitive licenses. This is also confirmed statistically by other sources [15].
</p><p>One reason for this trend is the growing mess of incompatible licenses. One of the ideas of open source / free software is that it should be possible to reuse existing components in order not to reinvent the wheel. This is increasingly difficult due to incompatible licenses, Ronacher in his essay touches the tip of the iceberg [14]. License incompatibility has already been used to release software under an open source license and still not allowing Linux developers to incorporate the released software into Linux [14].
</p><p>Given the reuse argument, adding another incompatible license to the mix (the proposed Peer Production License is incompatible with the GPL and probably other licenses) is simply insane. The new license isn’t even an open source license [16] much less fitting the free software definition [17] due to the commercial restrictions, both definitions require that the software is free for any purpose.
</p><p>When leaving the field of software and other artefacts protected by copyright we’re entering the field of hardware licensing. Hardware unlike software is not protected by copyright (with the exception of some artefacts like printed circuit boards, where the printed circuit is directly protected by copyright). So it is possible for private or research purposes to reverse-engineer a mechanical part and print it on a 3D printer. If the part is not protected by a patent, it is even legal to publish the reverse-engineered design documents for others to replicate the design. This was shown in a study for UK law by Bradshaw et. al. [18] but probably transcends to EU law. Note that the design documents are protected by copyright but the manufactured artefact is not. This has implications on the protection of open source hardware because this finding can be turned around. A company may well produce an open source design without contributing anything back, even a modified or improved design which is not given back to the community would probably be possible.
</p><p>Hardware could be protected with patents, but this is not a road the open source community wants to travel. The current state in hardware licensing seeks to protect users of the design from contributors who later want to enforce patents against the design by incorporating clauses where contributors license patents they hold for the project. This was pioneered by the TAPR open hardware license [19] and is also reflected in the CERN open hardware license [20].
</p><p>To sum up: Apart from the inconsistencies in the theoretical paper [3] and the actual license [2] I pointed out that such a license is a recipe for corruption when money is involved due to the restrictions of forking a project. In addition the license would hamper reuse of existing components because it adds to the “license compatibility clusterfuck” [14]. In addition it won’t protect what it set out to protect: Hardware artefacts — except for some exceptions — are not covered by copyright and therefore not by a license. We can only protect the design but the production of artefacts from that design is not subject to copyright law."
(<a class="external free" href="http://blog.runtux.com/2014/05/28/242/">http://blog.runtux.com/2014/05/28/242/</a>)
</p>
<h1><span class="mw-headline" id="Advantages_and_Drawbacks">Advantages and Drawbacks</span></h1>
<p><b>* Article: <a class="external text" href="http://peerproduction.net/issues/issue-4-value-and-currency/invited-comments/between-copyleft-and-copyfarleft-advance-reciprocity-for-the-commons/">Between copyleft and copyfarleft: advance reciprocity for the commons</a>. By Miguel Said Vieira &amp; Primavera De Filippi. Journal of Peer Production, Issue #4: Value and currency </b>
</p><p><b>FROM COPYLEFT TO COPYFARLEFT</b>
</p><p>Free culture licenses had as their most relevant predecessor the GPL (GNU General Public License), a free software license which makes no distinction regarding commercial and noncommercial usages. This distinction first appeared in some Creative Commons licenses, with the introduction of the noncommercial clause which only allows unauthorized use for noncommercial exploitation. While these licenses are widely used, there has been a large debate regarding what exactly constitutes a commercial use, and whether the noncommercial clause is indeed likely to ultimately benefit the knowledge commons.
</p><p>The <a href="/Copyfarleft" title="Copyfarleft">copyfarleft</a> licensing scheme proposed by Dmytri Kleiner (2007)1 stipulates similar restrictions to the noncommercial copyleft model, but provides additional conditions on the kind of usages which are effectively permitted under the license. Specifically, while all noncommercial usages are allowed (subject to the restrictions imposed by the copyleft clause), the copyfarleft model distinguish between commercial usages enacted by worker-owned collectives, cooperatives, or any other institution where profits are distributed (equally) amongst all workers, and those enacted by commercial entities or corporations whose businesses are exclusively based on the exploitation of wage labour. While the former kind of commercial exploitation is generally allowed under the copyfarleft licensing scheme (as opposed to what is usually the case in noncommercial licenses), the latter kinds remain prohibited – although they can still be negotiated outside the scope of the license.
</p><p>This licensing scheme lies, thus, somewhere between a standard copyleft license (as in a Creative Commons CC-BY-SA) and a noncommercial copyleft license (as in a CC-BY-NC-SA). The reason underlying this choice is that, while, on the one hand, a standard copyleft license allows corporate entities to exploit and profit from the labour employed in building the commons, without having to give back to them –something which Kleiner points out as highly problematic, and particularly so outside of the realm of software production–2 on the other hand, a noncommercial license precludes even commons-based producers (such as many of the workers-owned enterprises) from commercially exploiting a work (and as Kleiner argues, this can also be counterproductive for the transformative potential of these licenses).
</p>
<h2><span class="mw-headline" id="A._ADVANTAGES">A. ADVANTAGES</span></h2>
<p>By breaching the gap between standard copyleft and noncommercial copyleft regimes, the copyfarleft model allows for certain commercial exploitations of the licensed works those that could help sustain creators and foster a decentralized “ecosystem” of self-organized, commons-based producers which own their means of production. At the same time, the copyfarleft model precludes free-riding by any commercial entity that operates based on the exploitation of wage labour. Yet, the model does not discriminate against commercial activity per se: as in much of the free software world, it considers commerce an important element for the long-term viability of commons-based production. What it does go against is the exploitation of wage labour by those who own the capital and means of production. Indeed, concentrated ownership is regarded by Kleiner as one of the pillars for the fundamental inequality that characterizes existing capitalism: “Where property is sovereign, the owners of scarce property can deny life by denying access to property, or if not outright deny life, then make the living work like slaves for no pay beyond their reproduction costs”.
This model seems, to us, an interesting alternative to the deadlocks that debates on commercial vs. noncommercial licenses frequently lead to. It also expands the opportunities for workers to subsist through self-organization, with less dependency on wage labour from corporate entities, and thus reducing the ability of these corporations to co-opt and/or influence commons-based production.3 Yet, the copyfarleft licensing model is not devoid of any drawbacks, some of which will be analysed below.
</p>
<h2><span class="mw-headline" id="B._DRAWBACKS">B. DRAWBACKS</span></h2>
<p>This section will explore the link between (de)commodification and copyfarleft licenses, by analyzing some of the critiques they have been subject to, such as: the risk of actually hampering the commons because of the discretionary exclusion of corporate entities (Rhodes, Bauwens), the fact that existing successful commons-based projects do not present this kind of exclusion criteria (Toner), and, finally, the excessive focus on ownership rather than on production structures (Meretz).
</p><p><b>1. Rhodes, Bauwens</b>
</p><p>Stan Rhodes, founder of the Peer Trust Network Project,4 has two main criticisms of copyfarleft.5 The first he sees as its failure of principle: copyfarleft excludes particular businesses’ use of inherently non-rival goods, and that goes against the wider public good, regardless of the intentions underlying the exclusion. According to Rhodes this can be contrasted to copyleft, which seeks to restore and maintain nonrivalry for all creative works. In other words, the copyleft clause is there to guarantee that everything descended from the commons is and remains free for anyone to use and reuse. His second criticism of copyfarleft is on the grounds of practical adoption: copyleft’s barrier to entry is low for all uses and users of the good, whereas copyfarleft’s barrier to entry is low for some, and high for others. This difference makes copyleft generally preferable, particularly for any artists who cannot rule out the possibility of businesses paying them in the future. While copyleft guarantees their free access to their work and all derivatives no matter their use, copyfarleft does not. Thus, regardless of any political principles, it would seem the safer bet. Rhodes generalizes copyfarleft’s two difficulties to any regime that seeks to exclude any entity from using nonrival goods, regardless of the reasons behind the exclusion.6 Michel Bauwens, founder of the Foundation for P2P Alternatives,7 seconds these concerns. Yet, Bauwens’ critique of Kleiner’s position is admittedly paradoxical: while he disagrees with the radical anti-capitalist perspective of Kleiner’s licensing scheme and believes that the premises and analysis upon which it is based are mistaken, Bauwens nonetheless endorses the Peer Production License itself, claiming that the copyfarleft model is a plausible tool to advance commons-based peer production as a new mode of production (Bauwens, 2012).
</p><p><b>2. Toner</b>
</p><p>While appreciating the spirit of the shift from a “non-commercial” to a “non-alienation” clause, Alan Toner (2007), intellectual property and communications researcher, expressed serious doubts on the practical operability of this clause. It is already difficult to assess whether a particular exploitation should be regarded as being commercial or non-commercial, it might be even harder to determine objectively whether or not any given actor or institution is guilty of exploiting wage labour. Moreover, Toner sees Kleiner’s approach as prioritizing the articulation of an ideological project over the construction of tools that could make it happen. While he concedes that both are important (and mutually constitutive) aspects in political struggles regarding access to knowledge, for instance, he also points out that some of the most successful copyleft initiatives (such as GNU/Linux, Wikipedia, etc) went the opposite way, prioritizing the creation of “functioning economic resources for their users”, while “limiting the political dimension to that which is directly pertinent to that field of activity” (Toner, 2007). Because of that, Toner believes that the copyfarleft movement, in spite of its preliminary appeal, might be unlikely to mobilize a sufficient amount of people for it to be actually effective.
</p><p><b>3. Meretz</b>
</p><p>Stefan Meretz, a German commons advocate affiliated with the Oekonux group,8 has written a thoughtful critique to Kleiner’s approach which deserves being taken into account (Meretz, 2008). It constitutes an interesting counterpart to Rhodes’ and Toner’s critique, as it comes from an almost opposite side of the discussion’s spectrum. Kleiner (2010) considers that property –as in private property– is theft because property owners can extract rent from the labor of propertyless workers. He claims that rent should only be extracted by workers applying their own labor to the benefit of their community. The fruit of such labor can be used by other workers who are themselves part of the commons, but not by property owners who use wage labor. Thus Kleiner criticizes the copyleft approach on the grounds that it is not concerned with “ownership” but only with regulating the “usage” of property. Copyfarleft tries to go one step further, by encouraging a change in the ownership structure. This is done by creating a distinction between a commons based economy (more precisely, a collective ownership-based economy, which is allowed to commercially exploit the commons) and a wage labour based one (which is precluded to do so).
</p><p>Stefan Meretz criticizes the radical copyleft model proposed by Kleiner as being simplistic and in general incorrect, based on categories from David Ricardo that, Meretz argues, have been superseded by Marx’s analysis. The main criticism presented by Meretz is that Kleiner focuses too much in the aspects of ownership (particularly of the means of production) and circulation, while considering production itself to be a neutral sphere. Indeed, his criticism of property as “theft” only refers to the “rent”9 extracted by commercial companies exploiting wage labor, but not to sale of the commodities on the market. For Meretz, the reappropriation of the means of production is, of course, a necessary step to promote a more equal distribution of wealth. Yet, it will only succeed in transforming society to the extent that it also involves a change in the mode of production, to go beyond the logic of exploitation and exchange; without this additional transformation, worker-owned collectives tend to succumb to external pressures and end up behaving quite similarly to wage-labour based companies.10
</p><p>Finally, an additional limitation we identify in the copyfarleft model is that, while it attempts to deal with the power inequality between corporate and workers-owned entities (by fostering self-organization through the latter), it does not tackle another important issue: the fact that many of those corporate entities that use works from the commons might not be contributing to these commons, even though they are capable of doing so. This is an important aspect for the long-term provisioning and sustainability of the commons, which we tried to address more specifically in our proposal to extend or improve the copyfarleft model elaborated by Dmytri Kleiner."
</p>
