title: Révélez votre process
url: https://medium.com/france/r%C3%A9v%C3%A9lez-votre-process-d27ec133ec3b
hash_url: eda4d7fa8e9eed91aba4d2c2d1237508

<p>Un des moments que je préfère dans mon métier de designer, c’est celui où je présente mes propositions au client. Mais pour être honnête, ça n’a pas toujours été le cas. Lorsque j’ai débuté ma carrière, j’appréhendais cette étape décisive dans le déroulement d’un projet. J’avais du mal à expliquer mon travail et les remarques pouvaient me déstabiliser. Ce n’était pas que mon travail était mauvais, mais je manquais de méthode, d’expérience, et surtout, je pensais que mes propositions allaient se vendre toutes seules. Mais ce n’est pas le cas, un design ne se vend pas tout seul.</p>
<h3 name="6cf8" id="6cf8" class="graf--h3 graf--first"><strong class="markup--strong markup--h3-strong">C’est par le process que l’on s’approprie votre produit</strong></h3><p name="2d88" id="2d88" class="graf--p graf-after--h3">Vous êtes-vous déjà demandé : qu’est-ce qui fait qu’un client apprécie le design qu’on lui présente ? Vous allez me dire que c’est parce qu’il répond à son besoin. Pourtant, ça nous est tous déjà arrivé, lors d’une présentation, de nous voir rejeter une proposition alors qu’elle nous paraissait être une très bonne réponse à sa demande. Et d’avoir le sentiment que le client était passé complètement à côté de notre travail, qu’il n’avait pas compris nos choix. L’incompréhension génère de la frustration et il est alors beaucoup plus difficile de maintenir son attention. Le temps de se rendre compte qu’on patauge, votre client a déjà décroché et attend en silence la fin de votre speech, pour contredire point par point vos arguments. Certaines présentations se passent mal et faire du bon boulot ne suffit pas pour éviter ça. Car pour que votre design soit approuvé, vous devez gagner la confiance de votre client et pour ça il est important qu’il comprenne comment vous avez travaillé. C’est en découvrant votre process qu’il donnera toute sa valeur à votre travail et donc au produit que vous lui <em class="markup--em markup--p-em">vendez</em>.</p><h3 name="6efe" id="6efe" class="graf--h3 graf-after--p"><strong class="markup--strong markup--h3-strong">Qu’est-ce qu‘un process ?</strong></h3><p name="cbc3" id="cbc3" class="graf--p graf-after--h3">Le process _un mot issu de l’anglais, lui même dérivé du latin processus (<em class="markup--em markup--p-em">aller vers l’avant</em>)_ est une suite d’événements donnant naissance à un résultat. On oppose en général le process au produit (<em class="markup--em markup--p-em">product</em>). Si on prend pour comparaison un produit de consommation courante, c’est en général ce que le consommateur ne voit jamais. C’est même ce que les industriels préfèrent cacher, c’est la recette du Coca Cola ou du Nutella. On nous dit qu’ils cachent leur process pour éviter que la concurrence les copie, c’est peut-être aussi parce si on savait comment est fabriqué le Nutella, nous arrêterions aussitôt d’en acheter… À l’inverse, dans nos métiers, c’est justement notre façon de travailler qui donne envie d’adhérer à ce que nous produisons.</p><h3 name="2d5c" id="2d5c" class="graf--h3 graf-after--p"><strong class="markup--strong markup--h3-strong">Pourquoi valoriser son process ?</strong></h3><h4 name="7f28" id="7f28" class="graf--h4 graf-after--h3"><strong class="markup--strong markup--h4-strong">Accompagner son client</strong></h4><p name="797f" id="797f" class="graf--p graf-after--h4">On ne peut pas savoir à l’avance qui donnera son point de vue sur votre travail. Si vous avez de la chance, ce sera la personne qui a suivi toutes les étapes du projet depuis le début, si vous avez moins de chance, ce sera le grand patron qui découvre votre proposition (et votre devis) le jour de la présentation. Mais ça peut aussi être la femme du directeur marketing ou le stagiaire du troisième. Toutes ces personnes auront une connaissance plus ou moins claire du projet, mais surtout, vous n’aurez aucune idée des informations dont ils disposent et de leur compétence à émettre un retour. Moins on a de données sur une chose, plus on a tendance à juger de manière subjective. Alors que votre interlocuteur devrait se demander si le design répond bien à un besoin défini. Pour éviter les jugements arbitraires, il faut accompagner le client et lui donner les <em class="markup--em markup--p-em">bonnes raisons</em> d’aimer ou de détester votre travail. Et surtout il faut éviter de le laisser démuni et sans élément pour pouvoir vous faire des retours pertinents, surtout si vous proposez quelque chose d’audacieux.</p><h4 name="77cf" id="77cf" class="graf--h4 graf-after--p"><strong class="markup--strong markup--h4-strong">Donner les clés pour pouvoir juger</strong></h4><p name="88ba" id="88ba" class="graf--p graf-after--h4">Il est important de s’assurer que le client a les mêmes éléments que vous pour avoir un avis. Le but est de délimiter les repères communs pour juger de la pertinence de votre proposition. Il s’agit de rappeler le brief de départ bien sûr, mais ce n’est pas suffisant. Vous pouvez par exemple expliquer la logique qui se cache derrière un choix, le cheminement de pensée qui a mené à une solution, les règles techniques qui imposent certaines contraintes, les recherches effectuées qui vous ont inspirées, les tests qui ont confirmé ou infirmé vos hypothèses, etc.</p><blockquote name="b641" id="b641" class="graf--pullquote pullquote graf-after--p">Dans nos métiers, c’est justement notre façon de travailler, qui donne envie d’adhérer à ce que nous produisons.</blockquote><p name="a928" id="a928" class="graf--p graf-after--pullquote">Il y a de grandes étapes inhérentes au processus de création en design, mais chaque designer les adapte à sa manière. À vous de donner les clés qui aideront votre client à bien comprendre comment vous êtes arrivés au résultat que vous présentez.</p><h4 name="16b1" id="16b1" class="graf--h4 graf-after--p"><strong class="markup--strong markup--h4-strong">Rassurer sur le travail effectué</strong></h4><p name="ecc8" id="ecc8" class="graf--p graf-after--h4">Vous avez peut-être déjà eu ce sentiment qu’un client était insatisfait parce qu’il avait l’impression que vous n’aviez pas assez travaillé pour lui. Votre design est simple, mais lui le voit simpliste, trop <em class="markup--em markup--p-em">facile à faire</em>. Pourtant vous savez que ce n’est pas le cas, alors comment expliquer cette réaction ? Ce n’est pas forcément parce que votre client a du mal à accorder sa confiance. Mais certains clients sont inquiets de nature et ont besoin d’être sûrs qu’ils en auront pour leur argent. Et le monde à tendance à nous gaver d’une esthétique superficielle, excessive ou simplement bâclée. C’est un peu comme la tendance éphémère du glossy dans le web, à base de transparences, de fausses 3D et de reflets à outrance : C’est éblouissant sur la forme, mais creux dans le fond.</p><blockquote name="3388" id="3388" class="graf--pullquote pullquote graf-after--p">C’est notre rôle de designer d’apprendre aux autres à reconnaître la complexité dans la simplicité.</blockquote><p name="41f4" id="41f4" class="graf--p graf-after--pullquote">Avec l’habitude cette esthétique immodérée peut devenir une référence inconsciente aux esprits non éduqués à critiquer les images. C’est notre rôle de designer d’apprendre aux autres à reconnaître la complexité dans la simplicité. Expliquer votre processus de création alors que le produit a l’air simple c’est d’une part montrer que vous avez bossé et que votre tarif est justifié.</p><h4 name="84e0" id="84e0" class="graf--h4 graf-after--p"><strong class="markup--strong markup--h4-strong">Devenir le pédagogue de son propre métier</strong></h4><p name="6586" id="6586" class="graf--p graf-after--h4">Pour beaucoup de designers, la présentation s’apparente à passer devant un Jury. Et cette idée n’a rien de confortable. Pourtant, la présentation n’a pas à être ce rapport de force que l’on décrit. Et nous pouvons changer cela. L’astuce consiste à en faire un moment d’apprentissage pour le client. Permettez-lui de s’enrichir grâce à vous. Durant tout le temps que dure le projet, la présentation est peut-être le moment où il sera le plus attentif, profitez-en pour lui en apprendre plus sur votre métier si ça l’aide à mieux comprendre le projet (restez bien sûr toujours concentré sur votre argumentaire). Vous montrerez que vous êtes consciencieux, professionnel et ça l’aidera à vous faire confiance. Il sera moins tenté de vous poser des questions pour justifier la qualité de votre travail.</p><blockquote name="fc53" id="fc53" class="graf--blockquote graf-after--p">Souvent les clients me demandent de justifier mes textes sur leurs sites internet. Plutôt que de leur dire que c’est « possible, mais très contraignant », je saisis toujours l’occasion pour leur faire un mini cours de typographie, je leur explique ce qu’est un gris typographique, comment l’œil lit un texte et pourquoi la composition sur support imprimé offre plus de possibilités. Au final, même si des choses leur échappent, ils savent que je n’ai pas fait le choix d’un texte aligné à gauche par hasard et ça renforce leur confiance en mes compétences.</blockquote><h4 name="59d7" id="59d7" class="graf--h4 graf-after--blockquote"><strong class="markup--strong markup--h4-strong">Donner du sens à son projet</strong></h4><p name="97b5" id="97b5" class="graf--p graf-after--h4">Nous aimons savoir comment sont fabriquées les choses, comment naissent les idées. Les making-of de films sont parfois plus passionnants que les films eux-mêmes. Découvrir les coulisses de la création d’un projet accentue notre attachement à celui-ci et nous aide à mieux nous l’approprier.</p><blockquote name="2e22" id="2e22" class="graf--blockquote graf-after--p">Dans son livre <a href="http://austinkleon.com/show-your-work/" data-href="http://austinkleon.com/show-your-work/" class="markup--anchor markup--blockquote-anchor" rel="nofollow">Show Your Work</a>, <a href="https://twitter.com/austinkleon" data-href="https://twitter.com/austinkleon" class="markup--anchor markup--blockquote-anchor" rel="nofollow">Austin Kleon</a> rapporte une expérience qui a été faite par deux auteurs d’un livre, pour démontrer le pouvoir d’une histoire sur la valeur que les gens attribuent à un objet. Ils sont allez acheter des objets insignifiants à petits prix dans des commerces divers et ils ont demandé à des écrivains d’inventer pour chacun de ces objets, une histoire qui leur donnerait une origine. Puis ils ont utilisé ces textes comme descriptifs pour les vendre sur eBay. Ce qu’ils ont acheté pour un total de 130 dollars, ils l’ont vendu plus de 3600 dollars !</blockquote><p name="6493" id="6493" class="graf--p graf-after--blockquote graf--last">Donnez du sens à votre travail, les gens lui donneront de la valeur. Savoir comment naissent les choses et d’où elles viennent en change notre perception. Cela peut nous aider à les comprendre et à les accepter. Votre process de fabrication donne des repères pour pouvoir apprécier votre travail, mais aussi le critiquer de manière constructive. Racontez comment naissent vos idées.</p>

<h3 name="4643" id="4643" class="graf--h3 graf--first"><strong class="markup--strong markup--h3-strong">Ne soyez pas magicien</strong></h3><p name="7992" id="7992" class="graf--p graf-after--h3">Pour mon travail, je dessine très souvent. Et je rencontre régulièrement des personnes qui me regardent émerveillées faire mes croquis, comme si je venais de réaliser un tour de magie devant eux. Ils me disent alors qu’ils rêvent de savoir dessiner, un peu comme si c’était un don surnaturel. J’ai souvent envie de leur répondre : « J<em class="markup--em markup--p-em">e vais te révéler mon secret, achète un bloc de papier, des crayons et réserve les vingt prochaines années de ta vie »</em>. Ce que je veux dire par là c’est que parfois, les clients prennent les designers pour des magiciens. La raison est simple, ce que nous faisons leur paraît mystérieux. Ils ne savent pas comment on produit les choses, il n’ont pas conscience du travail qu’il y a derrière, et nous n’avons pas l’habitude de leur montrer comment nous travaillons.</p><blockquote name="b9d6" id="b9d6" class="graf--pullquote pullquote graf-after--p">Donnez du sens à votre travail, les gens lui donneront de la valeur.</blockquote><p name="c2bc" id="c2bc" class="graf--p graf-after--pullquote">Mais si nous voulons être pris au sérieux, nous ne devons pas les laisser penser que le design est un don surnaturel. Nous ne devons pas les laisser nous voir comme des magiciens de la création. Pour ça, il suffit de révéler <em class="markup--em markup--p-em">comment ça marche</em>, de ne plus présenter seulement un produit, mais aussi notre process. Et si on doit impressionner nos clients, c’est par les efforts que nous mettons à trouver les idées qui répondent à leurs besoins.</p><p name="05d1" id="05d1" class="graf--p graf-after--p graf--last">Il y a une différence entre un magicien et un designer. Le magicien vous éblouit avec un tour parce qu’il vous cache son secret. Le designer au contraire, vous présente quelque chose d’évident, mais qui vous impressionne quand il vous révèle comment il l’a conçu.</p>
