title: La tyrannie de la commodité
url: http://www.internetactu.net/a-lire-ailleurs/la-tyrannie-de-la-commodite/
hash_url: f33e6b263592725283a74547db24e04b

<p><em>« La commodité est la force la plus sous-estimée et la moins comprise dans le monde aujourd’hui »</em>. Certes, elle est ennuyeuse, mais elle est un puissant moteur des décisions humaines, bien plus que le désir ou que la récompense, estime le juriste américain <a href="http://www.timwu.org/">Tim Wu</a> (<a href="https://twitter.com/superwuster">@superwuster</a>), dans <a href="https://www.nytimes.com/2018/02/16/opinion/sunday/tyranny-convenience.html?mtrref=t.co&amp;assetType=opinion">une remarquable tribune pour le <em>New York Times</em></a>. <em>« Elle est pourtant la force la plus puissante qui façonne nos vies et nos économies »</em>. La commodité semble prendre nos décisions pour nous, nous faisant souvent remiser nos véritables préférences au profit du facile voire du plus facile. La commodité transforme nos options et nos opinions. Une fois que vous avez goûté à la machine à laver, laver ses vêtements à la main semble être une tâche irrationnelle. Une fois que vous avez goûté à la télévision en streaming, attendre pour regarder un film semble stupide. Résister à la commodité, comme ne pas posséder de smartphone, semble même en passe de devenir une excentricité, voire de relever du fanatisme. Notre goût pour la commodité en engendre toujours plus : plus il est facile d’utiliser Amazon et plus Amazon devient puissant et plus il est encore plus facile d’utiliser Amazon. La commodité est l’allié naturel du monopole, des économies d’échelles et du pouvoir de l’habitude. </p>
<p>Pour Tim Wu, la commodité est devenue à la fois un idéal, une valeur et un mode de vie. Rendre les choses plus faciles, plus accessibles ouvre des possibilités qui semblaient autrefois difficiles à atteindre. Bien sûr, reste que la commodité n’est pas toujours bonne. <em>« Bien que comprise et promue comme un instrument de libération, la commodité a un côté sombre. Avec sa promesse d’efficacité douce et sans effort, elle menace d’effacer le genre de luttes et de défis qui aident à donner un sens à la vie. Créé pour nous libérer, elle peut devenir une contrainte sur ce que nous sommes prêts à faire, et ainsi, de manière subtile, peut nous asservir »</em>.</p>
<p>Or, quand <em>« nous laissons la commodité décider de tout, nous nous abandonnons trop »</em>. Pour Tim Wu, la commodité est née avec les appareils ménagers et les aliments préparés. <em>« La commodité était la version domestique d’une autre idée de la fin du XIXe siècle, l’efficacité industrielle et la «gestion scientifique» qui l’accompagnait. Elle représentait l’adaptation de l’éthique de l’usine à la vie domestique. »</em></p>
<p>Aussi banal que cela puisse paraître aujourd’hui, la commodité, ce grand libérateur de l’humanité du travail, était un idéal utopique. Elle promettait d’éliminer les corvées, de créer du loisir, d’apporter à chacun du temps libre. La commodité comme libération s’est enivrée de science-fiction, nous montrant que dans le futur, la vie serait encore, toujours, plus commode. Le rêve de commodité semble basé sur le cauchemar du travail physique. Mais celui-ci est-il toujours un cauchemar ? Notre humanité s’exprime aussi par des actions incommodes et des actions qui prennent du temps. C’est peut-être pour cela que chaque avancée de la commodité génère des résistances. Des gens <em>« résistent par entêtement, oui (et parce qu’ils ont le luxe de le faire), mais aussi parce qu’ils voient une menace pour eux-mêmes, sur leur sentiment de contrôle sur ce qui leur importe »</em>.</p>
<p>À la fin des années 60, la première révolution de la commodité a été remise en cause. Pour la contre-culture, la commodité était devenue un signe de conformité et le besoin de réaliser son potentiel individuel, de vivre en harmonie avec la nature plutôt que de chercher à surmonter ses nuisances a généré une riche critique. Depuis, comme une réponse à cette critique, l’essor des nouvelles technologies a généré une nouvelle vague de technologies de la commodité facilitant l’essor de l’individualité. Tim Wu fait commencer cette nouvelle vague avec l’avènement du Walkman de Sony en 1979. <em>« Avec le Walkman, nous pouvons voir un changement subtil, mais fondamental dans l’idéologie de la commodité. Si la première révolution de la commodité promettait de vous faciliter la vie et le travail, la seconde vous promettait de vous faciliter la possibilité d’être soi. Les nouvelles technologies étaient des catalyseurs de l’individualité. Ils ont conféré une efficacité à l’expression de soi. »</em></p>
<p><em>« Cette vision est si séduisante qu’elle a fini par dominer notre existence. La plupart des technologies puissantes et importantes créées au cours des dernières décennies offrent une commodité au service de la personnalisation et de l’individualité. Pensez au magnétoscope, à la liste de lecture, à la page Facebook, au compte Instagram. Ce genre de commodité n’est plus une question d’économie de travail physique – beaucoup d’entre nous n’en font pas beaucoup de toute façon. Il s’agit de minimiser les ressources mentales, l’effort mental, nécessaire pour choisir parmi les options qui s’expriment. La commodité est un simple clic, un guichet unique, l’expérience transparente de « plug and play ». L’idéal est la préférence personnelle sans effort. »</em></p>
<p>La commodité a tué Napster au profit des solutions de streaming. À mesure que chaque tâche devient plus facile, nous sommes agacés par celles qui restent à un ancien niveau d’effort et de temps. Pour Tim Wu, <em>« les technologies d’individualisation actuelles sont des technologies d’individualisation de masse »</em>. La personnalisation finalement se révèle <em>« étonnamment homogène »</em> (<a href="http://www.internetactu.net/2017/09/27/comment-nous-passer-de-la-personnalisation/">nous ne disions pas autre chose</a>). Ce qui devait nous représenter comme uniques nous rend en fait tous semblables. Le format et les conventions de Facebook nous dépouillent de toutes les expressions d’individualité, à l’exception des plus superficielles, comme la photo particulière d’une plage ou d’une chaîne de montagnes que nous choisissons comme image de fond.</p>
<p><em>« Je ne veux pas nier que rendre les choses plus faciles peut nous servir de manière importante, en nous donnant beaucoup de choix (de restaurants, de services de taxis, d’encyclopédies open source) où nous n’en avions que peu ou pas du tout. Mais être une personne, c’est seulement en partie avoir et exercer des choix. Il s’agit aussi de la façon dont nous faisons face aux situations qui nous sont imposées, qui consistent à surmonter des défis dignes et à mener à bien des tâches difficiles – lutter nous aide à devenir ce que nous sommes. Qu’advient-il de l’expérience humaine quand tant d’obstacles, d’exigences et de préparatifs sont éliminés ? »</em></p>
<p><em>« Le culte de la commodité d’aujourd’hui ne reconnaît pas que la difficulté est une caractéristique constitutive de l’expérience humaine. La commodité est une destination sans aucun voyage. Mais monter une montagne est bien différent de prendre la télécabine jusqu’au sommet, même si vous vous retrouvez au même endroit. Nous devenons des gens qui se soucient principalement ou seulement des résultats. Au risque de faire de notre vie une série de promenades en tram. »</em></p>
<p>La commodité doit servir quelque chose de plus grand qu’elle-même, de peur que cela ne mène seulement à plus de commodité. Dans son livre classique de 1963, <em>La femme mystifiée</em>, la journaliste féminine <a href="https://fr.wikipedia.org/wiki/Betty_Friedan">Betty Friedan</a> a examiné ce que les technologies ménagères avaient fait pour les femmes et en concluait qu’elles avaient surtout créé plus de demandes. <em>«Même avec tous les nouveaux appareils ménagers, écrivait-elle, la ménagère Américaine moderne consacre probablement plus de temps aux tâches ménagères que sa grand-mère. Quand les choses deviennent plus faciles, nous pouvons chercher à remplir notre temps avec des tâches plus faciles. Tant et si bien qu’à un certain moment, la lutte pour la vie devient la tyrannie des corvées minuscules et des décisions mesquines.</em></p>
<p>Une conséquence fâcheuse de vivre dans un monde où tout est «facile» est que la seule compétence qui compte est la capacité de faire plusieurs choses à la fois. À l’extrême, nous ne faisons rien en réalité ; nous ne faisons qu’arranger ce qui sera fait, ce qui est une base bien fragile pour remplir une existence. »</p>
<p>Pour Tim Wu, nous devons nous ouvrir aux inconvénients. Si nous n’avons plus besoin de fabriquer notre beurre ou de chasser notre propre viande, nous ne serons personne si la commodité devient la valeur qui transcende toutes les autres. <em>« Lutter n’est pas toujours un problème. Bien souvent, elle est une solution. Et notamment la solution à la question qui sommes-nous ? »</em> Nos hobbies, nos occupations, nos passions, nos vocations sont des activités qui nous aident à nous définir. Ils impliquent une résistance significative avec le monde et nous aident à nous définir. Des activités qui prennent du temps, qui nous exposent au risque de l’échec et de la frustration, mais qui nous apprennent quelque chose du monde et de notre place dans le monde. </p>
<p>Et Tim Wu de nous inviter résister à la tyrannie de la commodité. De ne pas oublier le plaisir et la satisfaction à faire quelque chose de lent et de difficile. Certes. C’est là certainement un conseil facilement moraliste. Reste que dans un monde qui optimise toujours plus la commodité, l’enjeu n’est-il pas d’en définir des limites au risque sinon qu’elle n’en ait jamais ? </p>
<p><img src="http://www.internetactu.net/wp-content/uploads/2018/02/tyrannyofconvenience.png" alt="" class="aligncenter size-full wp-image-31193" srcset="http://www.internetactu.net/wp-content/uploads/2018/02/tyrannyofconvenience.png 1251w, http://www.internetactu.net/wp-content/uploads/2018/02/tyrannyofconvenience-300x266.png 300w, http://www.internetactu.net/wp-content/uploads/2018/02/tyrannyofconvenience-768x681.png 768w, http://www.internetactu.net/wp-content/uploads/2018/02/tyrannyofconvenience-1024x908.png 1024w" sizes="(max-width: 1251px) 100vw, 1251px"/></p>
